%--------------------------------------------------------------------------
% File     : ANA001-0 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Analysis (Limits)
% Axioms   : Substitution axioms for analysis (limits) axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   0 unit;   4 RR)
%            Number of literals   :   18 (  14 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   0 constant; 1-2 arity)
%            Number of variables  :   22 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : No natural language descriptions are available.
%          : "Contributed by W.W. Bledsoe in a private correspondence", 
%            [MOW76].
%--------------------------------------------------------------------------
input_clause(less_than_substitution1,axiom,
    [--equal(X,Y),
     --less_than(X,Z),
     ++less_than(Y,Z)]).

input_clause(less_than_substitution2,axiom,
    [--equal(X,Y),
     --less_than(Z,X),
     ++less_than(Z,Y)]).

input_clause(add_substitution1,axiom,
    [--equal(X,Y),
     ++equal(add(X,Z),add(Y,Z))]).

input_clause(add_substitution2,axiom,
    [--equal(X,Y),
     ++equal(add(Z,X),add(Z,Y))]).

input_clause(minus_substitution1,axiom,
    [--equal(X,Y),
     ++equal(minus(X),minus(Y))]).

input_clause(half_substitution1,axiom,
    [--equal(X,Y),
     ++equal(half(X),half(Y))]).

input_clause(minimum_substitution1,axiom,
    [--equal(X,Y),
     ++equal(minimum(X,Z),minimum(Y,Z))]).

input_clause(minimum_substitution2,axiom,
    [--equal(X,Y),
     ++equal(minimum(Z,X),minimum(Z,Y))]).
%--------------------------------------------------------------------------
