%--------------------------------------------------------------------------
% File     : BOO005-2 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : Addition is bounded (X + 1 = 1)
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : prob3_part1.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  16 unit;   4 RR)
%            Number of literals   :   31 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause prove_a_plus_1_is_a fixed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_a_plus_1_is_a,conjecture,
    [--equal(add(a,multiplicative_identity),multiplicative_identity)]).
%--------------------------------------------------------------------------
