%--------------------------------------------------------------------------
% File     : BOO011-2 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Boolean Algebra
% Problem  : Inverse of additive identity = Multiplicative identity
% Version  : [ANL] (equality) axioms.
% English  : The inverse of the additive identity is the multiplicative 
%            identity.

% Refs     : 
% Source   : [ANL]
% Names    : prob7.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  16 unit;   4 RR)
%            Number of literals   :   31 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause prove_inverse_of_1_is_0 fixed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_inverse_of_1_is_0,conjecture,
    [--equal(inverse(additive_identity),multiplicative_identity)]).
%--------------------------------------------------------------------------
