%--------------------------------------------------------------------------
% File     : BOO013-4 : TPTP v2.7.0. Released v1.1.0.
% Domain   : Boolean Algebra
% Problem  : The inverse of X is unique
% Version  : [Ver94] (equality) axioms.
% English  : 

% Refs     : [Ver94] Veroff (1994), Problem Set
% Source   : [Ver94]
% Names    : TE [Ver94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  12 unit;   6 RR)
%            Number of literals   :   27 (  27 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   34 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO004-0.ax').
%--------------------------------------------------------------------------
input_clause(b_a_multiplicative_identity,hypothesis,
    [++equal(add(a,b),multiplicative_identity)]).

input_clause(b_an_additive_identity,hypothesis,
    [++equal(multiply(a,b),additive_identity)]).

input_clause(prove_a_inverse_is_b,conjecture,
    [--equal(b,inverse(a))]).
%--------------------------------------------------------------------------
