%--------------------------------------------------------------------------
% File     : BOO037-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Boolean Algebra
% Problem  : Boolean algebra axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   36 (   0 non-Horn;  11 unit;  21 RR)
%            Number of literals   :   94 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Boolean algebra axioms
include('Axioms/BOO002-0.ax').
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
