%--------------------------------------------------------------------------
% File     : CAT011-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : domain(domain(x)) = domain(x)
% Version  : [Qua89] (equality) axioms.
% English  : 

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p11.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   6 unit;   8 RR)
%            Number of literals   :   26 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   27 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_domain_is_idempotent,conjecture,
    [--equal(domain(domain(a)),domain(a))]).
%--------------------------------------------------------------------------
