%--------------------------------------------------------------------------
% File     : COL085-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Combinatory Logic
% Problem  : Happy Birds, part 1
% Version  : Especial.
% English  : 

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   14 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : A UEQ part of COL055-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(response_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(response(A,C),response(B,C))]).

input_clause(response_substitutivity2,axiom,
    [--equal(A,B),
     ++equal(response(C,A),response(C,B))]).

input_clause(fond_bird_exists,hypothesis,
    [++equal(response(a,b),b)]).

input_clause(prove_happiness_1,conjecture,
    [--equal(response(a,A),B)]).
%--------------------------------------------------------------------------
