%--------------------------------------------------------------------------
% File     : COM005-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Computing Theory
% Problem  : Behaviour of an algorithm that orients rings with 3 nodes
% Version  : Especial.
% English  :

% Refs     : [Hoe94] Hoepman (1994), Uniform Deterministic Self-Stabilizing
%          : [Kon03] Konev (2003), Email to G. Sutcliffe
% Source   : [Kon03]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.67 v2.7.0
% Syntax   : Number of clauses    :  268 ( 158 non-Horn;   1 unit; 266 RR)
%            Number of literals   : 1366 (   0 equality)
%            Maximal clause size  :    8 (   5 average)
%            Number of predicates :   24 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :  267 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(c001,conjecture,
    [++ap(a)]).

input_clause(c002,conjecture,
    [--ap(X),
     --aq(X)]).

input_clause(c003,conjecture,
    [--ap(X),
     --ar(X)]).

input_clause(c004,conjecture,
    [--aq(X),
     --ar(X)]).

input_clause(c005,conjecture,
    [++ap(X),
     ++aq(X),
     ++ar(X)]).

input_clause(c006,conjecture,
    [--pqr1(X),
     --p(X)]).

input_clause(c007,conjecture,
    [--pqr1(X),
     ++pp(X)]).

input_clause(c008,conjecture,
    [--pqr1(X),
     --q(X)]).

input_clause(c009,conjecture,
    [--pqr1(X),
     --qq(X)]).

input_clause(c010,conjecture,
    [--pqr1(X),
     ++r(X)]).

input_clause(c011,conjecture,
    [--pqr1(X),
     --rr(X)]).

input_clause(c012,conjecture,
    [--pqr1(X),
     ++aq(X)]).

input_clause(c013,conjecture,
    [--pqr2(X),
     ++p(X)]).

input_clause(c014,conjecture,
    [--pqr2(X),
     ++pp(X)]).

input_clause(c015,conjecture,
    [--pqr2(X),
     ++q(X)]).

input_clause(c016,conjecture,
    [--pqr2(X),
     --qq(X)]).

input_clause(c017,conjecture,
    [--pqr2(X),
     --r(X)]).

input_clause(c018,conjecture,
    [--pqr2(X),
     --rr(X)]).

input_clause(c019,conjecture,
    [--pqr2(X),
     ++aq(X)]).

input_clause(c020,conjecture,
    [--pqr3(X),
     ++p(X)]).

input_clause(c021,conjecture,
    [--pqr3(X),
     --pp(X)]).

input_clause(c022,conjecture,
    [--pqr3(X),
     --q(X)]).

input_clause(c023,conjecture,
    [--pqr3(X),
     --qq(X)]).

input_clause(c024,conjecture,
    [--pqr3(X),
     --r(X)]).

input_clause(c025,conjecture,
    [--pqr3(X),
     ++rr(X)]).

input_clause(c026,conjecture,
    [--pqr3(X),
     ++aq(X)]).

input_clause(c027,conjecture,
    [--pqr4(X),
     --p(X)]).

input_clause(c028,conjecture,
    [--pqr4(X),
     --pp(X)]).

input_clause(c029,conjecture,
    [--pqr4(X),
     ++q(X)]).

input_clause(c030,conjecture,
    [--pqr4(X),
     --qq(X)]).

input_clause(c031,conjecture,
    [--pqr4(X),
     ++r(X)]).

input_clause(c032,conjecture,
    [--pqr4(X),
     ++rr(X)]).

input_clause(c033,conjecture,
    [--pqr4(X),
     ++aq(X)]).

input_clause(c034,conjecture,
    [--qrp1(X),
     --q(X)]).

input_clause(c035,conjecture,
    [--qrp1(X),
     ++qq(X)]).

input_clause(c036,conjecture,
    [--qrp1(X),
     --r(X)]).

input_clause(c037,conjecture,
    [--qrp1(X),
     --rr(X)]).

input_clause(c038,conjecture,
    [--qrp1(X),
     ++p(X)]).

input_clause(c039,conjecture,
    [--qrp1(X),
     --pp(X)]).

input_clause(c040,conjecture,
    [--qrp1(X),
     ++ar(X)]).

input_clause(c041,conjecture,
    [--qrp2(X),
     ++q(X)]).

input_clause(c042,conjecture,
    [--qrp2(X),
     ++qq(X)]).

input_clause(c043,conjecture,
    [--qrp2(X),
     ++r(X)]).

input_clause(c044,conjecture,
    [--qrp2(X),
     --rr(X)]).

input_clause(c045,conjecture,
    [--qrp2(X),
     --p(X)]).

input_clause(c046,conjecture,
    [--qrp2(X),
     --pp(X)]).

input_clause(c047,conjecture,
    [--qrp2(X),
     ++ar(X)]).

input_clause(c048,conjecture,
    [--qrp3(X),
     ++q(X)]).

input_clause(c049,conjecture,
    [--qrp3(X),
     --qq(X)]).

input_clause(c050,conjecture,
    [--qrp3(X),
     --r(X)]).

input_clause(c051,conjecture,
    [--qrp3(X),
     --rr(X)]).

input_clause(c052,conjecture,
    [--qrp3(X),
     --p(X)]).

input_clause(c053,conjecture,
    [--qrp3(X),
     ++pp(X)]).

input_clause(c054,conjecture,
    [--qrp3(X),
     ++ar(X)]).

input_clause(c055,conjecture,
    [--qrp4(X),
     --q(X)]).

input_clause(c056,conjecture,
    [--qrp4(X),
     --qq(X)]).

input_clause(c057,conjecture,
    [--qrp4(X),
     ++r(X)]).

input_clause(c058,conjecture,
    [--qrp4(X),
     --rr(X)]).

input_clause(c059,conjecture,
    [--qrp4(X),
     ++p(X)]).

input_clause(c060,conjecture,
    [--qrp4(X),
     ++pp(X)]).

input_clause(c061,conjecture,
    [--qrp4(X),
     ++ar(X)]).

input_clause(c062,conjecture,
    [--rpq1(X),
     --r(X)]).

input_clause(c063,conjecture,
    [--rpq1(X),
     ++rr(X)]).

input_clause(c064,conjecture,
    [--rpq1(X),
     --p(X)]).

input_clause(c065,conjecture,
    [--rpq1(X),
     --pp(X)]).

input_clause(c066,conjecture,
    [--rpq1(X),
     ++q(X)]).

input_clause(c067,conjecture,
    [--rpq1(X),
     --qq(X)]).

input_clause(c068,conjecture,
    [--rpq1(X),
     ++ap(X)]).

input_clause(c069,conjecture,
    [--rpq2(X),
     ++r(X)]).

input_clause(c070,conjecture,
    [--rpq2(X),
     ++rr(X)]).

input_clause(c071,conjecture,
    [--rpq2(X),
     ++p(X)]).

input_clause(c072,conjecture,
    [--rpq2(X),
     --pp(X)]).

input_clause(c073,conjecture,
    [--rpq2(X),
     --q(X)]).

input_clause(c074,conjecture,
    [--rpq2(X),
     --qq(X)]).

input_clause(c075,conjecture,
    [--rpq2(X),
     ++ap(X)]).

input_clause(c076,conjecture,
    [--rpq3(X),
     ++r(X)]).

input_clause(c077,conjecture,
    [--rpq3(X),
     --rr(X)]).

input_clause(c078,conjecture,
    [--rpq3(X),
     --p(X)]).

input_clause(c079,conjecture,
    [--rpq3(X),
     --pp(X)]).

input_clause(c080,conjecture,
    [--rpq3(X),
     --q(X)]).

input_clause(c081,conjecture,
    [--rpq3(X),
     ++qq(X)]).

input_clause(c082,conjecture,
    [--rpq3(X),
     ++ap(X)]).

input_clause(c083,conjecture,
    [--rpq4(X),
     --r(X)]).

input_clause(c084,conjecture,
    [--rpq4(X),
     --rr(X)]).

input_clause(c085,conjecture,
    [--rpq4(X),
     ++p(X)]).

input_clause(c086,conjecture,
    [--rpq4(X),
     --pp(X)]).

input_clause(c087,conjecture,
    [--rpq4(X),
     ++q(X)]).

input_clause(c088,conjecture,
    [--rpq4(X),
     ++qq(X)]).

input_clause(c089,conjecture,
    [--rpq4(X),
     ++ap(X)]).

input_clause(c090,conjecture,
    [--qp(X),
     --rq(X),
     --pr(X)]).

input_clause(c091,conjecture,
    [++qp(X),
     ++rq(X),
     ++pr(X)]).

input_clause(c092,conjecture,
    [--ap(X),
     ++aq(s(X))]).

input_clause(c093,conjecture,
    [--aq(X),
     ++ar(s(X))]).

input_clause(c094,conjecture,
    [--ar(X),
     ++ap(s(X))]).

input_clause(c095,conjecture,
    [--aq(X),
     ++p(X),
     ++q(X),
     ++r(X),
     ++q(s(X))]).

input_clause(c096,conjecture,
    [--aq(X),
     ++p(X),
     ++q(X),
     ++r(X),
     --qq(s(X))]).

input_clause(c097,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++r(X),
     ++q(s(X))]).

input_clause(c098,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++r(X),
     --qq(s(X))]).

input_clause(c099,conjecture,
    [--aq(X),
     --p(X),
     --q(X),
     --r(X),
     --q(s(X))]).

input_clause(c100,conjecture,
    [--aq(X),
     --p(X),
     --q(X),
     --r(X),
     --qq(s(X))]).

input_clause(c101,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --r(X),
     --q(s(X))]).

input_clause(c102,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --r(X),
     --qq(s(X))]).

input_clause(c103,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     --q(s(X))]).

input_clause(c104,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++qq(s(X))]).

input_clause(c105,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     --q(s(X))]).

input_clause(c106,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     --qq(s(X))]).

input_clause(c107,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++q(s(X))]).

input_clause(c108,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++qq(s(X))]).

input_clause(c109,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++q(s(X))]).

input_clause(c110,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     --qq(s(X))]).

input_clause(c111,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --q(s(X))]).

input_clause(c112,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++qq(s(X))]).

input_clause(c113,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --q(s(X))]).

input_clause(c114,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --qq(s(X))]).

input_clause(c115,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++q(s(X))]).

input_clause(c116,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++qq(s(X))]).

input_clause(c117,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     ++q(s(X))]).

input_clause(c118,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     --qq(s(X))]).

input_clause(c119,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++q(s(X))]).

input_clause(c120,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++qq(s(X))]).

input_clause(c121,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --q(s(X))]).

input_clause(c122,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     ++qq(s(X))]).

input_clause(c123,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++q(s(X))]).

input_clause(c124,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++qq(s(X))]).

input_clause(c125,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     --q(s(X))]).

input_clause(c126,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     ++qq(s(X))]).

input_clause(c127,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     ++q(s(X))]).

input_clause(c128,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --qq(s(X))]).

input_clause(c129,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --q(s(X))]).

input_clause(c130,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --qq(s(X))]).

input_clause(c131,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++q(s(X))]).

input_clause(c132,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --qq(s(X))]).

input_clause(c133,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --q(s(X))]).

input_clause(c134,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --qq(s(X))]).

input_clause(c135,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++q(s(X))]).

input_clause(c136,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++qq(s(X))]).

input_clause(c137,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++pr(s(X))]).

input_clause(c138,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     ++q(s(X))]).

input_clause(c139,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     ++qq(s(X))]).

input_clause(c140,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --pr(s(X))]).

input_clause(c141,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --q(s(X))]).

input_clause(c142,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++qq(s(X))]).

input_clause(c143,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++pr(s(X))]).

input_clause(c144,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --q(s(X))]).

input_clause(c145,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++qq(s(X))]).

input_clause(c146,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --pr(s(X))]).

input_clause(c147,conjecture,
    [++aq(X),
     ++q(X),
     --q(s(X))]).

input_clause(c148,conjecture,
    [++aq(X),
     --q(X),
     ++q(s(X))]).

input_clause(c149,conjecture,
    [++aq(X),
     ++qq(X),
     --qq(s(X))]).

input_clause(c150,conjecture,
    [++aq(X),
     --qq(X),
     ++qq(s(X))]).

input_clause(c151,conjecture,
    [++pqr1(X),
     ++pqr2(X),
     ++pqr3(X),
     ++pqr4(X),
     --pr(X),
     ++pr(s(X))]).

input_clause(c152,conjecture,
    [++pqr1(X),
     ++pqr2(X),
     ++pqr3(X),
     ++pqr4(X),
     ++pr(X),
     --pr(s(X))]).

input_clause(c153,conjecture,
    [--ar(X),
     ++q(X),
     ++r(X),
     ++p(X),
     ++r(s(X))]).

input_clause(c154,conjecture,
    [--ar(X),
     ++q(X),
     ++r(X),
     ++p(X),
     --rr(s(X))]).

input_clause(c155,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++p(X),
     ++r(s(X))]).

input_clause(c156,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++p(X),
     --rr(s(X))]).

input_clause(c157,conjecture,
    [--ar(X),
     --q(X),
     --r(X),
     --p(X),
     --r(s(X))]).

input_clause(c158,conjecture,
    [--ar(X),
     --q(X),
     --r(X),
     --p(X),
     --rr(s(X))]).

input_clause(c159,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --p(X),
     --r(s(X))]).

input_clause(c160,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --p(X),
     --rr(s(X))]).

input_clause(c161,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --p(X),
     --r(s(X))]).

input_clause(c162,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --p(X),
     ++rr(s(X))]).

input_clause(c163,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --p(X),
     --r(s(X))]).

input_clause(c164,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --p(X),
     --rr(s(X))]).

input_clause(c165,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++r(s(X))]).

input_clause(c166,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++rr(s(X))]).

input_clause(c167,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     ++p(X),
     ++r(s(X))]).

input_clause(c168,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     ++p(X),
     --rr(s(X))]).

input_clause(c169,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     --r(s(X))]).

input_clause(c170,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     ++rr(s(X))]).

input_clause(c171,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++p(X),
     --pp(X),
     --r(s(X))]).

input_clause(c172,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++p(X),
     --pp(X),
     --rr(s(X))]).

input_clause(c173,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     ++r(s(X))]).

input_clause(c174,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     ++rr(s(X))]).

input_clause(c175,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --p(X),
     --pp(X),
     ++r(s(X))]).

input_clause(c176,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --p(X),
     --pp(X),
     --rr(s(X))]).

input_clause(c177,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++p(X),
     ++r(s(X))]).

input_clause(c178,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++p(X),
     ++rr(s(X))]).

input_clause(c179,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     --r(s(X))]).

input_clause(c180,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     ++rr(s(X))]).

input_clause(c181,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     ++r(s(X))]).

input_clause(c182,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     ++rr(s(X))]).

input_clause(c183,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --p(X),
     --r(s(X))]).

input_clause(c184,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --p(X),
     ++rr(s(X))]).

input_clause(c185,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     ++r(s(X))]).

input_clause(c186,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     --rr(s(X))]).

input_clause(c187,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     --r(s(X))]).

input_clause(c188,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     --rr(s(X))]).

input_clause(c189,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     ++r(s(X))]).

input_clause(c190,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     --rr(s(X))]).

input_clause(c191,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     --r(s(X))]).

input_clause(c192,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     --rr(s(X))]).

input_clause(c193,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     ++r(s(X))]).

input_clause(c194,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     ++rr(s(X))]).

input_clause(c195,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     ++qp(s(X))]).

input_clause(c196,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     ++r(s(X))]).

input_clause(c197,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     ++rr(s(X))]).

input_clause(c198,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     --qp(s(X))]).

input_clause(c199,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     --r(s(X))]).

input_clause(c200,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     ++rr(s(X))]).

input_clause(c201,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     ++qp(s(X))]).

input_clause(c202,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     --r(s(X))]).

input_clause(c203,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     ++rr(s(X))]).

input_clause(c204,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     --qp(s(X))]).

input_clause(c205,conjecture,
    [++ar(X),
     ++r(X),
     --r(s(X))]).

input_clause(c206,conjecture,
    [++ar(X),
     --r(X),
     ++r(s(X))]).

input_clause(c207,conjecture,
    [++ar(X),
     ++rr(X),
     --rr(s(X))]).

input_clause(c208,conjecture,
    [++ar(X),
     --rr(X),
     ++rr(s(X))]).

input_clause(c209,conjecture,
    [++qrp1(X),
     ++qrp2(X),
     ++qrp3(X),
     ++qrp4(X),
     --qp(X),
     ++qp(s(X))]).

input_clause(c210,conjecture,
    [++qrp1(X),
     ++qrp2(X),
     ++qrp3(X),
     ++qrp4(X),
     ++qp(X),
     --qp(s(X))]).

input_clause(c211,conjecture,
    [--ap(X),
     ++r(X),
     ++p(X),
     ++q(X),
     ++p(s(X))]).

input_clause(c212,conjecture,
    [--ap(X),
     ++r(X),
     ++p(X),
     ++q(X),
     --pp(s(X))]).

input_clause(c213,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     ++q(X),
     ++p(s(X))]).

input_clause(c214,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     ++q(X),
     --pp(s(X))]).

input_clause(c215,conjecture,
    [--ap(X),
     --r(X),
     --p(X),
     --q(X),
     --p(s(X))]).

input_clause(c216,conjecture,
    [--ap(X),
     --r(X),
     --p(X),
     --q(X),
     --pp(s(X))]).

input_clause(c217,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     --q(X),
     --p(s(X))]).

input_clause(c218,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     --q(X),
     --pp(s(X))]).

input_clause(c219,conjecture,
    [--ap(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     --q(X),
     --p(s(X))]).

input_clause(c220,conjecture,
    [--ap(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++pp(s(X))]).

input_clause(c221,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     ++p(X),
     --pp(X),
     --q(X),
     --p(s(X))]).

input_clause(c222,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     ++p(X),
     --pp(X),
     --q(X),
     --pp(s(X))]).

input_clause(c223,conjecture,
    [--ap(X),
     --r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++p(s(X))]).

input_clause(c224,conjecture,
    [--ap(X),
     --r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++pp(s(X))]).

input_clause(c225,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++p(s(X))]).

input_clause(c226,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     --p(X),
     --pp(X),
     ++q(X),
     --pp(s(X))]).

input_clause(c227,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --p(s(X))]).

input_clause(c228,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++pp(s(X))]).

input_clause(c229,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --p(s(X))]).

input_clause(c230,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --pp(s(X))]).

input_clause(c231,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++p(s(X))]).

input_clause(c232,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++pp(s(X))]).

input_clause(c233,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     ++p(s(X))]).

input_clause(c234,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     --pp(s(X))]).

input_clause(c235,conjecture,
    [--ap(X),
     --r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++p(s(X))]).

input_clause(c236,conjecture,
    [--ap(X),
     --r(X),
     ++rr(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++pp(s(X))]).

input_clause(c237,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --p(s(X))]).

input_clause(c238,conjecture,
    [--ap(X),
     --r(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     ++pp(s(X))]).

input_clause(c239,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++p(s(X))]).

input_clause(c240,conjecture,
    [--ap(X),
     ++r(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++pp(s(X))]).

input_clause(c241,conjecture,
    [--ap(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     --q(X),
     --p(s(X))]).

input_clause(c242,conjecture,
    [--ap(X),
     ++r(X),
     ++rr(X),
     ++p(X),
     --pp(X),
     --q(X),
     ++pp(s(X))]).

input_clause(c243,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     ++p(s(X))]).

input_clause(c244,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --pp(s(X))]).

input_clause(c245,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --p(s(X))]).

input_clause(c246,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --pp(s(X))]).

input_clause(c247,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++p(s(X))]).

input_clause(c248,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --pp(s(X))]).

input_clause(c249,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --p(s(X))]).

input_clause(c250,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --pp(s(X))]).

input_clause(c251,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++p(s(X))]).

input_clause(c252,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++pp(s(X))]).

input_clause(c253,conjecture,
    [--ap(X),
     ++r(X),
     --rr(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++rq(s(X))]).

input_clause(c254,conjecture,
    [--ap(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     ++p(s(X))]).

input_clause(c255,conjecture,
    [--ap(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     ++pp(s(X))]).

input_clause(c256,conjecture,
    [--ap(X),
     --r(X),
     ++rr(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --rq(s(X))]).

input_clause(c257,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --p(s(X))]).

input_clause(c258,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++pp(s(X))]).

input_clause(c259,conjecture,
    [--ap(X),
     --r(X),
     --rr(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++rq(s(X))]).

input_clause(c260,conjecture,
    [--ap(X),
     ++r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --p(s(X))]).

input_clause(c261,conjecture,
    [--ap(X),
     ++r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++pp(s(X))]).

input_clause(c262,conjecture,
    [--ap(X),
     ++r(X),
     ++rr(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --rq(s(X))]).

input_clause(c263,conjecture,
    [++ap(X),
     ++p(X),
     --p(s(X))]).

input_clause(c264,conjecture,
    [++ap(X),
     --p(X),
     ++p(s(X))]).

input_clause(c265,conjecture,
    [++ap(X),
     ++pp(X),
     --pp(s(X))]).

input_clause(c266,conjecture,
    [++ap(X),
     --pp(X),
     ++pp(s(X))]).

input_clause(c267,conjecture,
    [++rpq1(X),
     ++rpq2(X),
     ++rpq3(X),
     ++rpq4(X),
     --rq(X),
     ++rq(s(X))]).

input_clause(c268,conjecture,
    [++rpq1(X),
     ++rpq2(X),
     ++rpq3(X),
     ++rpq4(X),
     ++rq(X),
     --rq(s(X))]).
%--------------------------------------------------------------------------
