%--------------------------------------------------------------------------
% File     : FLD011-3 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The multiplicative inverse fulfills the involution property
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.50 v2.6.0, 0.67 v2.5.0, 0.40 v2.4.0, 0.80 v2.3.0, 0.67 v2.2.1, 0.67 v2.1.0
% Syntax   : Number of clauses    :   29 (   3 non-Horn;   6 unit;  29 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(not_sum_2,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(not_product_3,conjecture,
    [--product(multiplicative_identity,multiplicative_inverse(
multiplicative_inverse(a)),a)]).
%--------------------------------------------------------------------------
