%--------------------------------------------------------------------------
% File     : FLD013-5 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The resulting equation of the summation of two equations
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational variant with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   37 (   3 non-Horn;  14 unit;  37 RR)
%            Number of literals   :   88 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(b_is_defined,hypothesis,
    [++defined(b)]).

input_clause(c_is_defined,hypothesis,
    [++defined(c)]).

input_clause(d_is_defined,hypothesis,
    [++defined(d)]).

input_clause(u_is_defined,hypothesis,
    [++defined(u)]).

input_clause(v_is_defined,hypothesis,
    [++defined(v)]).

input_clause(sum_7,conjecture,
    [++sum(additive_identity,a,b)]).

input_clause(sum_8,conjecture,
    [++sum(additive_identity,c,d)]).

input_clause(sum_9,conjecture,
    [++sum(a,c,u)]).

input_clause(sum_10,conjecture,
    [++sum(d,b,v)]).

input_clause(not_sum_11,conjecture,
    [--sum(additive_identity,u,v)]).
%--------------------------------------------------------------------------
