%--------------------------------------------------------------------------
% File     : FLD040-5 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If a is not 0, then the multiplicative inverse of a is not 0
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational variant with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.12 v2.6.0, 0.33 v2.5.0, 0.20 v2.3.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   29 (   3 non-Horn;   6 unit;  29 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(not_sum_2,conjecture,
    [--sum(additive_identity,a,additive_identity)]).

input_clause(sum_3,conjecture,
    [++sum(additive_identity,multiplicative_inverse(a),additive_identity)]).
%--------------------------------------------------------------------------
