%--------------------------------------------------------------------------
% File     : FLD041-2 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If a,b are not 0, the the product of a and b is not 0
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   34 (   3 non-Horn;  10 unit;  34 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(b_is_defined,hypothesis,
    [++defined(b)]).

input_clause(c_is_defined,hypothesis,
    [++defined(c)]).

input_clause(a_not_equal_to_additive_identity_4,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(b_not_equal_to_additive_identity_5,conjecture,
    [--equalish(b,additive_identity)]).

input_clause(multiply_equals_c_6,conjecture,
    [++equalish(multiply(a,b),c)]).

input_clause(c_equals_additive_identity_7,conjecture,
    [++equalish(c,additive_identity)]).
%--------------------------------------------------------------------------
