%--------------------------------------------------------------------------
% File     : FLD047-4 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Fraction calculation, part 1
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.33 v2.7.0, 0.50 v2.6.0, 0.67 v2.5.0, 0.60 v2.4.0, 0.80 v2.3.0, 1.00 v2.1.0
% Syntax   : Number of clauses    :   38 (   3 non-Horn;  15 unit;  38 RR)
%            Number of literals   :   89 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(b_is_defined,hypothesis,
    [++defined(b)]).

input_clause(c_is_defined,hypothesis,
    [++defined(c)]).

input_clause(u_is_defined,hypothesis,
    [++defined(u)]).

input_clause(s_is_defined,hypothesis,
    [++defined(s)]).

input_clause(t_is_defined,hypothesis,
    [++defined(t)]).

input_clause(not_sum_7,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(not_sum_8,conjecture,
    [--sum(additive_identity,c,additive_identity)]).

input_clause(product_9,conjecture,
    [++product(a,multiplicative_inverse(b),u)]).

input_clause(product_10,conjecture,
    [++product(a,c,s)]).

input_clause(product_11,conjecture,
    [++product(b,c,t)]).

input_clause(not_product_12,conjecture,
    [--product(s,multiplicative_inverse(t),u)]).
%--------------------------------------------------------------------------
