%--------------------------------------------------------------------------
% File     : FLD078-3 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Side change in an order relation, multiplicative part 1
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   32 (   3 non-Horn;   9 unit;  32 RR)
%            Number of literals   :   83 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(b_is_defined,hypothesis,
    [++defined(b)]).

input_clause(not_sum_3,conjecture,
    [--sum(additive_identity,b,additive_identity)]).

input_clause(less_or_equal_4,conjecture,
    [++less_or_equal(additive_identity,b)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(a,b)]).

input_clause(not_less_or_equal_6,conjecture,
    [--less_or_equal(multiply(a,multiplicative_inverse(b)),
multiplicative_identity)]).
%--------------------------------------------------------------------------
