%--------------------------------------------------------------------------
% File     : FLD081-1 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Two-sided multiplication of two order relations
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   36 (   3 non-Horn;  12 unit;  36 RR)
%            Number of literals   :   82 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(b_is_defined,hypothesis,
    [++defined(b)]).

input_clause(c_is_defined,hypothesis,
    [++defined(c)]).

input_clause(d_is_defined,hypothesis,
    [++defined(d)]).

input_clause(less_or_equal_5,conjecture,
    [++less_or_equal(additive_identity,a)]).

input_clause(less_or_equal_6,conjecture,
    [++less_or_equal(a,b)]).

input_clause(less_or_equal_7,conjecture,
    [++less_or_equal(additive_identity,c)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(c,d)]).

input_clause(not_less_or_equal_9,conjecture,
    [--less_or_equal(multiply(a,c),multiply(d,b))]).
%--------------------------------------------------------------------------
