%--------------------------------------------------------------------------
% File     : GEO024-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : All null segments are congruent
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.5.0, 0.08 v2.4.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   54 (   5 non-Horn;   8 unit;  25 RR)
%            Number of literals   :  134 (  70 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   10 (   5 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : In [Qua89] the previous problem (D6) is omitted.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_congruence,conjecture,
    [--equidistant(u,u,v,v)]).
%--------------------------------------------------------------------------
