%--------------------------------------------------------------------------
% File     : GEO101-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Intensification of GEO100+1
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   72 (  22 non-Horn;   7 unit;  64 RR)
%            Number of literals   :  215 (  49 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   17 (   3 constant; 0-3 arity)
%            Number of variables  :  181 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO101+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(corollary_2_19_67,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(corollary_2_19_68,conjecture,
    [--equal(sk15,sk14)]).

input_clause(corollary_2_19_69,conjecture,
    [++open(sk14)]).

input_clause(corollary_2_19_70,conjecture,
    [++end_point(sk16,sk15)]).

input_clause(corollary_2_19_71,conjecture,
    [++end_point(sk16,sk14)]).

input_clause(corollary_2_19_72,conjecture,
    [--meet(A,sk15,B),
     --equal(sk14,sum(sk15,B)),
     ++equal(sk16,A),
     ++equal(A,C),
     ++equal(sk16,C),
     --end_point(C,B),
     --end_point(C,sk14)]).
%--------------------------------------------------------------------------
