%--------------------------------------------------------------------------
% File     : GEO158+1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Simple curve axioms
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   : satisfiable
% Rating   : 0.83 v2.7.0, 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of formulae    :   34 (   2 unit)
%            Number of atoms       :  116 (  33 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   86 (   4 ~  ;   9  |;  35  &)
%                                         (   9 <=>;  29 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  105 (   0 singleton;  96 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
