%--------------------------------------------------------------------------
% File     : GEO162-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Geometry (Hilbert)
% Problem  : Hilbert geometry axioms, adapted to respect multi-sortedness
% Version  : [Cla03] axioms.
% English  : 

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
%          : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    : 

% Status   : satisfiable
% Rating   : 0.33 v2.7.0
% Syntax   : Number of clauses    :   62 (  18 non-Horn;   2 unit;  50 RR)
%            Number of literals   :  248 (  93 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   1 constant; 0-3 arity)
%            Number of variables  :  164 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Hilbert geometry axioms
include('Axioms/GEO005-0.ax').
include('Axioms/GEO005-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
