%--------------------------------------------------------------------------
% File     : GRP015-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : x,<<x x,X> x,X> is a group
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 224-225 [BL+86]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  326 (  27 non-Horn;  14 unit; 196 RR)
%            Number of literals   :  778 ( 340 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   19 (   0 propositional; 1-5 arity)
%            Number of functors   :   69 (   7 constant; 0-5 arity)
%            Number of variables  :  930 (  32 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_little_set,hypothesis,
    [++little_set(a)]).

input_clause(prove_the_group,conjecture,
    [--group(singleton_set(a),singleton_set(ordered_pair(
ordered_pair(a,a),a)))]).
%--------------------------------------------------------------------------
