%--------------------------------------------------------------------------
% File     : GRP045-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Product subsitution 2 is dependent
% Version  : [Ver92] axioms.
% English  : 

% Refs     : [Ver92] Veroff (1992), Email to G. Sutcliffe
% Source   : [Ver92]
% Names    : - [Ver92]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   6 unit;   7 RR)
%            Number of literals   :   20 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Veroff's minimal axiom set 
include('Axioms/GRP005-0.ax').
%--------------------------------------------------------------------------
input_clause(a_equals_b,hypothesis,
    [++equalish(a,b)]).

input_clause(product_with_a,hypothesis,
    [++product(c,a,result)]).

input_clause(prove_product_with_b,conjecture,
    [--product(c,b,result)]).
%--------------------------------------------------------------------------
