%--------------------------------------------------------------------------
% File     : GRP393-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory (Semigroups)
% Problem  : Semigroup axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Ver93] Veroff (1993), Email to G. Sutcliffe
% Source   : [MOW76]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   2 unit;   8 RR)
%            Number of literals   :   31 (  14 equality)
%            Maximal clause size  :    4 (   3 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   42 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Semigroup axioms
include('Axioms/GRP002-0.ax').
include('Axioms/GRP002-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
