%--------------------------------------------------------------------------
% File     : GRP393-2 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory (Semigroups)
% Problem  : Semigroups axioms
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :    6 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :   11 (  11 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Semigroups axioms
include('Axioms/GRP008-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
