%--------------------------------------------------------------------------
% File     : HEN012-3 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= X
% Version  : [MOW76] axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : new.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.11 v2.7.0, 0.00 v2.6.0, 0.14 v2.5.0, 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   6 unit;   8 RR)
%            Number of literals   :   28 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   31 (   3 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_a_LE_a,conjecture,
    [--less_equal(a,a)]).
%--------------------------------------------------------------------------
