%--------------------------------------------------------------------------
% File     : HEN013-3 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Henkin Models
% Problem  : Henkin model (equality) axioms
% Version  : [MOW76] (equality) axioms :
%            Reduced > Complete.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   5 unit;   3 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   21 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model (equality) axioms
include('Axioms/HEN003-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
