%--------------------------------------------------------------------------
% File     : LAT061-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Weakly Associative Lattices theory (equality) axioms
% Version  : [McC98b] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   7 unit;   2 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   0 constant; 2-2 arity)
%            Number of variables  :   30 (   4 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Weakly Associative Lattices theory (equality) axioms
include('Axioms/LAT005-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
