%--------------------------------------------------------------------------
% File     : LCL328-3 : TPTP v2.7.0. Released v2.3.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 5.23
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [WR27]
% Names    : Problem 5.23 [WR27]

% Status   : unknown
% Rating   : 1.00 v2.3.0
% Syntax   : Number of clauses    :   25 (   0 non-Horn;  10 unit;   8 RR)
%            Number of literals   :   44 (  29 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   2 constant; 0-2 arity)
%            Number of variables  :   56 (   1 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms of propositional logic 
include('Axioms/LCL004-0.ax').
include('Axioms/LCL004-0.eq').
include('Axioms/LCL004-1.ax').
include('Axioms/LCL004-1.eq').
include('Axioms/LCL004-2.ax').
include('Axioms/LCL004-2.eq').
%--------------------------------------------------------------------------
input_clause(prove_this,conjecture,
    [--theorem(equivalent(equivalent(p,q),or(and(p,q),and(not(p),not(q)))))]).
%--------------------------------------------------------------------------
