%--------------------------------------------------------------------------
% File     : LCL411-2 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Propositional logic deduction axioms
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [WR27]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   18 (   0 non-Horn;   7 unit;   7 RR)
%            Number of literals   :   33 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    3 (   0 constant; 1-2 arity)
%            Number of variables  :   40 (   1 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Propositional logic deduction axioms
include('Axioms/LCL004-0.ax').
include('Axioms/LCL004-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
