%--------------------------------------------------------------------------
% File     : NLP043-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Mia ordered a shake, problem 2
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Mia ordered a shake. It cost five dollars."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   46 (  18 non-Horn;   2 unit;  39 RR)
%            Number of literals   :  167 (   0 equality)
%            Maximal clause size  :   18 (   3 average)
%            Number of predicates :   21 (   1 propositional; 0-3 arity)
%            Number of functors   :   16 (  12 constant; 0-3 arity)
%            Number of variables  :   69 (  22 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP043+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc33)]).

input_clause(clause2,conjecture,
    [++actual_world(skc12)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++group(skc33,skc34)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++five(skc33,skc34)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++mia_forename(skc33,skc37)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++forename(skc33,skc37)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++woman(skc33,skc38)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++event(skc33,skc35)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++past(skc33,skc35)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++nonreflexive(skc33,skc35)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++order(skc33,skc35)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++shake_beverage(skc33,skc36)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++nonhuman(skc33,skc36)]).

input_clause(clause14,conjecture,
    [--ssSkC0,
     ++group(skc12,skc13)]).

input_clause(clause15,conjecture,
    [--ssSkC0,
     ++five(skc12,skc13)]).

input_clause(clause16,conjecture,
    [--ssSkC0,
     ++mia_forename(skc12,skc16)]).

input_clause(clause17,conjecture,
    [--ssSkC0,
     ++forename(skc12,skc16)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++woman(skc12,skc17)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++nonhuman(skc12,skc14)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++event(skc12,skc14)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++past(skc12,skc14)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++nonreflexive(skc12,skc14)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++order(skc12,skc14)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++shake_beverage(skc12,skc15)]).

input_clause(clause25,conjecture,
    [++ssSkC0,
     ++agent(skc33,skc35,skc38)]).

input_clause(clause26,conjecture,
    [++ssSkC0,
     ++of(skc33,skc37,skc38)]).

input_clause(clause27,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc36,skc34,skc33)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++patient(skc33,skc35,skc36)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++agent(skc12,skc14,skc17)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++of(skc12,skc16,skc17)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc14,skc13,skc12)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++patient(skc12,skc14,skc15)]).

input_clause(clause33,conjecture,
    [--member(skc33,U,skc34),
     ++ssSkC0,
     ++dollar(skc33,U)]).

input_clause(clause34,conjecture,
    [--member(skc12,U,skc13),
     --ssSkC0,
     ++dollar(skc12,U)]).

input_clause(clause35,conjecture,
    [++ssSkP0(U,V,W),
     ++member(W,skf8(U,W,V),V)]).

input_clause(clause36,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,W,U),
     ++event(U,skf6(U,Y,Z))]).

input_clause(clause37,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,W,U),
     ++present(U,skf6(U,Y,Z))]).

input_clause(clause38,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,W,U),
     ++nonreflexive(U,skf6(U,Y,Z))]).

input_clause(clause39,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,W,U),
     ++cost(U,skf6(U,Y,Z))]).

input_clause(clause40,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,W,U),
     ++agent(U,skf6(U,V,X),X)]).

input_clause(clause41,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,W,U),
     ++patient(U,skf6(U,V,Y),V)]).

input_clause(clause42,conjecture,
    [--cost(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf8(W,U,X)),
     --agent(U,V,W),
     --event(U,V),
     ++ssSkP0(W,Y,U)]).

input_clause(clause43,conjecture,
    [--group(U,V),
     --five(U,V),
     --mia_forename(U,W),
     --forename(U,W),
     --agent(U,X,Y),
     --woman(U,Y),
     --of(U,W,Y),
     --nonhuman(U,X),
     --event(U,X),
     --past(U,X),
     --nonreflexive(U,X),
     --order(U,X),
     --ssSkP0(X,V,U),
     --patient(U,X,Z),
     --shake_beverage(U,Z),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf10(U,V),V)]).

input_clause(clause44,conjecture,
    [--dollar(U,skf10(U,V)),
     --group(U,W),
     --five(U,W),
     --mia_forename(U,X),
     --forename(U,X),
     --agent(U,Y,Z),
     --woman(U,Z),
     --of(U,X,Z),
     --nonhuman(U,Y),
     --event(U,Y),
     --past(U,Y),
     --nonreflexive(U,Y),
     --order(U,Y),
     --ssSkP0(Y,W,U),
     --patient(U,Y,X1),
     --shake_beverage(U,X1),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause45,conjecture,
    [--group(U,V),
     --five(U,V),
     --mia_forename(U,W),
     --forename(U,W),
     --agent(U,X,Y),
     --woman(U,Y),
     --of(U,W,Y),
     --event(U,X),
     --past(U,X),
     --nonreflexive(U,X),
     --order(U,X),
     --ssSkP0(Z,V,U),
     --patient(U,X,Z),
     --shake_beverage(U,Z),
     --nonhuman(U,Z),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf5(U,V),V)]).

input_clause(clause46,conjecture,
    [--dollar(U,skf5(U,V)),
     --group(U,W),
     --five(U,W),
     --mia_forename(U,X),
     --forename(U,X),
     --agent(U,Y,Z),
     --woman(U,Z),
     --of(U,X,Z),
     --event(U,Y),
     --past(U,Y),
     --nonreflexive(U,Y),
     --order(U,Y),
     --ssSkP0(X1,W,U),
     --patient(U,Y,X1),
     --shake_beverage(U,X1),
     --nonhuman(U,X1),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
