%--------------------------------------------------------------------------
% File     : NLP134-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 21
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   54 (  23 non-Horn;   2 unit;  49 RR)
%            Number of literals   :  199 (   0 equality)
%            Maximal clause size  :   23 (   3 average)
%            Number of predicates :   27 (   1 propositional; 0-4 arity)
%            Number of functors   :   17 (  12 constant; 0-2 arity)
%            Number of variables  :   52 (   7 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP134+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc31)]).

input_clause(clause2,conjecture,
    [++actual_world(skc12)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++city(skc31,skc35)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++chevy(skc31,skc35)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++white(skc31,skc35)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++dirty(skc31,skc35)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++old(skc31,skc35)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++placename(skc31,skc36)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++hollywood_placename(skc31,skc36)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++event(skc31,skc33)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++present(skc31,skc33)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++barrel(skc31,skc33)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++lonely(skc31,skc34)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++street(skc31,skc34)]).

input_clause(clause15,conjecture,
    [++ssSkC0,
     ++group(skc31,skc32)]).

input_clause(clause16,conjecture,
    [++ssSkC0,
     ++two(skc31,skc32)]).

input_clause(clause17,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc32,skc31)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++event(skc12,skc14)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++present(skc12,skc14)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++barrel(skc12,skc14)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++old(skc12,skc17)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++dirty(skc12,skc17)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++white(skc12,skc17)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++chevy(skc12,skc17)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++lonely(skc12,skc15)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++street(skc12,skc15)]).

input_clause(clause27,conjecture,
    [--ssSkC0,
     ++city(skc12,skc15)]).

input_clause(clause28,conjecture,
    [--ssSkC0,
     ++hollywood_placename(skc12,skc16)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++placename(skc12,skc16)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++group(skc12,skc13)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++two(skc12,skc13)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc13,skc12)]).

input_clause(clause33,conjecture,
    [++ssSkC0,
     ++agent(skc31,skc33,skc35)]).

input_clause(clause34,conjecture,
    [++ssSkC0,
     ++in(skc31,skc33,skc35)]).

input_clause(clause35,conjecture,
    [++ssSkC0,
     ++of(skc31,skc36,skc35)]).

input_clause(clause36,conjecture,
    [++ssSkC0,
     ++down(skc31,skc33,skc34)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++agent(skc12,skc14,skc17)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++in(skc12,skc14,skc15)]).

input_clause(clause39,conjecture,
    [--ssSkC0,
     ++down(skc12,skc14,skc15)]).

input_clause(clause40,conjecture,
    [--ssSkC0,
     ++of(skc12,skc16,skc15)]).

input_clause(clause41,conjecture,
    [++ssSkP0(U,V),
     ++member(V,skf11(V,U),U)]).

input_clause(clause42,conjecture,
    [--member(skc31,U,skc32),
     ++ssSkC0,
     ++fellow(skc31,U)]).

input_clause(clause43,conjecture,
    [--member(skc31,U,skc32),
     ++ssSkC0,
     ++young(skc31,U)]).

input_clause(clause44,conjecture,
    [--member(skc12,U,skc13),
     --ssSkC0,
     ++fellow(skc12,U)]).

input_clause(clause45,conjecture,
    [--member(skc12,U,skc13),
     --ssSkC0,
     ++young(skc12,U)]).

input_clause(clause46,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++state(U,skf8(U,X))]).

input_clause(clause47,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++frontseat(U,skf7(U,X))]).

input_clause(clause48,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++in(U,skf7(U,X),skf7(U,X))]).

input_clause(clause49,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++be(U,skf8(U,V),V,skf7(U,V))]).

input_clause(clause50,conjecture,
    [--frontseat(U,V),
     --in(U,V,V),
     --be(U,W,skf11(U,X),V),
     --state(U,W),
     ++ssSkP0(Y,U)]).

input_clause(clause51,conjecture,
    [--event(U,V),
     --present(U,V),
     --barrel(U,V),
     --agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --in(U,V,X),
     --down(U,V,X),
     --lonely(U,X),
     --street(U,X),
     --city(U,X),
     --of(U,Y,X),
     --hollywood_placename(U,Y),
     --placename(U,Y),
     --group(U,Z),
     --two(U,Z),
     --ssSkP0(Z,U),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf13(U,Z),Z)]).

input_clause(clause52,conjecture,
    [--city(U,V),
     --chevy(U,V),
     --white(U,V),
     --dirty(U,V),
     --old(U,V),
     --agent(U,W,V),
     --in(U,W,V),
     --placename(U,X),
     --hollywood_placename(U,X),
     --of(U,X,V),
     --event(U,W),
     --present(U,W),
     --barrel(U,W),
     --down(U,W,Y),
     --lonely(U,Y),
     --street(U,Y),
     --group(U,Z),
     --two(U,Z),
     --ssSkP0(Z,U),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf6(U,Z),Z)]).

input_clause(clause53,conjecture,
    [--event(U,V),
     --present(U,V),
     --barrel(U,V),
     --agent(U,V,W),
     --old(U,W),
     --dirty(U,W),
     --white(U,W),
     --chevy(U,W),
     --in(U,V,X),
     --down(U,V,X),
     --lonely(U,X),
     --street(U,X),
     --city(U,X),
     --of(U,Y,X),
     --hollywood_placename(U,Y),
     --placename(U,Y),
     --young(U,skf13(U,Z)),
     --fellow(U,skf13(U,Z)),
     --group(U,X1),
     --two(U,X1),
     --ssSkP0(X1,U),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause54,conjecture,
    [--city(U,V),
     --chevy(U,V),
     --white(U,V),
     --dirty(U,V),
     --old(U,V),
     --agent(U,W,V),
     --in(U,W,V),
     --placename(U,X),
     --hollywood_placename(U,X),
     --of(U,X,V),
     --event(U,W),
     --present(U,W),
     --barrel(U,W),
     --down(U,W,Y),
     --lonely(U,Y),
     --street(U,Y),
     --young(U,skf6(U,Z)),
     --fellow(U,skf6(U,Z)),
     --group(U,X1),
     --two(U,X1),
     --ssSkP0(X1,U),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
