%--------------------------------------------------------------------------
% File     : NLP222-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 3
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Vincent believes that every man smokes. Jules is a man."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of clauses    :   49 (  22 non-Horn;   2 unit;  43 RR)
%            Number of literals   :  184 (   0 equality)
%            Maximal clause size  :   24 (   3 average)
%            Number of predicates :   17 (   1 propositional; 0-4 arity)
%            Number of functors   :   21 (  17 constant; 0-1 arity)
%            Number of variables  :   50 (  12 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP222+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc29)]).

input_clause(clause2,conjecture,
    [++actual_world(skc17)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++proposition(skc29,skc33)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++accessible_world(skc29,skc33)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++think_believe_consider(skc29,skc34)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++present(skc29,skc34)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++event(skc29,skc34)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++vincent_forename(skc29,skc35)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++forename(skc29,skc35)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++man(skc29,skc36)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++state(skc29,skc30)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++man(skc29,skc31)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++forename(skc29,skc32)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++jules_forename(skc29,skc32)]).

input_clause(clause15,conjecture,
    [--ssSkC0,
     ++proposition(skc17,skc22)]).

input_clause(clause16,conjecture,
    [--ssSkC0,
     ++accessible_world(skc17,skc22)]).

input_clause(clause17,conjecture,
    [--ssSkC0,
     ++think_believe_consider(skc17,skc23)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++present(skc17,skc23)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++event(skc17,skc23)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++vincent_forename(skc17,skc24)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++forename(skc17,skc24)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++man(skc17,skc25)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++state(skc17,skc18)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++man(skc17,skc19)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++jules_forename(skc17,skc20)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++forename(skc17,skc20)]).

input_clause(clause27,conjecture,
    [--ssSkC0,
     ++man(skc17,skc21)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++theme(skc29,skc34,skc33)]).

input_clause(clause29,conjecture,
    [++ssSkC0,
     ++agent(skc29,skc34,skc36)]).

input_clause(clause30,conjecture,
    [++ssSkC0,
     ++of(skc29,skc35,skc36)]).

input_clause(clause31,conjecture,
    [++ssSkC0,
     ++of(skc29,skc32,skc31)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++theme(skc17,skc23,skc22)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++agent(skc17,skc23,skc25)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++of(skc17,skc24,skc25)]).

input_clause(clause35,conjecture,
    [--ssSkC0,
     ++of(skc17,skc20,skc21)]).

input_clause(clause36,conjecture,
    [++ssSkC0,
     ++be(skc29,skc30,skc31,skc31)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++be(skc17,skc18,skc21,skc19)]).

input_clause(clause38,conjecture,
    [--man(skc33,U),
     ++ssSkC0,
     ++event(skc33,skf9(V))]).

input_clause(clause39,conjecture,
    [--man(skc33,U),
     ++ssSkC0,
     ++present(skc33,skf9(V))]).

input_clause(clause40,conjecture,
    [--man(skc33,U),
     ++ssSkC0,
     ++smoke(skc33,skf9(V))]).

input_clause(clause41,conjecture,
    [--man(skc22,U),
     --ssSkC0,
     ++event(skc22,skf5(V))]).

input_clause(clause42,conjecture,
    [--man(skc22,U),
     --ssSkC0,
     ++present(skc22,skf5(V))]).

input_clause(clause43,conjecture,
    [--man(skc22,U),
     --ssSkC0,
     ++smoke(skc22,skf5(V))]).

input_clause(clause44,conjecture,
    [--man(skc33,U),
     ++ssSkC0,
     ++agent(skc33,skf9(U),U)]).

input_clause(clause45,conjecture,
    [--man(skc22,U),
     --ssSkC0,
     ++agent(skc22,skf5(U),U)]).

input_clause(clause46,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --think_believe_consider(U,W),
     --present(U,W),
     --event(U,W),
     --theme(U,W,V),
     --vincent_forename(U,X),
     --forename(U,X),
     --agent(U,W,Y),
     --man(U,Y),
     --of(U,X,Y),
     --state(U,Z),
     --man(U,X1),
     --be(U,Z,X1,X1),
     --forename(U,X2),
     --jules_forename(U,X2),
     --of(U,X2,X1),
     --actual_world(U),
     --ssSkC0,
     ++man(V,skf7(V))]).

input_clause(clause47,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --think_believe_consider(U,W),
     --present(U,W),
     --event(U,W),
     --theme(U,W,V),
     --vincent_forename(U,X),
     --forename(U,X),
     --agent(U,W,Y),
     --man(U,Y),
     --of(U,X,Y),
     --state(U,Z),
     --man(U,X1),
     --jules_forename(U,X2),
     --forename(U,X2),
     --be(U,Z,X3,X1),
     --man(U,X3),
     --of(U,X2,X3),
     --actual_world(U),
     ++ssSkC0,
     ++man(V,skf11(V))]).

input_clause(clause48,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --smoke(V,W),
     --present(V,W),
     --agent(V,W,skf7(V)),
     --event(V,W),
     --think_believe_consider(U,X),
     --present(U,X),
     --event(U,X),
     --theme(U,X,V),
     --vincent_forename(U,Y),
     --forename(U,Y),
     --agent(U,X,Z),
     --man(U,Z),
     --of(U,Y,Z),
     --state(U,X1),
     --man(U,X2),
     --be(U,X1,X2,X2),
     --forename(U,X3),
     --jules_forename(U,X3),
     --of(U,X3,X2),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause49,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --smoke(V,W),
     --present(V,W),
     --agent(V,W,skf11(V)),
     --event(V,W),
     --think_believe_consider(U,X),
     --present(U,X),
     --event(U,X),
     --theme(U,X,V),
     --vincent_forename(U,Y),
     --forename(U,Y),
     --agent(U,X,Z),
     --man(U,Z),
     --of(U,Y,Z),
     --state(U,X1),
     --man(U,X2),
     --jules_forename(U,X3),
     --forename(U,X3),
     --be(U,X1,X4,X2),
     --man(U,X4),
     --of(U,X3,X4),
     --actual_world(U),
     ++ssSkC0]).
%--------------------------------------------------------------------------
