%--------------------------------------------------------------------------
% File     : PUZ047-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Taking the wolf, goat, and cabbage across river
% Version  : Especial.
% English  : 

% Refs     : [And97] Andrews (1994), Email to G. Sutcliffe
% Source   : [And97]
% Names    : THM100 [And97]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;   2 unit;  16 RR)
%            Number of literals   :   30 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    1 (   0 propositional; 5-5 arity)
%            Number of functors   :    7 (   3 constant; 0-1 arity)
%            Number of variables  :   19 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(thm100_1,conjecture,
    [++p(south,south,south,south,start)]).

input_clause(thm100_2,conjecture,
    [++p(north,north,south,north,go_alone(A)),
     --p(south,north,south,north,A)]).

input_clause(thm100_3,conjecture,
    [++p(south,north,south,north,go_alone(A)),
     --p(north,north,south,north,A)]).

input_clause(thm100_4,conjecture,
    [++p(north,south,north,south,go_alone(A)),
     --p(south,south,north,south,A)]).

input_clause(thm100_5,conjecture,
    [++p(south,south,north,south,go_alone(A)),
     --p(north,south,north,south,A)]).

input_clause(thm100_6,conjecture,
    [++p(north,north,south,north,take_wolf(A)),
     --p(south,south,south,north,A)]).

input_clause(thm100_7,conjecture,
    [++p(south,south,south,north,take_wolf(A)),
     --p(north,north,south,north,A)]).

input_clause(thm100_8,conjecture,
    [++p(north,north,north,south,take_wolf(A)),
     --p(south,south,north,south,A)]).

input_clause(thm100_9,conjecture,
    [++p(south,south,north,south,take_wolf(A)),
     --p(north,north,north,south,A)]).

input_clause(thm100_10,conjecture,
    [++p(north,A,north,B,take_goat(C)),
     --p(south,A,south,B,C)]).

input_clause(thm100_11,conjecture,
    [++p(south,A,south,B,take_goat(C)),
     --p(north,A,north,B,C)]).

input_clause(thm100_12,conjecture,
    [++p(north,north,south,north,take_cabbage(A)),
     --p(south,north,south,south,A)]).

input_clause(thm100_13,conjecture,
    [++p(south,north,south,south,take_cabbage(A)),
     --p(north,north,south,north,A)]).

input_clause(thm100_14,conjecture,
    [++p(north,south,north,north,take_cabbage(A)),
     --p(south,south,north,south,A)]).

input_clause(thm100_15,conjecture,
    [++p(south,south,north,south,take_cabbage(A)),
     --p(north,south,north,north,A)]).

input_clause(thm100_16,conjecture,
    [--p(north,north,north,north,A)]).
%--------------------------------------------------------------------------
