%--------------------------------------------------------------------------
% File     : ROB028-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Robbins algebra
% Problem  : Robbins algebra axioms
% Version  : [Win90] (equality) axioms.
% English  : 

% Refs     : [HMT71] Henkin et al. (1971), Cylindrical Algebras
%          : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [OTTER]
% Names    : Lemma 2.2 [Win90]

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   0 constant; 1-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Robbins algebra axioms
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
