%--------------------------------------------------------------------------
% File     : ROB029-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Robbins Algebra
% Problem  : Robbins algebra numbers axioms
% Version  : [Win90] (equality) axioms.
% English  : 

% Refs     : [HMT71] Henkin et al. (1971), Cylindrical Algebras
%          : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;   6 unit;   7 RR)
%            Number of literals   :   30 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   35 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Robbins algebra axioms
include('Axioms/ROB001-0.ax').
%----Include Robbins algebra numbers axioms
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
