%--------------------------------------------------------------------------
% File     : SET122+1 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory
% Problem  : Corollary 4 to components of equal ordered pairs being equal
% Version  : [Qua92] axioms : Reduced & Augmented > Complete.
% English  :

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
% Source   : [Qua92]
% Names    :

% Status   : theorem
% Rating   : 1.00 v2.2.1
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   95 (  17 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   58 (   5 ~  ;   4  |;  23  &)
%                                         (  18 <=>;   8 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   26 (   5 constant; 0-3 arity)
%            Number of variables   :   84 (   0 singleton;  80 !;   4 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include set theory axioms
include('Axioms/SET005+0.ax').
%--------------------------------------------------------------------------
%----OP11: Corollary
input_formula(corollary_2_to_OP_determines_components2,conjecture,(
    ! [X,Y] : 
      ( member(Y,universal_class)
      | equal(second(ordered_pair(X,Y)),ordered_pair(X,Y)) )   )).
%--------------------------------------------------------------------------
