%--------------------------------------------------------------------------
% File     : SET764+4 : TPTP v2.7.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : The inverse image of empty set is empty 
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.56 v2.7.0, 0.33 v2.6.0, 0.43 v2.5.0, 0.38 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  352 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  240 (   2 ~  ;   2  |; 103  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  508 (   0 singleton; 499 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thIIa14,conjecture,(
    ! [F,A,B] : 
      ( maps(F,A,B)
     => equal_set(inverse_image2(F,empty_set),empty_set) )   )).
%--------------------------------------------------------------------------
