%--------------------------------------------------------------------------
% File     : SET785+1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Set Theory
% Problem  : Equivalence relation axioms for the SET006+0 set theory axioms
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : satisfiable
% Rating   : 0.83 v2.7.0, 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of formulae    :   48 (   2 unit)
%            Number of atoms       :  146 (  54 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :  101 (   3 ~  ;   2  |;  36  &)
%                                         (  15 <=>;  45 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 2-3 arity)
%            Number of functors    :   10 (   1 constant; 0-3 arity)
%            Number of variables   :  149 (   0 singleton; 145 !;   4 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Naive set theory axioms based on Goedel's set theory
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include Equivalence relation axioms for the SET006+0 set theory axioms
include('Axioms/SET006+2.ax').
include('Axioms/SET006+2.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
