%--------------------------------------------------------------------------
% File     : SYN012-1 : TPTP v2.7.0. Released v1.1.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate Model Elimination
% Version  : Biased.
% English  : 

% Refs     : [Lov68] Loveland (1968), Mechanical Theorem Proving by Model E
% Source   : [Lov68]
% Names    : Example [Lov68]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.12 v2.0.0
% Syntax   : Number of clauses    :    7 (   2 non-Horn;   0 unit;   5 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Biased towards ME.
%--------------------------------------------------------------------------
%----exists(X,exists(Y,forall(Z,((bf(X,Y) -> (bf(X,Z) <-> bg(Y,Z))) 
%----& (bf(X,Y) <-> (bf(Z,Z) -> bg(Z,Z)))) -> (bg(Z,Y) <-> bg(Z,Z))))) 
input_clause(clause_1,conjecture,
    [--big_f(X,Y),
     --big_f(X,g(X,Y)),
     ++big_g(Y,g(X,Y))]).

input_clause(clause_2,conjecture,
    [--big_f(X,Y),
     ++big_f(X,g(X,Y)),
     --big_g(Y,g(X,Y))]).

input_clause(clause_3,conjecture,
    [--big_f(X,Y),
     --big_f(g(X,Y),g(X,Y)),
     ++big_g(g(X,Y),g(X,Y))]).

input_clause(clause_4,conjecture,
    [++big_f(X,Y),
     ++big_f(g(X,Y),g(X,Y))]).

input_clause(clause_5,conjecture,
    [++big_f(X,Y),
     --big_g(g(X,Y),g(X,Y))]).

input_clause(clause_6,conjecture,
    [++big_g(X,Y),
     ++big_g(g(X,Y),g(X,Y))]).

input_clause(clause_7,conjecture,
    [--big_g(X,Y),
     --big_g(g(X,Y),g(X,Y))]).
%--------------------------------------------------------------------------
