%--------------------------------------------------------------------------
% File     : SYN036-3 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Andrews Challenge Problem
% Version  : Especial.
%            Theorem formulation : Different clausal form.
% English  : 

% Refs     : [DeC79] DeChampeaux (1979), Sub-problem Finder and Instance Ch
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [AZ89]  Angshuman & Zhang (1989), Andrews' Challenge Problem: 
% Source   : [AZ89]
% Names    : Problem 9 [AZ89]

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.25 v2.6.0, 0.00 v2.5.0, 0.20 v2.4.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   36 (  11 non-Horn;   0 unit;  30 RR)
%            Number of literals   :  104 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   12 (   8 propositional; 0-1 arity)
%            Number of functors   :    8 (   6 constant; 0-1 arity)
%            Number of variables  :   18 (  10 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--n2,
     --n9,
     --n6,
     --n10]).

input_clause(clause_2,conjecture,
    [--n2,
     --n9,
     ++n6,
     ++n10]).

input_clause(clause_3,conjecture,
    [++n2,
     ++n9,
     --n6,
     --n10]).

input_clause(clause_4,conjecture,
    [++n2,
     ++n9,
     ++n6,
     ++n10]).

input_clause(clause_5,conjecture,
    [--n2,
     ++n9,
     --n6,
     ++n10]).

input_clause(clause_6,conjecture,
    [--n2,
     ++n9,
     ++n6,
     --n10]).

input_clause(clause_7,conjecture,
    [++n2,
     --n9,
     --n6,
     ++n10]).

input_clause(clause_8,conjecture,
    [++n2,
     --n9,
     ++n6,
     --n10]).

input_clause(clause_9,conjecture,
    [--p(s8),
     ++n8]).

input_clause(clause_10,conjecture,
    [--n8,
     ++p(X8)]).

input_clause(clause_11,conjecture,
    [--p(X7),
     ++n7]).

input_clause(clause_12,conjecture,
    [--n7,
     ++p(s7)]).

input_clause(clause_13,conjecture,
    [--n5(X6),
     ++n6]).

input_clause(clause_14,conjecture,
    [--n6,
     ++n5(s6)]).

input_clause(clause_15,conjecture,
    [--q(X),
     --q(s5(X)),
     ++n5(X)]).

input_clause(clause_16,conjecture,
    [++q(X),
     ++q(s5(X)),
     ++n5(X)]).

input_clause(clause_17,conjecture,
    [--n5(X),
     --q(X),
     ++q(X5)]).

input_clause(clause_18,conjecture,
    [--n5(X),
     ++q(X),
     --q(X5)]).

input_clause(clause_19,conjecture,
    [--q(s4),
     ++n4]).

input_clause(clause_20,conjecture,
    [--n4,
     ++q(X4)]).

input_clause(clause_21,conjecture,
    [--q(X3),
     ++n3]).

input_clause(clause_22,conjecture,
    [--n3,
     ++q(s3)]).

input_clause(clause_23,conjecture,
    [--n1(X2),
     ++n2]).

input_clause(clause_24,conjecture,
    [--n2,
     ++n1(s2)]).

input_clause(clause_25,conjecture,
    [--p(X),
     --p(s1(X)),
     ++n1(X)]).

input_clause(clause_26,conjecture,
    [++p(X),
     ++p(s1(X)),
     ++n1(X)]).

input_clause(clause_27,conjecture,
    [--n1(X),
     --p(X),
     ++p(X1)]).

input_clause(clause_28,conjecture,
    [--n1(X),
     ++p(X),
     --p(X1)]).

input_clause(clause_29,conjecture,
    [--n3,
     --n4,
     ++n9]).

input_clause(clause_30,conjecture,
    [++n3,
     ++n4,
     ++n9]).

input_clause(clause_31,conjecture,
    [--n3,
     ++n4,
     --n9]).

input_clause(clause_32,conjecture,
    [++n3,
     --n4,
     --n9]).

input_clause(clause_33,conjecture,
    [--n7,
     --n8,
     ++n10]).

input_clause(clause_34,conjecture,
    [++n7,
     ++n8,
     ++n10]).

input_clause(clause_35,conjecture,
    [--n7,
     ++n8,
     --n10]).

input_clause(clause_36,conjecture,
    [++n7,
     --n8,
     --n10]).
%--------------------------------------------------------------------------
