%--------------------------------------------------------------------------
% File     : SYN040-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 1
% Version  : Especial.
% English  : A biconditional version of the 'most difficult' theorem 
%            proved by the original Logic Theorist.

% Refs     : [NSS63] Newell et al. (1963), Empirical Explorations with the 
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 1 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    2 (   2 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : [NSS63] first appeared in 1957, as cited in [Pel86]. The 1963
%            version is a reprint.
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p,++q]).

input_clause(clause_2,conjecture,
    [--q,++p]).

input_clause(clause_3,conjecture,
    [--q]).

input_clause(clause_4,conjecture,
    [++p]).
%--------------------------------------------------------------------------
