%--------------------------------------------------------------------------
% File     : SYN303-1 : TPTP v2.7.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : Especial.
% English  : 

% Refs     : [BCP94] Bourely et al. (1994), A Method for Building Models Au
% Source   : [BCP94]
% Names    : Example 1 [BCP94]

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.20 v2.6.0, 0.25 v2.5.0, 0.50 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :    8 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - clause4 corrected
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++p(X,X)]).

input_clause(clause2,conjecture,
    [--p(X,Y),
     ++p(Y,X)]).

input_clause(clause3,conjecture,
    [++p(X,Y),
     --p(f(X),f(Y))]).

input_clause(clause4,conjecture,
    [--p(X,Y),
     ++p(f(X),f(Y))]).

input_clause(clause5,conjecture,
    [--p(a,f(X))]).
%--------------------------------------------------------------------------
