%--------------------------------------------------------------------------
% File     : SYN330-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (2)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch14N2 [Tam94]

% Status   : satisfiable
% Rating   : 0.29 v2.7.0, 0.00 v2.6.0, 0.25 v2.5.0, 0.33 v2.2.1, 0.50 v2.2.0, 0.67 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   1 non-Horn;   0 unit;   7 RR)
%            Number of literals   :   16 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   16 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(X,z(X,Y)),
     --f(z(X,Y),Y)]).

input_clause(clause2,conjecture,
    [--f(X,z(X,Y)),
     ++f(z(X,Y),Y)]).

input_clause(clause3,conjecture,
    [++f(z(X,Y),Y),
     --f(z(X,Y),z(X,Y))]).

input_clause(clause4,conjecture,
    [--f(z(X,Y),Y),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause5,conjecture,
    [++f(X,Y),
     --f(Y,X)]).

input_clause(clause6,conjecture,
    [--f(Y,X),
     ++f(X,Y)]).

input_clause(clause7,conjecture,
    [++f(X,Y),
     ++f(X,z(X,Y))]).

input_clause(clause8,conjecture,
    [--f(X,Y),
     --f(X,z(X,Y))]).
%--------------------------------------------------------------------------
