%--------------------------------------------------------------------------
% File     : SYN331-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.14 (3)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch14N3 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   1 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   14 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(X,z(X,Y))]).

input_clause(clause2,conjecture,
    [++f(Y,z(X,Y))]).

input_clause(clause3,conjecture,
    [++f(X,Y),
     --f(z(X,Y),z(X,Y))]).

input_clause(clause4,conjecture,
    [--f(X,Y),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause5,conjecture,
    [++f(Y,X),
     ++f(z(X,Y),z(X,Y))]).

input_clause(clause6,conjecture,
    [--f(z(X,Y),X)]).

input_clause(clause7,conjecture,
    [--f(z(X,Y),Y)]).
%--------------------------------------------------------------------------
