%--------------------------------------------------------------------------
% File     : SYN619-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 3992
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   34 (   4 non-Horn;   8 unit;  28 RR)
%            Number of literals   :   78 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    7 (   0 propositional; 2-2 arity)
%            Number of functors   :   17 (   7 constant; 0-2 arity)
%            Number of variables  :   76 (   5 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p8_2,conjecture,
    [++p8(X51,X51)]).

input_clause(p5_3,conjecture,
    [++p5(X46,X46)]).

input_clause(p4_4,conjecture,
    [++p4(X39,X39)]).

input_clause(p2_5,conjecture,
    [++p2(X18,X18)]).

input_clause(p17_6,conjecture,
    [++p17(X9,X9)]).

input_clause(p18_7,conjecture,
    [++p18(c24,f6(c25))]).

input_clause(not_p18_8,conjecture,
    [--p18(c24,f6(f7(c22,c23)))]).

input_clause(p17_9,conjecture,
    [++p17(X10,X11),
     --p17(f3(X10),X11)]).

input_clause(p5_10,conjecture,
    [++p5(f6(X49),f6(X50)),
     --p4(X49,X50)]).

input_clause(p10_11,conjecture,
    [++p10(f12(X3),f12(X4)),
     --p4(X3,X4)]).

input_clause(p2_12,conjecture,
    [++p2(f11(X25),f11(X26)),
     --p10(X25,X26)]).

input_clause(p2_13,conjecture,
    [++p2(f14(X31),f14(X32)),
     --p8(X31,X32)]).

input_clause(p2_14,conjecture,
    [++p2(f15(X33),f15(X34)),
     --p8(X33,X34)]).

input_clause(p2_15,conjecture,
    [++p2(f16(X35),f16(X36)),
     --p8(X35,X36)]).

input_clause(p2_16,conjecture,
    [++p2(f3(X37),f3(X38)),
     --p2(X37,X38)]).

input_clause(p10_17,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p8_18,conjecture,
    [++p8(X52,X53),
     --p8(X51,X52),
     --p8(X51,X53)]).

input_clause(p5_19,conjecture,
    [++p5(X47,X48),
     --p5(X46,X47),
     --p5(X46,X48)]).

input_clause(p4_20,conjecture,
    [++p4(X40,X41),
     --p4(X39,X40),
     --p4(X39,X41)]).

input_clause(p2_21,conjecture,
    [++p2(X19,X20),
     --p2(X18,X19),
     --p2(X18,X20)]).

input_clause(p2_22,conjecture,
    [++p2(X23,X24),
     --p2(f13(X21,X23),f13(X22,X24))]).

input_clause(p2_23,conjecture,
    [++p2(X21,X22),
     --p2(f13(X21,X23),f13(X22,X24))]).

input_clause(p18_24,conjecture,
    [++p18(X12,f6(c19)),
     ++p2(f14(X12),c20),
     --p18(X12,f6(c25))]).

input_clause(p17_25,conjecture,
    [++p17(X5,X6),
     --p2(X7,X5),
     --p2(X8,X6),
     --p17(X7,X8)]).

input_clause(p18_26,conjecture,
    [++p18(X13,X14),
     --p5(X16,X14),
     --p8(X15,X13),
     --p18(X15,X16)]).

input_clause(p18_27,conjecture,
    [++p18(X12,f6(c19)),
     ++p17(f3(c21),f15(X12)),
     --p18(X12,f6(c25))]).

input_clause(p8_28,conjecture,
    [++p8(f9(X54,X55),f9(X56,X57)),
     --p2(X55,X57),
     --p2(X54,X56)]).

input_clause(p2_29,conjecture,
    [++p2(f13(X27,X28),f13(X29,X30)),
     --p2(X27,X29),
     --p2(X28,X30)]).

input_clause(p2_30,conjecture,
    [++p2(f13(X21,X23),f13(X22,X24)),
     --p2(X21,X22),
     --p2(X23,X24)]).

input_clause(p4_31,conjecture,
    [++p4(f7(X42,X43),f7(X44,X45)),
     --p2(X42,X44),
     --p4(X43,X45)]).

input_clause(not_p2_32,conjecture,
    [--p2(X59,c20),
     --p17(c21,X58),
     --p8(c24,f9(f13(X59,X58),X60))]).

input_clause(p18_33,conjecture,
    [++p18(X12,f6(c19)),
     ++p8(X12,f9(f13(f14(X12),f15(X12)),f16(X12))),
     --p18(X12,f6(c25))]).

input_clause(p18_34,conjecture,
    [++p18(X17,f6(f7(c22,c23))),
     ++p8(X17,f9(f13(c20,c21),f11(f12(f7(c22,c23))))),
     --p18(X17,f6(c19))]).
%--------------------------------------------------------------------------
