%--------------------------------------------------------------------------
% File     : SYN623-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4027
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   35 (   1 non-Horn;  15 unit;  26 RR)
%            Number of literals   :   80 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 2-2 arity)
%            Number of functors   :   17 (  11 constant; 0-2 arity)
%            Number of variables  :   78 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p8_2,conjecture,
    [++p8(X58,X58)]).

input_clause(p7_3,conjecture,
    [++p7(X51,X51)]).

input_clause(p5_4,conjecture,
    [++p5(X48,X48)]).

input_clause(p3_5,conjecture,
    [++p3(X37,X37)]).

input_clause(p2_6,conjecture,
    [++p2(X30,X30)]).

input_clause(p17_7,conjecture,
    [++p17(X23,X23)]).

input_clause(p14_8,conjecture,
    [++p14(X10,X10)]).

input_clause(p12_9,conjecture,
    [++p12(X3,X3)]).

input_clause(p18_10,conjecture,
    [++p18(c26,c25)]).

input_clause(p3_11,conjecture,
    [++p3(c22,c23)]).

input_clause(p2_12,conjecture,
    [++p2(c24,c25)]).

input_clause(not_p16_13,conjecture,
    [--p16(c22,c21)]).

input_clause(p3_14,conjecture,
    [++p3(c23,f4(c24,c20))]).

input_clause(p16_15,conjecture,
    [++p16(f4(c19,c20),c21)]).

input_clause(p10_16,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p8_17,conjecture,
    [++p8(X59,X60),
     --p8(X58,X59),
     --p8(X58,X60)]).

input_clause(p7_18,conjecture,
    [++p7(X52,X53),
     --p7(X51,X52),
     --p7(X51,X53)]).

input_clause(p5_19,conjecture,
    [++p5(X49,X50),
     --p5(X48,X49),
     --p5(X48,X50)]).

input_clause(p3_20,conjecture,
    [++p3(X38,X39),
     --p3(X37,X38),
     --p3(X37,X39)]).

input_clause(p2_21,conjecture,
    [++p2(X31,X32),
     --p2(X30,X31),
     --p2(X30,X32)]).

input_clause(p17_22,conjecture,
    [++p17(X24,X25),
     --p17(X23,X24),
     --p17(X23,X25)]).

input_clause(p14_23,conjecture,
    [++p14(X11,X12),
     --p14(X10,X11),
     --p14(X10,X12)]).

input_clause(p12_24,conjecture,
    [++p12(X4,X5),
     --p12(X3,X4),
     --p12(X3,X5)]).

input_clause(p16_25,conjecture,
    [++p16(f4(c25,X21),X22),
     --p16(f4(f6(c27,c25),X21),X22)]).

input_clause(p16_26,conjecture,
    [++p16(X13,X14),
     --p3(X15,X13),
     --p8(X16,X14),
     --p16(X15,X16)]).

input_clause(p18_27,conjecture,
    [++p18(X26,X27),
     --p18(X28,X29),
     --p2(X29,X27),
     --p17(X28,X26)]).

input_clause(p8_28,conjecture,
    [++p8(f9(X61,X62),f9(X63,X64)),
     --p2(X62,X64),
     --p7(X61,X63)]).

input_clause(p12_29,conjecture,
    [++p12(f15(X6,X7),f15(X8,X9)),
     --p14(X6,X8),
     --p2(X7,X9)]).

input_clause(p2_30,conjecture,
    [++p2(f6(X33,X34),f6(X35,X36)),
     --p2(X34,X36),
     --p5(X33,X35)]).

input_clause(p3_31,conjecture,
    [++p3(f13(X40,X41),f13(X42,X43)),
     --p12(X40,X42),
     --p2(X41,X43)]).

input_clause(p3_32,conjecture,
    [++p3(f4(X44,X45),f4(X46,X47)),
     --p2(X44,X46),
     --p3(X45,X47)]).

input_clause(p7_33,conjecture,
    [++p7(f11(X54,X55),f11(X56,X57)),
     --p10(X54,X56),
     --p2(X55,X57)]).

input_clause(p16_34,conjecture,
    [++p16(f4(X17,X18),X19),
     --p2(X17,X20),
     --p18(c26,X20),
     --p16(f4(c19,X18),X19),
     --p16(f4(X20,f13(f15(c28,X17),X20)),f9(f11(c29,X17),X20))]).

input_clause(p16_35,conjecture,
    [++p16(f4(X17,X18),X19),
     ++p16(f4(f6(c27,X20),f13(f15(c28,X17),X20)),f9(f11(c29,X17),X20)),
     --p2(X17,X20),
     --p18(c26,X20),
     --p16(f4(c19,X18),X19)]).
%--------------------------------------------------------------------------
