%--------------------------------------------------------------------------
% File     : SYN632-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4144
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   38 (   0 non-Horn;  12 unit;  26 RR)
%            Number of literals   :   86 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   12 (   0 propositional; 2-2 arity)
%            Number of functors   :   16 (   8 constant; 0-2 arity)
%            Number of variables  :  100 (   2 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p11_1,conjecture,
    [++p11(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X70,X70)]).

input_clause(p8_3,conjecture,
    [++p8(X67,X67)]).

input_clause(p6_4,conjecture,
    [++p6(X60,X60)]).

input_clause(p4_5,conjecture,
    [++p4(X53,X53)]).

input_clause(p3_6,conjecture,
    [++p3(X46,X46)]).

input_clause(p2_7,conjecture,
    [++p2(X27,X27)]).

input_clause(p19_8,conjecture,
    [++p19(X24,X24)]).

input_clause(p17_9,conjecture,
    [++p17(X17,X17)]).

input_clause(p15_10,conjecture,
    [++p15(X10,X10)]).

input_clause(p13_11,conjecture,
    [++p13(X3,X3)]).

input_clause(p11_12,conjecture,
    [++p11(X1,X2),
     --p11(X0,X1),
     --p11(X0,X2)]).

input_clause(p9_13,conjecture,
    [++p9(X71,X72),
     --p9(X70,X71),
     --p9(X70,X72)]).

input_clause(p8_14,conjecture,
    [++p8(X68,X69),
     --p8(X67,X68),
     --p8(X67,X69)]).

input_clause(p6_15,conjecture,
    [++p6(X61,X62),
     --p6(X60,X61),
     --p6(X60,X62)]).

input_clause(p4_16,conjecture,
    [++p4(X54,X55),
     --p4(X53,X54),
     --p4(X53,X55)]).

input_clause(p3_17,conjecture,
    [++p3(X47,X48),
     --p3(X46,X47),
     --p3(X46,X48)]).

input_clause(p2_18,conjecture,
    [++p2(X28,X29),
     --p2(X27,X28),
     --p2(X27,X29)]).

input_clause(p19_19,conjecture,
    [++p19(X25,X26),
     --p19(X24,X25),
     --p19(X24,X26)]).

input_clause(p17_20,conjecture,
    [++p17(X18,X19),
     --p17(X17,X18),
     --p17(X17,X19)]).

input_clause(p15_21,conjecture,
    [++p15(X11,X12),
     --p15(X10,X11),
     --p15(X10,X12)]).

input_clause(p13_22,conjecture,
    [++p13(X4,X5),
     --p13(X3,X4),
     --p13(X3,X5)]).

input_clause(p21_23,conjecture,
    [++p21(X34,X35),
     --p3(X37,X35),
     --p4(X36,X34),
     --p21(X36,X37)]).

input_clause(p21_24,conjecture,
    [++p21(f5(f7(f10(c24,f12(c28,f12(c25,c26))),c22),c23),c27)]).

input_clause(p9_25,conjecture,
    [++p9(f12(X73,X74),f12(X75,X76)),
     --p11(X73,X75),
     --p9(X74,X76)]).

input_clause(p13_26,conjecture,
    [++p13(f16(X6,X7),f16(X8,X9)),
     --p15(X6,X8),
     --p2(X7,X9)]).

input_clause(p15_27,conjecture,
    [++p15(f18(X13,X14),f18(X15,X16)),
     --p17(X13,X15),
     --p3(X14,X16)]).

input_clause(p17_28,conjecture,
    [++p17(f20(X20,X21),f20(X22,X23)),
     --p19(X20,X22),
     --p9(X21,X23)]).

input_clause(p2_29,conjecture,
    [++p2(f7(X30,X31),f7(X32,X33)),
     --p2(X31,X33),
     --p6(X30,X32)]).

input_clause(p3_30,conjecture,
    [++p3(f14(X49,X50),f14(X51,X52)),
     --p13(X49,X51),
     --p3(X50,X52)]).

input_clause(p4_31,conjecture,
    [++p4(f5(X56,X57),f5(X58,X59)),
     --p2(X56,X58),
     --p3(X57,X59)]).

input_clause(p6_32,conjecture,
    [++p6(f10(X63,X64),f10(X65,X66)),
     --p8(X63,X65),
     --p9(X64,X66)]).

input_clause(p3_33,conjecture,
    [++p3(X43,X44),
     --p21(f5(f7(f10(c24,f12(c25,c26)),X42),X43),X44)]).

input_clause(p21_34,conjecture,
    [++p21(f5(f7(f10(c24,f12(c25,c26)),X42),X43),X44),
     --p3(X43,X44)]).

input_clause(not_p21_35,conjecture,
    [--p21(f5(c22,c23),X77),
     --p21(f5(f7(f10(c24,f12(c25,c26)),c22),X77),c27)]).

input_clause(p21_36,conjecture,
    [++p21(f5(X38,f14(f16(f18(f20(c29,X39),X40),X38),X41)),X41),
     --p21(f5(f7(f10(c24,f12(c28,X39)),X38),X40),X41)]).

input_clause(p21_37,conjecture,
    [++p21(f5(f7(f10(c24,f12(c28,X39)),X38),X40),X41),
     --p21(f5(X38,X45),X41),
     --p21(f5(f7(f10(c24,X39),X38),X40),X45)]).

input_clause(p21_38,conjecture,
    [++p21(f5(f7(f10(c24,X39),X38),X40),
f14(f16(f18(f20(c29,X39),X40),X38),X41)),
     --p21(f5(f7(f10(c24,f12(c28,X39)),X38),X40),X41)]).
%--------------------------------------------------------------------------
