%--------------------------------------------------------------------------
% File     : SYN634-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4217
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.12 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   40 (   8 non-Horn;   9 unit;  29 RR)
%            Number of literals   :  102 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    8 (   0 propositional; 2-2 arity)
%            Number of functors   :   23 (  10 constant; 0-3 arity)
%            Number of variables  :  113 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X92,X92)]).

input_clause(p5_3,conjecture,
    [++p5(X85,X85)]).

input_clause(p3_4,conjecture,
    [++p3(X75,X75)]).

input_clause(p2_5,conjecture,
    [++p2(X58,X58)]).

input_clause(p14_6,conjecture,
    [++p14(X51,X51)]).

input_clause(not_p3_7,conjecture,
    [--p3(c23,f8(c24))]).

input_clause(p3_8,conjecture,
    [++p3(f4(f6(X80,f7(X81,X82))),X81)]).

input_clause(p3_9,conjecture,
    [++p3(f8(X83),f8(X84)),
     --p3(X83,X84)]).

input_clause(p10_10,conjecture,
    [++p10(f12(X21),f12(X22)),
     --p10(X21,X22)]).

input_clause(p14_11,conjecture,
    [++p14(f15(X54),f15(X55)),
     --p2(X54,X55)]).

input_clause(p14_12,conjecture,
    [++p14(f16(X56),f16(X57)),
     --p2(X56,X57)]).

input_clause(p3_13,conjecture,
    [++p3(f4(X78),f4(X79)),
     --p2(X78,X79)]).

input_clause(p10_14,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p9_15,conjecture,
    [++p9(X93,X94),
     --p9(X92,X93),
     --p9(X92,X94)]).

input_clause(p5_16,conjecture,
    [++p5(X86,X87),
     --p5(X85,X86),
     --p5(X85,X87)]).

input_clause(p3_17,conjecture,
    [++p3(X76,X77),
     --p3(X75,X76),
     --p3(X75,X77)]).

input_clause(p2_18,conjecture,
    [++p2(X59,X60),
     --p2(X58,X59),
     --p2(X58,X60)]).

input_clause(p14_19,conjecture,
    [++p14(X52,X53),
     --p14(X51,X52),
     --p14(X51,X53)]).

input_clause(p22_20,conjecture,
    [++p22(X71,X72),
     --p14(X74,X72),
     --p22(X73,X74),
     --p10(X73,X71)]).

input_clause(p21_21,conjecture,
    [++p21(X65,X66),
     --p10(X68,X66),
     --p21(X67,X68),
     --p10(X67,X65)]).

input_clause(p10_22,conjecture,
    [++p10(f13(X23,X24),f13(X25,X26)),
     --p10(X23,X25),
     --p10(X24,X26)]).

input_clause(p5_23,conjecture,
    [++p5(f7(X88,X89),f7(X90,X91)),
     --p3(X88,X90),
     --p3(X89,X91)]).

input_clause(p2_24,conjecture,
    [++p2(f6(X61,X62),f6(X63,X64)),
     --p3(X61,X63),
     --p5(X62,X64)]).

input_clause(not_p10_25,conjecture,
    [--p10(f11(f6(c25,f7(c23,c26)),c27,c28),f11(f6(c25,f7(c23,c26)),c27,
c29))]).

input_clause(p21_26,conjecture,
    [++p21(f12(f13(c28,c29)),f12(f13(c28,X70))),
     --p22(X70,f16(f6(c25,f7(c23,c26))))]).

input_clause(p21_27,conjecture,
    [++p21(f12(f13(c28,c29)),f12(f13(c28,X69))),
     --p22(X69,f15(f6(c25,f7(c23,c26))))]).

input_clause(p10_28,conjecture,
    [++p10(f11(X3,X4,X5),f11(X6,X7,X8)),
     --p2(X3,X6),
     --p9(X4,X7),
     --p10(X5,X8)]).

input_clause(p10_29,conjecture,
    [++p10(f20(X45,X46,X47),f20(X48,X49,X50)),
     --p10(X47,X50),
     --p2(X45,X48),
     --p10(X46,X49)]).

input_clause(p10_30,conjecture,
    [++p10(f19(X39,X40,X41),f19(X42,X43,X44)),
     --p10(X41,X44),
     --p2(X39,X42),
     --p10(X40,X43)]).

input_clause(p10_31,conjecture,
    [++p10(f18(X33,X34,X35),f18(X36,X37,X38)),
     --p10(X35,X38),
     --p2(X33,X36),
     --p10(X34,X37)]).

input_clause(p10_32,conjecture,
    [++p10(f17(X27,X28,X29),f17(X30,X31,X32)),
     --p10(X29,X32),
     --p2(X27,X30),
     --p10(X28,X31)]).

input_clause(p3_33,conjecture,
    [++p3(f4(X9),f8(c24)),
     ++p22(f17(X9,X10,X11),f16(X9)),
     ++p10(f11(X9,c30,X10),f11(X9,c30,X11))]).

input_clause(p3_34,conjecture,
    [++p3(f4(X18),f8(c24)),
     ++p22(f20(X18,X19,X20),f15(X18)),
     ++p10(f11(X18,c32,X19),f11(X18,c32,X20))]).

input_clause(p3_35,conjecture,
    [++p3(f4(X15),f8(c24)),
     ++p22(f19(X15,X16,X17),f16(X15)),
     ++p10(f11(X15,c31,X16),f11(X15,c31,X17))]).

input_clause(p3_36,conjecture,
    [++p3(f4(X12),f8(c24)),
     ++p22(f18(X12,X13,X14),f16(X12)),
     ++p10(f11(X12,c27,X13),f11(X12,c27,X14))]).

input_clause(p3_37,conjecture,
    [++p3(f4(X18),f8(c24)),
     ++p10(f11(X18,c32,X19),f11(X18,c32,X20)),
     --p21(f12(f13(X19,X20)),f12(f13(X19,f20(X18,X19,X20))))]).

input_clause(p3_38,conjecture,
    [++p3(f4(X9),f8(c24)),
     ++p10(f11(X9,c30,X10),f11(X9,c30,X11)),
     --p21(f12(f13(X10,X11)),f12(f13(X10,f17(X9,X10,X11))))]).

input_clause(p3_39,conjecture,
    [++p3(f4(X12),f8(c24)),
     ++p10(f11(X12,c27,X13),f11(X12,c27,X14)),
     --p21(f12(f13(X13,X14)),f12(f13(X13,f18(X12,X13,X14))))]).

input_clause(p3_40,conjecture,
    [++p3(f4(X15),f8(c24)),
     ++p10(f11(X15,c31,X16),f11(X15,c31,X17)),
     --p21(f12(f13(X16,X17)),f12(f13(X16,f19(X15,X16,X17))))]).
%--------------------------------------------------------------------------
