%--------------------------------------------------------------------------
% File     : SYN645-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4319
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.33 v2.7.0, 0.12 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   42 (   3 non-Horn;  11 unit;  31 RR)
%            Number of literals   :  111 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-2 arity)
%            Number of functors   :   21 (   7 constant; 0-5 arity)
%            Number of variables  :  123 (   1 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p12_1,conjecture,
    [++p12(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X82,X82)]).

input_clause(p7_3,conjecture,
    [++p7(X77,X77)]).

input_clause(p6_4,conjecture,
    [++p6(X70,X70)]).

input_clause(p2_5,conjecture,
    [++p2(X43,X43)]).

input_clause(p15_6,conjecture,
    [++p15(X40,X40)]).

input_clause(p22_7,conjecture,
    [++p22(f3(f4(f5(c26))),c27)]).

input_clause(p24_8,conjecture,
    [++p24(X64),
     --p24(X65),
     --p2(X65,X64)]).

input_clause(p23_9,conjecture,
    [++p23(c28,f8(f10(c29,f11(c27,c30))))]).

input_clause(p7_10,conjecture,
    [++p7(f8(X80),f8(X81)),
     --p6(X80,X81)]).

input_clause(p12_11,conjecture,
    [++p12(f13(X8),f13(X9)),
     --p12(X8,X9)]).

input_clause(p12_12,conjecture,
    [++p12(f19(X24),f19(X25)),
     --p2(X24,X25)]).

input_clause(p2_13,conjecture,
    [++p2(f3(X50),f3(X51)),
     --p2(X50,X51)]).

input_clause(p2_14,conjecture,
    [++p2(f4(X52),f4(X53)),
     --p2(X52,X53)]).

input_clause(p2_15,conjecture,
    [++p2(f5(X54),f5(X55)),
     --p2(X54,X55)]).

input_clause(p12_16,conjecture,
    [++p12(X1,X2),
     --p12(X0,X1),
     --p12(X0,X2)]).

input_clause(p9_17,conjecture,
    [++p9(X83,X84),
     --p9(X82,X83),
     --p9(X82,X84)]).

input_clause(p7_18,conjecture,
    [++p7(X78,X79),
     --p7(X77,X78),
     --p7(X77,X79)]).

input_clause(p6_19,conjecture,
    [++p6(X71,X72),
     --p6(X70,X71),
     --p6(X70,X72)]).

input_clause(p2_20,conjecture,
    [++p2(X44,X45),
     --p2(X43,X44),
     --p2(X43,X45)]).

input_clause(p15_21,conjecture,
    [++p15(X41,X42),
     --p15(X40,X41),
     --p15(X40,X42)]).

input_clause(not_p12_22,conjecture,
    [--p12(c28,f16(f10(c29,f11(c27,c30)),c32,c31))]).

input_clause(p25_23,conjecture,
    [++p25(X66,X67),
     --p12(X69,X67),
     --p25(X68,X69),
     --p12(X68,X66)]).

input_clause(p22_24,conjecture,
    [++p22(X56,X57),
     --p2(X59,X57),
     --p22(X58,X59),
     --p2(X58,X56)]).

input_clause(p23_25,conjecture,
    [++p23(X60,X61),
     --p23(X62,X63),
     --p7(X63,X61),
     --p12(X62,X60)]).

input_clause(p12_26,conjecture,
    [++p12(f14(X10,X11),f14(X12,X13)),
     --p12(X10,X12),
     --p12(X11,X13)]).

input_clause(p9_27,conjecture,
    [++p9(f11(X85,X86),f11(X87,X88)),
     --p2(X85,X87),
     --p2(X86,X88)]).

input_clause(p6_28,conjecture,
    [++p6(f10(X73,X74),f10(X75,X76)),
     --p2(X73,X75),
     --p9(X74,X76)]).

input_clause(p2_29,conjecture,
    [++p2(f17(X46,X47),f17(X48,X49)),
     --p12(X47,X49),
     --p6(X46,X48)]).

input_clause(p12_30,conjecture,
    [++p12(f20(X26,X27),f20(X28,X29)),
     --p12(X27,X29),
     --p6(X26,X28)]).

input_clause(p12_31,conjecture,
    [++p12(f18(X20,X21),f18(X22,X23)),
     --p12(X20,X22),
     --p12(X21,X23)]).

input_clause(f17_is_not_p24_32,conjecture,
    [--p24(f17(f10(c29,f11(c27,c30)),f16(f10(c29,f11(c27,c30)),c32,c31)))]).

input_clause(p12_33,conjecture,
    [++p12(f13(f14(c31,c28)),f13(f14(c31,f16(f10(c29,f11(c27,c30)),c32,
c31))))]).

input_clause(p12_34,conjecture,
    [++p12(f16(X14,X15,X16),f16(X17,X18,X19)),
     --p15(X15,X18),
     --p6(X14,X17),
     --p12(X16,X19)]).

input_clause(p23_35,conjecture,
    [++p23(f16(f10(X4,f11(X5,X6)),c32,X7),f8(f10(X4,f11(X5,X6)))),
     --p22(f3(f4(f5(c26))),X5)]).

input_clause(p12_36,conjecture,
    [++p12(f21(X30,X31,X32,X33,X34),f21(X35,X36,X37,X38,X39)),
     --p2(X31,X36),
     --p2(X32,X37),
     --p12(X33,X38),
     --p12(X34,X39),
     --p2(X30,X35)]).

input_clause(p25_37,conjecture,
    [++p25(f13(f14(X7,f16(f10(X4,f11(X5,X6)),c32,X7))),f13(f14(X7,X3))),
     --p22(f3(f4(f5(c26))),X5),
     --p23(X3,f8(f10(X4,f11(X5,X6))))]).

input_clause(p25_38,conjecture,
    [++p25(f13(f14(X7,f16(f10(X4,f11(X5,X6)),c32,X7))),f18(f20(f10(X4,f11(X5,X6)),X7),f19(f3(f4(f5(c26)))))),
     --p22(f3(f4(f5(c26))),X5)]).

input_clause(p12_39,conjecture,
    [++p12(X3,f16(f10(X4,f11(X5,X6)),c32,X7)),
     ++p23(f21(X4,X5,X6,X7,X3),f8(f10(X4,f11(X5,X6)))),
     --p22(f3(f4(f5(c26))),X5),
     --p24(f17(f10(X4,f11(X5,X6)),X3)),
     --p23(X3,f8(f10(X4,f11(X5,X6))))]).

input_clause(p12_40,conjecture,
    [++p12(X3,f16(f10(X4,f11(X5,X6)),c32,X7)),
     --p22(f3(f4(f5(c26))),X5),
     --p24(f17(f10(X4,f11(X5,X6)),X3)),
     --p23(X3,f8(f10(X4,f11(X5,X6)))),
     --p25(f13(f14(X7,X3)),f13(f14(X7,f21(X4,X5,X6,X7,X3))))]).

input_clause(p12_41,conjecture,
    [++p12(X3,f16(f10(X4,f11(X5,X6)),c32,X7)),
     ++p23(f21(X4,X5,X6,X7,X3),f8(f10(X4,f11(X5,X6)))),
     ++p24(f17(f10(X4,f11(X5,X6)),f16(f10(X4,f11(X5,X6)),c32,X7))),
     --p22(f3(f4(f5(c26))),X5),
     --p23(X3,f8(f10(X4,f11(X5,X6))))]).

input_clause(p12_42,conjecture,
    [++p12(X3,f16(f10(X4,f11(X5,X6)),c32,X7)),
     ++p24(f17(f10(X4,f11(X5,X6)),f16(f10(X4,f11(X5,X6)),c32,X7))),
     --p22(f3(f4(f5(c26))),X5),
     --p23(X3,f8(f10(X4,f11(X5,X6)))),
     --p25(f13(f14(X7,X3)),f13(f14(X7,f21(X4,X5,X6,X7,X3))))]).
%--------------------------------------------------------------------------
