%--------------------------------------------------------------------------
% File     : SYN659-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4504
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   51 (   2 non-Horn;  22 unit;  41 RR)
%            Number of literals   :  107 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-3 arity)
%            Number of functors   :   26 (  15 constant; 0-2 arity)
%            Number of variables  :  105 (   5 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(c27_is_p22_1,conjecture,
    [++p22(c27)]).

input_clause(p10_2,conjecture,
    [++p10(X0,X0)]).

input_clause(p7_3,conjecture,
    [++p7(X87,X87)]).

input_clause(p6_4,conjecture,
    [++p6(X84,X84)]).

input_clause(p3_5,conjecture,
    [++p3(X79,X79)]).

input_clause(p20_6,conjecture,
    [++p20(X51,X51)]).

input_clause(p2_7,conjecture,
    [++p2(X32,X32)]).

input_clause(p19_8,conjecture,
    [++p19(X29,X29)]).

input_clause(p14_9,conjecture,
    [++p14(X20,X20)]).

input_clause(p12_10,conjecture,
    [++p12(X13,X13)]).

input_clause(p2_11,conjecture,
    [++p2(c41,c38)]).

input_clause(p10_12,conjecture,
    [++p10(f16(c31),c32)]).

input_clause(p7_13,conjecture,
    [++p7(f8(c28),c29)]).

input_clause(p2_14,conjecture,
    [++p2(f17(c36),c38)]).

input_clause(p2_15,conjecture,
    [++p2(f17(c31),c33)]).

input_clause(p10_16,conjecture,
    [++p10(f16(c36),c37)]).

input_clause(not_p14_17,conjecture,
    [--p14(f18(c34),c35)]).

input_clause(p23_18,conjecture,
    [++p23(c27,f4(f5(X66)),f4(X66))]).

input_clause(p22_19,conjecture,
    [++p22(X58),
     --p22(X59),
     --p19(X59,X58)]).

input_clause(p10_20,conjecture,
    [++p10(f16(X11),f16(X12)),
     --p12(X11,X12)]).

input_clause(p7_21,conjecture,
    [++p7(f8(X90),f8(X91)),
     --p6(X90,X91)]).

input_clause(p3_22,conjecture,
    [++p3(f4(X82),f4(X83)),
     --p2(X82,X83)]).

input_clause(p2_23,conjecture,
    [++p2(f9(X49),f9(X50)),
     --p2(X49,X50)]).

input_clause(p2_24,conjecture,
    [++p2(f5(X47),f5(X48)),
     --p2(X47,X48)]).

input_clause(p2_25,conjecture,
    [++p2(f17(X45),f17(X46)),
     --p12(X45,X46)]).

input_clause(p14_26,conjecture,
    [++p14(f18(X27),f18(X28)),
     --p14(X27,X28)]).

input_clause(p24_27,conjecture,
    [++p24(f15(c29,f13(c40,c41)),f13(c32,c33))]).

input_clause(p24_28,conjecture,
    [++p24(f15(c29,f13(c37,c38)),f13(c32,c33))]).

input_clause(p12_29,conjecture,
    [++p12(f13(f16(c39),f17(c39)),f13(c40,c41))]).

input_clause(p10_30,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p7_31,conjecture,
    [++p7(X88,X89),
     --p7(X87,X88),
     --p7(X87,X89)]).

input_clause(p6_32,conjecture,
    [++p6(X85,X86),
     --p6(X84,X85),
     --p6(X84,X86)]).

input_clause(p3_33,conjecture,
    [++p3(X80,X81),
     --p3(X79,X80),
     --p3(X79,X81)]).

input_clause(p20_34,conjecture,
    [++p20(X52,X53),
     --p20(X51,X52),
     --p20(X51,X53)]).

input_clause(p2_35,conjecture,
    [++p2(X33,X34),
     --p2(X32,X33),
     --p2(X32,X34)]).

input_clause(p19_36,conjecture,
    [++p19(X30,X31),
     --p19(X29,X30),
     --p19(X29,X31)]).

input_clause(p14_37,conjecture,
    [++p14(X21,X22),
     --p14(X20,X21),
     --p14(X20,X22)]).

input_clause(p12_38,conjecture,
    [++p12(X14,X15),
     --p12(X13,X14),
     --p12(X13,X15)]).

input_clause(not_p24_39,conjecture,
    [--p24(f15(c29,f13(f16(c39),f17(c39))),f13(c32,c33))]).

input_clause(p26_40,conjecture,
    [++p26(X75,X76),
     --p2(X78,X76),
     --p26(X77,X78),
     --p2(X77,X75)]).

input_clause(p24_41,conjecture,
    [++p24(X67,X68),
     --p14(X70,X67),
     --p24(X70,X69),
     --p12(X69,X68)]).

input_clause(p25_42,conjecture,
    [++p25(X71,X72),
     --p20(X74,X71),
     --p25(X74,X73),
     --p10(X73,X72)]).

input_clause(p20_43,conjecture,
    [++p20(f21(X54,X55),f21(X56,X57)),
     --p10(X55,X57),
     --p19(X54,X56)]).

input_clause(p12_44,conjecture,
    [++p12(f13(X16,X17),f13(X18,X19)),
     --p10(X16,X18),
     --p2(X17,X19)]).

input_clause(p14_45,conjecture,
    [++p14(f15(X23,X24),f15(X25,X26)),
     --p12(X24,X26),
     --p7(X23,X25)]).

input_clause(p2_46,conjecture,
    [++p2(f11(X41,X42),f11(X43,X44)),
     --p10(X42,X44),
     --p3(X41,X43)]).

input_clause(p10_47,conjecture,
    [++p10(X7,X8),
     ++p25(f21(c27,X7),X8),
     --p24(f15(c29,f13(X7,X9)),f13(X8,X10))]).

input_clause(p23_48,conjecture,
    [++p23(X60,X61,X62),
     --p3(X65,X62),
     --p3(X64,X61),
     --p19(X63,X60),
     --p23(X63,X64,X65)]).

input_clause(p10_49,conjecture,
    [++p10(X3,X4),
     --p2(f11(f4(X5),X3),f9(c30)),
     --p24(f15(c29,f13(X3,X5)),f13(X4,X6))]).

input_clause(p2_50,conjecture,
    [++p2(X35,X36),
     --p24(f15(c29,f13(X37,X35)),f13(X38,X39)),
     --p24(f15(c29,f13(X40,X36)),f13(X38,X39))]).

input_clause(p25_51,conjecture,
    [++p25(f21(c27,X7),X8),
     ++p26(f11(f4(X9),X8),f11(f4(X10),X8)),
     --p24(f15(c29,f13(X7,X9)),f13(X8,X10))]).
%--------------------------------------------------------------------------
