%--------------------------------------------------------------------------
% File     : SYN673-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4552
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0, 0.38 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   55 (   1 non-Horn;  19 unit;  39 RR)
%            Number of literals   :  125 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   18 (   0 propositional; 2-2 arity)
%            Number of functors   :   24 (  14 constant; 0-2 arity)
%            Number of variables  :  124 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X102,X102)]).

input_clause(p7_3,conjecture,
    [++p7(X99,X99)]).

input_clause(p6_4,conjecture,
    [++p6(X96,X96)]).

input_clause(p4_5,conjecture,
    [++p4(X81,X81)]).

input_clause(p3_6,conjecture,
    [++p3(X74,X74)]).

input_clause(p25_7,conjecture,
    [++p25(X52,X52)]).

input_clause(p23_8,conjecture,
    [++p23(X49,X49)]).

input_clause(p20_9,conjecture,
    [++p20(X42,X42)]).

input_clause(p2_10,conjecture,
    [++p2(X39,X39)]).

input_clause(p18_11,conjecture,
    [++p18(X36,X36)]).

input_clause(p16_12,conjecture,
    [++p16(X29,X29)]).

input_clause(p15_13,conjecture,
    [++p15(X26,X26)]).

input_clause(p13_14,conjecture,
    [++p13(X19,X19)]).

input_clause(p11_15,conjecture,
    [++p11(X12,X12)]).

input_clause(p10_16,conjecture,
    [++p10(f14(f19(c35,X7),c41),X7)]).

input_clause(not_p29_17,conjecture,
    [--p29(f5(c33,f8(c34,c30)),c38)]).

input_clause(p29_18,conjecture,
    [++p29(X60,X59),
     --p27(f12(c32,X59),X60)]).

input_clause(p27_19,conjecture,
    [++p27(f12(c32,X59),X60),
     --p29(X60,X59)]).

input_clause(p28_20,conjecture,
    [++p28(f21(c30,X68),c31),
     --p16(X68,c40)]).

input_clause(p27_21,conjecture,
    [++p27(f12(c32,c37),f5(c33,f8(c34,c30)))]).

input_clause(p10_22,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p9_23,conjecture,
    [++p9(X103,X104),
     --p9(X102,X103),
     --p9(X102,X104)]).

input_clause(p7_24,conjecture,
    [++p7(X100,X101),
     --p7(X99,X100),
     --p7(X99,X101)]).

input_clause(p6_25,conjecture,
    [++p6(X97,X98),
     --p6(X96,X97),
     --p6(X96,X98)]).

input_clause(p4_26,conjecture,
    [++p4(X82,X83),
     --p4(X81,X82),
     --p4(X81,X83)]).

input_clause(p3_27,conjecture,
    [++p3(X75,X76),
     --p3(X74,X75),
     --p3(X74,X76)]).

input_clause(p25_28,conjecture,
    [++p25(X53,X54),
     --p25(X52,X53),
     --p25(X52,X54)]).

input_clause(p23_29,conjecture,
    [++p23(X50,X51),
     --p23(X49,X50),
     --p23(X49,X51)]).

input_clause(p20_30,conjecture,
    [++p20(X43,X44),
     --p20(X42,X43),
     --p20(X42,X44)]).

input_clause(p2_31,conjecture,
    [++p2(X40,X41),
     --p2(X39,X40),
     --p2(X39,X41)]).

input_clause(p18_32,conjecture,
    [++p18(X37,X38),
     --p18(X36,X37),
     --p18(X36,X38)]).

input_clause(p16_33,conjecture,
    [++p16(X30,X31),
     --p16(X29,X30),
     --p16(X29,X31)]).

input_clause(p15_34,conjecture,
    [++p15(X27,X28),
     --p15(X26,X27),
     --p15(X26,X28)]).

input_clause(p13_35,conjecture,
    [++p13(X20,X21),
     --p13(X19,X20),
     --p13(X19,X21)]).

input_clause(p11_36,conjecture,
    [++p11(X13,X14),
     --p11(X12,X13),
     --p11(X12,X14)]).

input_clause(p28_37,conjecture,
    [++p28(f21(c30,X68),c31),
     --p29(f24(c42,X68),c39)]).

input_clause(p29_38,conjecture,
    [++p29(X69,X70),
     --p29(X72,X71),
     --p4(X72,X69),
     --p10(X71,X70)]).

input_clause(p27_39,conjecture,
    [++p27(X55,X56),
     --p27(X57,X58),
     --p4(X58,X56),
     --p11(X57,X55)]).

input_clause(p28_40,conjecture,
    [++p28(X64,X65),
     --p20(X67,X64),
     --p28(X67,X66),
     --p16(X66,X65)]).

input_clause(p10_41,conjecture,
    [++p10(c38,f14(f19(c35,f14(f19(c35,c37),c39)),f17(c36,c40)))]).

input_clause(p4_42,conjecture,
    [++p4(f5(X92,X93),f5(X94,X95)),
     --p2(X92,X94),
     --p3(X93,X95)]).

input_clause(p10_43,conjecture,
    [++p10(f14(X3,X4),f14(X5,X6)),
     --p10(X4,X6),
     --p13(X3,X5)]).

input_clause(p10_44,conjecture,
    [++p10(f17(X8,X9),f17(X10,X11)),
     --p15(X8,X10),
     --p16(X9,X11)]).

input_clause(p11_45,conjecture,
    [++p11(f12(X15,X16),f12(X17,X18)),
     --p10(X16,X18),
     --p9(X15,X17)]).

input_clause(p13_46,conjecture,
    [++p13(f19(X22,X23),f19(X24,X25)),
     --p10(X23,X25),
     --p18(X22,X24)]).

input_clause(p16_47,conjecture,
    [++p16(f26(X32,X33),f26(X34,X35)),
     --p10(X33,X35),
     --p25(X32,X34)]).

input_clause(p20_48,conjecture,
    [++p20(f21(X45,X46),f21(X47,X48)),
     --p16(X46,X48),
     --p7(X45,X47)]).

input_clause(p3_49,conjecture,
    [++p3(f8(X77,X78),f8(X79,X80)),
     --p6(X77,X79),
     --p7(X78,X80)]).

input_clause(p4_50,conjecture,
    [++p4(f22(X84,X85),f22(X86,X87)),
     --p10(X85,X87),
     --p3(X84,X86)]).

input_clause(p4_51,conjecture,
    [++p4(f24(X88,X89),f24(X90,X91)),
     --p16(X89,X91),
     --p23(X88,X90)]).

input_clause(p29_52,conjecture,
    [++p29(f24(c42,f26(c43,X73)),c39),
     ++p29(f5(c33,f8(c34,c30)),X73),
     --p10(X73,f14(f19(c35,c37),c39))]).

input_clause(p29_53,conjecture,
    [++p29(f5(c33,f8(c34,c30)),X73),
     --p10(X73,f14(f19(c35,c37),c39)),
     --p28(f21(c30,f26(c43,X73)),c31)]).

input_clause(p27_54,conjecture,
    [++p27(f12(c32,f14(f19(c35,X63),f17(c36,c31))),f5(c33,f8(c34,c30))),
     --p29(f22(f8(c34,c30),X63),c37)]).

input_clause(p27_55,conjecture,
    [++p27(f12(c32,f14(f19(c35,X61),f17(c36,X62))),f5(c33,f8(c34,c30))),
     --p28(f21(c30,X62),c31),
     --p27(f12(c32,X61),f5(c33,f8(c34,c30)))]).
%--------------------------------------------------------------------------
