%--------------------------------------------------------------------------
% File     : SYN690-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4608
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.50 v2.7.0, 0.25 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   62 (   3 non-Horn;  22 unit;  39 RR)
%            Number of literals   :  148 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   20 (   0 propositional; 2-2 arity)
%            Number of functors   :   27 (  13 constant; 0-2 arity)
%            Number of variables  :  160 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p11_1,conjecture,
    [++p11(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X125,X125)]).

input_clause(p8_3,conjecture,
    [++p8(X122,X122)]).

input_clause(p6_4,conjecture,
    [++p6(X119,X119)]).

input_clause(p4_5,conjecture,
    [++p4(X106,X106)]).

input_clause(p33_6,conjecture,
    [++p33(X92,X92)]).

input_clause(p31_7,conjecture,
    [++p31(X89,X89)]).

input_clause(p3_8,conjecture,
    [++p3(X74,X74)]).

input_clause(p29_9,conjecture,
    [++p29(X67,X67)]).

input_clause(p27_10,conjecture,
    [++p27(X64,X64)]).

input_clause(p25_11,conjecture,
    [++p25(X57,X57)]).

input_clause(p23_12,conjecture,
    [++p23(X54,X54)]).

input_clause(p21_13,conjecture,
    [++p21(X47,X47)]).

input_clause(p2_14,conjecture,
    [++p2(X36,X36)]).

input_clause(p19_15,conjecture,
    [++p19(X24,X24)]).

input_clause(p17_16,conjecture,
    [++p17(X17,X17)]).

input_clause(p15_17,conjecture,
    [++p15(X14,X14)]).

input_clause(p13_18,conjecture,
    [++p13(X7,X7)]).

input_clause(p34_19,conjecture,
    [++p34(c36,c37)]).

input_clause(not_p2_20,conjecture,
    [--p2(c38,c40)]).

input_clause(p4_21,conjecture,
    [++p4(f5(c40,X114),f5(f7(c39,c40),X114))]).

input_clause(p4_22,conjecture,
    [++p4(f5(c38,X113),f5(f7(c39,c38),X113))]).

input_clause(p11_23,conjecture,
    [++p11(X1,X2),
     --p11(X0,X1),
     --p11(X0,X2)]).

input_clause(p9_24,conjecture,
    [++p9(X126,X127),
     --p9(X125,X126),
     --p9(X125,X127)]).

input_clause(p8_25,conjecture,
    [++p8(X123,X124),
     --p8(X122,X123),
     --p8(X122,X124)]).

input_clause(p6_26,conjecture,
    [++p6(X120,X121),
     --p6(X119,X120),
     --p6(X119,X121)]).

input_clause(p4_27,conjecture,
    [++p4(X107,X108),
     --p4(X106,X107),
     --p4(X106,X108)]).

input_clause(p33_28,conjecture,
    [++p33(X93,X94),
     --p33(X92,X93),
     --p33(X92,X94)]).

input_clause(p31_29,conjecture,
    [++p31(X90,X91),
     --p31(X89,X90),
     --p31(X89,X91)]).

input_clause(p3_30,conjecture,
    [++p3(X75,X76),
     --p3(X74,X75),
     --p3(X74,X76)]).

input_clause(p29_31,conjecture,
    [++p29(X68,X69),
     --p29(X67,X68),
     --p29(X67,X69)]).

input_clause(p27_32,conjecture,
    [++p27(X65,X66),
     --p27(X64,X65),
     --p27(X64,X66)]).

input_clause(p25_33,conjecture,
    [++p25(X58,X59),
     --p25(X57,X58),
     --p25(X57,X59)]).

input_clause(p23_34,conjecture,
    [++p23(X55,X56),
     --p23(X54,X55),
     --p23(X54,X56)]).

input_clause(p21_35,conjecture,
    [++p21(X48,X49),
     --p21(X47,X48),
     --p21(X47,X49)]).

input_clause(p2_36,conjecture,
    [++p2(X37,X38),
     --p2(X36,X37),
     --p2(X36,X38)]).

input_clause(p19_37,conjecture,
    [++p19(X25,X26),
     --p19(X24,X25),
     --p19(X24,X26)]).

input_clause(p17_38,conjecture,
    [++p17(X18,X19),
     --p17(X17,X18),
     --p17(X17,X19)]).

input_clause(p15_39,conjecture,
    [++p15(X15,X16),
     --p15(X14,X15),
     --p15(X14,X16)]).

input_clause(p13_40,conjecture,
    [++p13(X8,X9),
     --p13(X7,X8),
     --p13(X7,X9)]).

input_clause(p34_41,conjecture,
    [++p34(X95,X96),
     --p34(X97,X98),
     --p8(X98,X96),
     --p33(X97,X95)]).

input_clause(p35_42,conjecture,
    [++p35(X99,X100),
     --p35(X102,X101),
     --p9(X102,X99),
     --p3(X101,X100)]).

input_clause(p9_43,conjecture,
    [++p9(f10(X128,X129),f10(X130,X131)),
     --p3(X129,X131),
     --p8(X128,X130)]).

input_clause(p11_44,conjecture,
    [++p11(f14(X3,X4),f14(X5,X6)),
     --p13(X3,X5),
     --p2(X4,X6)]).

input_clause(p13_45,conjecture,
    [++p13(f16(X10,X11),f16(X12,X13)),
     --p15(X10,X12),
     --p2(X11,X13)]).

input_clause(p17_46,conjecture,
    [++p17(f20(X20,X21),f20(X22,X23)),
     --p19(X20,X22),
     --p2(X21,X23)]).

input_clause(p19_47,conjecture,
    [++p19(f22(X27,X28),f22(X29,X30)),
     --p21(X27,X29),
     --p6(X28,X30)]).

input_clause(p2_48,conjecture,
    [++p2(f26(X39,X40),f26(X41,X42)),
     --p25(X39,X41),
     --p6(X40,X42)]).

input_clause(p2_49,conjecture,
    [++p2(f7(X43,X44),f7(X45,X46)),
     --p2(X44,X46),
     --p6(X43,X45)]).

input_clause(p21_50,conjecture,
    [++p21(f24(X50,X51),f24(X52,X53)),
     --p23(X50,X52),
     --p8(X51,X53)]).

input_clause(p25_51,conjecture,
    [++p25(f28(X60,X61),f28(X62,X63)),
     --p27(X60,X62),
     --p8(X61,X63)]).

input_clause(p29_52,conjecture,
    [++p29(f32(X70,X71),f32(X72,X73)),
     --p31(X70,X72),
     --p8(X71,X73)]).

input_clause(p3_53,conjecture,
    [++p3(f12(X77,X78),f12(X79,X80)),
     --p11(X77,X79),
     --p3(X78,X80)]).

input_clause(p3_54,conjecture,
    [++p3(f18(X81,X82),f18(X83,X84)),
     --p17(X81,X83),
     --p2(X82,X84)]).

input_clause(p3_55,conjecture,
    [++p3(f30(X85,X86),f30(X87,X88)),
     --p29(X85,X87),
     --p6(X86,X88)]).

input_clause(p4_56,conjecture,
    [++p4(f5(X109,X110),f5(X111,X112)),
     --p2(X109,X111),
     --p3(X110,X112)]).

input_clause(p4_57,conjecture,
    [++p4(f5(f7(c39,X103),X105),f5(f7(c39,X104),X105)),
     ++p35(f10(c37,f12(f14(f16(c41,X103),X104),X105)),X105)]).

input_clause(p4_58,conjecture,
    [++p4(f5(f7(c39,X103),X105),f5(f7(c39,X104),X105)),
     --p4(f5(X103,f12(f14(f16(c41,X103),X104),X105)),f5(X104,
f12(f14(f16(c41,X103),X104),X105)))]).

input_clause(p4_59,conjecture,
    [++p4(f5(f26(f28(c47,X115),X116),X117),f5(f26(f28(c48,X115),X116),X117)),
     ++p4(f5(f26(f28(c47,X115),X116),X118),f5(f7(X116,
f26(f28(c47,X115),X116)),X118)),
     --p34(c36,X115),
     --p35(f10(X115,X117),f30(f32(c46,X115),X116))]).

input_clause(p4_60,conjecture,
    [++p4(f5(f26(f28(c47,X115),X116),X118),f5(f7(X116,
f26(f28(c47,X115),X116)),X118)),
     --p34(c36,X115),
     --p4(f5(f7(X116,f26(f28(c47,X115),X116)),f30(f32(c46,X115),X116)),
f5(f7(X116,f26(f28(c48,X115),X116)),f30(f32(c46,X115),X116)))]).

input_clause(p2_61,conjecture,
    [++p2(X31,X32),
     ++p4(f5(f26(f28(c43,X33),X34),X35),f5(f26(f28(c44,X33),X34),X35)),
     --p34(c36,X33),
     --p35(f10(X33,X35),f30(f32(c42,X33),X34)),
     --p4(f5(X31,f18(f20(f22(f24(c45,X33),X34),X31),X32)),f5(f7(X34,X31),
f18(f20(f22(f24(c45,X33),X34),X31),X32))),
     --p4(f5(X32,f18(f20(f22(f24(c45,X33),X34),X31),X32)),f5(f7(X34,X32),
f18(f20(f22(f24(c45,X33),X34),X31),X32)))]).

input_clause(p2_62,conjecture,
    [++p2(X31,X32),
     --p34(c36,X33),
     --p4(f5(X31,f18(f20(f22(f24(c45,X33),X34),X31),X32)),f5(f7(X34,X31),
f18(f20(f22(f24(c45,X33),X34),X31),X32))),
     --p4(f5(X32,f18(f20(f22(f24(c45,X33),X34),X31),X32)),f5(f7(X34,X32),
f18(f20(f22(f24(c45,X33),X34),X31),X32))),
     --p4(f5(f7(X34,f26(f28(c43,X33),X34)),f30(f32(c42,X33),X34)),f5(f7(X34,
f26(f28(c44,X33),X34)),f30(f32(c42,X33),X34)))]).
%--------------------------------------------------------------------------
