%--------------------------------------------------------------------------
% File     : SYN905-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF converse PDL, SSS - K=4 C=10 V=8 D=6.3
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cpdl-cnfSSS-K4-C10-V8-D6.3 [Sch01]

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.60 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :  807 (  26 non-Horn;  11 unit; 807 RR)
%            Number of literals   : 3171 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :  717 (  11 propositional; 0-2 arity)
%            Number of functors   :   91 (  11 constant; 0-1 arity)
%            Number of variables  : 2345 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Relational translation with renaming on the *-free converse
%            PDL formula.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC10]).

input_clause(clause2,conjecture,
    [--ssSkC9]).

input_clause(clause3,conjecture,
    [--ssSkC8]).

input_clause(clause4,conjecture,
    [--ssSkC7]).

input_clause(clause5,conjecture,
    [--ssSkC6]).

input_clause(clause6,conjecture,
    [--ssSkC5]).

input_clause(clause7,conjecture,
    [--ssSkC4]).

input_clause(clause8,conjecture,
    [--ssSkC3]).

input_clause(clause9,conjecture,
    [--ssSkC2]).

input_clause(clause10,conjecture,
    [--ssSkC1]).

input_clause(clause11,conjecture,
    [--ssSkC0]).

input_clause(clause12,conjecture,
    [++ssSkP678(skc21),
     ++ssSkC10]).

input_clause(clause13,conjecture,
    [++ssSkP515(skc20),
     ++ssSkC9]).

input_clause(clause14,conjecture,
    [++ssSkP455(skc19),
     ++ssSkC8]).

input_clause(clause15,conjecture,
    [++ssSkP401(skc18),
     ++ssSkC7]).

input_clause(clause16,conjecture,
    [++ssSkP347(skc17),
     ++ssSkC6]).

input_clause(clause17,conjecture,
    [++ssSkP287(skc16),
     ++ssSkC5]).

input_clause(clause18,conjecture,
    [++ssSkP236(skc15),
     ++ssSkC4]).

input_clause(clause19,conjecture,
    [++ssSkP190(skc14),
     ++ssSkC3]).

input_clause(clause20,conjecture,
    [++ssSkP148(skc13),
     ++ssSkC2]).

input_clause(clause21,conjecture,
    [++ssSkP100(skc12),
     ++ssSkC1]).

input_clause(clause22,conjecture,
    [++ssSkP59(skc11),
     ++ssSkC0]).

input_clause(clause23,conjecture,
    [--ssSkP545(U),
     ++ssSkP532(U)]).

input_clause(clause24,conjecture,
    [--ssSkP545(U),
     ++ssPv48(U)]).

input_clause(clause25,conjecture,
    [--ssSkP546(U),
     ++ssSkP533(U)]).

input_clause(clause26,conjecture,
    [--ssSkP546(U),
     ++ssPv25(U)]).

input_clause(clause27,conjecture,
    [--ssSkP547(U),
     ++ssSkP535(U)]).

input_clause(clause28,conjecture,
    [--ssSkP547(U),
     ++ssPv47(U)]).

input_clause(clause29,conjecture,
    [--ssSkP548(U),
     ++ssSkP542(U)]).

input_clause(clause30,conjecture,
    [--ssSkP548(U),
     ++ssPv9(U)]).

input_clause(clause31,conjecture,
    [--ssSkP549(U),
     ++ssSkP538(U)]).

input_clause(clause32,conjecture,
    [--ssSkP549(U),
     ++ssPv46(U)]).

input_clause(clause33,conjecture,
    [--ssSkP550(U),
     ++ssSkP539(U)]).

input_clause(clause34,conjecture,
    [--ssSkP550(U),
     ++ssPv16(U)]).

input_clause(clause35,conjecture,
    [--ssSkP551(U),
     ++ssSkP541(U)]).

input_clause(clause36,conjecture,
    [--ssSkP551(U),
     ++ssPv41(U)]).

input_clause(clause37,conjecture,
    [--ssSkP552(U),
     ++ssSkP537(U)]).

input_clause(clause38,conjecture,
    [--ssSkP552(U),
     ++ssPv11(U)]).

input_clause(clause39,conjecture,
    [--ssSkP553(U),
     ++ssSkP544(U)]).

input_clause(clause40,conjecture,
    [--ssSkP553(U),
     ++ssPv30(U)]).

input_clause(clause41,conjecture,
    [--ssSkP554(U),
     ++ssSkP534(U)]).

input_clause(clause42,conjecture,
    [--ssSkP554(U),
     ++ssPv14(U)]).

input_clause(clause43,conjecture,
    [--ssSkP555(U),
     ++ssSkP536(U)]).

input_clause(clause44,conjecture,
    [--ssSkP555(U),
     ++ssPv29(U)]).

input_clause(clause45,conjecture,
    [--ssSkP557(U),
     ++ssSkP540(U)]).

input_clause(clause46,conjecture,
    [--ssSkP557(U),
     ++ssPv28(U)]).

input_clause(clause47,conjecture,
    [--ssSkP558(U),
     ++ssSkP543(U)]).

input_clause(clause48,conjecture,
    [--ssSkP558(U),
     ++ssPv12(U)]).

input_clause(clause49,conjecture,
    [--ssSkP559(U),
     ++ssSkP516(U)]).

input_clause(clause50,conjecture,
    [--ssSkP559(U),
     ++ssSkP556(U)]).

input_clause(clause51,conjecture,
    [--ssSkP574(U),
     ++ssSkP573(U)]).

input_clause(clause52,conjecture,
    [--ssSkP576(U),
     ++ssSkP575(U)]).

input_clause(clause53,conjecture,
    [--ssSkP578(U),
     ++ssSkP577(U)]).

input_clause(clause54,conjecture,
    [--ssSkP580(U),
     ++ssSkP579(U)]).

input_clause(clause55,conjecture,
    [--ssSkP582(U),
     ++ssSkP581(U)]).

input_clause(clause56,conjecture,
    [--ssSkP584(U),
     ++ssSkP572(U)]).

input_clause(clause57,conjecture,
    [--ssSkP584(U),
     ++ssSkP583(U)]).

input_clause(clause58,conjecture,
    [--ssSkP586(U),
     ++ssSkP585(U)]).

input_clause(clause59,conjecture,
    [--ssSkP588(U),
     ++ssSkP571(U)]).

input_clause(clause60,conjecture,
    [--ssSkP588(U),
     ++ssSkP587(U)]).

input_clause(clause61,conjecture,
    [--ssSkP590(U),
     ++ssSkP570(U)]).

input_clause(clause62,conjecture,
    [--ssSkP590(U),
     ++ssSkP589(U)]).

input_clause(clause63,conjecture,
    [--ssSkP592(U),
     ++ssSkP591(U)]).

input_clause(clause64,conjecture,
    [--ssSkP594(U),
     ++ssSkP569(U)]).

input_clause(clause65,conjecture,
    [--ssSkP594(U),
     ++ssSkP593(U)]).

input_clause(clause66,conjecture,
    [--ssSkP596(U),
     ++ssSkP595(U)]).

input_clause(clause67,conjecture,
    [--ssSkP598(U),
     ++ssSkP568(U)]).

input_clause(clause68,conjecture,
    [--ssSkP598(U),
     ++ssSkP597(U)]).

input_clause(clause69,conjecture,
    [--ssSkP600(U),
     ++ssSkP599(U)]).

input_clause(clause70,conjecture,
    [--ssSkP602(U),
     ++ssSkP601(U)]).

input_clause(clause71,conjecture,
    [--ssSkP604(U),
     ++ssSkP603(U)]).

input_clause(clause72,conjecture,
    [--ssSkP606(U),
     ++ssSkP605(U)]).

input_clause(clause73,conjecture,
    [--ssSkP608(U),
     ++ssSkP607(U)]).

input_clause(clause74,conjecture,
    [--ssSkP610(U),
     ++ssSkP609(U)]).

input_clause(clause75,conjecture,
    [--ssSkP612(U),
     ++ssSkP611(U)]).

input_clause(clause76,conjecture,
    [--ssSkP614(U),
     ++ssSkP613(U)]).

input_clause(clause77,conjecture,
    [--ssSkP616(U),
     ++ssSkP567(U)]).

input_clause(clause78,conjecture,
    [--ssSkP616(U),
     ++ssSkP615(U)]).

input_clause(clause79,conjecture,
    [--ssSkP618(U),
     ++ssSkP617(U)]).

input_clause(clause80,conjecture,
    [--ssSkP620(U),
     ++ssSkP619(U)]).

input_clause(clause81,conjecture,
    [--ssSkP622(U),
     ++ssSkP566(U)]).

input_clause(clause82,conjecture,
    [--ssSkP622(U),
     ++ssSkP621(U)]).

input_clause(clause83,conjecture,
    [--ssSkP624(U),
     ++ssSkP565(U)]).

input_clause(clause84,conjecture,
    [--ssSkP624(U),
     ++ssSkP623(U)]).

input_clause(clause85,conjecture,
    [--ssSkP626(U),
     ++ssSkP564(U)]).

input_clause(clause86,conjecture,
    [--ssSkP626(U),
     ++ssSkP625(U)]).

input_clause(clause87,conjecture,
    [--ssSkP628(U),
     ++ssSkP627(U)]).

input_clause(clause88,conjecture,
    [--ssSkP630(U),
     ++ssSkP629(U)]).

input_clause(clause89,conjecture,
    [--ssSkP632(U),
     ++ssSkP631(U)]).

input_clause(clause90,conjecture,
    [--ssSkP634(U),
     ++ssSkP633(U)]).

input_clause(clause91,conjecture,
    [--ssSkP636(U),
     ++ssSkP635(U)]).

input_clause(clause92,conjecture,
    [--ssSkP638(U),
     ++ssSkP637(U)]).

input_clause(clause93,conjecture,
    [--ssSkP640(U),
     ++ssSkP639(U)]).

input_clause(clause94,conjecture,
    [--ssSkP642(U),
     ++ssSkP641(U)]).

input_clause(clause95,conjecture,
    [--ssSkP644(U),
     ++ssSkP643(U)]).

input_clause(clause96,conjecture,
    [--ssSkP646(U),
     ++ssSkP645(U)]).

input_clause(clause97,conjecture,
    [--ssSkP648(U),
     ++ssSkP563(U)]).

input_clause(clause98,conjecture,
    [--ssSkP648(U),
     ++ssSkP647(U)]).

input_clause(clause99,conjecture,
    [--ssSkP650(U),
     ++ssSkP649(U)]).

input_clause(clause100,conjecture,
    [--ssSkP652(U),
     ++ssSkP651(U)]).

input_clause(clause101,conjecture,
    [--ssSkP654(U),
     ++ssSkP653(U)]).

input_clause(clause102,conjecture,
    [--ssSkP656(U),
     ++ssSkP655(U)]).

input_clause(clause103,conjecture,
    [--ssSkP658(U),
     ++ssSkP562(U)]).

input_clause(clause104,conjecture,
    [--ssSkP658(U),
     ++ssSkP657(U)]).

input_clause(clause105,conjecture,
    [--ssSkP660(U),
     ++ssSkP561(U)]).

input_clause(clause106,conjecture,
    [--ssSkP660(U),
     ++ssSkP659(U)]).

input_clause(clause107,conjecture,
    [--ssSkP662(U),
     ++ssSkP560(U)]).

input_clause(clause108,conjecture,
    [--ssSkP662(U),
     ++ssSkP661(U)]).

input_clause(clause109,conjecture,
    [--ssSkP664(U),
     ++ssSkP663(U)]).

input_clause(clause110,conjecture,
    [--ssSkP666(U),
     ++ssSkP665(U)]).

input_clause(clause111,conjecture,
    [--ssSkP668(U),
     ++ssSkP667(U)]).

input_clause(clause112,conjecture,
    [--ssSkP670(U),
     ++ssSkP669(U)]).

input_clause(clause113,conjecture,
    [--ssSkP672(U),
     ++ssSkP671(U)]).

input_clause(clause114,conjecture,
    [--ssSkP674(U),
     ++ssSkP673(U)]).

input_clause(clause115,conjecture,
    [--ssSkP676(U),
     ++ssSkP675(U)]).

input_clause(clause116,conjecture,
    [--ssSkP678(U),
     ++ssSkP677(U)]).

input_clause(clause117,conjecture,
    [--ssSkP532(U),
     ++ssSkP518(skf94(U))]).

input_clause(clause118,conjecture,
    [--ssSkP533(U),
     ++ssSkP529(skf95(U))]).

input_clause(clause119,conjecture,
    [--ssSkP534(U),
     ++ssSkP524(skf96(U))]).

input_clause(clause120,conjecture,
    [--ssSkP535(U),
     ++ssSkP522(skf97(U))]).

input_clause(clause121,conjecture,
    [--ssSkP536(U),
     ++ssSkP528(skf98(U))]).

input_clause(clause122,conjecture,
    [--ssSkP537(U),
     ++ssSkP520(skf99(U))]).

input_clause(clause123,conjecture,
    [--ssSkP538(U),
     ++ssSkP526(skf100(U))]).

input_clause(clause124,conjecture,
    [--ssSkP539(U),
     ++ssSkP525(skf101(U))]).

input_clause(clause125,conjecture,
    [--ssSkP540(U),
     ++ssSkP521(skf102(U))]).

input_clause(clause126,conjecture,
    [--ssSkP541(U),
     ++ssSkP530(skf103(U))]).

input_clause(clause127,conjecture,
    [--ssSkP542(U),
     ++ssSkP519(skf104(U))]).

input_clause(clause128,conjecture,
    [--ssSkP543(U),
     ++ssSkP527(skf105(U))]).

input_clause(clause129,conjecture,
    [--ssSkP544(U),
     ++ssSkP523(skf106(U))]).

input_clause(clause130,conjecture,
    [--ssSkP560(U),
     ++ssSkP545(skf107(U))]).

input_clause(clause131,conjecture,
    [--ssSkP561(U),
     ++ssSkP547(skf108(U))]).

input_clause(clause132,conjecture,
    [--ssSkP562(U),
     ++ssSkP549(skf109(U))]).

input_clause(clause133,conjecture,
    [--ssSkP563(U),
     ++ssSkP551(skf110(U))]).

input_clause(clause134,conjecture,
    [--ssSkP564(U),
     ++ssSkP553(skf111(U))]).

input_clause(clause135,conjecture,
    [--ssSkP565(U),
     ++ssSkP555(skf112(U))]).

input_clause(clause136,conjecture,
    [--ssSkP566(U),
     ++ssSkP557(skf113(U))]).

input_clause(clause137,conjecture,
    [--ssSkP567(U),
     ++ssSkP546(skf114(U))]).

input_clause(clause138,conjecture,
    [--ssSkP568(U),
     ++ssSkP550(skf115(U))]).

input_clause(clause139,conjecture,
    [--ssSkP569(U),
     ++ssSkP554(skf116(U))]).

input_clause(clause140,conjecture,
    [--ssSkP570(U),
     ++ssSkP558(skf117(U))]).

input_clause(clause141,conjecture,
    [--ssSkP571(U),
     ++ssSkP552(skf118(U))]).

input_clause(clause142,conjecture,
    [--ssSkP572(U),
     ++ssSkP548(skf119(U))]).

input_clause(clause143,conjecture,
    [--ssSkP516(U),
     ++ssRr(U,skf80(U))]).

input_clause(clause144,conjecture,
    [--ssPv48(skf81(U)),
     --ssSkP518(U)]).

input_clause(clause145,conjecture,
    [--ssSkP518(U),
     ++ssRr(U,skf81(U))]).

input_clause(clause146,conjecture,
    [--ssPv9(skf82(U)),
     --ssSkP519(U)]).

input_clause(clause147,conjecture,
    [--ssSkP519(U),
     ++ssRr(U,skf82(U))]).

input_clause(clause148,conjecture,
    [--ssPv11(skf83(U)),
     --ssSkP520(U)]).

input_clause(clause149,conjecture,
    [--ssSkP520(U),
     ++ssRr(U,skf83(U))]).

input_clause(clause150,conjecture,
    [--ssPv28(skf84(U)),
     --ssSkP521(U)]).

input_clause(clause151,conjecture,
    [--ssSkP521(U),
     ++ssRr(U,skf84(U))]).

input_clause(clause152,conjecture,
    [--ssPv47(skf85(U)),
     --ssSkP522(U)]).

input_clause(clause153,conjecture,
    [--ssSkP522(U),
     ++ssRr(U,skf85(U))]).

input_clause(clause154,conjecture,
    [--ssPv30(skf86(U)),
     --ssSkP523(U)]).

input_clause(clause155,conjecture,
    [--ssSkP523(U),
     ++ssRr(U,skf86(U))]).

input_clause(clause156,conjecture,
    [--ssPv14(skf87(U)),
     --ssSkP524(U)]).

input_clause(clause157,conjecture,
    [--ssSkP524(U),
     ++ssRr(U,skf87(U))]).

input_clause(clause158,conjecture,
    [--ssPv16(skf88(U)),
     --ssSkP525(U)]).

input_clause(clause159,conjecture,
    [--ssSkP525(U),
     ++ssRr(U,skf88(U))]).

input_clause(clause160,conjecture,
    [--ssPv46(skf89(U)),
     --ssSkP526(U)]).

input_clause(clause161,conjecture,
    [--ssSkP526(U),
     ++ssRr(U,skf89(U))]).

input_clause(clause162,conjecture,
    [--ssPv12(skf90(U)),
     --ssSkP527(U)]).

input_clause(clause163,conjecture,
    [--ssSkP527(U),
     ++ssRr(U,skf90(U))]).

input_clause(clause164,conjecture,
    [--ssPv29(skf91(U)),
     --ssSkP528(U)]).

input_clause(clause165,conjecture,
    [--ssSkP528(U),
     ++ssRr(U,skf91(U))]).

input_clause(clause166,conjecture,
    [--ssPv25(skf92(U)),
     --ssSkP529(U)]).

input_clause(clause167,conjecture,
    [--ssSkP529(U),
     ++ssRr(U,skf92(U))]).

input_clause(clause168,conjecture,
    [--ssPv41(skf93(U)),
     --ssSkP530(U)]).

input_clause(clause169,conjecture,
    [--ssSkP530(U),
     ++ssRr(U,skf93(U))]).

input_clause(clause170,conjecture,
    [--ssSkP532(U),
     ++ssRr(skf94(U),U)]).

input_clause(clause171,conjecture,
    [--ssSkP533(U),
     ++ssRr(skf95(U),U)]).

input_clause(clause172,conjecture,
    [--ssSkP534(U),
     ++ssRr(skf96(U),U)]).

input_clause(clause173,conjecture,
    [--ssSkP535(U),
     ++ssRr(skf97(U),U)]).

input_clause(clause174,conjecture,
    [--ssSkP536(U),
     ++ssRr(skf98(U),U)]).

input_clause(clause175,conjecture,
    [--ssSkP537(U),
     ++ssRr(skf99(U),U)]).

input_clause(clause176,conjecture,
    [--ssSkP538(U),
     ++ssRr(skf100(U),U)]).

input_clause(clause177,conjecture,
    [--ssSkP539(U),
     ++ssRr(skf101(U),U)]).

input_clause(clause178,conjecture,
    [--ssSkP540(U),
     ++ssRr(skf102(U),U)]).

input_clause(clause179,conjecture,
    [--ssSkP541(U),
     ++ssRr(skf103(U),U)]).

input_clause(clause180,conjecture,
    [--ssSkP542(U),
     ++ssRr(skf104(U),U)]).

input_clause(clause181,conjecture,
    [--ssSkP543(U),
     ++ssRr(skf105(U),U)]).

input_clause(clause182,conjecture,
    [--ssSkP544(U),
     ++ssRr(skf106(U),U)]).

input_clause(clause183,conjecture,
    [--ssSkP560(U),
     ++ssRr(U,skf107(U))]).

input_clause(clause184,conjecture,
    [--ssSkP561(U),
     ++ssRr(U,skf108(U))]).

input_clause(clause185,conjecture,
    [--ssSkP562(U),
     ++ssRr(U,skf109(U))]).

input_clause(clause186,conjecture,
    [--ssSkP563(U),
     ++ssRr(U,skf110(U))]).

input_clause(clause187,conjecture,
    [--ssSkP564(U),
     ++ssRr(U,skf111(U))]).

input_clause(clause188,conjecture,
    [--ssSkP565(U),
     ++ssRr(U,skf112(U))]).

input_clause(clause189,conjecture,
    [--ssSkP566(U),
     ++ssRr(U,skf113(U))]).

input_clause(clause190,conjecture,
    [--ssSkP567(U),
     ++ssRr(U,skf114(U))]).

input_clause(clause191,conjecture,
    [--ssSkP568(U),
     ++ssRr(U,skf115(U))]).

input_clause(clause192,conjecture,
    [--ssSkP569(U),
     ++ssRr(U,skf116(U))]).

input_clause(clause193,conjecture,
    [--ssSkP570(U),
     ++ssRr(U,skf117(U))]).

input_clause(clause194,conjecture,
    [--ssSkP571(U),
     ++ssRr(U,skf118(U))]).

input_clause(clause195,conjecture,
    [--ssSkP572(U),
     ++ssRr(U,skf119(U))]).

input_clause(clause196,conjecture,
    [--ssSkP574(U),
     ++ssRr(U,skf120(U))]).

input_clause(clause197,conjecture,
    [--ssSkP576(U),
     ++ssRr(U,skf121(U))]).

input_clause(clause198,conjecture,
    [--ssSkP578(U),
     ++ssRr(U,skf122(U))]).

input_clause(clause199,conjecture,
    [--ssSkP580(U),
     ++ssRr(U,skf123(U))]).

input_clause(clause200,conjecture,
    [--ssSkP582(U),
     ++ssRr(U,skf124(U))]).

input_clause(clause201,conjecture,
    [--ssSkP586(U),
     ++ssRr(U,skf125(U))]).

input_clause(clause202,conjecture,
    [--ssSkP592(U),
     ++ssRr(U,skf126(U))]).

input_clause(clause203,conjecture,
    [--ssSkP596(U),
     ++ssRr(U,skf127(U))]).

input_clause(clause204,conjecture,
    [--ssSkP600(U),
     ++ssRr(U,skf128(U))]).

input_clause(clause205,conjecture,
    [--ssSkP602(U),
     ++ssRr(U,skf129(U))]).

input_clause(clause206,conjecture,
    [--ssSkP604(U),
     ++ssRr(U,skf130(U))]).

input_clause(clause207,conjecture,
    [--ssSkP606(U),
     ++ssRr(U,skf131(U))]).

input_clause(clause208,conjecture,
    [--ssSkP608(U),
     ++ssRr(U,skf132(U))]).

input_clause(clause209,conjecture,
    [--ssSkP610(U),
     ++ssRr(U,skf133(U))]).

input_clause(clause210,conjecture,
    [--ssSkP612(U),
     ++ssRr(U,skf134(U))]).

input_clause(clause211,conjecture,
    [--ssSkP614(U),
     ++ssRr(U,skf135(U))]).

input_clause(clause212,conjecture,
    [--ssSkP618(U),
     ++ssRr(U,skf136(U))]).

input_clause(clause213,conjecture,
    [--ssSkP620(U),
     ++ssRr(U,skf137(U))]).

input_clause(clause214,conjecture,
    [--ssSkP628(U),
     ++ssRr(U,skf138(U))]).

input_clause(clause215,conjecture,
    [--ssSkP630(U),
     ++ssRr(U,skf139(U))]).

input_clause(clause216,conjecture,
    [--ssSkP632(U),
     ++ssRr(U,skf140(U))]).

input_clause(clause217,conjecture,
    [--ssSkP634(U),
     ++ssRr(U,skf141(U))]).

input_clause(clause218,conjecture,
    [--ssSkP636(U),
     ++ssRr(U,skf142(U))]).

input_clause(clause219,conjecture,
    [--ssSkP638(U),
     ++ssRr(U,skf143(U))]).

input_clause(clause220,conjecture,
    [--ssSkP640(U),
     ++ssRr(U,skf144(U))]).

input_clause(clause221,conjecture,
    [--ssSkP642(U),
     ++ssRr(U,skf145(U))]).

input_clause(clause222,conjecture,
    [--ssSkP644(U),
     ++ssRr(U,skf146(U))]).

input_clause(clause223,conjecture,
    [--ssSkP646(U),
     ++ssRr(U,skf147(U))]).

input_clause(clause224,conjecture,
    [--ssSkP650(U),
     ++ssRr(U,skf148(U))]).

input_clause(clause225,conjecture,
    [--ssSkP652(U),
     ++ssRr(U,skf149(U))]).

input_clause(clause226,conjecture,
    [--ssSkP654(U),
     ++ssRr(U,skf150(U))]).

input_clause(clause227,conjecture,
    [--ssSkP656(U),
     ++ssRr(U,skf151(U))]).

input_clause(clause228,conjecture,
    [--ssSkP664(U),
     ++ssRr(U,skf152(U))]).

input_clause(clause229,conjecture,
    [--ssSkP666(U),
     ++ssRr(U,skf153(U))]).

input_clause(clause230,conjecture,
    [--ssSkP668(U),
     ++ssRr(U,skf154(U))]).

input_clause(clause231,conjecture,
    [--ssSkP670(U),
     ++ssRr(U,skf155(U))]).

input_clause(clause232,conjecture,
    [--ssSkP672(U),
     ++ssRr(U,skf156(U))]).

input_clause(clause233,conjecture,
    [--ssSkP674(U),
     ++ssRr(U,skf157(U))]).

input_clause(clause234,conjecture,
    [--ssSkP676(U),
     ++ssRr(U,skf158(U))]).

input_clause(clause235,conjecture,
    [--ssSkP678(U),
     ++ssRr(U,skf159(U))]).

input_clause(clause236,conjecture,
    [--ssSkP426(U),
     ++ssPv28(U),
     ++ssSkP425(U)]).

input_clause(clause237,conjecture,
    [--ssSkP417(U),
     ++ssPv20(U),
     ++ssSkP416(U)]).

input_clause(clause238,conjecture,
    [--ssSkP405(U),
     ++ssPv9(U),
     ++ssSkP404(U)]).

input_clause(clause239,conjecture,
    [--ssSkP378(U),
     ++ssPv34(U),
     ++ssSkP377(U)]).

input_clause(clause240,conjecture,
    [--ssSkP372(U),
     ++ssPv29(U),
     ++ssSkP371(U)]).

input_clause(clause241,conjecture,
    [--ssSkP319(U),
     ++ssPv30(U),
     ++ssSkP318(U)]).

input_clause(clause242,conjecture,
    [--ssSkP271(U),
     ++ssPv41(U),
     ++ssSkP270(U)]).

input_clause(clause243,conjecture,
    [--ssSkP252(U),
     ++ssPv24(U),
     ++ssSkP251(U)]).

input_clause(clause244,conjecture,
    [--ssSkP194(U),
     ++ssPv17(U),
     ++ssSkP193(U)]).

input_clause(clause245,conjecture,
    [--ssSkP178(U),
     ++ssPv46(U),
     ++ssSkP177(U)]).

input_clause(clause246,conjecture,
    [--ssSkP167(U),
     ++ssPv36(U),
     ++ssSkP166(U)]).

input_clause(clause247,conjecture,
    [--ssSkP119(U),
     ++ssPv30(U),
     ++ssSkP118(U)]).

input_clause(clause248,conjecture,
    [--ssSkP83(U),
     ++ssPv41(U),
     ++ssSkP82(U)]).

input_clause(clause249,conjecture,
    [--ssSkP55(U),
     ++ssPv53(U),
     ++ssSkP54(U)]).

input_clause(clause250,conjecture,
    [--ssSkP25(U),
     ++ssPv25(U),
     ++ssSkP24(U)]).

input_clause(clause251,conjecture,
    [--ssSkP486(U),
     --ssPv28(U),
     ++ssSkP485(U)]).

input_clause(clause252,conjecture,
    [--ssSkP479(U),
     --ssPv22(U),
     ++ssSkP478(U)]).

input_clause(clause253,conjecture,
    [--ssSkP468(U),
     --ssPv12(U),
     ++ssSkP467(U)]).

input_clause(clause254,conjecture,
    [--ssSkP358(U),
     --ssPv16(U),
     ++ssSkP357(U)]).

input_clause(clause255,conjecture,
    [--ssSkP329(U),
     --ssPv39(U),
     ++ssSkP328(U)]).

input_clause(clause256,conjecture,
    [--ssSkP316(U),
     --ssPv28(U),
     ++ssSkP315(U)]).

input_clause(clause257,conjecture,
    [--ssSkP268(U),
     --ssPv39(U),
     ++ssSkP267(U)]).

input_clause(clause258,conjecture,
    [--ssSkP226(U),
     --ssPv47(U),
     ++ssSkP225(U)]).

input_clause(clause259,conjecture,
    [--ssSkP200(U),
     --ssPv22(U),
     ++ssSkP199(U)]).

input_clause(clause260,conjecture,
    [--ssSkP181(U),
     --ssPv48(U),
     ++ssSkP180(U)]).

input_clause(clause261,conjecture,
    [--ssSkP141(U),
     --ssPv50(U),
     ++ssSkP140(U)]).

input_clause(clause262,conjecture,
    [--ssSkP126(U),
     --ssPv36(U),
     ++ssSkP125(U)]).

input_clause(clause263,conjecture,
    [--ssSkP95(U),
     --ssPv52(U),
     ++ssSkP94(U)]).

input_clause(clause264,conjecture,
    [--ssSkP69(U),
     --ssPv28(U),
     ++ssSkP68(U)]).

input_clause(clause265,conjecture,
    [--ssSkP49(U),
     --ssPv48(U),
     ++ssSkP48(U)]).

input_clause(clause266,conjecture,
    [--ssSkP531(U,V),
     --ssSkP677(V),
     ++ssSkP676(U)]).

input_clause(clause267,conjecture,
    [--ssSkP531(U,V),
     --ssSkP675(V),
     ++ssSkP674(U)]).

input_clause(clause268,conjecture,
    [--ssSkP457(U,V),
     --ssSkP515(V),
     ++ssSkP514(U)]).

input_clause(clause269,conjecture,
    [--ssSkP457(U,V),
     --ssSkP514(V),
     ++ssSkP513(U)]).

input_clause(clause270,conjecture,
    [--ssSkP403(U,V),
     --ssSkP455(V),
     ++ssSkP454(U)]).

input_clause(clause271,conjecture,
    [--ssSkP403(U,V),
     --ssSkP454(V),
     ++ssSkP453(U)]).

input_clause(clause272,conjecture,
    [--ssSkP349(U,V),
     --ssSkP401(V),
     ++ssSkP400(U)]).

input_clause(clause273,conjecture,
    [--ssSkP349(U,V),
     --ssSkP400(V),
     ++ssSkP399(U)]).

input_clause(clause274,conjecture,
    [--ssSkP289(U,V),
     --ssSkP347(V),
     ++ssSkP346(U)]).

input_clause(clause275,conjecture,
    [--ssSkP289(U,V),
     --ssSkP346(V),
     ++ssSkP345(U)]).

input_clause(clause276,conjecture,
    [--ssSkP238(U,V),
     --ssSkP287(V),
     ++ssSkP286(U)]).

input_clause(clause277,conjecture,
    [--ssSkP238(U,V),
     --ssSkP286(V),
     ++ssSkP285(U)]).

input_clause(clause278,conjecture,
    [--ssSkP192(U,V),
     --ssSkP236(V),
     ++ssSkP235(U)]).

input_clause(clause279,conjecture,
    [--ssSkP192(U,V),
     --ssSkP235(V),
     ++ssSkP234(U)]).

input_clause(clause280,conjecture,
    [--ssSkP150(U,V),
     --ssSkP190(V),
     ++ssSkP189(U)]).

input_clause(clause281,conjecture,
    [--ssSkP150(U,V),
     --ssSkP189(V),
     ++ssSkP188(U)]).

input_clause(clause282,conjecture,
    [--ssSkP102(U,V),
     --ssSkP148(V),
     ++ssSkP147(U)]).

input_clause(clause283,conjecture,
    [--ssSkP102(U,V),
     --ssSkP147(V),
     ++ssSkP146(U)]).

input_clause(clause284,conjecture,
    [--ssSkP61(U,V),
     --ssSkP100(V),
     ++ssSkP99(U)]).

input_clause(clause285,conjecture,
    [--ssSkP61(U,V),
     --ssSkP99(V),
     ++ssSkP98(U)]).

input_clause(clause286,conjecture,
    [--ssSkP1(U,V),
     --ssSkP59(V),
     ++ssSkP58(U)]).

input_clause(clause287,conjecture,
    [--ssSkP1(U,V),
     --ssSkP58(V),
     ++ssSkP57(U)]).

input_clause(clause288,conjecture,
    [--ssRr(U,V),
     --ssSkP517(W,V),
     ++ssSkP531(W,U)]).

input_clause(clause289,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP517(W,V)]).

input_clause(clause290,conjecture,
    [--ssRr(U,V),
     --ssSkP456(W,V),
     ++ssSkP457(W,U)]).

input_clause(clause291,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP456(W,V)]).

input_clause(clause292,conjecture,
    [--ssRr(U,V),
     --ssSkP402(W,V),
     ++ssSkP403(W,U)]).

input_clause(clause293,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP402(W,V)]).

input_clause(clause294,conjecture,
    [--ssRr(U,V),
     --ssSkP348(W,V),
     ++ssSkP349(W,U)]).

input_clause(clause295,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP348(W,V)]).

input_clause(clause296,conjecture,
    [--ssRr(U,V),
     --ssSkP288(W,V),
     ++ssSkP289(W,U)]).

input_clause(clause297,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP288(W,V)]).

input_clause(clause298,conjecture,
    [--ssRr(U,V),
     --ssSkP237(W,V),
     ++ssSkP238(W,U)]).

input_clause(clause299,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP237(W,V)]).

input_clause(clause300,conjecture,
    [--ssRr(U,V),
     --ssSkP191(W,V),
     ++ssSkP192(W,U)]).

input_clause(clause301,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP191(W,V)]).

input_clause(clause302,conjecture,
    [--ssRr(U,V),
     --ssSkP149(W,V),
     ++ssSkP150(W,U)]).

input_clause(clause303,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP149(W,V)]).

input_clause(clause304,conjecture,
    [--ssRr(U,V),
     --ssSkP101(W,V),
     ++ssSkP102(W,U)]).

input_clause(clause305,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP101(W,V)]).

input_clause(clause306,conjecture,
    [--ssRr(U,V),
     --ssSkP60(W,V),
     ++ssSkP61(W,U)]).

input_clause(clause307,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP60(W,V)]).

input_clause(clause308,conjecture,
    [--ssRr(U,V),
     --ssSkP0(W,V),
     ++ssSkP1(W,U)]).

input_clause(clause309,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP0(W,V)]).

input_clause(clause310,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP673(X),
     ++ssSkP672(W)]).

input_clause(clause311,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP671(X),
     ++ssSkP670(W)]).

input_clause(clause312,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP669(X),
     ++ssSkP668(W)]).

input_clause(clause313,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP667(X),
     ++ssSkP666(W)]).

input_clause(clause314,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP665(X),
     ++ssSkP664(W)]).

input_clause(clause315,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP663(X),
     ++ssSkP662(W)]).

input_clause(clause316,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP661(X),
     ++ssSkP660(W)]).

input_clause(clause317,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP659(X),
     ++ssSkP658(W)]).

input_clause(clause318,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP657(X),
     ++ssSkP656(W)]).

input_clause(clause319,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP655(X),
     ++ssSkP654(W)]).

input_clause(clause320,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP653(X),
     ++ssSkP652(W)]).

input_clause(clause321,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP651(X),
     ++ssSkP650(W)]).

input_clause(clause322,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP649(X),
     ++ssSkP648(W)]).

input_clause(clause323,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP647(X),
     ++ssSkP646(W)]).

input_clause(clause324,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP645(X),
     ++ssSkP644(W)]).

input_clause(clause325,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP643(X),
     ++ssSkP642(W)]).

input_clause(clause326,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP641(X),
     ++ssSkP640(W)]).

input_clause(clause327,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP639(X),
     ++ssSkP638(W)]).

input_clause(clause328,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP637(X),
     ++ssSkP636(W)]).

input_clause(clause329,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP635(X),
     ++ssSkP634(W)]).

input_clause(clause330,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP633(X),
     ++ssSkP632(W)]).

input_clause(clause331,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP631(X),
     ++ssSkP630(W)]).

input_clause(clause332,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP629(X),
     ++ssSkP628(W)]).

input_clause(clause333,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP627(X),
     ++ssSkP626(W)]).

input_clause(clause334,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP625(X),
     ++ssSkP624(W)]).

input_clause(clause335,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP623(X),
     ++ssSkP622(W)]).

input_clause(clause336,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP621(X),
     ++ssSkP620(W)]).

input_clause(clause337,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP619(X),
     ++ssSkP618(W)]).

input_clause(clause338,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP617(X),
     ++ssSkP616(W)]).

input_clause(clause339,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP615(X),
     ++ssSkP614(W)]).

input_clause(clause340,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP613(X),
     ++ssSkP612(W)]).

input_clause(clause341,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP611(X),
     ++ssSkP610(W)]).

input_clause(clause342,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP609(X),
     ++ssSkP608(W)]).

input_clause(clause343,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP607(X),
     ++ssSkP606(W)]).

input_clause(clause344,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP605(X),
     ++ssSkP604(W)]).

input_clause(clause345,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP603(X),
     ++ssSkP602(W)]).

input_clause(clause346,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP601(X),
     ++ssSkP600(W)]).

input_clause(clause347,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP599(X),
     ++ssSkP598(W)]).

input_clause(clause348,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP597(X),
     ++ssSkP596(W)]).

input_clause(clause349,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP595(X),
     ++ssSkP594(W)]).

input_clause(clause350,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP593(X),
     ++ssSkP592(W)]).

input_clause(clause351,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP591(X),
     ++ssSkP590(W)]).

input_clause(clause352,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP589(X),
     ++ssSkP588(W)]).

input_clause(clause353,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP587(X),
     ++ssSkP586(W)]).

input_clause(clause354,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP585(X),
     ++ssSkP584(W)]).

input_clause(clause355,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP583(X),
     ++ssSkP582(W)]).

input_clause(clause356,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP581(X),
     ++ssSkP580(W)]).

input_clause(clause357,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP579(X),
     ++ssSkP578(W)]).

input_clause(clause358,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP577(X),
     ++ssSkP576(W)]).

input_clause(clause359,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP575(X),
     ++ssSkP574(W)]).

input_clause(clause360,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP573(X),
     ++ssSkP559(W)]).

input_clause(clause361,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP556(X),
     ++ssSkP516(W)]).

input_clause(clause362,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP513(X),
     ++ssSkP512(W)]).

input_clause(clause363,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP512(X),
     ++ssSkP511(W)]).

input_clause(clause364,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP511(X),
     ++ssSkP510(W)]).

input_clause(clause365,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP510(X),
     ++ssSkP509(W)]).

input_clause(clause366,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP509(X),
     ++ssSkP508(W)]).

input_clause(clause367,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP508(X),
     ++ssSkP507(W)]).

input_clause(clause368,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP507(X),
     ++ssSkP506(W)]).

input_clause(clause369,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP506(X),
     ++ssSkP505(W)]).

input_clause(clause370,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP505(X),
     ++ssSkP504(W)]).

input_clause(clause371,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP504(X),
     ++ssSkP503(W)]).

input_clause(clause372,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP503(X),
     ++ssSkP502(W)]).

input_clause(clause373,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP502(X),
     ++ssSkP501(W)]).

input_clause(clause374,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP501(X),
     ++ssSkP500(W)]).

input_clause(clause375,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP500(X),
     ++ssSkP499(W)]).

input_clause(clause376,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP499(X),
     ++ssSkP498(W)]).

input_clause(clause377,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP498(X),
     ++ssSkP497(W)]).

input_clause(clause378,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP497(X),
     ++ssSkP496(W)]).

input_clause(clause379,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP496(X),
     ++ssSkP495(W)]).

input_clause(clause380,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP495(X),
     ++ssSkP494(W)]).

input_clause(clause381,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP494(X),
     ++ssSkP493(W)]).

input_clause(clause382,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP493(X),
     ++ssSkP492(W)]).

input_clause(clause383,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP492(X),
     ++ssSkP491(W)]).

input_clause(clause384,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP491(X),
     ++ssSkP490(W)]).

input_clause(clause385,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP490(X),
     ++ssSkP489(W)]).

input_clause(clause386,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP489(X),
     ++ssSkP488(W)]).

input_clause(clause387,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP488(X),
     ++ssSkP487(W)]).

input_clause(clause388,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP487(X),
     ++ssSkP486(W)]).

input_clause(clause389,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP485(X),
     ++ssSkP484(W)]).

input_clause(clause390,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP484(X),
     ++ssSkP483(W)]).

input_clause(clause391,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP483(X),
     ++ssSkP482(W)]).

input_clause(clause392,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP482(X),
     ++ssSkP481(W)]).

input_clause(clause393,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP481(X),
     ++ssSkP480(W)]).

input_clause(clause394,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP480(X),
     ++ssSkP479(W)]).

input_clause(clause395,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP478(X),
     ++ssSkP477(W)]).

input_clause(clause396,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP477(X),
     ++ssSkP476(W)]).

input_clause(clause397,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP476(X),
     ++ssSkP475(W)]).

input_clause(clause398,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP475(X),
     ++ssSkP474(W)]).

input_clause(clause399,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP474(X),
     ++ssSkP473(W)]).

input_clause(clause400,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP473(X),
     ++ssSkP472(W)]).

input_clause(clause401,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP472(X),
     ++ssSkP471(W)]).

input_clause(clause402,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP471(X),
     ++ssSkP470(W)]).

input_clause(clause403,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP470(X),
     ++ssSkP469(W)]).

input_clause(clause404,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP469(X),
     ++ssSkP468(W)]).

input_clause(clause405,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP467(X),
     ++ssSkP466(W)]).

input_clause(clause406,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP466(X),
     ++ssSkP465(W)]).

input_clause(clause407,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP465(X),
     ++ssSkP464(W)]).

input_clause(clause408,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP464(X),
     ++ssSkP463(W)]).

input_clause(clause409,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP463(X),
     ++ssSkP462(W)]).

input_clause(clause410,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP462(X),
     ++ssSkP461(W)]).

input_clause(clause411,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP461(X),
     ++ssSkP460(W)]).

input_clause(clause412,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP460(X),
     ++ssSkP459(W)]).

input_clause(clause413,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP459(X),
     ++ssSkP458(W)]).

input_clause(clause414,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP458(X),
     ++ssPv2(W)]).

input_clause(clause415,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP453(X),
     ++ssSkP452(W)]).

input_clause(clause416,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP452(X),
     ++ssSkP451(W)]).

input_clause(clause417,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP451(X),
     ++ssSkP450(W)]).

input_clause(clause418,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP450(X),
     ++ssSkP449(W)]).

input_clause(clause419,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP449(X),
     ++ssSkP448(W)]).

input_clause(clause420,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP448(X),
     ++ssSkP447(W)]).

input_clause(clause421,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP447(X),
     ++ssSkP446(W)]).

input_clause(clause422,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP446(X),
     ++ssSkP445(W)]).

input_clause(clause423,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP445(X),
     ++ssSkP444(W)]).

input_clause(clause424,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP444(X),
     ++ssSkP443(W)]).

input_clause(clause425,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP443(X),
     ++ssSkP442(W)]).

input_clause(clause426,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP442(X),
     ++ssSkP441(W)]).

input_clause(clause427,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP441(X),
     ++ssSkP440(W)]).

input_clause(clause428,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP440(X),
     ++ssSkP439(W)]).

input_clause(clause429,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP439(X),
     ++ssSkP438(W)]).

input_clause(clause430,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP438(X),
     ++ssSkP437(W)]).

input_clause(clause431,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP437(X),
     ++ssSkP436(W)]).

input_clause(clause432,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP436(X),
     ++ssSkP435(W)]).

input_clause(clause433,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP435(X),
     ++ssSkP434(W)]).

input_clause(clause434,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP434(X),
     ++ssSkP433(W)]).

input_clause(clause435,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP433(X),
     ++ssSkP432(W)]).

input_clause(clause436,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP432(X),
     ++ssSkP431(W)]).

input_clause(clause437,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP431(X),
     ++ssSkP430(W)]).

input_clause(clause438,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP430(X),
     ++ssSkP429(W)]).

input_clause(clause439,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP429(X),
     ++ssSkP428(W)]).

input_clause(clause440,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP428(X),
     ++ssSkP427(W)]).

input_clause(clause441,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP427(X),
     ++ssSkP426(W)]).

input_clause(clause442,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP425(X),
     ++ssSkP424(W)]).

input_clause(clause443,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP424(X),
     ++ssSkP423(W)]).

input_clause(clause444,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP423(X),
     ++ssSkP422(W)]).

input_clause(clause445,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP422(X),
     ++ssSkP421(W)]).

input_clause(clause446,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP421(X),
     ++ssSkP420(W)]).

input_clause(clause447,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP420(X),
     ++ssSkP419(W)]).

input_clause(clause448,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP419(X),
     ++ssSkP418(W)]).

input_clause(clause449,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP418(X),
     ++ssSkP417(W)]).

input_clause(clause450,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP416(X),
     ++ssSkP415(W)]).

input_clause(clause451,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP415(X),
     ++ssSkP414(W)]).

input_clause(clause452,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP414(X),
     ++ssSkP413(W)]).

input_clause(clause453,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP413(X),
     ++ssSkP412(W)]).

input_clause(clause454,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP412(X),
     ++ssSkP411(W)]).

input_clause(clause455,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP411(X),
     ++ssSkP410(W)]).

input_clause(clause456,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP410(X),
     ++ssSkP409(W)]).

input_clause(clause457,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP409(X),
     ++ssSkP408(W)]).

input_clause(clause458,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP408(X),
     ++ssSkP407(W)]).

input_clause(clause459,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP407(X),
     ++ssSkP406(W)]).

input_clause(clause460,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP406(X),
     ++ssSkP405(W)]).

input_clause(clause461,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP399(X),
     ++ssSkP398(W)]).

input_clause(clause462,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP398(X),
     ++ssSkP397(W)]).

input_clause(clause463,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP397(X),
     ++ssSkP396(W)]).

input_clause(clause464,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP396(X),
     ++ssSkP395(W)]).

input_clause(clause465,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP395(X),
     ++ssSkP394(W)]).

input_clause(clause466,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP394(X),
     ++ssSkP393(W)]).

input_clause(clause467,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP393(X),
     ++ssSkP392(W)]).

input_clause(clause468,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP392(X),
     ++ssSkP391(W)]).

input_clause(clause469,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP391(X),
     ++ssSkP390(W)]).

input_clause(clause470,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP390(X),
     ++ssSkP389(W)]).

input_clause(clause471,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP389(X),
     ++ssSkP388(W)]).

input_clause(clause472,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP388(X),
     ++ssSkP387(W)]).

input_clause(clause473,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP387(X),
     ++ssSkP386(W)]).

input_clause(clause474,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP386(X),
     ++ssSkP385(W)]).

input_clause(clause475,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP385(X),
     ++ssSkP384(W)]).

input_clause(clause476,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP384(X),
     ++ssSkP383(W)]).

input_clause(clause477,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP383(X),
     ++ssSkP382(W)]).

input_clause(clause478,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP382(X),
     ++ssSkP381(W)]).

input_clause(clause479,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP381(X),
     ++ssSkP380(W)]).

input_clause(clause480,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP380(X),
     ++ssSkP379(W)]).

input_clause(clause481,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP379(X),
     ++ssSkP378(W)]).

input_clause(clause482,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP377(X),
     ++ssSkP376(W)]).

input_clause(clause483,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP376(X),
     ++ssSkP375(W)]).

input_clause(clause484,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP375(X),
     ++ssSkP374(W)]).

input_clause(clause485,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP374(X),
     ++ssSkP373(W)]).

input_clause(clause486,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP373(X),
     ++ssSkP372(W)]).

input_clause(clause487,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP371(X),
     ++ssSkP370(W)]).

input_clause(clause488,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP370(X),
     ++ssSkP369(W)]).

input_clause(clause489,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP369(X),
     ++ssSkP368(W)]).

input_clause(clause490,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP368(X),
     ++ssSkP367(W)]).

input_clause(clause491,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP367(X),
     ++ssSkP366(W)]).

input_clause(clause492,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP366(X),
     ++ssSkP365(W)]).

input_clause(clause493,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP365(X),
     ++ssSkP364(W)]).

input_clause(clause494,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP364(X),
     ++ssSkP363(W)]).

input_clause(clause495,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP363(X),
     ++ssSkP362(W)]).

input_clause(clause496,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP362(X),
     ++ssSkP361(W)]).

input_clause(clause497,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP361(X),
     ++ssSkP360(W)]).

input_clause(clause498,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP360(X),
     ++ssSkP359(W)]).

input_clause(clause499,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP359(X),
     ++ssSkP358(W)]).

input_clause(clause500,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP357(X),
     ++ssSkP356(W)]).

input_clause(clause501,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP356(X),
     ++ssSkP355(W)]).

input_clause(clause502,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP355(X),
     ++ssSkP354(W)]).

input_clause(clause503,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP354(X),
     ++ssSkP353(W)]).

input_clause(clause504,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP353(X),
     ++ssSkP352(W)]).

input_clause(clause505,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP352(X),
     ++ssSkP351(W)]).

input_clause(clause506,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP351(X),
     ++ssSkP350(W)]).

input_clause(clause507,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP345(X),
     ++ssSkP344(W)]).

input_clause(clause508,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP344(X),
     ++ssSkP343(W)]).

input_clause(clause509,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP343(X),
     ++ssSkP342(W)]).

input_clause(clause510,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP342(X),
     ++ssSkP341(W)]).

input_clause(clause511,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP341(X),
     ++ssSkP340(W)]).

input_clause(clause512,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP340(X),
     ++ssSkP339(W)]).

input_clause(clause513,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP339(X),
     ++ssSkP338(W)]).

input_clause(clause514,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP338(X),
     ++ssSkP337(W)]).

input_clause(clause515,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP337(X),
     ++ssSkP336(W)]).

input_clause(clause516,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP336(X),
     ++ssSkP335(W)]).

input_clause(clause517,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP335(X),
     ++ssSkP334(W)]).

input_clause(clause518,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP334(X),
     ++ssSkP333(W)]).

input_clause(clause519,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP333(X),
     ++ssSkP332(W)]).

input_clause(clause520,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP332(X),
     ++ssSkP331(W)]).

input_clause(clause521,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP331(X),
     ++ssSkP330(W)]).

input_clause(clause522,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP330(X),
     ++ssSkP329(W)]).

input_clause(clause523,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP328(X),
     ++ssSkP327(W)]).

input_clause(clause524,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP327(X),
     ++ssSkP326(W)]).

input_clause(clause525,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP326(X),
     ++ssSkP325(W)]).

input_clause(clause526,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP325(X),
     ++ssSkP324(W)]).

input_clause(clause527,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP324(X),
     ++ssSkP323(W)]).

input_clause(clause528,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP323(X),
     ++ssSkP322(W)]).

input_clause(clause529,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP322(X),
     ++ssSkP321(W)]).

input_clause(clause530,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP321(X),
     ++ssSkP320(W)]).

input_clause(clause531,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP320(X),
     ++ssSkP319(W)]).

input_clause(clause532,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP318(X),
     ++ssSkP317(W)]).

input_clause(clause533,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP317(X),
     ++ssSkP316(W)]).

input_clause(clause534,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP315(X),
     ++ssSkP314(W)]).

input_clause(clause535,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP314(X),
     ++ssSkP313(W)]).

input_clause(clause536,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP313(X),
     ++ssSkP312(W)]).

input_clause(clause537,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP312(X),
     ++ssSkP311(W)]).

input_clause(clause538,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP311(X),
     ++ssSkP310(W)]).

input_clause(clause539,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP310(X),
     ++ssSkP309(W)]).

input_clause(clause540,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP309(X),
     ++ssSkP308(W)]).

input_clause(clause541,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP308(X),
     ++ssSkP307(W)]).

input_clause(clause542,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP307(X),
     ++ssSkP306(W)]).

input_clause(clause543,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP306(X),
     ++ssSkP305(W)]).

input_clause(clause544,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP305(X),
     ++ssSkP304(W)]).

input_clause(clause545,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP304(X),
     ++ssSkP303(W)]).

input_clause(clause546,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP303(X),
     ++ssSkP302(W)]).

input_clause(clause547,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP302(X),
     ++ssSkP301(W)]).

input_clause(clause548,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP301(X),
     ++ssSkP300(W)]).

input_clause(clause549,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP300(X),
     ++ssSkP299(W)]).

input_clause(clause550,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP299(X),
     ++ssSkP298(W)]).

input_clause(clause551,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP298(X),
     ++ssSkP297(W)]).

input_clause(clause552,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP297(X),
     ++ssSkP296(W)]).

input_clause(clause553,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP296(X),
     ++ssSkP295(W)]).

input_clause(clause554,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP295(X),
     ++ssSkP294(W)]).

input_clause(clause555,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP294(X),
     ++ssSkP293(W)]).

input_clause(clause556,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP293(X),
     ++ssSkP292(W)]).

input_clause(clause557,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP292(X),
     ++ssSkP291(W)]).

input_clause(clause558,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP291(X),
     ++ssSkP290(W)]).

input_clause(clause559,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP285(X),
     ++ssSkP284(W)]).

input_clause(clause560,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP284(X),
     ++ssSkP283(W)]).

input_clause(clause561,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP283(X),
     ++ssSkP282(W)]).

input_clause(clause562,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP282(X),
     ++ssSkP281(W)]).

input_clause(clause563,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP281(X),
     ++ssSkP280(W)]).

input_clause(clause564,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP280(X),
     ++ssSkP279(W)]).

input_clause(clause565,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP279(X),
     ++ssSkP278(W)]).

input_clause(clause566,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP278(X),
     ++ssSkP277(W)]).

input_clause(clause567,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP277(X),
     ++ssSkP276(W)]).

input_clause(clause568,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP276(X),
     ++ssSkP275(W)]).

input_clause(clause569,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP275(X),
     ++ssSkP274(W)]).

input_clause(clause570,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP274(X),
     ++ssSkP273(W)]).

input_clause(clause571,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP273(X),
     ++ssSkP272(W)]).

input_clause(clause572,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP272(X),
     ++ssSkP271(W)]).

input_clause(clause573,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP270(X),
     ++ssSkP269(W)]).

input_clause(clause574,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP269(X),
     ++ssSkP268(W)]).

input_clause(clause575,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP267(X),
     ++ssSkP266(W)]).

input_clause(clause576,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP266(X),
     ++ssSkP265(W)]).

input_clause(clause577,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP265(X),
     ++ssSkP264(W)]).

input_clause(clause578,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP264(X),
     ++ssSkP263(W)]).

input_clause(clause579,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP263(X),
     ++ssSkP262(W)]).

input_clause(clause580,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP262(X),
     ++ssSkP261(W)]).

input_clause(clause581,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP261(X),
     ++ssSkP260(W)]).

input_clause(clause582,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP260(X),
     ++ssSkP259(W)]).

input_clause(clause583,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP259(X),
     ++ssSkP258(W)]).

input_clause(clause584,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP258(X),
     ++ssSkP257(W)]).

input_clause(clause585,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP257(X),
     ++ssSkP256(W)]).

input_clause(clause586,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP256(X),
     ++ssSkP255(W)]).

input_clause(clause587,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP255(X),
     ++ssSkP254(W)]).

input_clause(clause588,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP254(X),
     ++ssSkP253(W)]).

input_clause(clause589,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP253(X),
     ++ssSkP252(W)]).

input_clause(clause590,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP251(X),
     ++ssSkP250(W)]).

input_clause(clause591,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP250(X),
     ++ssSkP249(W)]).

input_clause(clause592,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP249(X),
     ++ssSkP248(W)]).

input_clause(clause593,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP248(X),
     ++ssSkP247(W)]).

input_clause(clause594,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP247(X),
     ++ssSkP246(W)]).

input_clause(clause595,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP246(X),
     ++ssSkP245(W)]).

input_clause(clause596,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP245(X),
     ++ssSkP244(W)]).

input_clause(clause597,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP244(X),
     ++ssSkP243(W)]).

input_clause(clause598,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP243(X),
     ++ssSkP242(W)]).

input_clause(clause599,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP242(X),
     ++ssSkP241(W)]).

input_clause(clause600,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP241(X),
     ++ssSkP240(W)]).

input_clause(clause601,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP240(X),
     ++ssSkP239(W)]).

input_clause(clause602,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP239(X),
     ++ssPv11(W)]).

input_clause(clause603,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP234(X),
     ++ssSkP233(W)]).

input_clause(clause604,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP233(X),
     ++ssSkP232(W)]).

input_clause(clause605,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP232(X),
     ++ssSkP231(W)]).

input_clause(clause606,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP231(X),
     ++ssSkP230(W)]).

input_clause(clause607,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP230(X),
     ++ssSkP229(W)]).

input_clause(clause608,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP229(X),
     ++ssSkP228(W)]).

input_clause(clause609,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP228(X),
     ++ssSkP227(W)]).

input_clause(clause610,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP227(X),
     ++ssSkP226(W)]).

input_clause(clause611,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP225(X),
     ++ssSkP224(W)]).

input_clause(clause612,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP224(X),
     ++ssSkP223(W)]).

input_clause(clause613,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP223(X),
     ++ssSkP222(W)]).

input_clause(clause614,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP222(X),
     ++ssSkP221(W)]).

input_clause(clause615,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP221(X),
     ++ssSkP220(W)]).

input_clause(clause616,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP220(X),
     ++ssSkP219(W)]).

input_clause(clause617,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP219(X),
     ++ssSkP218(W)]).

input_clause(clause618,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP218(X),
     ++ssSkP217(W)]).

input_clause(clause619,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP217(X),
     ++ssSkP216(W)]).

input_clause(clause620,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP216(X),
     ++ssSkP215(W)]).

input_clause(clause621,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP215(X),
     ++ssSkP214(W)]).

input_clause(clause622,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP214(X),
     ++ssSkP213(W)]).

input_clause(clause623,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP213(X),
     ++ssSkP212(W)]).

input_clause(clause624,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP212(X),
     ++ssSkP211(W)]).

input_clause(clause625,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP211(X),
     ++ssSkP210(W)]).

input_clause(clause626,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP210(X),
     ++ssSkP209(W)]).

input_clause(clause627,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP209(X),
     ++ssSkP208(W)]).

input_clause(clause628,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP208(X),
     ++ssSkP207(W)]).

input_clause(clause629,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP207(X),
     ++ssSkP206(W)]).

input_clause(clause630,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP206(X),
     ++ssSkP205(W)]).

input_clause(clause631,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP205(X),
     ++ssSkP204(W)]).

input_clause(clause632,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP204(X),
     ++ssSkP203(W)]).

input_clause(clause633,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP203(X),
     ++ssSkP202(W)]).

input_clause(clause634,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP202(X),
     ++ssSkP201(W)]).

input_clause(clause635,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP201(X),
     ++ssSkP200(W)]).

input_clause(clause636,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP199(X),
     ++ssSkP198(W)]).

input_clause(clause637,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP198(X),
     ++ssSkP197(W)]).

input_clause(clause638,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP197(X),
     ++ssSkP196(W)]).

input_clause(clause639,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP196(X),
     ++ssSkP195(W)]).

input_clause(clause640,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP195(X),
     ++ssSkP194(W)]).

input_clause(clause641,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP193(X),
     ++ssPv16(W)]).

input_clause(clause642,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP188(X),
     ++ssSkP187(W)]).

input_clause(clause643,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP187(X),
     ++ssSkP186(W)]).

input_clause(clause644,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP186(X),
     ++ssSkP185(W)]).

input_clause(clause645,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP185(X),
     ++ssSkP184(W)]).

input_clause(clause646,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP184(X),
     ++ssSkP183(W)]).

input_clause(clause647,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP183(X),
     ++ssSkP182(W)]).

input_clause(clause648,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP182(X),
     ++ssSkP181(W)]).

input_clause(clause649,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP180(X),
     ++ssSkP179(W)]).

input_clause(clause650,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP179(X),
     ++ssSkP178(W)]).

input_clause(clause651,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP177(X),
     ++ssSkP176(W)]).

input_clause(clause652,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP176(X),
     ++ssSkP175(W)]).

input_clause(clause653,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP175(X),
     ++ssSkP174(W)]).

input_clause(clause654,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP174(X),
     ++ssSkP173(W)]).

input_clause(clause655,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP173(X),
     ++ssSkP172(W)]).

input_clause(clause656,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP172(X),
     ++ssSkP171(W)]).

input_clause(clause657,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP171(X),
     ++ssSkP170(W)]).

input_clause(clause658,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP170(X),
     ++ssSkP169(W)]).

input_clause(clause659,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP169(X),
     ++ssSkP168(W)]).

input_clause(clause660,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP168(X),
     ++ssSkP167(W)]).

input_clause(clause661,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP166(X),
     ++ssSkP165(W)]).

input_clause(clause662,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP165(X),
     ++ssSkP164(W)]).

input_clause(clause663,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP164(X),
     ++ssSkP163(W)]).

input_clause(clause664,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP163(X),
     ++ssSkP162(W)]).

input_clause(clause665,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP162(X),
     ++ssSkP161(W)]).

input_clause(clause666,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP161(X),
     ++ssSkP160(W)]).

input_clause(clause667,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP160(X),
     ++ssSkP159(W)]).

input_clause(clause668,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP159(X),
     ++ssSkP158(W)]).

input_clause(clause669,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP158(X),
     ++ssSkP157(W)]).

input_clause(clause670,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP157(X),
     ++ssSkP156(W)]).

input_clause(clause671,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP156(X),
     ++ssSkP155(W)]).

input_clause(clause672,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP155(X),
     ++ssSkP154(W)]).

input_clause(clause673,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP154(X),
     ++ssSkP153(W)]).

input_clause(clause674,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP153(X),
     ++ssSkP152(W)]).

input_clause(clause675,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP152(X),
     ++ssSkP151(W)]).

input_clause(clause676,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP151(X),
     ++ssPv20(W)]).

input_clause(clause677,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP146(X),
     ++ssSkP145(W)]).

input_clause(clause678,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP145(X),
     ++ssSkP144(W)]).

input_clause(clause679,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP144(X),
     ++ssSkP143(W)]).

input_clause(clause680,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP143(X),
     ++ssSkP142(W)]).

input_clause(clause681,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP142(X),
     ++ssSkP141(W)]).

input_clause(clause682,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP140(X),
     ++ssSkP139(W)]).

input_clause(clause683,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP139(X),
     ++ssSkP138(W)]).

input_clause(clause684,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP138(X),
     ++ssSkP137(W)]).

input_clause(clause685,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP137(X),
     ++ssSkP136(W)]).

input_clause(clause686,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP136(X),
     ++ssSkP135(W)]).

input_clause(clause687,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP135(X),
     ++ssSkP134(W)]).

input_clause(clause688,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP134(X),
     ++ssSkP133(W)]).

input_clause(clause689,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP133(X),
     ++ssSkP132(W)]).

input_clause(clause690,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP132(X),
     ++ssSkP131(W)]).

input_clause(clause691,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP131(X),
     ++ssSkP130(W)]).

input_clause(clause692,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP130(X),
     ++ssSkP129(W)]).

input_clause(clause693,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP129(X),
     ++ssSkP128(W)]).

input_clause(clause694,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP128(X),
     ++ssSkP127(W)]).

input_clause(clause695,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP127(X),
     ++ssSkP126(W)]).

input_clause(clause696,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP125(X),
     ++ssSkP124(W)]).

input_clause(clause697,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP124(X),
     ++ssSkP123(W)]).

input_clause(clause698,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP123(X),
     ++ssSkP122(W)]).

input_clause(clause699,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP122(X),
     ++ssSkP121(W)]).

input_clause(clause700,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP121(X),
     ++ssSkP120(W)]).

input_clause(clause701,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP120(X),
     ++ssSkP119(W)]).

input_clause(clause702,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP118(X),
     ++ssSkP117(W)]).

input_clause(clause703,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP117(X),
     ++ssSkP116(W)]).

input_clause(clause704,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP116(X),
     ++ssSkP115(W)]).

input_clause(clause705,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP115(X),
     ++ssSkP114(W)]).

input_clause(clause706,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP114(X),
     ++ssSkP113(W)]).

input_clause(clause707,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP113(X),
     ++ssSkP112(W)]).

input_clause(clause708,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP112(X),
     ++ssSkP111(W)]).

input_clause(clause709,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP111(X),
     ++ssSkP110(W)]).

input_clause(clause710,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP110(X),
     ++ssSkP109(W)]).

input_clause(clause711,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP109(X),
     ++ssSkP108(W)]).

input_clause(clause712,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP108(X),
     ++ssSkP107(W)]).

input_clause(clause713,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP107(X),
     ++ssSkP106(W)]).

input_clause(clause714,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP106(X),
     ++ssSkP105(W)]).

input_clause(clause715,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP105(X),
     ++ssSkP104(W)]).

input_clause(clause716,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP104(X),
     ++ssSkP103(W)]).

input_clause(clause717,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP98(X),
     ++ssSkP97(W)]).

input_clause(clause718,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP97(X),
     ++ssSkP96(W)]).

input_clause(clause719,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP96(X),
     ++ssSkP95(W)]).

input_clause(clause720,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP94(X),
     ++ssSkP93(W)]).

input_clause(clause721,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP93(X),
     ++ssSkP92(W)]).

input_clause(clause722,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP92(X),
     ++ssSkP91(W)]).

input_clause(clause723,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP91(X),
     ++ssSkP90(W)]).

input_clause(clause724,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP90(X),
     ++ssSkP89(W)]).

input_clause(clause725,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP89(X),
     ++ssSkP88(W)]).

input_clause(clause726,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP88(X),
     ++ssSkP87(W)]).

input_clause(clause727,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP87(X),
     ++ssSkP86(W)]).

input_clause(clause728,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP86(X),
     ++ssSkP85(W)]).

input_clause(clause729,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP85(X),
     ++ssSkP84(W)]).

input_clause(clause730,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP84(X),
     ++ssSkP83(W)]).

input_clause(clause731,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP82(X),
     ++ssSkP81(W)]).

input_clause(clause732,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP81(X),
     ++ssSkP80(W)]).

input_clause(clause733,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP80(X),
     ++ssSkP79(W)]).

input_clause(clause734,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP79(X),
     ++ssSkP78(W)]).

input_clause(clause735,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP78(X),
     ++ssSkP77(W)]).

input_clause(clause736,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP77(X),
     ++ssSkP76(W)]).

input_clause(clause737,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP76(X),
     ++ssSkP75(W)]).

input_clause(clause738,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP75(X),
     ++ssSkP74(W)]).

input_clause(clause739,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP74(X),
     ++ssSkP73(W)]).

input_clause(clause740,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP73(X),
     ++ssSkP72(W)]).

input_clause(clause741,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP72(X),
     ++ssSkP71(W)]).

input_clause(clause742,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP71(X),
     ++ssSkP70(W)]).

input_clause(clause743,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP70(X),
     ++ssSkP69(W)]).

input_clause(clause744,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP68(X),
     ++ssSkP67(W)]).

input_clause(clause745,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP67(X),
     ++ssSkP66(W)]).

input_clause(clause746,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP66(X),
     ++ssSkP65(W)]).

input_clause(clause747,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP65(X),
     ++ssSkP64(W)]).

input_clause(clause748,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP64(X),
     ++ssSkP63(W)]).

input_clause(clause749,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP63(X),
     ++ssSkP62(W)]).

input_clause(clause750,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP57(X),
     ++ssSkP56(W)]).

input_clause(clause751,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP56(X),
     ++ssSkP55(W)]).

input_clause(clause752,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP54(X),
     ++ssSkP53(W)]).

input_clause(clause753,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP53(X),
     ++ssSkP52(W)]).

input_clause(clause754,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP52(X),
     ++ssSkP51(W)]).

input_clause(clause755,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP51(X),
     ++ssSkP50(W)]).

input_clause(clause756,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP50(X),
     ++ssSkP49(W)]).

input_clause(clause757,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP48(X),
     ++ssSkP47(W)]).

input_clause(clause758,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP47(X),
     ++ssSkP46(W)]).

input_clause(clause759,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP46(X),
     ++ssSkP45(W)]).

input_clause(clause760,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP45(X),
     ++ssSkP44(W)]).

input_clause(clause761,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP44(X),
     ++ssSkP43(W)]).

input_clause(clause762,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP43(X),
     ++ssSkP42(W)]).

input_clause(clause763,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP42(X),
     ++ssSkP41(W)]).

input_clause(clause764,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP41(X),
     ++ssSkP40(W)]).

input_clause(clause765,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP40(X),
     ++ssSkP39(W)]).

input_clause(clause766,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP39(X),
     ++ssSkP38(W)]).

input_clause(clause767,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP38(X),
     ++ssSkP37(W)]).

input_clause(clause768,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP37(X),
     ++ssSkP36(W)]).

input_clause(clause769,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP36(X),
     ++ssSkP35(W)]).

input_clause(clause770,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP35(X),
     ++ssSkP34(W)]).

input_clause(clause771,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP34(X),
     ++ssSkP33(W)]).

input_clause(clause772,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP33(X),
     ++ssSkP32(W)]).

input_clause(clause773,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP32(X),
     ++ssSkP31(W)]).

input_clause(clause774,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP31(X),
     ++ssSkP30(W)]).

input_clause(clause775,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP30(X),
     ++ssSkP29(W)]).

input_clause(clause776,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP29(X),
     ++ssSkP28(W)]).

input_clause(clause777,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP28(X),
     ++ssSkP27(W)]).

input_clause(clause778,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP27(X),
     ++ssSkP26(W)]).

input_clause(clause779,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP26(X),
     ++ssSkP25(W)]).

input_clause(clause780,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP24(X),
     ++ssSkP23(W)]).

input_clause(clause781,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP23(X),
     ++ssSkP22(W)]).

input_clause(clause782,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP22(X),
     ++ssSkP21(W)]).

input_clause(clause783,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP21(X),
     ++ssSkP20(W)]).

input_clause(clause784,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP20(X),
     ++ssSkP19(W)]).

input_clause(clause785,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP19(X),
     ++ssSkP18(W)]).

input_clause(clause786,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP18(X),
     ++ssSkP17(W)]).

input_clause(clause787,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP17(X),
     ++ssSkP16(W)]).

input_clause(clause788,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP16(X),
     ++ssSkP15(W)]).

input_clause(clause789,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP15(X),
     ++ssSkP14(W)]).

input_clause(clause790,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP14(X),
     ++ssSkP13(W)]).

input_clause(clause791,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP13(X),
     ++ssSkP12(W)]).

input_clause(clause792,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP12(X),
     ++ssSkP11(W)]).

input_clause(clause793,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP11(X),
     ++ssSkP10(W)]).

input_clause(clause794,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP10(X),
     ++ssSkP9(W)]).

input_clause(clause795,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP9(X),
     ++ssSkP8(W)]).

input_clause(clause796,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP8(X),
     ++ssSkP7(W)]).

input_clause(clause797,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP7(X),
     ++ssSkP6(W)]).

input_clause(clause798,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP6(X),
     ++ssSkP5(W)]).

input_clause(clause799,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP5(X),
     ++ssSkP4(W)]).

input_clause(clause800,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP4(X),
     ++ssSkP3(W)]).

input_clause(clause801,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP3(X),
     ++ssSkP2(W)]).

input_clause(clause802,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP2(X),
     ++ssPv2(W)]).

input_clause(clause803,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv8(W),
     --ssSkP404(X)]).

input_clause(clause804,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv8(W),
     --ssSkP350(X)]).

input_clause(clause805,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv2(W),
     --ssSkP290(X)]).

input_clause(clause806,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv14(W),
     --ssSkP103(X)]).

input_clause(clause807,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv21(W),
     --ssSkP62(X)]).
%--------------------------------------------------------------------------
