%--------------------------------------------------------------------------
% File     : SYN914-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Syntactic
% Problem  : Show that 11 > 10
% Version  : [Cla03] axioms : Especial.
% English  : Having at least eleven elements but allowing at most 10 is
%            a contradiction.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.78 v2.7.0
% Syntax   : Number of clauses    :   59 (   1 non-Horn;  56 unit;  57 RR)
%            Number of literals   :   71 (  71 equality)
%            Maximal clause size  :   10 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   21 (  21 constant; 0-0 arity)
%            Number of variables  :    7 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality    
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(at_most_10,axiom,
    [++equal(X,a1),
     ++equal(X,a2),
     ++equal(X,a3),
     ++equal(X,a4),
     ++equal(X,a5),
     ++equal(X,a6),
     ++equal(X,a7),
     ++equal(X,a8),
     ++equal(X,a9),
     ++equal(X,a10)]).

input_clause(at_least_11_1_2,conjecture,
    [--equal(b1,b2)]).

input_clause(at_least_11_1_3,conjecture,
    [--equal(b1,b3)]).

input_clause(at_least_11_1_4,conjecture,
    [--equal(b1,b4)]).

input_clause(at_least_11_1_5,conjecture,
    [--equal(b1,b5)]).

input_clause(at_least_11_1_6,conjecture,
    [--equal(b1,b6)]).

input_clause(at_least_11_1_7,conjecture,
    [--equal(b1,b7)]).

input_clause(at_least_11_1_8,conjecture,
    [--equal(b1,b8)]).

input_clause(at_least_11_1_9,conjecture,
    [--equal(b1,b9)]).

input_clause(at_least_11_1_10,conjecture,
    [--equal(b1,b10)]).

input_clause(at_least_11_1_11,conjecture,
    [--equal(b1,b11)]).

input_clause(at_least_11_2_3,conjecture,
    [--equal(b2,b3)]).

input_clause(at_least_11_2_4,conjecture,
    [--equal(b2,b4)]).

input_clause(at_least_11_2_5,conjecture,
    [--equal(b2,b5)]).

input_clause(at_least_11_2_6,conjecture,
    [--equal(b2,b6)]).

input_clause(at_least_11_2_7,conjecture,
    [--equal(b2,b7)]).

input_clause(at_least_11_2_8,conjecture,
    [--equal(b2,b8)]).

input_clause(at_least_11_2_9,conjecture,
    [--equal(b2,b9)]).

input_clause(at_least_11_2_10,conjecture,
    [--equal(b2,b10)]).

input_clause(at_least_11_2_11,conjecture,
    [--equal(b2,b11)]).

input_clause(at_least_11_3_4,conjecture,
    [--equal(b3,b4)]).

input_clause(at_least_11_3_5,conjecture,
    [--equal(b3,b5)]).

input_clause(at_least_11_3_6,conjecture,
    [--equal(b3,b6)]).

input_clause(at_least_11_3_7,conjecture,
    [--equal(b3,b7)]).

input_clause(at_least_11_3_8,conjecture,
    [--equal(b3,b8)]).

input_clause(at_least_11_3_9,conjecture,
    [--equal(b3,b9)]).

input_clause(at_least_11_3_10,conjecture,
    [--equal(b3,b10)]).

input_clause(at_least_11_3_11,conjecture,
    [--equal(b3,b11)]).

input_clause(at_least_11_4_5,conjecture,
    [--equal(b4,b5)]).

input_clause(at_least_11_4_6,conjecture,
    [--equal(b4,b6)]).

input_clause(at_least_11_4_7,conjecture,
    [--equal(b4,b7)]).

input_clause(at_least_11_4_8,conjecture,
    [--equal(b4,b8)]).

input_clause(at_least_11_4_9,conjecture,
    [--equal(b4,b9)]).

input_clause(at_least_11_4_10,conjecture,
    [--equal(b4,b10)]).

input_clause(at_least_11_4_11,conjecture,
    [--equal(b4,b11)]).

input_clause(at_least_11_5_6,conjecture,
    [--equal(b5,b6)]).

input_clause(at_least_11_5_7,conjecture,
    [--equal(b5,b7)]).

input_clause(at_least_11_5_8,conjecture,
    [--equal(b5,b8)]).

input_clause(at_least_11_5_9,conjecture,
    [--equal(b5,b9)]).

input_clause(at_least_11_5_10,conjecture,
    [--equal(b5,b10)]).

input_clause(at_least_11_5_11,conjecture,
    [--equal(b5,b11)]).

input_clause(at_least_11_6_7,conjecture,
    [--equal(b6,b7)]).

input_clause(at_least_11_6_8,conjecture,
    [--equal(b6,b8)]).

input_clause(at_least_11_6_9,conjecture,
    [--equal(b6,b9)]).

input_clause(at_least_11_6_10,conjecture,
    [--equal(b6,b10)]).

input_clause(at_least_11_6_11,conjecture,
    [--equal(b6,b11)]).

input_clause(at_least_11_7_8,conjecture,
    [--equal(b7,b8)]).

input_clause(at_least_11_7_9,conjecture,
    [--equal(b7,b9)]).

input_clause(at_least_11_7_10,conjecture,
    [--equal(b7,b10)]).

input_clause(at_least_11_7_11,conjecture,
    [--equal(b7,b11)]).

input_clause(at_least_11_8_9,conjecture,
    [--equal(b8,b9)]).

input_clause(at_least_11_8_10,conjecture,
    [--equal(b8,b10)]).

input_clause(at_least_11_8_11,conjecture,
    [--equal(b8,b11)]).

input_clause(at_least_11_9_10,conjecture,
    [--equal(b9,b10)]).

input_clause(at_least_11_9_11,conjecture,
    [--equal(b9,b11)]).

input_clause(at_least_11_10_11,conjecture,
    [--equal(b10,b11)]).
%--------------------------------------------------------------------------
