%--------------------------------------------------------------------------
% File     : GRP003-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Axioms   : Substitution axioms for subgroup axioms
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
% Source   : [SPRFN]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    1 (   0 non-Horn;   0 unit;   1 RR)
%            Number of literals   :    3 (   1 equality)
%            Maximal clause size  :    3 (   3 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    2 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : To be used in conjunction with group theory axioms.
%            The closure_of_product_and_inverse axiom is derived from the 
%            two basic subgroup axioms - closure of product and 
%            closure_of_inverse - by resolution.
%--------------------------------------------------------------------------
input_clause(subgroup_member_substitution,axiom,
    [--equal(A,B),
     --subgroup_member(A),
     ++subgroup_member(B)]).
%--------------------------------------------------------------------------
