%--------------------------------------------------------------------------
% File     : HWV003-0 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Hardware Verification
% Axioms   : Axioms from a VHDL design description
% Version  : [Mar02] axioms.
% English  : 

% Refs     : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :   27 (   0 non-Horn;   0 unit;  23 RR)
%            Number of literals   :   72 (  36 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :   13 (   0 propositional; 1-3 arity)
%            Number of functors   :    7 (   0 constant; 1-2 arity)
%            Number of variables  :   72 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(int_level_substitution_1,axiom,
    [--equal(A,B),
     ++equal(int_level(A),int_level(B))]).

input_clause(level_substitution_1,axiom,
    [--equal(A,B),
     ++equal(level(A),level(B))]).

input_clause(minus_substitution_1,axiom,
    [--equal(A,B),
     ++equal(minus(A,C),minus(B,C))]).

input_clause(minus_substitution_2,axiom,
    [--equal(A,B),
     ++equal(minus(C,A),minus(C,B))]).

input_clause(plus_substitution_1,axiom,
    [--equal(A,B),
     ++equal(plus(A,C),plus(B,C))]).

input_clause(plus_substitution_2,axiom,
    [--equal(A,B),
     ++equal(plus(C,A),plus(C,B))]).

input_clause(rd_level_substitution_1,axiom,
    [--equal(A,B),
     ++equal(rd_level(A),rd_level(B))]).

input_clause(wr_level_substitution_1,axiom,
    [--equal(A,B),
     ++equal(wr_level(A),wr_level(B))]).

input_clause(y_27_substitution_1,axiom,
    [--equal(A,B),
     ++equal(y_27(A),y_27(B))]).

input_clause(def_10_substitution_1,axiom,
    [--equal(A,B),
     --def_10(A,C),
     ++def_10(B,C)]).

input_clause(def_10_substitution_2,axiom,
    [--equal(A,B),
     --def_10(C,A),
     ++def_10(C,B)]).

input_clause(gt_substitution_1,axiom,
    [--equal(A,B),
     --gt(A,C),
     ++gt(B,C)]).

input_clause(gt_substitution_2,axiom,
    [--equal(A,B),
     --gt(C,A),
     ++gt(C,B)]).

input_clause(p_Data_in_substitution_1,axiom,
    [--equal(A,B),
     --p_Data_in(A,C),
     ++p_Data_in(B,C)]).

input_clause(p_Data_in_substitution_2,axiom,
    [--equal(A,B),
     --p_Data_in(C,A),
     ++p_Data_in(C,B)]).

input_clause(p_Data_out_substitution_1,axiom,
    [--equal(A,B),
     --p_Data_out(A,C),
     ++p_Data_out(B,C)]).

input_clause(p_Data_out_substitution_2,axiom,
    [--equal(A,B),
     --p_Data_out(C,A),
     ++p_Data_out(C,B)]).

input_clause(p_Empty_substitution_1,axiom,
    [--equal(A,B),
     --p_Empty(A),
     ++p_Empty(B)]).

input_clause(p_Full_substitution_1,axiom,
    [--equal(A,B),
     --p_Full(A),
     ++p_Full(B)]).

input_clause(p_Mem_substitution_1,axiom,
    [--equal(A,B),
     --p_Mem(A,C,D),
     ++p_Mem(B,C,D)]).

input_clause(p_Mem_substitution_2,axiom,
    [--equal(A,B),
     --p_Mem(C,A,D),
     ++p_Mem(C,B,D)]).

input_clause(p_Mem_substitution_3,axiom,
    [--equal(A,B),
     --p_Mem(C,D,A),
     ++p_Mem(C,D,B)]).

input_clause(p_Rd_substitution_1,axiom,
    [--equal(A,B),
     --p_Rd(A),
     ++p_Rd(B)]).

input_clause(p_Rd_error_substitution_1,axiom,
    [--equal(A,B),
     --p_Rd_error(A),
     ++p_Rd_error(B)]).

input_clause(p_Reset_substitution_1,axiom,
    [--equal(A,B),
     --p_Reset(A),
     ++p_Reset(B)]).

input_clause(p_Wr_substitution_1,axiom,
    [--equal(A,B),
     --p_Wr(A),
     ++p_Wr(B)]).

input_clause(p_Wr_error_substitution_1,axiom,
    [--equal(A,B),
     --p_Wr_error(A),
     ++p_Wr_error(B)]).
%--------------------------------------------------------------------------
