%--------------------------------------------------------------------------
% File     : MGT001+0 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Axioms   : Substitution axioms for inequalities.
% Version  : [Han98] axioms.
% English  : 

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [Kam00]
% Names    : 

% Status   : 
% Syntax   : Number of formulae    :    8 (   0 unit)
%            Number of atoms       :   24 (   8 equality)
%            Maximal formula depth :    4 (   4 average)
%            Number of connectives :   16 (   0 ~  ;   0  |;   8  &)
%                                         (   0 <=>;   8 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   24 (   0 singleton;  24 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(greater_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(A,C) )
     => greater(B,C) )   )).

input_formula(greater_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(C,A) )
     => greater(C,B) )   )).

input_formula(greater_or_equal_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater_or_equal(A,C) )
     => greater_or_equal(B,C) )   )).

input_formula(greater_or_equal_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater_or_equal(C,A) )
     => greater_or_equal(C,B) )   )).

input_formula(smaller_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & smaller(A,C) )
     => smaller(B,C) )   )).

input_formula(smaller_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & smaller(C,A) )
     => smaller(C,B) )   )).

input_formula(smaller_or_equal_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & smaller_or_equal(A,C) )
     => smaller_or_equal(B,C) )   )).

input_formula(smaller_or_equal_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & smaller_or_equal(C,A) )
     => smaller_or_equal(C,B) )   )).
%--------------------------------------------------------------------------
