%--------------------------------------------------------------------------
% File     : SWV002-0 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Software Verification
% Axioms   : Substitution axioms for program verification axioms
% Version  : [MOW76] axioms.
% English  : These "clauses arose in a natural manner from work done 
%            in program verification" [MOW76] p.779.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   0 unit;   4 RR)
%            Number of literals   :   10 (   4 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :   10 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These axioms were contributed to [MOW76] by E. McCharen. The
%            axioms are incomplete.
%--------------------------------------------------------------------------
input_clause(less_or_equal_substitution1,axiom,
    [--equal(X,Y),
     --less_or_equal(X,Z),
     ++less_or_equal(Y,Z)]).

input_clause(less_or_equal_substitution2,axiom,
    [--equal(X,Y),
     --less_or_equal(Z,X),
     ++less_or_equal(Z,Y)]).

input_clause(successor_substitution,axiom,
    [--equal(X,Y),
     ++equal(successor(X),successor(Y))]).

input_clause(successor_less_or_equal_substitution,axiom,
    [--less_or_equal(X,Y),
     ++less_or_equal(successor(X),successor(Y))]).
%--------------------------------------------------------------------------
