%--------------------------------------------------------------------------
% File     : AGT018+2 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Agents
% Problem  : Problem for the CPlanT system
% Version  : [Bar03] axioms : Especial.
% English  :

% Refs     : [Bar03] Barta, J. (2003), Email to G. Sutcliffe
%          : [BT+03] Barta et al. (2003), Meta-Reasoning in CPlanT Multi-Ag
%          : [TBP03] Tozicka et al. (2003), Meta-reasoning for Agents' Priv
% Source   : [Bar03]
% Names    :

% Status   : theorem
% Rating   : 0.00 v2.7.0
% Syntax   : Number of formulae    :  762 ( 738 unit)
%            Number of atoms       :  852 (   0 equality)
%            Maximal formula depth :    9 (   1 average)
%            Number of connectives :  137 (  47 ~  ;   1  |;  65  &)
%                                         (  15 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :  132 ( 131 constant; 0-2 arity)
%            Number of variables   :   51 (   0 singleton;  50 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of CPlanT
include('Axioms/AGT001+0.ax').
%----Include events of CPlanT
include('Axioms/AGT001+1.ax').
%----Include lemmas of CPlanT
include('Axioms/AGT001+2.ax').
%----Include axioms for RDN and RDN less
include('Axioms/NUM005+0.ax').
include('Axioms/NUM005+1.ax').
%--------------------------------------------------------------------------
input_formula(query_18,conjecture,(
    ? [X] : ~ accept_population(X,christian,24)   )).
%--------------------------------------------------------------------------
