%--------------------------------------------------------------------------
% File     : ALG101+1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : General Algebra
% Problem  : Loops 5: VERIFY-GEN-SYSES-PROBLEM-6
% Version  : Especial.
% English  : 

% Refs     : [Mei03] Meier (2003), Email to G.Sutcliffe
%          : [CM+04] Colton et al. (2004), Automatic Generation of Classifi
% Source   : [Mei03]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.83 v2.7.0
% Syntax   : Number of formulae    :  131 (   1 unit)
%            Number of atoms       : 1065 (1065 equality)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives : 1214 ( 280 ~  ; 328  |; 602  &)
%                                         (   0 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   6 constant; 0-2 arity)
%            Number of variables   :   12 (   0 singleton;  12 !;   0 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(op_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(A,C),op(B,C)) )   )).

input_formula(op_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(op(C,A),op(C,B)) )   )).

input_formula(ax1,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                          | equal(op(e0,e0),e1) )
                        | equal(op(e0,e0),e2) )
                      | equal(op(e0,e0),e3) )
                    | equal(op(e0,e0),e4) )
                  & ( ( ( ( equal(op(e0,e1),e0)
                          | equal(op(e0,e1),e1) )
                        | equal(op(e0,e1),e2) )
                      | equal(op(e0,e1),e3) )
                    | equal(op(e0,e1),e4) ) )
                & ( ( ( ( equal(op(e0,e2),e0)
                        | equal(op(e0,e2),e1) )
                      | equal(op(e0,e2),e2) )
                    | equal(op(e0,e2),e3) )
                  | equal(op(e0,e2),e4) ) )
              & ( ( ( ( equal(op(e0,e3),e0)
                      | equal(op(e0,e3),e1) )
                    | equal(op(e0,e3),e2) )
                  | equal(op(e0,e3),e3) )
                | equal(op(e0,e3),e4) ) )
            & ( ( ( ( equal(op(e0,e4),e0)
                    | equal(op(e0,e4),e1) )
                  | equal(op(e0,e4),e2) )
                | equal(op(e0,e4),e3) )
              | equal(op(e0,e4),e4) ) )
          & ( ( ( ( ( ( ( equal(op(e1,e0),e0)
                        | equal(op(e1,e0),e1) )
                      | equal(op(e1,e0),e2) )
                    | equal(op(e1,e0),e3) )
                  | equal(op(e1,e0),e4) )
                & ( ( ( ( equal(op(e1,e1),e0)
                        | equal(op(e1,e1),e1) )
                      | equal(op(e1,e1),e2) )
                    | equal(op(e1,e1),e3) )
                  | equal(op(e1,e1),e4) ) )
              & ( ( ( ( equal(op(e1,e2),e0)
                      | equal(op(e1,e2),e1) )
                    | equal(op(e1,e2),e2) )
                  | equal(op(e1,e2),e3) )
                | equal(op(e1,e2),e4) ) )
            & ( ( ( ( equal(op(e1,e3),e0)
                    | equal(op(e1,e3),e1) )
                  | equal(op(e1,e3),e2) )
                | equal(op(e1,e3),e3) )
              | equal(op(e1,e3),e4) ) )
          & ( ( ( ( equal(op(e1,e4),e0)
                  | equal(op(e1,e4),e1) )
                | equal(op(e1,e4),e2) )
              | equal(op(e1,e4),e3) )
            | equal(op(e1,e4),e4) ) )
        & ( ( ( ( ( ( ( equal(op(e2,e0),e0)
                      | equal(op(e2,e0),e1) )
                    | equal(op(e2,e0),e2) )
                  | equal(op(e2,e0),e3) )
                | equal(op(e2,e0),e4) )
              & ( ( ( ( equal(op(e2,e1),e0)
                      | equal(op(e2,e1),e1) )
                    | equal(op(e2,e1),e2) )
                  | equal(op(e2,e1),e3) )
                | equal(op(e2,e1),e4) ) )
            & ( ( ( ( equal(op(e2,e2),e0)
                    | equal(op(e2,e2),e1) )
                  | equal(op(e2,e2),e2) )
                | equal(op(e2,e2),e3) )
              | equal(op(e2,e2),e4) ) )
          & ( ( ( ( equal(op(e2,e3),e0)
                  | equal(op(e2,e3),e1) )
                | equal(op(e2,e3),e2) )
              | equal(op(e2,e3),e3) )
            | equal(op(e2,e3),e4) ) )
        & ( ( ( ( equal(op(e2,e4),e0)
                | equal(op(e2,e4),e1) )
              | equal(op(e2,e4),e2) )
            | equal(op(e2,e4),e3) )
          | equal(op(e2,e4),e4) ) )
      & ( ( ( ( ( ( ( equal(op(e3,e0),e0)
                    | equal(op(e3,e0),e1) )
                  | equal(op(e3,e0),e2) )
                | equal(op(e3,e0),e3) )
              | equal(op(e3,e0),e4) )
            & ( ( ( ( equal(op(e3,e1),e0)
                    | equal(op(e3,e1),e1) )
                  | equal(op(e3,e1),e2) )
                | equal(op(e3,e1),e3) )
              | equal(op(e3,e1),e4) ) )
          & ( ( ( ( equal(op(e3,e2),e0)
                  | equal(op(e3,e2),e1) )
                | equal(op(e3,e2),e2) )
              | equal(op(e3,e2),e3) )
            | equal(op(e3,e2),e4) ) )
        & ( ( ( ( equal(op(e3,e3),e0)
                | equal(op(e3,e3),e1) )
              | equal(op(e3,e3),e2) )
            | equal(op(e3,e3),e3) )
          | equal(op(e3,e3),e4) ) )
      & ( ( ( ( equal(op(e3,e4),e0)
              | equal(op(e3,e4),e1) )
            | equal(op(e3,e4),e2) )
          | equal(op(e3,e4),e3) )
        | equal(op(e3,e4),e4) ) )
    & ( ( ( ( ( ( ( equal(op(e4,e0),e0)
                  | equal(op(e4,e0),e1) )
                | equal(op(e4,e0),e2) )
              | equal(op(e4,e0),e3) )
            | equal(op(e4,e0),e4) )
          & ( ( ( ( equal(op(e4,e1),e0)
                  | equal(op(e4,e1),e1) )
                | equal(op(e4,e1),e2) )
              | equal(op(e4,e1),e3) )
            | equal(op(e4,e1),e4) ) )
        & ( ( ( ( equal(op(e4,e2),e0)
                | equal(op(e4,e2),e1) )
              | equal(op(e4,e2),e2) )
            | equal(op(e4,e2),e3) )
          | equal(op(e4,e2),e4) ) )
      & ( ( ( ( equal(op(e4,e3),e0)
              | equal(op(e4,e3),e1) )
            | equal(op(e4,e3),e2) )
          | equal(op(e4,e3),e3) )
        | equal(op(e4,e3),e4) ) )
    & ( ( ( ( equal(op(e4,e4),e0)
            | equal(op(e4,e4),e1) )
          | equal(op(e4,e4),e2) )
        | equal(op(e4,e4),e3) )
      | equal(op(e4,e4),e4) ) )   )).

input_formula(ax2,axiom,(
    ( ( ( ( ( ( equal(op(unit,e0),e0)
              & equal(op(e0,unit),e0) )
            & equal(op(unit,e1),e1)
            & equal(op(e1,unit),e1) )
          & equal(op(unit,e2),e2)
          & equal(op(e2,unit),e2) )
        & equal(op(unit,e3),e3)
        & equal(op(e3,unit),e3) )
      & equal(op(unit,e4),e4)
      & equal(op(e4,unit),e4) )
    & ( ( ( ( equal(unit,e0)
            | equal(unit,e1) )
          | equal(unit,e2) )
        | equal(unit,e3) )
      | equal(unit,e4) ) )   )).

input_formula(ax3,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( equal(op(e0,e0),e0)
                            | equal(op(e0,e1),e0) )
                          | equal(op(e0,e2),e0) )
                        | equal(op(e0,e3),e0) )
                      | equal(op(e0,e4),e0) )
                    & ( ( ( ( equal(op(e0,e0),e0)
                            | equal(op(e1,e0),e0) )
                          | equal(op(e2,e0),e0) )
                        | equal(op(e3,e0),e0) )
                      | equal(op(e4,e0),e0) ) )
                  & ( ( ( ( equal(op(e0,e0),e1)
                          | equal(op(e0,e1),e1) )
                        | equal(op(e0,e2),e1) )
                      | equal(op(e0,e3),e1) )
                    | equal(op(e0,e4),e1) )
                  & ( ( ( ( equal(op(e0,e0),e1)
                          | equal(op(e1,e0),e1) )
                        | equal(op(e2,e0),e1) )
                      | equal(op(e3,e0),e1) )
                    | equal(op(e4,e0),e1) ) )
                & ( ( ( ( equal(op(e0,e0),e2)
                        | equal(op(e0,e1),e2) )
                      | equal(op(e0,e2),e2) )
                    | equal(op(e0,e3),e2) )
                  | equal(op(e0,e4),e2) )
                & ( ( ( ( equal(op(e0,e0),e2)
                        | equal(op(e1,e0),e2) )
                      | equal(op(e2,e0),e2) )
                    | equal(op(e3,e0),e2) )
                  | equal(op(e4,e0),e2) ) )
              & ( ( ( ( equal(op(e0,e0),e3)
                      | equal(op(e0,e1),e3) )
                    | equal(op(e0,e2),e3) )
                  | equal(op(e0,e3),e3) )
                | equal(op(e0,e4),e3) )
              & ( ( ( ( equal(op(e0,e0),e3)
                      | equal(op(e1,e0),e3) )
                    | equal(op(e2,e0),e3) )
                  | equal(op(e3,e0),e3) )
                | equal(op(e4,e0),e3) ) )
            & ( ( ( ( equal(op(e0,e0),e4)
                    | equal(op(e0,e1),e4) )
                  | equal(op(e0,e2),e4) )
                | equal(op(e0,e3),e4) )
              | equal(op(e0,e4),e4) )
            & ( ( ( ( equal(op(e0,e0),e4)
                    | equal(op(e1,e0),e4) )
                  | equal(op(e2,e0),e4) )
                | equal(op(e3,e0),e4) )
              | equal(op(e4,e0),e4) ) )
          & ( ( ( ( ( ( ( ( equal(op(e1,e0),e0)
                          | equal(op(e1,e1),e0) )
                        | equal(op(e1,e2),e0) )
                      | equal(op(e1,e3),e0) )
                    | equal(op(e1,e4),e0) )
                  & ( ( ( ( equal(op(e0,e1),e0)
                          | equal(op(e1,e1),e0) )
                        | equal(op(e2,e1),e0) )
                      | equal(op(e3,e1),e0) )
                    | equal(op(e4,e1),e0) ) )
                & ( ( ( ( equal(op(e1,e0),e1)
                        | equal(op(e1,e1),e1) )
                      | equal(op(e1,e2),e1) )
                    | equal(op(e1,e3),e1) )
                  | equal(op(e1,e4),e1) )
                & ( ( ( ( equal(op(e0,e1),e1)
                        | equal(op(e1,e1),e1) )
                      | equal(op(e2,e1),e1) )
                    | equal(op(e3,e1),e1) )
                  | equal(op(e4,e1),e1) ) )
              & ( ( ( ( equal(op(e1,e0),e2)
                      | equal(op(e1,e1),e2) )
                    | equal(op(e1,e2),e2) )
                  | equal(op(e1,e3),e2) )
                | equal(op(e1,e4),e2) )
              & ( ( ( ( equal(op(e0,e1),e2)
                      | equal(op(e1,e1),e2) )
                    | equal(op(e2,e1),e2) )
                  | equal(op(e3,e1),e2) )
                | equal(op(e4,e1),e2) ) )
            & ( ( ( ( equal(op(e1,e0),e3)
                    | equal(op(e1,e1),e3) )
                  | equal(op(e1,e2),e3) )
                | equal(op(e1,e3),e3) )
              | equal(op(e1,e4),e3) )
            & ( ( ( ( equal(op(e0,e1),e3)
                    | equal(op(e1,e1),e3) )
                  | equal(op(e2,e1),e3) )
                | equal(op(e3,e1),e3) )
              | equal(op(e4,e1),e3) ) )
          & ( ( ( ( equal(op(e1,e0),e4)
                  | equal(op(e1,e1),e4) )
                | equal(op(e1,e2),e4) )
              | equal(op(e1,e3),e4) )
            | equal(op(e1,e4),e4) )
          & ( ( ( ( equal(op(e0,e1),e4)
                  | equal(op(e1,e1),e4) )
                | equal(op(e2,e1),e4) )
              | equal(op(e3,e1),e4) )
            | equal(op(e4,e1),e4) ) )
        & ( ( ( ( ( ( ( ( equal(op(e2,e0),e0)
                        | equal(op(e2,e1),e0) )
                      | equal(op(e2,e2),e0) )
                    | equal(op(e2,e3),e0) )
                  | equal(op(e2,e4),e0) )
                & ( ( ( ( equal(op(e0,e2),e0)
                        | equal(op(e1,e2),e0) )
                      | equal(op(e2,e2),e0) )
                    | equal(op(e3,e2),e0) )
                  | equal(op(e4,e2),e0) ) )
              & ( ( ( ( equal(op(e2,e0),e1)
                      | equal(op(e2,e1),e1) )
                    | equal(op(e2,e2),e1) )
                  | equal(op(e2,e3),e1) )
                | equal(op(e2,e4),e1) )
              & ( ( ( ( equal(op(e0,e2),e1)
                      | equal(op(e1,e2),e1) )
                    | equal(op(e2,e2),e1) )
                  | equal(op(e3,e2),e1) )
                | equal(op(e4,e2),e1) ) )
            & ( ( ( ( equal(op(e2,e0),e2)
                    | equal(op(e2,e1),e2) )
                  | equal(op(e2,e2),e2) )
                | equal(op(e2,e3),e2) )
              | equal(op(e2,e4),e2) )
            & ( ( ( ( equal(op(e0,e2),e2)
                    | equal(op(e1,e2),e2) )
                  | equal(op(e2,e2),e2) )
                | equal(op(e3,e2),e2) )
              | equal(op(e4,e2),e2) ) )
          & ( ( ( ( equal(op(e2,e0),e3)
                  | equal(op(e2,e1),e3) )
                | equal(op(e2,e2),e3) )
              | equal(op(e2,e3),e3) )
            | equal(op(e2,e4),e3) )
          & ( ( ( ( equal(op(e0,e2),e3)
                  | equal(op(e1,e2),e3) )
                | equal(op(e2,e2),e3) )
              | equal(op(e3,e2),e3) )
            | equal(op(e4,e2),e3) ) )
        & ( ( ( ( equal(op(e2,e0),e4)
                | equal(op(e2,e1),e4) )
              | equal(op(e2,e2),e4) )
            | equal(op(e2,e3),e4) )
          | equal(op(e2,e4),e4) )
        & ( ( ( ( equal(op(e0,e2),e4)
                | equal(op(e1,e2),e4) )
              | equal(op(e2,e2),e4) )
            | equal(op(e3,e2),e4) )
          | equal(op(e4,e2),e4) ) )
      & ( ( ( ( ( ( ( ( equal(op(e3,e0),e0)
                      | equal(op(e3,e1),e0) )
                    | equal(op(e3,e2),e0) )
                  | equal(op(e3,e3),e0) )
                | equal(op(e3,e4),e0) )
              & ( ( ( ( equal(op(e0,e3),e0)
                      | equal(op(e1,e3),e0) )
                    | equal(op(e2,e3),e0) )
                  | equal(op(e3,e3),e0) )
                | equal(op(e4,e3),e0) ) )
            & ( ( ( ( equal(op(e3,e0),e1)
                    | equal(op(e3,e1),e1) )
                  | equal(op(e3,e2),e1) )
                | equal(op(e3,e3),e1) )
              | equal(op(e3,e4),e1) )
            & ( ( ( ( equal(op(e0,e3),e1)
                    | equal(op(e1,e3),e1) )
                  | equal(op(e2,e3),e1) )
                | equal(op(e3,e3),e1) )
              | equal(op(e4,e3),e1) ) )
          & ( ( ( ( equal(op(e3,e0),e2)
                  | equal(op(e3,e1),e2) )
                | equal(op(e3,e2),e2) )
              | equal(op(e3,e3),e2) )
            | equal(op(e3,e4),e2) )
          & ( ( ( ( equal(op(e0,e3),e2)
                  | equal(op(e1,e3),e2) )
                | equal(op(e2,e3),e2) )
              | equal(op(e3,e3),e2) )
            | equal(op(e4,e3),e2) ) )
        & ( ( ( ( equal(op(e3,e0),e3)
                | equal(op(e3,e1),e3) )
              | equal(op(e3,e2),e3) )
            | equal(op(e3,e3),e3) )
          | equal(op(e3,e4),e3) )
        & ( ( ( ( equal(op(e0,e3),e3)
                | equal(op(e1,e3),e3) )
              | equal(op(e2,e3),e3) )
            | equal(op(e3,e3),e3) )
          | equal(op(e4,e3),e3) ) )
      & ( ( ( ( equal(op(e3,e0),e4)
              | equal(op(e3,e1),e4) )
            | equal(op(e3,e2),e4) )
          | equal(op(e3,e3),e4) )
        | equal(op(e3,e4),e4) )
      & ( ( ( ( equal(op(e0,e3),e4)
              | equal(op(e1,e3),e4) )
            | equal(op(e2,e3),e4) )
          | equal(op(e3,e3),e4) )
        | equal(op(e4,e3),e4) ) )
    & ( ( ( ( ( ( ( ( equal(op(e4,e0),e0)
                    | equal(op(e4,e1),e0) )
                  | equal(op(e4,e2),e0) )
                | equal(op(e4,e3),e0) )
              | equal(op(e4,e4),e0) )
            & ( ( ( ( equal(op(e0,e4),e0)
                    | equal(op(e1,e4),e0) )
                  | equal(op(e2,e4),e0) )
                | equal(op(e3,e4),e0) )
              | equal(op(e4,e4),e0) ) )
          & ( ( ( ( equal(op(e4,e0),e1)
                  | equal(op(e4,e1),e1) )
                | equal(op(e4,e2),e1) )
              | equal(op(e4,e3),e1) )
            | equal(op(e4,e4),e1) )
          & ( ( ( ( equal(op(e0,e4),e1)
                  | equal(op(e1,e4),e1) )
                | equal(op(e2,e4),e1) )
              | equal(op(e3,e4),e1) )
            | equal(op(e4,e4),e1) ) )
        & ( ( ( ( equal(op(e4,e0),e2)
                | equal(op(e4,e1),e2) )
              | equal(op(e4,e2),e2) )
            | equal(op(e4,e3),e2) )
          | equal(op(e4,e4),e2) )
        & ( ( ( ( equal(op(e0,e4),e2)
                | equal(op(e1,e4),e2) )
              | equal(op(e2,e4),e2) )
            | equal(op(e3,e4),e2) )
          | equal(op(e4,e4),e2) ) )
      & ( ( ( ( equal(op(e4,e0),e3)
              | equal(op(e4,e1),e3) )
            | equal(op(e4,e2),e3) )
          | equal(op(e4,e3),e3) )
        | equal(op(e4,e4),e3) )
      & ( ( ( ( equal(op(e0,e4),e3)
              | equal(op(e1,e4),e3) )
            | equal(op(e2,e4),e3) )
          | equal(op(e3,e4),e3) )
        | equal(op(e4,e4),e3) ) )
    & ( ( ( ( equal(op(e4,e0),e4)
            | equal(op(e4,e1),e4) )
          | equal(op(e4,e2),e4) )
        | equal(op(e4,e3),e4) )
      | equal(op(e4,e4),e4) )
    & ( ( ( ( equal(op(e0,e4),e4)
            | equal(op(e1,e4),e4) )
          | equal(op(e2,e4),e4) )
        | equal(op(e3,e4),e4) )
      | equal(op(e4,e4),e4) ) )   )).

input_formula(ax4,axiom,(
    ( ( ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),op(e1,e0))
                              & ~ equal(op(e0,e0),op(e2,e0)) )
                            & ~ equal(op(e0,e0),op(e3,e0)) )
                          & ~ equal(op(e0,e0),op(e4,e0)) )
                        & ~ equal(op(e1,e0),op(e2,e0)) )
                      & ~ equal(op(e1,e0),op(e3,e0)) )
                    & ~ equal(op(e1,e0),op(e4,e0)) )
                  & ~ equal(op(e2,e0),op(e3,e0)) )
                & ~ equal(op(e2,e0),op(e4,e0)) )
              & ~ equal(op(e3,e0),op(e4,e0)) )
            & ( ( ( ( ( ( ( ( ~ equal(op(e0,e1),op(e1,e1))
                            & ~ equal(op(e0,e1),op(e2,e1)) )
                          & ~ equal(op(e0,e1),op(e3,e1)) )
                        & ~ equal(op(e0,e1),op(e4,e1)) )
                      & ~ equal(op(e1,e1),op(e2,e1)) )
                    & ~ equal(op(e1,e1),op(e3,e1)) )
                  & ~ equal(op(e1,e1),op(e4,e1)) )
                & ~ equal(op(e2,e1),op(e3,e1)) )
              & ~ equal(op(e2,e1),op(e4,e1)) )
            & ~ equal(op(e3,e1),op(e4,e1)) )
          & ( ( ( ( ( ( ( ( ~ equal(op(e0,e2),op(e1,e2))
                          & ~ equal(op(e0,e2),op(e2,e2)) )
                        & ~ equal(op(e0,e2),op(e3,e2)) )
                      & ~ equal(op(e0,e2),op(e4,e2)) )
                    & ~ equal(op(e1,e2),op(e2,e2)) )
                  & ~ equal(op(e1,e2),op(e3,e2)) )
                & ~ equal(op(e1,e2),op(e4,e2)) )
              & ~ equal(op(e2,e2),op(e3,e2)) )
            & ~ equal(op(e2,e2),op(e4,e2)) )
          & ~ equal(op(e3,e2),op(e4,e2)) )
        & ( ( ( ( ( ( ( ( ~ equal(op(e0,e3),op(e1,e3))
                        & ~ equal(op(e0,e3),op(e2,e3)) )
                      & ~ equal(op(e0,e3),op(e3,e3)) )
                    & ~ equal(op(e0,e3),op(e4,e3)) )
                  & ~ equal(op(e1,e3),op(e2,e3)) )
                & ~ equal(op(e1,e3),op(e3,e3)) )
              & ~ equal(op(e1,e3),op(e4,e3)) )
            & ~ equal(op(e2,e3),op(e3,e3)) )
          & ~ equal(op(e2,e3),op(e4,e3)) )
        & ~ equal(op(e3,e3),op(e4,e3)) )
      & ( ( ( ( ( ( ( ( ~ equal(op(e0,e4),op(e1,e4))
                      & ~ equal(op(e0,e4),op(e2,e4)) )
                    & ~ equal(op(e0,e4),op(e3,e4)) )
                  & ~ equal(op(e0,e4),op(e4,e4)) )
                & ~ equal(op(e1,e4),op(e2,e4)) )
              & ~ equal(op(e1,e4),op(e3,e4)) )
            & ~ equal(op(e1,e4),op(e4,e4)) )
          & ~ equal(op(e2,e4),op(e3,e4)) )
        & ~ equal(op(e2,e4),op(e4,e4)) )
      & ~ equal(op(e3,e4),op(e4,e4)) )
    & ( ( ( ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),op(e0,e1))
                            & ~ equal(op(e0,e0),op(e0,e2)) )
                          & ~ equal(op(e0,e0),op(e0,e3)) )
                        & ~ equal(op(e0,e0),op(e0,e4)) )
                      & ~ equal(op(e0,e1),op(e0,e2)) )
                    & ~ equal(op(e0,e1),op(e0,e3)) )
                  & ~ equal(op(e0,e1),op(e0,e4)) )
                & ~ equal(op(e0,e2),op(e0,e3)) )
              & ~ equal(op(e0,e2),op(e0,e4)) )
            & ~ equal(op(e0,e3),op(e0,e4)) )
          & ( ( ( ( ( ( ( ( ~ equal(op(e1,e0),op(e1,e1))
                          & ~ equal(op(e1,e0),op(e1,e2)) )
                        & ~ equal(op(e1,e0),op(e1,e3)) )
                      & ~ equal(op(e1,e0),op(e1,e4)) )
                    & ~ equal(op(e1,e1),op(e1,e2)) )
                  & ~ equal(op(e1,e1),op(e1,e3)) )
                & ~ equal(op(e1,e1),op(e1,e4)) )
              & ~ equal(op(e1,e2),op(e1,e3)) )
            & ~ equal(op(e1,e2),op(e1,e4)) )
          & ~ equal(op(e1,e3),op(e1,e4)) )
        & ( ( ( ( ( ( ( ( ~ equal(op(e2,e0),op(e2,e1))
                        & ~ equal(op(e2,e0),op(e2,e2)) )
                      & ~ equal(op(e2,e0),op(e2,e3)) )
                    & ~ equal(op(e2,e0),op(e2,e4)) )
                  & ~ equal(op(e2,e1),op(e2,e2)) )
                & ~ equal(op(e2,e1),op(e2,e3)) )
              & ~ equal(op(e2,e1),op(e2,e4)) )
            & ~ equal(op(e2,e2),op(e2,e3)) )
          & ~ equal(op(e2,e2),op(e2,e4)) )
        & ~ equal(op(e2,e3),op(e2,e4)) )
      & ( ( ( ( ( ( ( ( ~ equal(op(e3,e0),op(e3,e1))
                      & ~ equal(op(e3,e0),op(e3,e2)) )
                    & ~ equal(op(e3,e0),op(e3,e3)) )
                  & ~ equal(op(e3,e0),op(e3,e4)) )
                & ~ equal(op(e3,e1),op(e3,e2)) )
              & ~ equal(op(e3,e1),op(e3,e3)) )
            & ~ equal(op(e3,e1),op(e3,e4)) )
          & ~ equal(op(e3,e2),op(e3,e3)) )
        & ~ equal(op(e3,e2),op(e3,e4)) )
      & ~ equal(op(e3,e3),op(e3,e4)) )
    & ( ( ( ( ( ( ( ( ~ equal(op(e4,e0),op(e4,e1))
                    & ~ equal(op(e4,e0),op(e4,e2)) )
                  & ~ equal(op(e4,e0),op(e4,e3)) )
                & ~ equal(op(e4,e0),op(e4,e4)) )
              & ~ equal(op(e4,e1),op(e4,e2)) )
            & ~ equal(op(e4,e1),op(e4,e3)) )
          & ~ equal(op(e4,e1),op(e4,e4)) )
        & ~ equal(op(e4,e2),op(e4,e3)) )
      & ~ equal(op(e4,e2),op(e4,e4)) )
    & ~ equal(op(e4,e3),op(e4,e4)) )   )).

input_formula(ax5,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(e0,e1)
                    & ~ equal(e0,e2) )
                  & ~ equal(e0,e3) )
                & ~ equal(e0,e4) )
              & ~ equal(e1,e2) )
            & ~ equal(e1,e3) )
          & ~ equal(e1,e4) )
        & ~ equal(e2,e3) )
      & ~ equal(e2,e4) )
    & ~ equal(e3,e4) )   )).

input_formula(ax6,axiom,(
    ( ( ( ( ( ( ( ( ( ~ equal(op(e0,e0),op(e0,e0))
                    & equal(op(op(e0,e0),e0),e0)
                    & ~ equal(op(op(e0,e0),e0),e0) )
                  | ( ~ equal(op(e1,e0),op(e0,e1))
                    & equal(op(op(e0,e1),e1),e0)
                    & ~ equal(op(op(e0,e1),e0),e1) ) )
                | ( ~ equal(op(e2,e0),op(e0,e2))
                  & equal(op(op(e0,e2),e2),e0)
                  & ~ equal(op(op(e0,e2),e0),e2) ) )
              | ( ~ equal(op(e3,e0),op(e0,e3))
                & equal(op(op(e0,e3),e3),e0)
                & ~ equal(op(op(e0,e3),e0),e3) ) )
            | ( ~ equal(op(e4,e0),op(e0,e4))
              & equal(op(op(e0,e4),e4),e0)
              & ~ equal(op(op(e0,e4),e0),e4) ) )
          | ( ( ( ( ~ equal(op(e0,e1),op(e1,e0))
                  & equal(op(op(e1,e0),e0),e1)
                  & ~ equal(op(op(e1,e0),e1),e0) )
                | ( ~ equal(op(e1,e1),op(e1,e1))
                  & equal(op(op(e1,e1),e1),e1)
                  & ~ equal(op(op(e1,e1),e1),e1) ) )
              | ( ~ equal(op(e2,e1),op(e1,e2))
                & equal(op(op(e1,e2),e2),e1)
                & ~ equal(op(op(e1,e2),e1),e2) ) )
            | ( ~ equal(op(e3,e1),op(e1,e3))
              & equal(op(op(e1,e3),e3),e1)
              & ~ equal(op(op(e1,e3),e1),e3) ) )
          | ( ~ equal(op(e4,e1),op(e1,e4))
            & equal(op(op(e1,e4),e4),e1)
            & ~ equal(op(op(e1,e4),e1),e4) ) )
        | ( ( ( ( ~ equal(op(e0,e2),op(e2,e0))
                & equal(op(op(e2,e0),e0),e2)
                & ~ equal(op(op(e2,e0),e2),e0) )
              | ( ~ equal(op(e1,e2),op(e2,e1))
                & equal(op(op(e2,e1),e1),e2)
                & ~ equal(op(op(e2,e1),e2),e1) ) )
            | ( ~ equal(op(e2,e2),op(e2,e2))
              & equal(op(op(e2,e2),e2),e2)
              & ~ equal(op(op(e2,e2),e2),e2) ) )
          | ( ~ equal(op(e3,e2),op(e2,e3))
            & equal(op(op(e2,e3),e3),e2)
            & ~ equal(op(op(e2,e3),e2),e3) ) )
        | ( ~ equal(op(e4,e2),op(e2,e4))
          & equal(op(op(e2,e4),e4),e2)
          & ~ equal(op(op(e2,e4),e2),e4) ) )
      | ( ( ( ( ~ equal(op(e0,e3),op(e3,e0))
              & equal(op(op(e3,e0),e0),e3)
              & ~ equal(op(op(e3,e0),e3),e0) )
            | ( ~ equal(op(e1,e3),op(e3,e1))
              & equal(op(op(e3,e1),e1),e3)
              & ~ equal(op(op(e3,e1),e3),e1) ) )
          | ( ~ equal(op(e2,e3),op(e3,e2))
            & equal(op(op(e3,e2),e2),e3)
            & ~ equal(op(op(e3,e2),e3),e2) ) )
        | ( ~ equal(op(e3,e3),op(e3,e3))
          & equal(op(op(e3,e3),e3),e3)
          & ~ equal(op(op(e3,e3),e3),e3) ) )
      | ( ~ equal(op(e4,e3),op(e3,e4))
        & equal(op(op(e3,e4),e4),e3)
        & ~ equal(op(op(e3,e4),e3),e4) ) )
    | ( ( ( ( ~ equal(op(e0,e4),op(e4,e0))
            & equal(op(op(e4,e0),e0),e4)
            & ~ equal(op(op(e4,e0),e4),e0) )
          | ( ~ equal(op(e1,e4),op(e4,e1))
            & equal(op(op(e4,e1),e1),e4)
            & ~ equal(op(op(e4,e1),e4),e1) ) )
        | ( ~ equal(op(e2,e4),op(e4,e2))
          & equal(op(op(e4,e2),e2),e4)
          & ~ equal(op(op(e4,e2),e4),e2) ) )
      | ( ~ equal(op(e3,e4),op(e4,e3))
        & equal(op(op(e4,e3),e3),e4)
        & ~ equal(op(op(e4,e3),e4),e3) ) )
    | ( ~ equal(op(e4,e4),op(e4,e4))
      & equal(op(op(e4,e4),e4),e4)
      & ~ equal(op(op(e4,e4),e4),e4) ) )   )).

input_formula(ax7,axiom,(
    ~ ( ( ( equal(e0,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e1,op(e3,e3)) )
        & equal(e2,op(op(e3,op(e3,e3)),e3)) )
      & equal(e4,op(e3,op(e3,e3))) )   )).

input_formula(ax8,axiom,(
    ~ ( ( ( equal(e0,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e1,op(e4,e4)) )
        & equal(e2,op(op(e4,op(e4,e4)),e4)) )
      & equal(e3,op(e4,op(e4,e4))) )   )).

input_formula(ax9,axiom,(
    ~ ( ( ( equal(e0,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e1,op(e2,e2)) )
        & equal(e3,op(op(e2,op(e2,e2)),e2)) )
      & equal(e4,op(e2,op(e2,e2))) )   )).

input_formula(ax10,axiom,(
    ~ ( ( ( equal(e0,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e1,op(e4,e4)) )
        & equal(e3,op(op(e4,op(e4,e4)),e4)) )
      & equal(e2,op(e4,op(e4,e4))) )   )).

input_formula(ax11,axiom,(
    ~ ( ( ( equal(e0,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e1,op(e2,e2)) )
        & equal(e4,op(op(e2,op(e2,e2)),e2)) )
      & equal(e3,op(e2,op(e2,e2))) )   )).

input_formula(ax12,axiom,(
    ~ ( ( ( equal(e0,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e1,op(e3,e3)) )
        & equal(e4,op(op(e3,op(e3,e3)),e3)) )
      & equal(e2,op(e3,op(e3,e3))) )   )).

input_formula(ax13,axiom,(
    ~ ( ( ( equal(e0,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e2,op(e3,e3)) )
        & equal(e1,op(op(e3,op(e3,e3)),e3)) )
      & equal(e4,op(e3,op(e3,e3))) )   )).

input_formula(ax14,axiom,(
    ~ ( ( ( equal(e0,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e2,op(e4,e4)) )
        & equal(e1,op(op(e4,op(e4,e4)),e4)) )
      & equal(e3,op(e4,op(e4,e4))) )   )).

input_formula(ax15,axiom,(
    ~ ( ( ( equal(e0,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e2,op(e1,e1)) )
        & equal(e3,op(op(e1,op(e1,e1)),e1)) )
      & equal(e4,op(e1,op(e1,e1))) )   )).

input_formula(ax16,axiom,(
    ~ ( ( ( equal(e0,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e2,op(e4,e4)) )
        & equal(e3,op(op(e4,op(e4,e4)),e4)) )
      & equal(e1,op(e4,op(e4,e4))) )   )).

input_formula(ax17,axiom,(
    ~ ( ( ( equal(e0,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e2,op(e1,e1)) )
        & equal(e4,op(op(e1,op(e1,e1)),e1)) )
      & equal(e3,op(e1,op(e1,e1))) )   )).

input_formula(ax18,axiom,(
    ~ ( ( ( equal(e0,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e2,op(e3,e3)) )
        & equal(e4,op(op(e3,op(e3,e3)),e3)) )
      & equal(e1,op(e3,op(e3,e3))) )   )).

input_formula(ax19,axiom,(
    ~ ( ( ( equal(e0,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e3,op(e2,e2)) )
        & equal(e1,op(op(e2,op(e2,e2)),e2)) )
      & equal(e4,op(e2,op(e2,e2))) )   )).

input_formula(ax20,axiom,(
    ~ ( ( ( equal(e0,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e3,op(e4,e4)) )
        & equal(e1,op(op(e4,op(e4,e4)),e4)) )
      & equal(e2,op(e4,op(e4,e4))) )   )).

input_formula(ax21,axiom,(
    ~ ( ( ( equal(e0,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e3,op(e1,e1)) )
        & equal(e2,op(op(e1,op(e1,e1)),e1)) )
      & equal(e4,op(e1,op(e1,e1))) )   )).

input_formula(ax22,axiom,(
    ~ ( ( ( equal(e0,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e3,op(e4,e4)) )
        & equal(e2,op(op(e4,op(e4,e4)),e4)) )
      & equal(e1,op(e4,op(e4,e4))) )   )).

input_formula(ax23,axiom,(
    ~ ( ( ( equal(e0,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e3,op(e1,e1)) )
        & equal(e4,op(op(e1,op(e1,e1)),e1)) )
      & equal(e2,op(e1,op(e1,e1))) )   )).

input_formula(ax24,axiom,(
    ~ ( ( ( equal(e0,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e3,op(e2,e2)) )
        & equal(e4,op(op(e2,op(e2,e2)),e2)) )
      & equal(e1,op(e2,op(e2,e2))) )   )).

input_formula(ax25,axiom,(
    ~ ( ( ( equal(e0,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e4,op(e2,e2)) )
        & equal(e1,op(op(e2,op(e2,e2)),e2)) )
      & equal(e3,op(e2,op(e2,e2))) )   )).

input_formula(ax26,axiom,(
    ~ ( ( ( equal(e0,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e4,op(e3,e3)) )
        & equal(e1,op(op(e3,op(e3,e3)),e3)) )
      & equal(e2,op(e3,op(e3,e3))) )   )).

input_formula(ax27,axiom,(
    ~ ( ( ( equal(e0,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e4,op(e1,e1)) )
        & equal(e2,op(op(e1,op(e1,e1)),e1)) )
      & equal(e3,op(e1,op(e1,e1))) )   )).

input_formula(ax28,axiom,(
    ~ ( ( ( equal(e0,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e4,op(e3,e3)) )
        & equal(e2,op(op(e3,op(e3,e3)),e3)) )
      & equal(e1,op(e3,op(e3,e3))) )   )).

input_formula(ax29,axiom,(
    ~ ( ( ( equal(e0,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e4,op(e1,e1)) )
        & equal(e3,op(op(e1,op(e1,e1)),e1)) )
      & equal(e2,op(e1,op(e1,e1))) )   )).

input_formula(ax30,axiom,(
    ~ ( ( ( equal(e0,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e4,op(e2,e2)) )
        & equal(e3,op(op(e2,op(e2,e2)),e2)) )
      & equal(e1,op(e2,op(e2,e2))) )   )).

input_formula(ax31,axiom,(
    ~ ( ( ( equal(e1,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e0,op(e3,e3)) )
        & equal(e2,op(op(e3,op(e3,e3)),e3)) )
      & equal(e4,op(e3,op(e3,e3))) )   )).

input_formula(ax32,axiom,(
    ~ ( ( ( equal(e1,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e0,op(e4,e4)) )
        & equal(e2,op(op(e4,op(e4,e4)),e4)) )
      & equal(e3,op(e4,op(e4,e4))) )   )).

input_formula(ax33,axiom,(
    ~ ( ( ( equal(e1,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e0,op(e2,e2)) )
        & equal(e3,op(op(e2,op(e2,e2)),e2)) )
      & equal(e4,op(e2,op(e2,e2))) )   )).

input_formula(ax34,axiom,(
    ~ ( ( ( equal(e1,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e0,op(e4,e4)) )
        & equal(e3,op(op(e4,op(e4,e4)),e4)) )
      & equal(e2,op(e4,op(e4,e4))) )   )).

input_formula(ax35,axiom,(
    ~ ( ( ( equal(e1,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e0,op(e2,e2)) )
        & equal(e4,op(op(e2,op(e2,e2)),e2)) )
      & equal(e3,op(e2,op(e2,e2))) )   )).

input_formula(ax36,axiom,(
    ~ ( ( ( equal(e1,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e0,op(e3,e3)) )
        & equal(e4,op(op(e3,op(e3,e3)),e3)) )
      & equal(e2,op(e3,op(e3,e3))) )   )).

input_formula(ax37,axiom,(
    ~ ( ( ( equal(e1,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e2,op(e3,e3)) )
        & equal(e0,op(op(e3,op(e3,e3)),e3)) )
      & equal(e4,op(e3,op(e3,e3))) )   )).

input_formula(ax38,axiom,(
    ~ ( ( ( equal(e1,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e2,op(e4,e4)) )
        & equal(e0,op(op(e4,op(e4,e4)),e4)) )
      & equal(e3,op(e4,op(e4,e4))) )   )).

input_formula(ax39,axiom,(
    ~ ( ( ( equal(e1,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e2,op(e0,e0)) )
        & equal(e3,op(op(e0,op(e0,e0)),e0)) )
      & equal(e4,op(e0,op(e0,e0))) )   )).

input_formula(ax40,axiom,(
    ~ ( ( ( equal(e1,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e2,op(e4,e4)) )
        & equal(e3,op(op(e4,op(e4,e4)),e4)) )
      & equal(e0,op(e4,op(e4,e4))) )   )).

input_formula(ax41,axiom,(
    ~ ( ( ( equal(e1,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e2,op(e0,e0)) )
        & equal(e4,op(op(e0,op(e0,e0)),e0)) )
      & equal(e3,op(e0,op(e0,e0))) )   )).

input_formula(ax42,axiom,(
    ~ ( ( ( equal(e1,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e2,op(e3,e3)) )
        & equal(e4,op(op(e3,op(e3,e3)),e3)) )
      & equal(e0,op(e3,op(e3,e3))) )   )).

input_formula(ax43,axiom,(
    ~ ( ( ( equal(e1,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e3,op(e2,e2)) )
        & equal(e0,op(op(e2,op(e2,e2)),e2)) )
      & equal(e4,op(e2,op(e2,e2))) )   )).

input_formula(ax44,axiom,(
    ~ ( ( ( equal(e1,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e3,op(e4,e4)) )
        & equal(e0,op(op(e4,op(e4,e4)),e4)) )
      & equal(e2,op(e4,op(e4,e4))) )   )).

input_formula(ax45,axiom,(
    ~ ( ( ( equal(e1,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e3,op(e0,e0)) )
        & equal(e2,op(op(e0,op(e0,e0)),e0)) )
      & equal(e4,op(e0,op(e0,e0))) )   )).

input_formula(ax46,axiom,(
    ~ ( ( ( equal(e1,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e3,op(e4,e4)) )
        & equal(e2,op(op(e4,op(e4,e4)),e4)) )
      & equal(e0,op(e4,op(e4,e4))) )   )).

input_formula(ax47,axiom,(
    ~ ( ( ( equal(e1,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e3,op(e0,e0)) )
        & equal(e4,op(op(e0,op(e0,e0)),e0)) )
      & equal(e2,op(e0,op(e0,e0))) )   )).

input_formula(ax48,axiom,(
    ~ ( ( ( equal(e1,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e3,op(e2,e2)) )
        & equal(e4,op(op(e2,op(e2,e2)),e2)) )
      & equal(e0,op(e2,op(e2,e2))) )   )).

input_formula(ax49,axiom,(
    ~ ( ( ( equal(e1,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e4,op(e2,e2)) )
        & equal(e0,op(op(e2,op(e2,e2)),e2)) )
      & equal(e3,op(e2,op(e2,e2))) )   )).

input_formula(ax50,axiom,(
    ~ ( ( ( equal(e1,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e4,op(e3,e3)) )
        & equal(e0,op(op(e3,op(e3,e3)),e3)) )
      & equal(e2,op(e3,op(e3,e3))) )   )).

input_formula(ax51,axiom,(
    ~ ( ( ( equal(e1,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e4,op(e0,e0)) )
        & equal(e2,op(op(e0,op(e0,e0)),e0)) )
      & equal(e3,op(e0,op(e0,e0))) )   )).

input_formula(ax52,axiom,(
    ~ ( ( ( equal(e1,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e4,op(e3,e3)) )
        & equal(e2,op(op(e3,op(e3,e3)),e3)) )
      & equal(e0,op(e3,op(e3,e3))) )   )).

input_formula(ax53,axiom,(
    ~ ( ( ( equal(e1,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e4,op(e0,e0)) )
        & equal(e3,op(op(e0,op(e0,e0)),e0)) )
      & equal(e2,op(e0,op(e0,e0))) )   )).

input_formula(ax54,axiom,(
    ~ ( ( ( equal(e1,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e4,op(e2,e2)) )
        & equal(e3,op(op(e2,op(e2,e2)),e2)) )
      & equal(e0,op(e2,op(e2,e2))) )   )).

input_formula(ax55,axiom,(
    ~ ( ( ( equal(e2,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e0,op(e3,e3)) )
        & equal(e1,op(op(e3,op(e3,e3)),e3)) )
      & equal(e4,op(e3,op(e3,e3))) )   )).

input_formula(ax56,axiom,(
    ~ ( ( ( equal(e2,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e0,op(e4,e4)) )
        & equal(e1,op(op(e4,op(e4,e4)),e4)) )
      & equal(e3,op(e4,op(e4,e4))) )   )).

input_formula(ax57,axiom,(
    ~ ( ( ( equal(e2,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e0,op(e1,e1)) )
        & equal(e3,op(op(e1,op(e1,e1)),e1)) )
      & equal(e4,op(e1,op(e1,e1))) )   )).

input_formula(ax58,axiom,(
    ~ ( ( ( equal(e2,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e0,op(e4,e4)) )
        & equal(e3,op(op(e4,op(e4,e4)),e4)) )
      & equal(e1,op(e4,op(e4,e4))) )   )).

input_formula(ax59,axiom,(
    ~ ( ( ( equal(e2,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e0,op(e1,e1)) )
        & equal(e4,op(op(e1,op(e1,e1)),e1)) )
      & equal(e3,op(e1,op(e1,e1))) )   )).

input_formula(ax60,axiom,(
    ~ ( ( ( equal(e2,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e0,op(e3,e3)) )
        & equal(e4,op(op(e3,op(e3,e3)),e3)) )
      & equal(e1,op(e3,op(e3,e3))) )   )).

input_formula(ax61,axiom,(
    ~ ( ( ( equal(e2,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e1,op(e3,e3)) )
        & equal(e0,op(op(e3,op(e3,e3)),e3)) )
      & equal(e4,op(e3,op(e3,e3))) )   )).

input_formula(ax62,axiom,(
    ~ ( ( ( equal(e2,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e1,op(e4,e4)) )
        & equal(e0,op(op(e4,op(e4,e4)),e4)) )
      & equal(e3,op(e4,op(e4,e4))) )   )).

input_formula(ax63,axiom,(
    ~ ( ( ( equal(e2,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e1,op(e0,e0)) )
        & equal(e3,op(op(e0,op(e0,e0)),e0)) )
      & equal(e4,op(e0,op(e0,e0))) )   )).

input_formula(ax64,axiom,(
    ~ ( ( ( equal(e2,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e1,op(e4,e4)) )
        & equal(e3,op(op(e4,op(e4,e4)),e4)) )
      & equal(e0,op(e4,op(e4,e4))) )   )).

input_formula(ax65,axiom,(
    ~ ( ( ( equal(e2,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e1,op(e0,e0)) )
        & equal(e4,op(op(e0,op(e0,e0)),e0)) )
      & equal(e3,op(e0,op(e0,e0))) )   )).

input_formula(ax66,axiom,(
    ~ ( ( ( equal(e2,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e1,op(e3,e3)) )
        & equal(e4,op(op(e3,op(e3,e3)),e3)) )
      & equal(e0,op(e3,op(e3,e3))) )   )).

input_formula(ax67,axiom,(
    ~ ( ( ( equal(e2,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e3,op(e1,e1)) )
        & equal(e0,op(op(e1,op(e1,e1)),e1)) )
      & equal(e4,op(e1,op(e1,e1))) )   )).

input_formula(ax68,axiom,(
    ~ ( ( ( equal(e2,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e3,op(e4,e4)) )
        & equal(e0,op(op(e4,op(e4,e4)),e4)) )
      & equal(e1,op(e4,op(e4,e4))) )   )).

input_formula(ax69,axiom,(
    ~ ( ( ( equal(e2,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e3,op(e0,e0)) )
        & equal(e1,op(op(e0,op(e0,e0)),e0)) )
      & equal(e4,op(e0,op(e0,e0))) )   )).

input_formula(ax70,axiom,(
    ~ ( ( ( equal(e2,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e3,op(e4,e4)) )
        & equal(e1,op(op(e4,op(e4,e4)),e4)) )
      & equal(e0,op(e4,op(e4,e4))) )   )).

input_formula(ax71,axiom,(
    ~ ( ( ( equal(e2,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e3,op(e0,e0)) )
        & equal(e4,op(op(e0,op(e0,e0)),e0)) )
      & equal(e1,op(e0,op(e0,e0))) )   )).

input_formula(ax72,axiom,(
    ~ ( ( ( equal(e2,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e3,op(e1,e1)) )
        & equal(e4,op(op(e1,op(e1,e1)),e1)) )
      & equal(e0,op(e1,op(e1,e1))) )   )).

input_formula(ax73,axiom,(
    ~ ( ( ( equal(e2,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e4,op(e1,e1)) )
        & equal(e0,op(op(e1,op(e1,e1)),e1)) )
      & equal(e3,op(e1,op(e1,e1))) )   )).

input_formula(ax74,axiom,(
    ~ ( ( ( equal(e2,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e4,op(e3,e3)) )
        & equal(e0,op(op(e3,op(e3,e3)),e3)) )
      & equal(e1,op(e3,op(e3,e3))) )   )).

input_formula(ax75,axiom,(
    ~ ( ( ( equal(e2,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e4,op(e0,e0)) )
        & equal(e1,op(op(e0,op(e0,e0)),e0)) )
      & equal(e3,op(e0,op(e0,e0))) )   )).

input_formula(ax76,axiom,(
    ~ ( ( ( equal(e2,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e4,op(e3,e3)) )
        & equal(e1,op(op(e3,op(e3,e3)),e3)) )
      & equal(e0,op(e3,op(e3,e3))) )   )).

input_formula(ax77,axiom,(
    ~ ( ( ( equal(e2,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e4,op(e0,e0)) )
        & equal(e3,op(op(e0,op(e0,e0)),e0)) )
      & equal(e1,op(e0,op(e0,e0))) )   )).

input_formula(ax78,axiom,(
    ~ ( ( ( equal(e2,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e4,op(e1,e1)) )
        & equal(e3,op(op(e1,op(e1,e1)),e1)) )
      & equal(e0,op(e1,op(e1,e1))) )   )).

input_formula(ax79,axiom,(
    ~ ( ( ( equal(e3,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e0,op(e2,e2)) )
        & equal(e1,op(op(e2,op(e2,e2)),e2)) )
      & equal(e4,op(e2,op(e2,e2))) )   )).

input_formula(ax80,axiom,(
    ~ ( ( ( equal(e3,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e0,op(e4,e4)) )
        & equal(e1,op(op(e4,op(e4,e4)),e4)) )
      & equal(e2,op(e4,op(e4,e4))) )   )).

input_formula(ax81,axiom,(
    ~ ( ( ( equal(e3,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e0,op(e1,e1)) )
        & equal(e2,op(op(e1,op(e1,e1)),e1)) )
      & equal(e4,op(e1,op(e1,e1))) )   )).

input_formula(ax82,axiom,(
    ~ ( ( ( equal(e3,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e0,op(e4,e4)) )
        & equal(e2,op(op(e4,op(e4,e4)),e4)) )
      & equal(e1,op(e4,op(e4,e4))) )   )).

input_formula(ax83,axiom,(
    ~ ( ( ( equal(e3,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e0,op(e1,e1)) )
        & equal(e4,op(op(e1,op(e1,e1)),e1)) )
      & equal(e2,op(e1,op(e1,e1))) )   )).

input_formula(ax84,axiom,(
    ~ ( ( ( equal(e3,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e0,op(e2,e2)) )
        & equal(e4,op(op(e2,op(e2,e2)),e2)) )
      & equal(e1,op(e2,op(e2,e2))) )   )).

input_formula(ax85,axiom,(
    ~ ( ( ( equal(e3,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e1,op(e2,e2)) )
        & equal(e0,op(op(e2,op(e2,e2)),e2)) )
      & equal(e4,op(e2,op(e2,e2))) )   )).

input_formula(ax86,axiom,(
    ~ ( ( ( equal(e3,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e1,op(e4,e4)) )
        & equal(e0,op(op(e4,op(e4,e4)),e4)) )
      & equal(e2,op(e4,op(e4,e4))) )   )).

input_formula(ax87,axiom,(
    ~ ( ( ( equal(e3,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e1,op(e0,e0)) )
        & equal(e2,op(op(e0,op(e0,e0)),e0)) )
      & equal(e4,op(e0,op(e0,e0))) )   )).

input_formula(ax88,axiom,(
    ~ ( ( ( equal(e3,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e1,op(e4,e4)) )
        & equal(e2,op(op(e4,op(e4,e4)),e4)) )
      & equal(e0,op(e4,op(e4,e4))) )   )).

input_formula(ax89,axiom,(
    ~ ( ( ( equal(e3,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e1,op(e0,e0)) )
        & equal(e4,op(op(e0,op(e0,e0)),e0)) )
      & equal(e2,op(e0,op(e0,e0))) )   )).

input_formula(ax90,axiom,(
    ~ ( ( ( equal(e3,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e1,op(e2,e2)) )
        & equal(e4,op(op(e2,op(e2,e2)),e2)) )
      & equal(e0,op(e2,op(e2,e2))) )   )).

input_formula(ax91,axiom,(
    ~ ( ( ( equal(e3,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e2,op(e1,e1)) )
        & equal(e0,op(op(e1,op(e1,e1)),e1)) )
      & equal(e4,op(e1,op(e1,e1))) )   )).

input_formula(ax92,axiom,(
    ~ ( ( ( equal(e3,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e2,op(e4,e4)) )
        & equal(e0,op(op(e4,op(e4,e4)),e4)) )
      & equal(e1,op(e4,op(e4,e4))) )   )).

input_formula(ax93,axiom,(
    ~ ( ( ( equal(e3,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e2,op(e0,e0)) )
        & equal(e1,op(op(e0,op(e0,e0)),e0)) )
      & equal(e4,op(e0,op(e0,e0))) )   )).

input_formula(ax94,axiom,(
    ~ ( ( ( equal(e3,op(e4,op(op(e4,op(e4,e4)),e4)))
          & equal(e2,op(e4,e4)) )
        & equal(e1,op(op(e4,op(e4,e4)),e4)) )
      & equal(e0,op(e4,op(e4,e4))) )   )).

input_formula(ax95,axiom,(
    ~ ( ( ( equal(e3,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e2,op(e0,e0)) )
        & equal(e4,op(op(e0,op(e0,e0)),e0)) )
      & equal(e1,op(e0,op(e0,e0))) )   )).

input_formula(ax96,axiom,(
    ~ ( ( ( equal(e3,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e2,op(e1,e1)) )
        & equal(e4,op(op(e1,op(e1,e1)),e1)) )
      & equal(e0,op(e1,op(e1,e1))) )   )).

input_formula(ax97,axiom,(
    ~ ( ( ( equal(e3,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e4,op(e1,e1)) )
        & equal(e0,op(op(e1,op(e1,e1)),e1)) )
      & equal(e2,op(e1,op(e1,e1))) )   )).

input_formula(ax98,axiom,(
    ~ ( ( ( equal(e3,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e4,op(e2,e2)) )
        & equal(e0,op(op(e2,op(e2,e2)),e2)) )
      & equal(e1,op(e2,op(e2,e2))) )   )).

input_formula(ax99,axiom,(
    ~ ( ( ( equal(e3,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e4,op(e0,e0)) )
        & equal(e1,op(op(e0,op(e0,e0)),e0)) )
      & equal(e2,op(e0,op(e0,e0))) )   )).

input_formula(ax100,axiom,(
    ~ ( ( ( equal(e3,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e4,op(e2,e2)) )
        & equal(e1,op(op(e2,op(e2,e2)),e2)) )
      & equal(e0,op(e2,op(e2,e2))) )   )).

input_formula(ax101,axiom,(
    ~ ( ( ( equal(e3,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e4,op(e0,e0)) )
        & equal(e2,op(op(e0,op(e0,e0)),e0)) )
      & equal(e1,op(e0,op(e0,e0))) )   )).

input_formula(ax102,axiom,(
    ~ ( ( ( equal(e3,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e4,op(e1,e1)) )
        & equal(e2,op(op(e1,op(e1,e1)),e1)) )
      & equal(e0,op(e1,op(e1,e1))) )   )).

input_formula(ax103,axiom,(
    ~ ( ( ( equal(e4,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e0,op(e2,e2)) )
        & equal(e1,op(op(e2,op(e2,e2)),e2)) )
      & equal(e3,op(e2,op(e2,e2))) )   )).

input_formula(ax104,axiom,(
    ~ ( ( ( equal(e4,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e0,op(e3,e3)) )
        & equal(e1,op(op(e3,op(e3,e3)),e3)) )
      & equal(e2,op(e3,op(e3,e3))) )   )).

input_formula(ax105,axiom,(
    ~ ( ( ( equal(e4,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e0,op(e1,e1)) )
        & equal(e2,op(op(e1,op(e1,e1)),e1)) )
      & equal(e3,op(e1,op(e1,e1))) )   )).

input_formula(ax106,axiom,(
    ~ ( ( ( equal(e4,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e0,op(e3,e3)) )
        & equal(e2,op(op(e3,op(e3,e3)),e3)) )
      & equal(e1,op(e3,op(e3,e3))) )   )).

input_formula(ax107,axiom,(
    ~ ( ( ( equal(e4,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e0,op(e1,e1)) )
        & equal(e3,op(op(e1,op(e1,e1)),e1)) )
      & equal(e2,op(e1,op(e1,e1))) )   )).

input_formula(ax108,axiom,(
    ~ ( ( ( equal(e4,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e0,op(e2,e2)) )
        & equal(e3,op(op(e2,op(e2,e2)),e2)) )
      & equal(e1,op(e2,op(e2,e2))) )   )).

input_formula(ax109,axiom,(
    ~ ( ( ( equal(e4,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e1,op(e2,e2)) )
        & equal(e0,op(op(e2,op(e2,e2)),e2)) )
      & equal(e3,op(e2,op(e2,e2))) )   )).

input_formula(ax110,axiom,(
    ~ ( ( ( equal(e4,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e1,op(e3,e3)) )
        & equal(e0,op(op(e3,op(e3,e3)),e3)) )
      & equal(e2,op(e3,op(e3,e3))) )   )).

input_formula(ax111,axiom,(
    ~ ( ( ( equal(e4,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e1,op(e0,e0)) )
        & equal(e2,op(op(e0,op(e0,e0)),e0)) )
      & equal(e3,op(e0,op(e0,e0))) )   )).

input_formula(ax112,axiom,(
    ~ ( ( ( equal(e4,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e1,op(e3,e3)) )
        & equal(e2,op(op(e3,op(e3,e3)),e3)) )
      & equal(e0,op(e3,op(e3,e3))) )   )).

input_formula(ax113,axiom,(
    ~ ( ( ( equal(e4,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e1,op(e0,e0)) )
        & equal(e3,op(op(e0,op(e0,e0)),e0)) )
      & equal(e2,op(e0,op(e0,e0))) )   )).

input_formula(ax114,axiom,(
    ~ ( ( ( equal(e4,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e1,op(e2,e2)) )
        & equal(e3,op(op(e2,op(e2,e2)),e2)) )
      & equal(e0,op(e2,op(e2,e2))) )   )).

input_formula(ax115,axiom,(
    ~ ( ( ( equal(e4,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e2,op(e1,e1)) )
        & equal(e0,op(op(e1,op(e1,e1)),e1)) )
      & equal(e3,op(e1,op(e1,e1))) )   )).

input_formula(ax116,axiom,(
    ~ ( ( ( equal(e4,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e2,op(e3,e3)) )
        & equal(e0,op(op(e3,op(e3,e3)),e3)) )
      & equal(e1,op(e3,op(e3,e3))) )   )).

input_formula(ax117,axiom,(
    ~ ( ( ( equal(e4,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e2,op(e0,e0)) )
        & equal(e1,op(op(e0,op(e0,e0)),e0)) )
      & equal(e3,op(e0,op(e0,e0))) )   )).

input_formula(ax118,axiom,(
    ~ ( ( ( equal(e4,op(e3,op(op(e3,op(e3,e3)),e3)))
          & equal(e2,op(e3,e3)) )
        & equal(e1,op(op(e3,op(e3,e3)),e3)) )
      & equal(e0,op(e3,op(e3,e3))) )   )).

input_formula(ax119,axiom,(
    ~ ( ( ( equal(e4,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e2,op(e0,e0)) )
        & equal(e3,op(op(e0,op(e0,e0)),e0)) )
      & equal(e1,op(e0,op(e0,e0))) )   )).

input_formula(ax120,axiom,(
    ~ ( ( ( equal(e4,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e2,op(e1,e1)) )
        & equal(e3,op(op(e1,op(e1,e1)),e1)) )
      & equal(e0,op(e1,op(e1,e1))) )   )).

input_formula(ax121,axiom,(
    ~ ( ( ( equal(e4,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e3,op(e1,e1)) )
        & equal(e0,op(op(e1,op(e1,e1)),e1)) )
      & equal(e2,op(e1,op(e1,e1))) )   )).

input_formula(ax122,axiom,(
    ~ ( ( ( equal(e4,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e3,op(e2,e2)) )
        & equal(e0,op(op(e2,op(e2,e2)),e2)) )
      & equal(e1,op(e2,op(e2,e2))) )   )).

input_formula(ax123,axiom,(
    ~ ( ( ( equal(e4,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e3,op(e0,e0)) )
        & equal(e1,op(op(e0,op(e0,e0)),e0)) )
      & equal(e2,op(e0,op(e0,e0))) )   )).

input_formula(ax124,axiom,(
    ~ ( ( ( equal(e4,op(e2,op(op(e2,op(e2,e2)),e2)))
          & equal(e3,op(e2,e2)) )
        & equal(e1,op(op(e2,op(e2,e2)),e2)) )
      & equal(e0,op(e2,op(e2,e2))) )   )).

input_formula(ax125,axiom,(
    ~ ( ( ( equal(e4,op(e0,op(op(e0,op(e0,e0)),e0)))
          & equal(e3,op(e0,e0)) )
        & equal(e2,op(op(e0,op(e0,e0)),e0)) )
      & equal(e1,op(e0,op(e0,e0))) )   )).

input_formula(ax126,axiom,(
    ~ ( ( ( equal(e4,op(e1,op(op(e1,op(e1,e1)),e1)))
          & equal(e3,op(e1,e1)) )
        & equal(e2,op(op(e1,op(e1,e1)),e1)) )
      & equal(e0,op(e1,op(e1,e1))) )   )).
%--------------------------------------------------------------------------
