%--------------------------------------------------------------------------
% File     : ANA006-2 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Analysis (Limits)
% Problem  : Analysis (limits) axioms for continuous functions
% Version  : [Ble90] axioms.
% English  : 

% Refs     : [Ble90] Bledsoe (1990), Challenge Problems in Elementary Calcu
%          : [Ble92] Bledsoe (1992), Email to G. Sutcliffe
% Source   : [Ble92]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.50 v2.5.0
% Syntax   : Number of clauses    :   43 (   2 non-Horn;  12 unit;  25 RR)
%            Number of literals   :   81 (  38 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   11 (   1 constant; 0-2 arity)
%            Number of variables  :   99 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Analysis (limits) axioms for continuous functions
include('Axioms/ANA002-0.ax').
include('Axioms/ANA002-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
