%--------------------------------------------------------------------------
% File     : BOO006-2 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Multiplication is bounded (X * 0 = 0)
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : prob3_part2.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.38 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  16 unit;   4 RR)
%            Number of literals   :   31 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   44 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_right_identity,conjecture,
    [--equal(multiply(a,additive_identity),additive_identity)]).
%--------------------------------------------------------------------------
