%--------------------------------------------------------------------------
% File     : BOO076-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Boolean Algebra
% Problem  : Sh-1 is a single axiom for Boolean algebra, part 2
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
%          : [MV+02] McCune et al. (2002), Short Single Axioms for Boolean
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.78 v2.7.0, 0.91 v2.6.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   15 (   1 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : A UEQ part of BOO039-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(nand_substitution_1,axiom,
    [--equal(A,B),
     ++equal(nand(A,C),nand(B,C))]).

input_clause(nand_substitution_2,axiom,
    [--equal(A,B),
     ++equal(nand(C,A),nand(C,B))]).

input_clause(sh_1,axiom,
    [++equal(nand(nand(A,nand(nand(B,A),A)),nand(B,nand(C,A))),B)]).

input_clause(prove_meredith_2_basis_2,conjecture,
    [--equal(nand(a,nand(b,nand(a,c))),nand(nand(nand(c,b),b),a))]).
%--------------------------------------------------------------------------
