%--------------------------------------------------------------------------
% File     : COL084-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Combinatory Logic
% Problem  : Compatible Birds, part 2
% Version  : Especial.
% English  : 

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   24 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : A UEQ part of COL054-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(mocking_bird_exists,axiom,
    [++equal(response(mocking_bird,A),response(A,A))]).

input_clause(composer_exists,hypothesis,
    [++equal(response(compose(A,B),C),response(A,response(B,C)))]).

input_clause(compose_substitution1,axiom,
    [--equal(A,B),
     ++equal(compose(A,C),compose(B,C))]).

input_clause(compose_substitution2,axiom,
    [--equal(A,B),
     ++equal(compose(C,A),compose(C,B))]).

input_clause(response_substitution1,axiom,
    [--equal(A,B),
     ++equal(response(A,C),response(B,C))]).

input_clause(response_substitution2,axiom,
    [--equal(A,B),
     ++equal(response(C,A),response(C,B))]).

input_clause(prove_birds_are_compatible_2,conjecture,
    [--equal(response(b,B),A)]).
%--------------------------------------------------------------------------
