%--------------------------------------------------------------------------
% File     : COM006-1 : TPTP v2.7.0. Released v2.7.0.
% Domain   : Computing Theory
% Problem  : Behaviour of an algorithm that orients rings with 5 nodes
% Version  : Especial.
% English  :

% Refs     : [Hoe94] Hoepman (1994), Uniform Deterministic Self-Stabilizing
%          : [Kon03] Konev (2003), Email to G. Sutcliffe
% Source   : [Kon03]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.7.0
% Syntax   : Number of clauses    :  449 ( 262 non-Horn;   1 unit; 447 RR)
%            Number of literals   : 2286 (   0 equality)
%            Maximal clause size  :    8 (   5 average)
%            Number of predicates :   40 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   1 constant; 0-1 arity)
%            Number of variables  :  448 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(c001,conjecture,
    [++ap(a)]).

input_clause(c002,conjecture,
    [--ap(X),
     --aq(X)]).

input_clause(c003,conjecture,
    [--ap(X),
     --ar(X)]).

input_clause(c004,conjecture,
    [--ap(X),
     --as(X)]).

input_clause(c005,conjecture,
    [--ap(X),
     --at(X)]).

input_clause(c006,conjecture,
    [--aq(X),
     --ar(X)]).

input_clause(c007,conjecture,
    [--aq(X),
     --as(X)]).

input_clause(c008,conjecture,
    [--aq(X),
     --at(X)]).

input_clause(c009,conjecture,
    [--ar(X),
     --as(X)]).

input_clause(c010,conjecture,
    [--ar(X),
     --at(X)]).

input_clause(c011,conjecture,
    [--as(X),
     --at(X)]).

input_clause(c012,conjecture,
    [++ap(X),
     ++aq(X),
     ++ar(X),
     ++as(X),
     ++at(X)]).

input_clause(c013,conjecture,
    [--pqr1(X),
     --p(X)]).

input_clause(c014,conjecture,
    [--pqr1(X),
     ++pp(X)]).

input_clause(c015,conjecture,
    [--pqr1(X),
     --q(X)]).

input_clause(c016,conjecture,
    [--pqr1(X),
     --qq(X)]).

input_clause(c017,conjecture,
    [--pqr1(X),
     ++r(X)]).

input_clause(c018,conjecture,
    [--pqr1(X),
     --rr(X)]).

input_clause(c019,conjecture,
    [--pqr1(X),
     ++aq(X)]).

input_clause(c020,conjecture,
    [--pqr2(X),
     ++p(X)]).

input_clause(c021,conjecture,
    [--pqr2(X),
     ++pp(X)]).

input_clause(c022,conjecture,
    [--pqr2(X),
     ++q(X)]).

input_clause(c023,conjecture,
    [--pqr2(X),
     --qq(X)]).

input_clause(c024,conjecture,
    [--pqr2(X),
     --r(X)]).

input_clause(c025,conjecture,
    [--pqr2(X),
     --rr(X)]).

input_clause(c026,conjecture,
    [--pqr2(X),
     ++aq(X)]).

input_clause(c027,conjecture,
    [--pqr3(X),
     ++p(X)]).

input_clause(c028,conjecture,
    [--pqr3(X),
     --pp(X)]).

input_clause(c029,conjecture,
    [--pqr3(X),
     --q(X)]).

input_clause(c030,conjecture,
    [--pqr3(X),
     --qq(X)]).

input_clause(c031,conjecture,
    [--pqr3(X),
     --r(X)]).

input_clause(c032,conjecture,
    [--pqr3(X),
     ++rr(X)]).

input_clause(c033,conjecture,
    [--pqr3(X),
     ++aq(X)]).

input_clause(c034,conjecture,
    [--pqr4(X),
     --p(X)]).

input_clause(c035,conjecture,
    [--pqr4(X),
     --pp(X)]).

input_clause(c036,conjecture,
    [--pqr4(X),
     ++q(X)]).

input_clause(c037,conjecture,
    [--pqr4(X),
     --qq(X)]).

input_clause(c038,conjecture,
    [--pqr4(X),
     ++r(X)]).

input_clause(c039,conjecture,
    [--pqr4(X),
     ++rr(X)]).

input_clause(c040,conjecture,
    [--pqr4(X),
     ++aq(X)]).

input_clause(c041,conjecture,
    [--qrs1(X),
     --q(X)]).

input_clause(c042,conjecture,
    [--qrs1(X),
     ++qq(X)]).

input_clause(c043,conjecture,
    [--qrs1(X),
     --r(X)]).

input_clause(c044,conjecture,
    [--qrs1(X),
     --rr(X)]).

input_clause(c045,conjecture,
    [--qrs1(X),
     ++s(X)]).

input_clause(c046,conjecture,
    [--qrs1(X),
     --ss(X)]).

input_clause(c047,conjecture,
    [--qrs1(X),
     ++ar(X)]).

input_clause(c048,conjecture,
    [--qrs2(X),
     ++q(X)]).

input_clause(c049,conjecture,
    [--qrs2(X),
     ++qq(X)]).

input_clause(c050,conjecture,
    [--qrs2(X),
     ++r(X)]).

input_clause(c051,conjecture,
    [--qrs2(X),
     --rr(X)]).

input_clause(c052,conjecture,
    [--qrs2(X),
     --s(X)]).

input_clause(c053,conjecture,
    [--qrs2(X),
     --ss(X)]).

input_clause(c054,conjecture,
    [--qrs2(X),
     ++ar(X)]).

input_clause(c055,conjecture,
    [--qrs3(X),
     ++q(X)]).

input_clause(c056,conjecture,
    [--qrs3(X),
     --qq(X)]).

input_clause(c057,conjecture,
    [--qrs3(X),
     --r(X)]).

input_clause(c058,conjecture,
    [--qrs3(X),
     --rr(X)]).

input_clause(c059,conjecture,
    [--qrs3(X),
     --s(X)]).

input_clause(c060,conjecture,
    [--qrs3(X),
     ++ss(X)]).

input_clause(c061,conjecture,
    [--qrs3(X),
     ++ar(X)]).

input_clause(c062,conjecture,
    [--qrs4(X),
     --q(X)]).

input_clause(c063,conjecture,
    [--qrs4(X),
     --qq(X)]).

input_clause(c064,conjecture,
    [--qrs4(X),
     ++r(X)]).

input_clause(c065,conjecture,
    [--qrs4(X),
     --rr(X)]).

input_clause(c066,conjecture,
    [--qrs4(X),
     ++s(X)]).

input_clause(c067,conjecture,
    [--qrs4(X),
     ++ss(X)]).

input_clause(c068,conjecture,
    [--qrs4(X),
     ++ar(X)]).

input_clause(c069,conjecture,
    [--rst1(X),
     --r(X)]).

input_clause(c070,conjecture,
    [--rst1(X),
     ++rr(X)]).

input_clause(c071,conjecture,
    [--rst1(X),
     --s(X)]).

input_clause(c072,conjecture,
    [--rst1(X),
     --ss(X)]).

input_clause(c073,conjecture,
    [--rst1(X),
     ++t(X)]).

input_clause(c074,conjecture,
    [--rst1(X),
     --tt(X)]).

input_clause(c075,conjecture,
    [--rst1(X),
     ++as(X)]).

input_clause(c076,conjecture,
    [--rst2(X),
     ++r(X)]).

input_clause(c077,conjecture,
    [--rst2(X),
     ++rr(X)]).

input_clause(c078,conjecture,
    [--rst2(X),
     ++s(X)]).

input_clause(c079,conjecture,
    [--rst2(X),
     --ss(X)]).

input_clause(c080,conjecture,
    [--rst2(X),
     --t(X)]).

input_clause(c081,conjecture,
    [--rst2(X),
     --tt(X)]).

input_clause(c082,conjecture,
    [--rst2(X),
     ++as(X)]).

input_clause(c083,conjecture,
    [--rst3(X),
     ++r(X)]).

input_clause(c084,conjecture,
    [--rst3(X),
     --rr(X)]).

input_clause(c085,conjecture,
    [--rst3(X),
     --s(X)]).

input_clause(c086,conjecture,
    [--rst3(X),
     --ss(X)]).

input_clause(c087,conjecture,
    [--rst3(X),
     --t(X)]).

input_clause(c088,conjecture,
    [--rst3(X),
     ++tt(X)]).

input_clause(c089,conjecture,
    [--rst3(X),
     ++as(X)]).

input_clause(c090,conjecture,
    [--rst4(X),
     --r(X)]).

input_clause(c091,conjecture,
    [--rst4(X),
     --rr(X)]).

input_clause(c092,conjecture,
    [--rst4(X),
     ++s(X)]).

input_clause(c093,conjecture,
    [--rst4(X),
     --ss(X)]).

input_clause(c094,conjecture,
    [--rst4(X),
     ++t(X)]).

input_clause(c095,conjecture,
    [--rst4(X),
     ++tt(X)]).

input_clause(c096,conjecture,
    [--rst4(X),
     ++as(X)]).

input_clause(c097,conjecture,
    [--stp1(X),
     --s(X)]).

input_clause(c098,conjecture,
    [--stp1(X),
     ++ss(X)]).

input_clause(c099,conjecture,
    [--stp1(X),
     --t(X)]).

input_clause(c100,conjecture,
    [--stp1(X),
     --tt(X)]).

input_clause(c101,conjecture,
    [--stp1(X),
     ++p(X)]).

input_clause(c102,conjecture,
    [--stp1(X),
     --pp(X)]).

input_clause(c103,conjecture,
    [--stp1(X),
     ++at(X)]).

input_clause(c104,conjecture,
    [--stp2(X),
     ++s(X)]).

input_clause(c105,conjecture,
    [--stp2(X),
     ++ss(X)]).

input_clause(c106,conjecture,
    [--stp2(X),
     ++t(X)]).

input_clause(c107,conjecture,
    [--stp2(X),
     --tt(X)]).

input_clause(c108,conjecture,
    [--stp2(X),
     --p(X)]).

input_clause(c109,conjecture,
    [--stp2(X),
     --pp(X)]).

input_clause(c110,conjecture,
    [--stp2(X),
     ++at(X)]).

input_clause(c111,conjecture,
    [--stp3(X),
     ++s(X)]).

input_clause(c112,conjecture,
    [--stp3(X),
     --ss(X)]).

input_clause(c113,conjecture,
    [--stp3(X),
     --t(X)]).

input_clause(c114,conjecture,
    [--stp3(X),
     --tt(X)]).

input_clause(c115,conjecture,
    [--stp3(X),
     --p(X)]).

input_clause(c116,conjecture,
    [--stp3(X),
     ++pp(X)]).

input_clause(c117,conjecture,
    [--stp3(X),
     ++at(X)]).

input_clause(c118,conjecture,
    [--stp4(X),
     --s(X)]).

input_clause(c119,conjecture,
    [--stp4(X),
     --ss(X)]).

input_clause(c120,conjecture,
    [--stp4(X),
     ++t(X)]).

input_clause(c121,conjecture,
    [--stp4(X),
     --tt(X)]).

input_clause(c122,conjecture,
    [--stp4(X),
     ++p(X)]).

input_clause(c123,conjecture,
    [--stp4(X),
     ++pp(X)]).

input_clause(c124,conjecture,
    [--stp4(X),
     ++at(X)]).

input_clause(c125,conjecture,
    [--tpq1(X),
     --t(X)]).

input_clause(c126,conjecture,
    [--tpq1(X),
     ++tt(X)]).

input_clause(c127,conjecture,
    [--tpq1(X),
     --p(X)]).

input_clause(c128,conjecture,
    [--tpq1(X),
     --pp(X)]).

input_clause(c129,conjecture,
    [--tpq1(X),
     ++q(X)]).

input_clause(c130,conjecture,
    [--tpq1(X),
     --qq(X)]).

input_clause(c131,conjecture,
    [--tpq1(X),
     ++ap(X)]).

input_clause(c132,conjecture,
    [--tpq2(X),
     ++t(X)]).

input_clause(c133,conjecture,
    [--tpq2(X),
     ++tt(X)]).

input_clause(c134,conjecture,
    [--tpq2(X),
     ++p(X)]).

input_clause(c135,conjecture,
    [--tpq2(X),
     --pp(X)]).

input_clause(c136,conjecture,
    [--tpq2(X),
     --q(X)]).

input_clause(c137,conjecture,
    [--tpq2(X),
     --qq(X)]).

input_clause(c138,conjecture,
    [--tpq2(X),
     ++ap(X)]).

input_clause(c139,conjecture,
    [--tpq3(X),
     ++t(X)]).

input_clause(c140,conjecture,
    [--tpq3(X),
     --tt(X)]).

input_clause(c141,conjecture,
    [--tpq3(X),
     --p(X)]).

input_clause(c142,conjecture,
    [--tpq3(X),
     --pp(X)]).

input_clause(c143,conjecture,
    [--tpq3(X),
     --q(X)]).

input_clause(c144,conjecture,
    [--tpq3(X),
     ++qq(X)]).

input_clause(c145,conjecture,
    [--tpq3(X),
     ++ap(X)]).

input_clause(c146,conjecture,
    [--tpq4(X),
     --t(X)]).

input_clause(c147,conjecture,
    [--tpq4(X),
     --tt(X)]).

input_clause(c148,conjecture,
    [--tpq4(X),
     ++p(X)]).

input_clause(c149,conjecture,
    [--tpq4(X),
     --pp(X)]).

input_clause(c150,conjecture,
    [--tpq4(X),
     ++q(X)]).

input_clause(c151,conjecture,
    [--tpq4(X),
     ++qq(X)]).

input_clause(c152,conjecture,
    [--tpq4(X),
     ++ap(X)]).

input_clause(c153,conjecture,
    [--tq(X),
     --pr(X),
     --qs(X),
     --rt(X),
     --sp(X)]).

input_clause(c154,conjecture,
    [++tq(X),
     ++pr(X),
     ++qs(X),
     ++rt(X),
     ++sp(X)]).

input_clause(c155,conjecture,
    [--ap(X),
     ++aq(f(X))]).

input_clause(c156,conjecture,
    [--aq(X),
     ++ar(f(X))]).

input_clause(c157,conjecture,
    [--ar(X),
     ++as(f(X))]).

input_clause(c158,conjecture,
    [--as(X),
     ++at(f(X))]).

input_clause(c159,conjecture,
    [--at(X),
     ++ap(f(X))]).

input_clause(c160,conjecture,
    [--aq(X),
     ++p(X),
     ++q(X),
     ++r(X),
     ++q(f(X))]).

input_clause(c161,conjecture,
    [--aq(X),
     ++p(X),
     ++q(X),
     ++r(X),
     --qq(f(X))]).

input_clause(c162,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++r(X),
     ++q(f(X))]).

input_clause(c163,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++r(X),
     --qq(f(X))]).

input_clause(c164,conjecture,
    [--aq(X),
     --p(X),
     --q(X),
     --r(X),
     --q(f(X))]).

input_clause(c165,conjecture,
    [--aq(X),
     --p(X),
     --q(X),
     --r(X),
     --qq(f(X))]).

input_clause(c166,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --r(X),
     --q(f(X))]).

input_clause(c167,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --r(X),
     --qq(f(X))]).

input_clause(c168,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     --q(f(X))]).

input_clause(c169,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++qq(f(X))]).

input_clause(c170,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     --q(f(X))]).

input_clause(c171,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     --qq(f(X))]).

input_clause(c172,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++q(f(X))]).

input_clause(c173,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++qq(f(X))]).

input_clause(c174,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++q(f(X))]).

input_clause(c175,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     --qq(f(X))]).

input_clause(c176,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --q(f(X))]).

input_clause(c177,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++qq(f(X))]).

input_clause(c178,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --q(f(X))]).

input_clause(c179,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --qq(f(X))]).

input_clause(c180,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++q(f(X))]).

input_clause(c181,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++qq(f(X))]).

input_clause(c182,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     ++q(f(X))]).

input_clause(c183,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     --qq(f(X))]).

input_clause(c184,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++q(f(X))]).

input_clause(c185,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++qq(f(X))]).

input_clause(c186,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --q(f(X))]).

input_clause(c187,conjecture,
    [--aq(X),
     --p(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     ++qq(f(X))]).

input_clause(c188,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++q(f(X))]).

input_clause(c189,conjecture,
    [--aq(X),
     ++p(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++qq(f(X))]).

input_clause(c190,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     --q(f(X))]).

input_clause(c191,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --r(X),
     ++qq(f(X))]).

input_clause(c192,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     ++q(f(X))]).

input_clause(c193,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --qq(f(X))]).

input_clause(c194,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --q(f(X))]).

input_clause(c195,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --qq(f(X))]).

input_clause(c196,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++q(f(X))]).

input_clause(c197,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --qq(f(X))]).

input_clause(c198,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --q(f(X))]).

input_clause(c199,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --qq(f(X))]).

input_clause(c200,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++q(f(X))]).

input_clause(c201,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++qq(f(X))]).

input_clause(c202,conjecture,
    [--aq(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++pr(f(X))]).

input_clause(c203,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     ++q(f(X))]).

input_clause(c204,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     ++qq(f(X))]).

input_clause(c205,conjecture,
    [--aq(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --pr(f(X))]).

input_clause(c206,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --q(f(X))]).

input_clause(c207,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++qq(f(X))]).

input_clause(c208,conjecture,
    [--aq(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++pr(f(X))]).

input_clause(c209,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --q(f(X))]).

input_clause(c210,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++qq(f(X))]).

input_clause(c211,conjecture,
    [--aq(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     --pr(f(X))]).

input_clause(c212,conjecture,
    [++aq(X),
     ++q(X),
     --q(f(X))]).

input_clause(c213,conjecture,
    [++aq(X),
     --q(X),
     ++q(f(X))]).

input_clause(c214,conjecture,
    [++aq(X),
     ++qq(X),
     --qq(f(X))]).

input_clause(c215,conjecture,
    [++aq(X),
     --qq(X),
     ++qq(f(X))]).

input_clause(c216,conjecture,
    [++pqr1(X),
     ++pqr2(X),
     ++pqr3(X),
     ++pqr4(X),
     --pr(X),
     ++pr(f(X))]).

input_clause(c217,conjecture,
    [++pqr1(X),
     ++pqr2(X),
     ++pqr3(X),
     ++pqr4(X),
     ++pr(X),
     --pr(f(X))]).

input_clause(c218,conjecture,
    [--ar(X),
     ++q(X),
     ++r(X),
     ++s(X),
     ++r(f(X))]).

input_clause(c219,conjecture,
    [--ar(X),
     ++q(X),
     ++r(X),
     ++s(X),
     --rr(f(X))]).

input_clause(c220,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++s(X),
     ++r(f(X))]).

input_clause(c221,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++s(X),
     --rr(f(X))]).

input_clause(c222,conjecture,
    [--ar(X),
     --q(X),
     --r(X),
     --s(X),
     --r(f(X))]).

input_clause(c223,conjecture,
    [--ar(X),
     --q(X),
     --r(X),
     --s(X),
     --rr(f(X))]).

input_clause(c224,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --s(X),
     --r(f(X))]).

input_clause(c225,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --s(X),
     --rr(f(X))]).

input_clause(c226,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --s(X),
     --r(f(X))]).

input_clause(c227,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     --s(X),
     ++rr(f(X))]).

input_clause(c228,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --s(X),
     --r(f(X))]).

input_clause(c229,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     --rr(X),
     --s(X),
     --rr(f(X))]).

input_clause(c230,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++r(f(X))]).

input_clause(c231,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++rr(f(X))]).

input_clause(c232,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     ++s(X),
     ++r(f(X))]).

input_clause(c233,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     --rr(X),
     ++s(X),
     --rr(f(X))]).

input_clause(c234,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     --r(f(X))]).

input_clause(c235,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     ++rr(f(X))]).

input_clause(c236,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++s(X),
     --ss(X),
     --r(f(X))]).

input_clause(c237,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++s(X),
     --ss(X),
     --rr(f(X))]).

input_clause(c238,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     ++r(f(X))]).

input_clause(c239,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     ++rr(f(X))]).

input_clause(c240,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --s(X),
     --ss(X),
     ++r(f(X))]).

input_clause(c241,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --s(X),
     --ss(X),
     --rr(f(X))]).

input_clause(c242,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++s(X),
     ++r(f(X))]).

input_clause(c243,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     --r(X),
     --rr(X),
     ++s(X),
     ++rr(f(X))]).

input_clause(c244,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     --r(f(X))]).

input_clause(c245,conjecture,
    [--ar(X),
     --q(X),
     ++r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     ++rr(f(X))]).

input_clause(c246,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     ++r(f(X))]).

input_clause(c247,conjecture,
    [--ar(X),
     ++q(X),
     --r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     ++rr(f(X))]).

input_clause(c248,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --s(X),
     --r(f(X))]).

input_clause(c249,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     ++r(X),
     --rr(X),
     --s(X),
     ++rr(f(X))]).

input_clause(c250,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     ++r(f(X))]).

input_clause(c251,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     --rr(f(X))]).

input_clause(c252,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     --r(f(X))]).

input_clause(c253,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     --rr(f(X))]).

input_clause(c254,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     ++r(f(X))]).

input_clause(c255,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     --rr(f(X))]).

input_clause(c256,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     --r(f(X))]).

input_clause(c257,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     --rr(f(X))]).

input_clause(c258,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     ++r(f(X))]).

input_clause(c259,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     ++rr(f(X))]).

input_clause(c260,conjecture,
    [--ar(X),
     ++q(X),
     --qq(X),
     ++r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     ++qs(f(X))]).

input_clause(c261,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     ++r(f(X))]).

input_clause(c262,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     ++rr(f(X))]).

input_clause(c263,conjecture,
    [--ar(X),
     --q(X),
     ++qq(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     --qs(f(X))]).

input_clause(c264,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     --r(f(X))]).

input_clause(c265,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     ++rr(f(X))]).

input_clause(c266,conjecture,
    [--ar(X),
     --q(X),
     --qq(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     ++qs(f(X))]).

input_clause(c267,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     --r(f(X))]).

input_clause(c268,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     ++rr(f(X))]).

input_clause(c269,conjecture,
    [--ar(X),
     ++q(X),
     ++qq(X),
     --r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     --qs(f(X))]).

input_clause(c270,conjecture,
    [++ar(X),
     ++r(X),
     --r(f(X))]).

input_clause(c271,conjecture,
    [++ar(X),
     --r(X),
     ++r(f(X))]).

input_clause(c272,conjecture,
    [++ar(X),
     ++rr(X),
     --rr(f(X))]).

input_clause(c273,conjecture,
    [++ar(X),
     --rr(X),
     ++rr(f(X))]).

input_clause(c274,conjecture,
    [++qrs1(X),
     ++qrs2(X),
     ++qrs3(X),
     ++qrs4(X),
     --qs(X),
     ++qs(f(X))]).

input_clause(c275,conjecture,
    [++qrs1(X),
     ++qrs2(X),
     ++qrs3(X),
     ++qrs4(X),
     ++qs(X),
     --qs(f(X))]).

input_clause(c276,conjecture,
    [--as(X),
     ++r(X),
     ++s(X),
     ++t(X),
     ++s(f(X))]).

input_clause(c277,conjecture,
    [--as(X),
     ++r(X),
     ++s(X),
     ++t(X),
     --ss(f(X))]).

input_clause(c278,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     ++t(X),
     ++s(f(X))]).

input_clause(c279,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     ++t(X),
     --ss(f(X))]).

input_clause(c280,conjecture,
    [--as(X),
     --r(X),
     --s(X),
     --t(X),
     --s(f(X))]).

input_clause(c281,conjecture,
    [--as(X),
     --r(X),
     --s(X),
     --t(X),
     --ss(f(X))]).

input_clause(c282,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     --t(X),
     --s(f(X))]).

input_clause(c283,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     --t(X),
     --ss(f(X))]).

input_clause(c284,conjecture,
    [--as(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     --t(X),
     --s(f(X))]).

input_clause(c285,conjecture,
    [--as(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     --t(X),
     ++ss(f(X))]).

input_clause(c286,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     ++s(X),
     --ss(X),
     --t(X),
     --s(f(X))]).

input_clause(c287,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     ++s(X),
     --ss(X),
     --t(X),
     --ss(f(X))]).

input_clause(c288,conjecture,
    [--as(X),
     --r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++s(f(X))]).

input_clause(c289,conjecture,
    [--as(X),
     --r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++ss(f(X))]).

input_clause(c290,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     --s(X),
     --ss(X),
     ++t(X),
     ++s(f(X))]).

input_clause(c291,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     --s(X),
     --ss(X),
     ++t(X),
     --ss(f(X))]).

input_clause(c292,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     --s(f(X))]).

input_clause(c293,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     ++ss(f(X))]).

input_clause(c294,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     --ss(X),
     ++t(X),
     --tt(X),
     --s(f(X))]).

input_clause(c295,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     --ss(X),
     ++t(X),
     --tt(X),
     --ss(f(X))]).

input_clause(c296,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     ++s(f(X))]).

input_clause(c297,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     ++ss(f(X))]).

input_clause(c298,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     --ss(X),
     --t(X),
     --tt(X),
     ++s(f(X))]).

input_clause(c299,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     --ss(X),
     --t(X),
     --tt(X),
     --ss(f(X))]).

input_clause(c300,conjecture,
    [--as(X),
     --r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     ++t(X),
     ++s(f(X))]).

input_clause(c301,conjecture,
    [--as(X),
     --r(X),
     ++rr(X),
     --s(X),
     --ss(X),
     ++t(X),
     ++ss(f(X))]).

input_clause(c302,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     --s(f(X))]).

input_clause(c303,conjecture,
    [--as(X),
     --r(X),
     ++s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     ++ss(f(X))]).

input_clause(c304,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     ++s(f(X))]).

input_clause(c305,conjecture,
    [--as(X),
     ++r(X),
     --s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     ++ss(f(X))]).

input_clause(c306,conjecture,
    [--as(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     --t(X),
     --s(f(X))]).

input_clause(c307,conjecture,
    [--as(X),
     ++r(X),
     ++rr(X),
     ++s(X),
     --ss(X),
     --t(X),
     ++ss(f(X))]).

input_clause(c308,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     ++s(f(X))]).

input_clause(c309,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     --ss(f(X))]).

input_clause(c310,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     --s(f(X))]).

input_clause(c311,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     --ss(f(X))]).

input_clause(c312,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     ++s(f(X))]).

input_clause(c313,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     --ss(f(X))]).

input_clause(c314,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     --s(f(X))]).

input_clause(c315,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     --ss(f(X))]).

input_clause(c316,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     ++s(f(X))]).

input_clause(c317,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     ++ss(f(X))]).

input_clause(c318,conjecture,
    [--as(X),
     ++r(X),
     --rr(X),
     ++s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     ++rt(f(X))]).

input_clause(c319,conjecture,
    [--as(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     ++s(f(X))]).

input_clause(c320,conjecture,
    [--as(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     ++ss(f(X))]).

input_clause(c321,conjecture,
    [--as(X),
     --r(X),
     ++rr(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     --rt(f(X))]).

input_clause(c322,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     --s(f(X))]).

input_clause(c323,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     ++ss(f(X))]).

input_clause(c324,conjecture,
    [--as(X),
     --r(X),
     --rr(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     ++rt(f(X))]).

input_clause(c325,conjecture,
    [--as(X),
     ++r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     --s(f(X))]).

input_clause(c326,conjecture,
    [--as(X),
     ++r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     ++ss(f(X))]).

input_clause(c327,conjecture,
    [--as(X),
     ++r(X),
     ++rr(X),
     --s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     --rt(f(X))]).

input_clause(c328,conjecture,
    [++as(X),
     ++s(X),
     --s(f(X))]).

input_clause(c329,conjecture,
    [++as(X),
     --s(X),
     ++s(f(X))]).

input_clause(c330,conjecture,
    [++as(X),
     ++ss(X),
     --ss(f(X))]).

input_clause(c331,conjecture,
    [++as(X),
     --ss(X),
     ++ss(f(X))]).

input_clause(c332,conjecture,
    [++rst1(X),
     ++rst2(X),
     ++rst3(X),
     ++rst4(X),
     --rt(X),
     ++rt(f(X))]).

input_clause(c333,conjecture,
    [++rst1(X),
     ++rst2(X),
     ++rst3(X),
     ++rst4(X),
     ++rt(X),
     --rt(f(X))]).

input_clause(c334,conjecture,
    [--at(X),
     ++s(X),
     ++t(X),
     ++p(X),
     ++t(f(X))]).

input_clause(c335,conjecture,
    [--at(X),
     ++s(X),
     ++t(X),
     ++p(X),
     --tt(f(X))]).

input_clause(c336,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     ++p(X),
     ++t(f(X))]).

input_clause(c337,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     ++p(X),
     --tt(f(X))]).

input_clause(c338,conjecture,
    [--at(X),
     --s(X),
     --t(X),
     --p(X),
     --t(f(X))]).

input_clause(c339,conjecture,
    [--at(X),
     --s(X),
     --t(X),
     --p(X),
     --tt(f(X))]).

input_clause(c340,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     --p(X),
     --t(f(X))]).

input_clause(c341,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     --p(X),
     --tt(f(X))]).

input_clause(c342,conjecture,
    [--at(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     --p(X),
     --t(f(X))]).

input_clause(c343,conjecture,
    [--at(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     --p(X),
     ++tt(f(X))]).

input_clause(c344,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     ++t(X),
     --tt(X),
     --p(X),
     --t(f(X))]).

input_clause(c345,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     ++t(X),
     --tt(X),
     --p(X),
     --tt(f(X))]).

input_clause(c346,conjecture,
    [--at(X),
     --s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++t(f(X))]).

input_clause(c347,conjecture,
    [--at(X),
     --s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++tt(f(X))]).

input_clause(c348,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     --t(X),
     --tt(X),
     ++p(X),
     ++t(f(X))]).

input_clause(c349,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     --t(X),
     --tt(X),
     ++p(X),
     --tt(f(X))]).

input_clause(c350,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     --t(f(X))]).

input_clause(c351,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     ++tt(f(X))]).

input_clause(c352,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     --tt(X),
     ++p(X),
     --pp(X),
     --t(f(X))]).

input_clause(c353,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     --tt(X),
     ++p(X),
     --pp(X),
     --tt(f(X))]).

input_clause(c354,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     ++t(f(X))]).

input_clause(c355,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     ++tt(f(X))]).

input_clause(c356,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     --tt(X),
     --p(X),
     --pp(X),
     ++t(f(X))]).

input_clause(c357,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     --tt(X),
     --p(X),
     --pp(X),
     --tt(f(X))]).

input_clause(c358,conjecture,
    [--at(X),
     --s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     ++p(X),
     ++t(f(X))]).

input_clause(c359,conjecture,
    [--at(X),
     --s(X),
     ++ss(X),
     --t(X),
     --tt(X),
     ++p(X),
     ++tt(f(X))]).

input_clause(c360,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     --t(f(X))]).

input_clause(c361,conjecture,
    [--at(X),
     --s(X),
     ++t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     ++tt(f(X))]).

input_clause(c362,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     ++t(f(X))]).

input_clause(c363,conjecture,
    [--at(X),
     ++s(X),
     --t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     ++tt(f(X))]).

input_clause(c364,conjecture,
    [--at(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     --p(X),
     --t(f(X))]).

input_clause(c365,conjecture,
    [--at(X),
     ++s(X),
     ++ss(X),
     ++t(X),
     --tt(X),
     --p(X),
     ++tt(f(X))]).

input_clause(c366,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     ++t(f(X))]).

input_clause(c367,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     --tt(f(X))]).

input_clause(c368,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     --t(f(X))]).

input_clause(c369,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     --tt(f(X))]).

input_clause(c370,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     ++t(f(X))]).

input_clause(c371,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     --tt(f(X))]).

input_clause(c372,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     --t(f(X))]).

input_clause(c373,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     --tt(f(X))]).

input_clause(c374,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     ++t(f(X))]).

input_clause(c375,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     ++tt(f(X))]).

input_clause(c376,conjecture,
    [--at(X),
     ++s(X),
     --ss(X),
     ++t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     ++sp(f(X))]).

input_clause(c377,conjecture,
    [--at(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     ++t(f(X))]).

input_clause(c378,conjecture,
    [--at(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     ++tt(f(X))]).

input_clause(c379,conjecture,
    [--at(X),
     --s(X),
     ++ss(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     --sp(f(X))]).

input_clause(c380,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     --t(f(X))]).

input_clause(c381,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     ++tt(f(X))]).

input_clause(c382,conjecture,
    [--at(X),
     --s(X),
     --ss(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     ++sp(f(X))]).

input_clause(c383,conjecture,
    [--at(X),
     ++s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     --t(f(X))]).

input_clause(c384,conjecture,
    [--at(X),
     ++s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     ++tt(f(X))]).

input_clause(c385,conjecture,
    [--at(X),
     ++s(X),
     ++ss(X),
     --t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     --sp(f(X))]).

input_clause(c386,conjecture,
    [++at(X),
     ++t(X),
     --t(f(X))]).

input_clause(c387,conjecture,
    [++at(X),
     --t(X),
     ++t(f(X))]).

input_clause(c388,conjecture,
    [++at(X),
     ++tt(X),
     --tt(f(X))]).

input_clause(c389,conjecture,
    [++at(X),
     --tt(X),
     ++tt(f(X))]).

input_clause(c390,conjecture,
    [++stp1(X),
     ++stp2(X),
     ++stp3(X),
     ++stp4(X),
     --sp(X),
     ++sp(f(X))]).

input_clause(c391,conjecture,
    [++stp1(X),
     ++stp2(X),
     ++stp3(X),
     ++stp4(X),
     ++sp(X),
     --sp(f(X))]).

input_clause(c392,conjecture,
    [--ap(X),
     ++t(X),
     ++p(X),
     ++q(X),
     ++p(f(X))]).

input_clause(c393,conjecture,
    [--ap(X),
     ++t(X),
     ++p(X),
     ++q(X),
     --pp(f(X))]).

input_clause(c394,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     ++q(X),
     ++p(f(X))]).

input_clause(c395,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     ++q(X),
     --pp(f(X))]).

input_clause(c396,conjecture,
    [--ap(X),
     --t(X),
     --p(X),
     --q(X),
     --p(f(X))]).

input_clause(c397,conjecture,
    [--ap(X),
     --t(X),
     --p(X),
     --q(X),
     --pp(f(X))]).

input_clause(c398,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     --q(X),
     --p(f(X))]).

input_clause(c399,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     --q(X),
     --pp(f(X))]).

input_clause(c400,conjecture,
    [--ap(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     --q(X),
     --p(f(X))]).

input_clause(c401,conjecture,
    [--ap(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++pp(f(X))]).

input_clause(c402,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     ++p(X),
     --pp(X),
     --q(X),
     --p(f(X))]).

input_clause(c403,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     ++p(X),
     --pp(X),
     --q(X),
     --pp(f(X))]).

input_clause(c404,conjecture,
    [--ap(X),
     --t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++p(f(X))]).

input_clause(c405,conjecture,
    [--ap(X),
     --t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++pp(f(X))]).

input_clause(c406,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++p(f(X))]).

input_clause(c407,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     --p(X),
     --pp(X),
     ++q(X),
     --pp(f(X))]).

input_clause(c408,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --p(f(X))]).

input_clause(c409,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++pp(f(X))]).

input_clause(c410,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --p(f(X))]).

input_clause(c411,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     --pp(X),
     ++q(X),
     --qq(X),
     --pp(f(X))]).

input_clause(c412,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++p(f(X))]).

input_clause(c413,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++pp(f(X))]).

input_clause(c414,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     ++p(f(X))]).

input_clause(c415,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     --pp(X),
     --q(X),
     --qq(X),
     --pp(f(X))]).

input_clause(c416,conjecture,
    [--ap(X),
     --t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++p(f(X))]).

input_clause(c417,conjecture,
    [--ap(X),
     --t(X),
     ++tt(X),
     --p(X),
     --pp(X),
     ++q(X),
     ++pp(f(X))]).

input_clause(c418,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     --p(f(X))]).

input_clause(c419,conjecture,
    [--ap(X),
     --t(X),
     ++p(X),
     --pp(X),
     ++q(X),
     ++qq(X),
     ++pp(f(X))]).

input_clause(c420,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++p(f(X))]).

input_clause(c421,conjecture,
    [--ap(X),
     ++t(X),
     --p(X),
     --pp(X),
     --q(X),
     ++qq(X),
     ++pp(f(X))]).

input_clause(c422,conjecture,
    [--ap(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     --q(X),
     --p(f(X))]).

input_clause(c423,conjecture,
    [--ap(X),
     ++t(X),
     ++tt(X),
     ++p(X),
     --pp(X),
     --q(X),
     ++pp(f(X))]).

input_clause(c424,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     ++p(f(X))]).

input_clause(c425,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --pp(f(X))]).

input_clause(c426,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --p(f(X))]).

input_clause(c427,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --pp(f(X))]).

input_clause(c428,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++p(f(X))]).

input_clause(c429,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --pp(f(X))]).

input_clause(c430,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --p(f(X))]).

input_clause(c431,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --pp(f(X))]).

input_clause(c432,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++p(f(X))]).

input_clause(c433,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++pp(f(X))]).

input_clause(c434,conjecture,
    [--ap(X),
     ++t(X),
     --tt(X),
     ++p(X),
     ++pp(X),
     --q(X),
     ++qq(X),
     ++tq(f(X))]).

input_clause(c435,conjecture,
    [--ap(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     ++p(f(X))]).

input_clause(c436,conjecture,
    [--ap(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     ++pp(f(X))]).

input_clause(c437,conjecture,
    [--ap(X),
     --t(X),
     ++tt(X),
     ++p(X),
     ++pp(X),
     ++q(X),
     --qq(X),
     --tq(f(X))]).

input_clause(c438,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     --p(f(X))]).

input_clause(c439,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++pp(f(X))]).

input_clause(c440,conjecture,
    [--ap(X),
     --t(X),
     --tt(X),
     --p(X),
     ++pp(X),
     ++q(X),
     ++qq(X),
     ++tq(f(X))]).

input_clause(c441,conjecture,
    [--ap(X),
     ++t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --p(f(X))]).

input_clause(c442,conjecture,
    [--ap(X),
     ++t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     ++pp(f(X))]).

input_clause(c443,conjecture,
    [--ap(X),
     ++t(X),
     ++tt(X),
     --p(X),
     ++pp(X),
     --q(X),
     --qq(X),
     --tq(f(X))]).

input_clause(c444,conjecture,
    [++ap(X),
     ++p(X),
     --p(f(X))]).

input_clause(c445,conjecture,
    [++ap(X),
     --p(X),
     ++p(f(X))]).

input_clause(c446,conjecture,
    [++ap(X),
     ++pp(X),
     --pp(f(X))]).

input_clause(c447,conjecture,
    [++ap(X),
     --pp(X),
     ++pp(f(X))]).

input_clause(c448,conjecture,
    [++tpq1(X),
     ++tpq2(X),
     ++tpq3(X),
     ++tpq4(X),
     --tq(X),
     ++tq(f(X))]).

input_clause(c449,conjecture,
    [++tpq1(X),
     ++tpq2(X),
     ++tpq3(X),
     ++tpq4(X),
     ++tq(X),
     --tq(f(X))]).
%--------------------------------------------------------------------------
