%--------------------------------------------------------------------------
% File     : FLD025-4 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : The resulting equation of a multiplication of two equations
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Relational with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   35 (   3 non-Horn;  12 unit;  35 RR)
%            Number of literals   :   86 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   7 constant; 0-2 arity)
%            Number of variables  :   73 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(b_is_defined,hypothesis,
    [++defined(b)]).

input_clause(c_is_defined,hypothesis,
    [++defined(c)]).

input_clause(d_is_defined,hypothesis,
    [++defined(d)]).

input_clause(u_is_defined,hypothesis,
    [++defined(u)]).

input_clause(product_6,conjecture,
    [++product(multiplicative_identity,a,b)]).

input_clause(product_7,conjecture,
    [++product(multiplicative_identity,c,d)]).

input_clause(product_8,conjecture,
    [++product(a,c,u)]).

input_clause(not_product_9,conjecture,
    [--product(d,b,u)]).
%--------------------------------------------------------------------------
