%--------------------------------------------------------------------------
% File     : FLD039-1 : TPTP v2.7.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : In a field with two or more elements, 1 and 0 must be different
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   30 (   3 non-Horn;   6 unit;  30 RR)
%            Number of literals   :   76 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%          : Due to some changes in FLD001-0.ax a long time ago, this is
%            too easy - it appears as an axiom.
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,hypothesis,
    [++defined(a)]).

input_clause(a_not_equal_to_additive_identity_1,conjecture,
    [--equalish(a,additive_identity)]).

input_clause(multiplicative_identity_equals_additive_identity_3,conjecture,
    [++equalish(multiplicative_identity,additive_identity)]).
%--------------------------------------------------------------------------
