%--------------------------------------------------------------------------
% File     : GEO157-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Geometry (Hilbert)
% Problem  : Hilbert geometry axioms
% Version  : [Ben92] axioms.
% English  : 

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
% Source   : [Ben92]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 0.83 v2.5.0
% Syntax   : Number of clauses    :   58 (  18 non-Horn;   2 unit;  46 RR)
%            Number of literals   :  236 (  89 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   1 constant; 0-3 arity)
%            Number of variables  :  152 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Hilbert geometry axioms
include('Axioms/GEO003-0.ax').
include('Axioms/GEO003-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
