%--------------------------------------------------------------------------
% File     : GRP395-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory (Named groups)
% Problem  : Group theory (Named groups) axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   26 (   0 non-Horn;   6 unit;  15 RR)
%            Number of literals   :   60 (  25 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :    3 (   0 constant; 1-3 arity)
%            Number of variables  :   88 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Group theory (Named groups) axioms
include('Axioms/GRP006-0.ax').
include('Axioms/GRP006-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
