%--------------------------------------------------------------------------
% File     : GRP396+1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory (Named Semigroups)
% Problem  : Group theory (Named Semigroups) axioms
% Version  : [Gol93] axioms.
% English  : 

% Refs     : [Gol93] Goller (1993), Anwendung des Theorembeweisers SETHEO a
% Source   : [Gol93]
% Names    : 

% Status   : satisfiable
% Rating   : 0.33 v2.7.0, 0.67 v2.5.0
% Syntax   : Number of formulae    :   12 (   1 unit)
%            Number of atoms       :   31 (  17 equality)
%            Maximal formula depth :    8 (   6 average)
%            Number of connectives :   19 (   0 ~  ;   0  |;   8  &)
%                                         (   0 <=>;  11 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 3-3 arity)
%            Number of variables   :   37 (   0 singleton;  37 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001+0.ax').
%----Include Group theory (Named Semigroups) axioms
include('Axioms/GRP007+0.ax').
include('Axioms/GRP007+0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
