%--------------------------------------------------------------------------
% File     : GRP397-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory (Cancellative semigroups)
% Problem  : Cancellative semigroups axioms
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Semigroups axioms
include('Axioms/GRP008-0.ax').
%----Include Cancellative semigroups axioms
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
