%--------------------------------------------------------------------------
% File     : GRP399-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Lattice ordered group (equality) axioms
% Version  : [Fuc94] (equality) axioms.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : 

% Status   : satisfiable
% Rating   : 0.33 v2.5.0
% Syntax   : Number of clauses    :   25 (   0 non-Horn;  16 unit;   3 RR)
%            Number of literals   :   35 (  35 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Group theory (equality) axioms
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
