%--------------------------------------------------------------------------
% File     : HWV038-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Hardware Verification
% Problem  : Axioms from a VHDL design description
% Version  : [Mar02] axioms : Especial.
% English  : 

% Refs     : [CHM02] Claessen et al. (2002), Verification of Hardware Systems
%          : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses    :  199 (  62 non-Horn;  26 unit; 118 RR)
%            Number of literals   :  552 ( 207 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :   45 (   7 constant; 0-3 arity)
%            Number of variables  :  403 (  20 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Axioms from a VHDL design description
include('Axioms/HWV004-0.ax').
include('Axioms/HWV004-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
