%--------------------------------------------------------------------------
% File     : KRS011-1 : TPTP v2.7.0. Released v2.0.0.
% Domain   : Knowledge Representation
% Problem  : Paramasivam problem T-Box 3e
% Version  : Especial.
% English  : g subsumes f.

% Refs     : [PP95]  Paramasivam & Plaisted (1995), Automated Deduction Tec
% Source   : [PP95]
% Names    : Problem 3(e) [PP95]

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.4.0, 0.33 v2.3.0, 0.00 v2.2.0, 0.33 v2.1.0
% Syntax   : Number of clauses    :   54 (  13 non-Horn;   2 unit;  54 RR)
%            Number of literals   :  179 (   0 equality)
%            Maximal clause size  :    7 (   3 average)
%            Number of predicates :   18 (   0 propositional; 1-2 arity)
%            Number of functors   :   18 (   1 constant; 0-2 arity)
%            Number of variables  :  105 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [++f(exists)]).

input_clause(clause_2,conjecture,
    [--g(exists)]).

input_clause(clause_3,axiom,
    [++r(X1,X2),
     --r1(X1,X2)]).

input_clause(clause_4,axiom,
    [++r(X1,X2),
     --r2(X1,X2)]).

input_clause(clause_5,axiom,
    [++r(X1,X2),
     --r3(X1,X2)]).

input_clause(clause_6,axiom,
    [++t(X1,X2),
     --t1(X1,X2)]).

input_clause(clause_7,axiom,
    [++t(X1,X2),
     --t2(X1,X2)]).

input_clause(clause_8,axiom,
    [++t(X1,X2),
     --t3(X1,X2)]).

input_clause(clause_9,axiom,
    [--c(X1),
     --e(X1)]).

input_clause(clause_10,axiom,
    [--c(X1),
     --d(X1)]).

input_clause(clause_11,axiom,
    [--d(X1),
     --e(X1)]).

input_clause(clause_12,axiom,
    [--d(X1),
     --c(X1)]).

input_clause(clause_13,axiom,
    [--e(X1),
     --d(X1)]).

input_clause(clause_14,axiom,
    [--e(X1),
     --c(X1)]).

input_clause(clause_15,axiom,
    [++c(u9r5(X1)),
     --f1(X1)]).

input_clause(clause_16,axiom,
    [++t1(u9r4(X1),u9r5(X1)),
     --f1(X1)]).

input_clause(clause_17,axiom,
    [++equalish(X5,X4),
     ++equalish(X5,X3),
     ++equalish(X4,X3),
     --f1(X1),
     --t(u9r4(X1),X5),
     --t(u9r4(X1),X4),
     --t(u9r4(X1),X3)]).

input_clause(clause_18,axiom,
    [++r1(X1,u9r4(X1)),
     --f1(X1)]).

input_clause(clause_19,axiom,
    [++f1(X1),
     --r1(X1,X2),
     --equalish(u9r2(X2,X1),u9r1(X2,X1)),
     --t1(X2,X6),
     --c(X6)]).

input_clause(clause_20,axiom,
    [++f1(X1),
     --r1(X1,X2),
     --equalish(u9r3(X2,X1),u9r1(X2,X1)),
     --t1(X2,X6),
     --c(X6)]).

input_clause(clause_21,axiom,
    [++f1(X1),
     --r1(X1,X2),
     --equalish(u9r3(X2,X1),u9r2(X2,X1)),
     --t1(X2,X6),
     --c(X6)]).

input_clause(clause_22,axiom,
    [++f1(X1),
     ++t(X2,u9r1(X2,X1)),
     --r1(X1,X2),
     --t1(X2,X6),
     --c(X6)]).

input_clause(clause_23,axiom,
    [++f1(X1),
     ++t(X2,u9r2(X2,X1)),
     --r1(X1,X2),
     --t1(X2,X6),
     --c(X6)]).

input_clause(clause_24,axiom,
    [++f1(X1),
     ++t(X2,u9r3(X2,X1)),
     --r1(X1,X2),
     --t1(X2,X6),
     --c(X6)]).

input_clause(clause_25,axiom,
    [++d(u10r5(X1)),
     --f2(X1)]).

input_clause(clause_26,axiom,
    [++t2(u10r4(X1),u10r5(X1)),
     --f2(X1)]).

input_clause(clause_27,axiom,
    [++equalish(X5,X4),
     ++equalish(X5,X3),
     ++equalish(X4,X3),
     --f2(X1),
     --t(u10r4(X1),X5),
     --t(u10r4(X1),X4),
     --t(u10r4(X1),X3)]).

input_clause(clause_28,axiom,
    [++r2(X1,u10r4(X1)),
     --f2(X1)]).

input_clause(clause_29,axiom,
    [++f2(X1),
     --r2(X1,X2),
     --equalish(u10r2(X2,X1),u10r1(X2,X1)),
     --t2(X2,X6),
     --d(X6)]).

input_clause(clause_30,axiom,
    [++f2(X1),
     --r2(X1,X2),
     --equalish(u10r3(X2,X1),u10r1(X2,X1)),
     --t2(X2,X6),
     --d(X6)]).

input_clause(clause_31,axiom,
    [++f2(X1),
     --r2(X1,X2),
     --equalish(u10r3(X2,X1),u10r2(X2,X1)),
     --t2(X2,X6),
     --d(X6)]).

input_clause(clause_32,axiom,
    [++f2(X1),
     ++t(X2,u10r1(X2,X1)),
     --r2(X1,X2),
     --t2(X2,X6),
     --d(X6)]).

input_clause(clause_33,axiom,
    [++f2(X1),
     ++t(X2,u10r2(X2,X1)),
     --r2(X1,X2),
     --t2(X2,X6),
     --d(X6)]).

input_clause(clause_34,axiom,
    [++f2(X1),
     ++t(X2,u10r3(X2,X1)),
     --r2(X1,X2),
     --t2(X2,X6),
     --d(X6)]).

input_clause(clause_35,axiom,
    [++e(u11r5(X1)),
     --f3(X1)]).

input_clause(clause_36,axiom,
    [++t3(u11r4(X1),u11r5(X1)),
     --f3(X1)]).

input_clause(clause_37,axiom,
    [++equalish(X5,X4),
     ++equalish(X5,X3),
     ++equalish(X4,X3),
     --f3(X1),
     --t(u11r4(X1),X5),
     --t(u11r4(X1),X4),
     --t(u11r4(X1),X3)]).

input_clause(clause_38,axiom,
    [++r3(X1,u11r4(X1)),
     --f3(X1)]).

input_clause(clause_39,axiom,
    [++f3(X1),
     --r3(X1,X2),
     --equalish(u11r2(X2,X1),u11r1(X2,X1)),
     --t3(X2,X6),
     --e(X6)]).

input_clause(clause_40,axiom,
    [++f3(X1),
     --r3(X1,X2),
     --equalish(u11r3(X2,X1),u11r1(X2,X1)),
     --t3(X2,X6),
     --e(X6)]).

input_clause(clause_41,axiom,
    [++f3(X1),
     --r3(X1,X2),
     --equalish(u11r3(X2,X1),u11r2(X2,X1)),
     --t3(X2,X6),
     --e(X6)]).

input_clause(clause_42,axiom,
    [++f3(X1),
     ++t(X2,u11r1(X2,X1)),
     --r3(X1,X2),
     --t3(X2,X6),
     --e(X6)]).

input_clause(clause_43,axiom,
    [++f3(X1),
     ++t(X2,u11r2(X2,X1)),
     --r3(X1,X2),
     --t3(X2,X6),
     --e(X6)]).

input_clause(clause_44,axiom,
    [++f3(X1),
     ++t(X2,u11r3(X2,X1)),
     --r3(X1,X2),
     --t3(X2,X6),
     --e(X6)]).

input_clause(clause_45,axiom,
    [++f3(X1),
     --f(X1)]).

input_clause(clause_46,axiom,
    [++f2(X1),
     --f(X1)]).

input_clause(clause_47,axiom,
    [++f1(X1),
     --f(X1)]).

input_clause(clause_48,axiom,
    [++f(X1),
     --f1(X1),
     --f2(X1),
     --f3(X1)]).

input_clause(clause_49,axiom,
    [++r2least(X1),
     --g(X1)]).

input_clause(clause_50,axiom,
    [++g(X1),
     --r2least(X1)]).

input_clause(clause_51,axiom,
    [--r2least(X1),
     --equalish(u14r2(X1),u14r1(X1))]).

input_clause(clause_52,axiom,
    [++r(X1,u14r1(X1)),
     --r2least(X1)]).

input_clause(clause_53,axiom,
    [++r(X1,u14r2(X1)),
     --r2least(X1)]).

input_clause(clause_54,axiom,
    [++r2least(X1),
     ++equalish(X3,X2),
     --r(X1,X3),
     --r(X1,X2)]).
%--------------------------------------------------------------------------
