%--------------------------------------------------------------------------
% File     : LAT047-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Lattice is not modular lattice
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
% Source   : [RW01]
% Names    : mace-b.in [RW01]

% Status   : satisfiable
% Rating   : 0.33 v2.5.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;  10 unit;   3 RR)
%            Number of literals   :   23 (  23 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   34 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Denial of modularity (7)
input_clause(prove_modularity,conjecture,
    [--equal(join(a,meet(b,join(a,c))),meet(join(a,b),join(a,c)))]).
%--------------------------------------------------------------------------
