%--------------------------------------------------------------------------
% File     : LAT059-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : Ortholattice theory (equality) axioms
% Version  : [McC98b] (equality) axioms.
% English  : 

% Refs     : [McC98a] McCune (1998), Automatic Proofs and Counterexamples f
%          : [McC98b] McCune (1998), Email to G. Sutcliffe
% Source   : [McC98b]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   18 (   0 non-Horn;  11 unit;   3 RR)
%            Number of literals   :   26 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   39 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Ortholattice theory (equality) axioms
include('Axioms/LAT003-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
