%--------------------------------------------------------------------------
% File     : LAT081-1 : TPTP v2.7.0. Released v2.6.0.
% Domain   : Lattice Theory
% Problem  : Axiom for lattice theory, part 2
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.44 v2.7.0, 0.55 v2.6.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   25 (   1 singleton)
%            Maximal term depth   :   12 (   1 average)

% Comments : A UEQ part of LAT015-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(join_substitution1,axiom,
    [--equal(A,B),
     ++equal(join(A,C),join(B,C))]).

input_clause(join_substitution2,axiom,
    [--equal(A,B),
     ++equal(join(C,A),join(C,B))]).

input_clause(meet_substitution1,axiom,
    [--equal(A,B),
     ++equal(meet(A,C),meet(B,C))]).

input_clause(meet_substitution2,axiom,
    [--equal(A,B),
     ++equal(meet(C,A),meet(C,B))]).

input_clause(single_axiom,axiom,
    [++equal(join(meet(join(meet(A,B),meet(B,join(A,B))),C),meet(join(meet(A,join(join(meet(D,B),meet(B,E)),B)),meet(join(meet(B,meet(meet(join(D,join(B,E)),join(F,B)),B)),meet(G,join(B,meet(meet(join(D,join(B,E)),join(F,B)),B)))),join(A,join(join(meet(D,B),meet(B,E)),B)))),join(join(meet(A,B),meet(B,join(A,B))),C))),B)]).

input_clause(prove_normal_axioms_2,conjecture,
    [--equal(meet(a,b),meet(b,a))]).
%--------------------------------------------------------------------------
