%--------------------------------------------------------------------------
% File     : LCL190-3 : TPTP v2.7.0. Released v2.3.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 2.3
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [WR27]
% Names    : Problem 2.3 [WR27]

% Status   : unsatisfiable
% Rating   : 0.00 v2.3.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;   8 unit;   8 RR)
%            Number of literals   :   34 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   40 (   1 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms of propositional logic 
include('Axioms/LCL004-0.ax').
include('Axioms/LCL004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_this,conjecture,
    [--theorem(implies(or(p,or(q,r)),or(p,or(r,q))))]).
%--------------------------------------------------------------------------
