%--------------------------------------------------------------------------
% File     : LCL255-3 : TPTP v2.7.0. Released v2.3.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 3.48
% Version  : [WR27] axioms.
% English  : 

% Refs     : [WR27]  Whitehead & Russell (1927), Principia Mathematica
% Source   : [SE94]
% Names    : Problem 3.48 [WR27]

% Status   : unsatisfiable
% Rating   : 0.78 v2.7.0, 0.83 v2.6.0, 1.00 v2.3.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;   9 unit;   8 RR)
%            Number of literals   :   39 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   48 (   1 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include axioms of propositional logic 
include('Axioms/LCL004-0.ax').
include('Axioms/LCL004-0.eq').
include('Axioms/LCL004-1.ax').
include('Axioms/LCL004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_this,conjecture,
    [--theorem(implies(and(implies(p,r),implies(q,s)),implies(or(p,q),
or(r,s))))]).
%--------------------------------------------------------------------------
