%--------------------------------------------------------------------------
% File     : LCL408-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Logic Calculi (Wajsberg Algebras)
% Problem  : Wajsberg algebra lattice structure definitions
% Version  : [Bon91] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;   7 unit;   7 RR)
%            Number of literals   :   36 (  30 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   1 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra lattice structure definitions
include('Axioms/LCL001-1.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
