%--------------------------------------------------------------------------
% File     : LCL410-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Logic Calculi (Wajsberg Algebras)
% Problem  : Alternative Wajsberg algebra definitions
% Version  : [AB90] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [AB90]  Anantharaman & Bonacina (1990), An Application of the 
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;  21 unit;   4 RR)
%            Number of literals   :   48 (  48 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   2 constant; 0-2 arity)
%            Number of variables  :   73 (   1 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Alternative Wajsberg algebra axioms
include('Axioms/LCL002-0.ax').
%----Include Wajsberg algebra AND and OR definitions
include('Axioms/LCL001-2.ax').
%----Include Alternative Wajsberg algebra definitions
include('Axioms/LCL002-1.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
