%--------------------------------------------------------------------------
% File     : MSC004-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Miscellaneous
% Problem  : Show that the boy, John, has 10 fingers
% Version  : Especial.
% English  : 

% Refs     : [RR+72] Reboh et al. (1972), Study of automatic theorem provin
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : HASPARTS-T2 [RR+72]
%          : HASPARTS-T2 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   1 non-Horn;   2 unit;   7 RR)
%            Number of literals   :   16 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :   11 (   9 constant; 0-5 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(not_part_inheritance,axiom,
    [++in(object_in(Big_part,Mid_part,Small_part,Number_of_mid_parts,
Number_of_small_parts),Mid_part),
     ++has_parts(Big_part,times(Number_of_mid_parts,
Number_of_small_parts),Small_part),
     --has_parts(Big_part,Number_of_mid_parts,Mid_part)]).

input_clause(part_inheritance,axiom,
    [++has_parts(Big_part,times(Number_of_mid_parts,
Number_of_small_parts),Small_part),
     --has_parts(Big_part,Number_of_mid_parts,Mid_part),
     --has_parts(object_in(Big_part,Mid_part,Small_part,
Number_of_mid_parts,Number_of_small_parts),Number_of_small_parts,
Small_part)]).

input_clause(john_is_a_boy,hypothesis,
    [++in(john, boy)]).

input_clause(in_boy_in_human,hypothesis,
    [++in(X,human),
     --in(X,boy)]).

input_clause(hands_have_5_fingers,hypothesis,
    [++has_parts(X, 5, fingers),
     --in(X, hand)]).

input_clause(humans_have_two_arms,hypothesis,
    [++has_parts(X, 2, arm),
     --in(X, human)]).

input_clause(arms_have_one_hand,hypothesis,
    [++has_parts(X,1,hand),
     --in(X,arm)]).

input_clause(prove_john_has_10_fingers,conjecture,
    [--has_parts(john,times(times(2,1),5),fingers)]).
%--------------------------------------------------------------------------
