%--------------------------------------------------------------------------
% File     : NLP164-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 51
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.60 v2.6.0, 0.50 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses    :   78 (  32 non-Horn;   2 unit;  64 RR)
%            Number of literals   :  289 (   0 equality)
%            Maximal clause size  :   29 (   3 average)
%            Number of predicates :   35 (   1 propositional; 0-4 arity)
%            Number of functors   :   28 (  19 constant; 0-3 arity)
%            Number of variables  :  132 (  29 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP164+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc63)]).

input_clause(clause2,conjecture,
    [++actual_world(skc19)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++frontseat(skc63,skc72)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++two(skc63,skc71)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++group(skc63,skc71)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc71,skc63)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++old(skc63,skc70)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++dirty(skc63,skc70)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++white(skc63,skc70)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++chevy(skc63,skc70)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++barrel(skc63,skc66)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++present(skc63,skc66)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++event(skc63,skc66)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++hollywood_placename(skc63,skc68)]).

input_clause(clause15,conjecture,
    [++ssSkC0,
     ++placename(skc63,skc68)]).

input_clause(clause16,conjecture,
    [++ssSkC0,
     ++city(skc63,skc69)]).

input_clause(clause17,conjecture,
    [++ssSkC0,
     ++street(skc63,skc67)]).

input_clause(clause18,conjecture,
    [++ssSkC0,
     ++lonely(skc63,skc67)]).

input_clause(clause19,conjecture,
    [++ssSkC0,
     ++group(skc63,skc65)]).

input_clause(clause20,conjecture,
    [++ssSkC0,
     ++group(skc63,skc64)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc22,skc19)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++group(skc19,skc22)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++two(skc19,skc22)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++frontseat(skc19,skc27)]).

input_clause(clause25,conjecture,
    [--ssSkC0,
     ++chevy(skc19,skc27)]).

input_clause(clause26,conjecture,
    [--ssSkC0,
     ++white(skc19,skc27)]).

input_clause(clause27,conjecture,
    [--ssSkC0,
     ++dirty(skc19,skc27)]).

input_clause(clause28,conjecture,
    [--ssSkC0,
     ++old(skc19,skc27)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++event(skc19,skc23)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++present(skc19,skc23)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++barrel(skc19,skc23)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++placename(skc19,skc25)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++hollywood_placename(skc19,skc25)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++city(skc19,skc26)]).

input_clause(clause35,conjecture,
    [--ssSkC0,
     ++lonely(skc19,skc24)]).

input_clause(clause36,conjecture,
    [--ssSkC0,
     ++street(skc19,skc24)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++group(skc19,skc20)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++group(skc19,skc21)]).

input_clause(clause39,conjecture,
    [++ssSkC0,
     ++ssSkP1(skc72,skc71,skc63)]).

input_clause(clause40,conjecture,
    [++ssSkC0,
     ++agent(skc63,skc66,skc70)]).

input_clause(clause41,conjecture,
    [++ssSkC0,
     ++in(skc63,skc66,skc69)]).

input_clause(clause42,conjecture,
    [++ssSkC0,
     ++of(skc63,skc68,skc69)]).

input_clause(clause43,conjecture,
    [++ssSkC0,
     ++down(skc63,skc66,skc67)]).

input_clause(clause44,conjecture,
    [++ssSkC0,
     ++ssSkP2(skc65,skc64,skc63)]).

input_clause(clause45,conjecture,
    [--ssSkC0,
     ++agent(skc19,skc23,skc27)]).

input_clause(clause46,conjecture,
    [--ssSkC0,
     ++ssSkP1(skc27,skc22,skc19)]).

input_clause(clause47,conjecture,
    [--ssSkC0,
     ++of(skc19,skc25,skc26)]).

input_clause(clause48,conjecture,
    [--ssSkC0,
     ++in(skc19,skc23,skc26)]).

input_clause(clause49,conjecture,
    [--ssSkC0,
     ++down(skc19,skc23,skc24)]).

input_clause(clause50,conjecture,
    [--ssSkC0,
     ++ssSkP2(skc21,skc20,skc19)]).

input_clause(clause51,conjecture,
    [++ssSkP0(U,V),
     ++member(V,skf11(V,U),U)]).

input_clause(clause52,conjecture,
    [--member(skc63,U,skc64),
     ++ssSkC0,
     ++coat(skc63,U)]).

input_clause(clause53,conjecture,
    [--member(skc63,U,skc64),
     ++ssSkC0,
     ++black(skc63,U)]).

input_clause(clause54,conjecture,
    [--member(skc63,U,skc64),
     ++ssSkC0,
     ++cheap(skc63,U)]).

input_clause(clause55,conjecture,
    [--member(skc19,U,skc20),
     --ssSkC0,
     ++coat(skc19,U)]).

input_clause(clause56,conjecture,
    [--member(skc19,U,skc20),
     --ssSkC0,
     ++black(skc19,U)]).

input_clause(clause57,conjecture,
    [--member(skc19,U,skc20),
     --ssSkC0,
     ++cheap(skc19,U)]).

input_clause(clause58,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf16(U,W,V),V)]).

input_clause(clause59,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf21(U,W,X),U)]).

input_clause(clause60,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf19(U,W,V),V)]).

input_clause(clause61,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++fellow(U,V)]).

input_clause(clause62,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++young(U,V)]).

input_clause(clause63,conjecture,
    [--young(U,skf11(U,V)),
     --fellow(U,skf11(U,V)),
     ++ssSkP0(W,U)]).

input_clause(clause64,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++state(U,skf13(U,Y,Z))]).

input_clause(clause65,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++in(U,skf12(V,U,X),X)]).

input_clause(clause66,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++be(U,skf13(U,Y,V),V,skf12(V,U,Y))]).

input_clause(clause67,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++wear(U,skf17(U,Z,X1))]).

input_clause(clause68,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++nonreflexive(U,skf17(U,Z,X1))]).

input_clause(clause69,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++present(U,skf17(U,Z,X1))]).

input_clause(clause70,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++event(U,skf17(U,Z,X1))]).

input_clause(clause71,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++agent(U,skf17(U,V,Z),V)]).

input_clause(clause72,conjecture,
    [--in(U,V,W),
     --be(U,X,skf16(W,U,Y),V),
     --state(U,X),
     ++ssSkP1(W,Z,U)]).

input_clause(clause73,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++patient(U,skf17(U,V,X),X)]).

input_clause(clause74,conjecture,
    [--wear(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf19(W,U,X)),
     --agent(U,V,skf21(W,U,X)),
     --event(U,V),
     ++ssSkP2(W,Y,U)]).

input_clause(clause75,conjecture,
    [--ssSkP0(U,V),
     --group(V,U),
     --two(V,U),
     --frontseat(V,W),
     --chevy(V,W),
     --white(V,W),
     --dirty(V,W),
     --old(V,W),
     --agent(V,X,W),
     --ssSkP1(W,U,V),
     --event(V,X),
     --present(V,X),
     --barrel(V,X),
     --placename(V,Y),
     --hollywood_placename(V,Y),
     --of(V,Y,Z),
     --city(V,Z),
     --in(V,X,Z),
     --down(V,X,X1),
     --lonely(V,X1),
     --street(V,X1),
     --group(V,X2),
     --ssSkP2(X3,X2,V),
     --group(V,X3),
     --actual_world(V),
     ++ssSkC0,
     ++member(V,skf23(V,X2),X2)]).

input_clause(clause76,conjecture,
    [--frontseat(U,V),
     --ssSkP1(V,W,U),
     --two(U,W),
     --group(U,W),
     --ssSkP0(W,U),
     --agent(U,X,Y),
     --old(U,Y),
     --dirty(U,Y),
     --white(U,Y),
     --chevy(U,Y),
     --barrel(U,X),
     --present(U,X),
     --event(U,X),
     --hollywood_placename(U,Z),
     --placename(U,Z),
     --in(U,X,X1),
     --city(U,X1),
     --of(U,Z,X1),
     --street(U,X2),
     --lonely(U,X2),
     --down(U,X,X2),
     --ssSkP2(X3,X4,U),
     --group(U,X3),
     --group(U,X4),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf10(U,X4),X4)]).

input_clause(clause77,conjecture,
    [--ssSkP0(U,V),
     --group(V,U),
     --two(V,U),
     --frontseat(V,W),
     --chevy(V,W),
     --white(V,W),
     --dirty(V,W),
     --old(V,W),
     --agent(V,X,W),
     --ssSkP1(W,U,V),
     --event(V,X),
     --present(V,X),
     --barrel(V,X),
     --placename(V,Y),
     --hollywood_placename(V,Y),
     --of(V,Y,Z),
     --city(V,Z),
     --in(V,X,Z),
     --down(V,X,X1),
     --lonely(V,X1),
     --street(V,X1),
     --group(V,X2),
     --cheap(V,skf23(V,X3)),
     --black(V,skf23(V,X3)),
     --coat(V,skf23(V,X3)),
     --ssSkP2(X4,X2,V),
     --group(V,X4),
     --actual_world(V),
     ++ssSkC0]).

input_clause(clause78,conjecture,
    [--frontseat(U,V),
     --ssSkP1(V,W,U),
     --two(U,W),
     --group(U,W),
     --ssSkP0(W,U),
     --agent(U,X,Y),
     --old(U,Y),
     --dirty(U,Y),
     --white(U,Y),
     --chevy(U,Y),
     --barrel(U,X),
     --present(U,X),
     --event(U,X),
     --hollywood_placename(U,Z),
     --placename(U,Z),
     --in(U,X,X1),
     --city(U,X1),
     --of(U,Z,X1),
     --street(U,X2),
     --lonely(U,X2),
     --down(U,X,X2),
     --ssSkP2(X3,X4,U),
     --group(U,X3),
     --cheap(U,skf10(U,X5)),
     --black(U,skf10(U,X5)),
     --coat(U,skf10(U,X5)),
     --group(U,X4),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
