%--------------------------------------------------------------------------
% File     : NLP230-1 : TPTP v2.7.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 11
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Vincent believes that every man smokes. Jules is a man. 
%            Vincent believes that jules smokes."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.5.0, 0.50 v2.4.0
% Syntax   : Number of clauses    :   85 (  41 non-Horn;   2 unit;  79 RR)
%            Number of literals   :  328 (   0 equality)
%            Maximal clause size  :   42 (   3 average)
%            Number of predicates :   17 (   1 propositional; 0-4 arity)
%            Number of functors   :   33 (  29 constant; 0-1 arity)
%            Number of variables  :   74 (  12 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP230+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc46)]).

input_clause(clause2,conjecture,
    [++actual_world(skc29)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++proposition(skc46,skc57)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++accessible_world(skc46,skc57)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++think_believe_consider(skc46,skc58)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++present(skc46,skc58)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++event(skc46,skc58)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++vincent_forename(skc46,skc59)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++forename(skc46,skc59)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++man(skc46,skc60)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++state(skc46,skc54)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++man(skc46,skc55)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++forename(skc46,skc56)]).

input_clause(clause14,conjecture,
    [++ssSkC0,
     ++jules_forename(skc46,skc56)]).

input_clause(clause15,conjecture,
    [++ssSkC0,
     ++accessible_world(skc46,skc47)]).

input_clause(clause16,conjecture,
    [++ssSkC0,
     ++proposition(skc46,skc47)]).

input_clause(clause17,conjecture,
    [++ssSkC0,
     ++jules_forename(skc46,skc51)]).

input_clause(clause18,conjecture,
    [++ssSkC0,
     ++forename(skc46,skc51)]).

input_clause(clause19,conjecture,
    [++ssSkC0,
     ++smoke(skc47,skc53)]).

input_clause(clause20,conjecture,
    [++ssSkC0,
     ++present(skc47,skc53)]).

input_clause(clause21,conjecture,
    [++ssSkC0,
     ++event(skc47,skc53)]).

input_clause(clause22,conjecture,
    [++ssSkC0,
     ++man(skc46,skc52)]).

input_clause(clause23,conjecture,
    [++ssSkC0,
     ++vincent_forename(skc46,skc49)]).

input_clause(clause24,conjecture,
    [++ssSkC0,
     ++forename(skc46,skc49)]).

input_clause(clause25,conjecture,
    [++ssSkC0,
     ++man(skc46,skc50)]).

input_clause(clause26,conjecture,
    [++ssSkC0,
     ++event(skc46,skc48)]).

input_clause(clause27,conjecture,
    [++ssSkC0,
     ++present(skc46,skc48)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++think_believe_consider(skc46,skc48)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++accessible_world(skc29,skc39)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++proposition(skc29,skc39)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++event(skc29,skc40)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++present(skc29,skc40)]).

input_clause(clause33,conjecture,
    [--ssSkC0,
     ++think_believe_consider(skc29,skc40)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++forename(skc29,skc41)]).

input_clause(clause35,conjecture,
    [--ssSkC0,
     ++vincent_forename(skc29,skc41)]).

input_clause(clause36,conjecture,
    [--ssSkC0,
     ++man(skc29,skc42)]).

input_clause(clause37,conjecture,
    [--ssSkC0,
     ++state(skc29,skc36)]).

input_clause(clause38,conjecture,
    [--ssSkC0,
     ++man(skc29,skc37)]).

input_clause(clause39,conjecture,
    [--ssSkC0,
     ++jules_forename(skc29,skc38)]).

input_clause(clause40,conjecture,
    [--ssSkC0,
     ++forename(skc29,skc38)]).

input_clause(clause41,conjecture,
    [--ssSkC0,
     ++proposition(skc29,skc30)]).

input_clause(clause42,conjecture,
    [--ssSkC0,
     ++accessible_world(skc29,skc30)]).

input_clause(clause43,conjecture,
    [--ssSkC0,
     ++forename(skc29,skc32)]).

input_clause(clause44,conjecture,
    [--ssSkC0,
     ++vincent_forename(skc29,skc32)]).

input_clause(clause45,conjecture,
    [--ssSkC0,
     ++man(skc29,skc33)]).

input_clause(clause46,conjecture,
    [--ssSkC0,
     ++smoke(skc30,skc35)]).

input_clause(clause47,conjecture,
    [--ssSkC0,
     ++present(skc30,skc35)]).

input_clause(clause48,conjecture,
    [--ssSkC0,
     ++event(skc30,skc35)]).

input_clause(clause49,conjecture,
    [--ssSkC0,
     ++forename(skc29,skc34)]).

input_clause(clause50,conjecture,
    [--ssSkC0,
     ++jules_forename(skc29,skc34)]).

input_clause(clause51,conjecture,
    [--ssSkC0,
     ++think_believe_consider(skc29,skc31)]).

input_clause(clause52,conjecture,
    [--ssSkC0,
     ++present(skc29,skc31)]).

input_clause(clause53,conjecture,
    [--ssSkC0,
     ++event(skc29,skc31)]).

input_clause(clause54,conjecture,
    [++ssSkC0,
     ++theme(skc46,skc58,skc57)]).

input_clause(clause55,conjecture,
    [++ssSkC0,
     ++agent(skc46,skc58,skc60)]).

input_clause(clause56,conjecture,
    [++ssSkC0,
     ++of(skc46,skc59,skc60)]).

input_clause(clause57,conjecture,
    [++ssSkC0,
     ++of(skc46,skc56,skc55)]).

input_clause(clause58,conjecture,
    [++ssSkC0,
     ++agent(skc47,skc53,skc52)]).

input_clause(clause59,conjecture,
    [++ssSkC0,
     ++of(skc46,skc51,skc52)]).

input_clause(clause60,conjecture,
    [++ssSkC0,
     ++agent(skc46,skc48,skc50)]).

input_clause(clause61,conjecture,
    [++ssSkC0,
     ++of(skc46,skc49,skc50)]).

input_clause(clause62,conjecture,
    [++ssSkC0,
     ++theme(skc46,skc48,skc47)]).

input_clause(clause63,conjecture,
    [--ssSkC0,
     ++theme(skc29,skc40,skc39)]).

input_clause(clause64,conjecture,
    [--ssSkC0,
     ++of(skc29,skc41,skc42)]).

input_clause(clause65,conjecture,
    [--ssSkC0,
     ++agent(skc29,skc40,skc42)]).

input_clause(clause66,conjecture,
    [--ssSkC0,
     ++of(skc29,skc38,skc37)]).

input_clause(clause67,conjecture,
    [--ssSkC0,
     ++of(skc29,skc32,skc33)]).

input_clause(clause68,conjecture,
    [--ssSkC0,
     ++agent(skc29,skc31,skc33)]).

input_clause(clause69,conjecture,
    [--ssSkC0,
     ++agent(skc30,skc35,skc33)]).

input_clause(clause70,conjecture,
    [--ssSkC0,
     ++of(skc29,skc34,skc33)]).

input_clause(clause71,conjecture,
    [--ssSkC0,
     ++theme(skc29,skc31,skc30)]).

input_clause(clause72,conjecture,
    [++ssSkC0,
     ++be(skc46,skc54,skc55,skc55)]).

input_clause(clause73,conjecture,
    [--ssSkC0,
     ++be(skc29,skc36,skc37,skc37)]).

input_clause(clause74,conjecture,
    [--man(skc57,U),
     ++ssSkC0,
     ++event(skc57,skf9(V))]).

input_clause(clause75,conjecture,
    [--man(skc57,U),
     ++ssSkC0,
     ++present(skc57,skf9(V))]).

input_clause(clause76,conjecture,
    [--man(skc57,U),
     ++ssSkC0,
     ++smoke(skc57,skf9(V))]).

input_clause(clause77,conjecture,
    [--man(skc39,U),
     --ssSkC0,
     ++event(skc39,skf5(V))]).

input_clause(clause78,conjecture,
    [--man(skc39,U),
     --ssSkC0,
     ++present(skc39,skf5(V))]).

input_clause(clause79,conjecture,
    [--man(skc39,U),
     --ssSkC0,
     ++smoke(skc39,skf5(V))]).

input_clause(clause80,conjecture,
    [--man(skc57,U),
     ++ssSkC0,
     ++agent(skc57,skf9(U),U)]).

input_clause(clause81,conjecture,
    [--man(skc39,U),
     --ssSkC0,
     ++agent(skc39,skf5(U),U)]).

input_clause(clause82,conjecture,
    [--accessible_world(U,V),
     --proposition(U,V),
     --theme(U,W,V),
     --event(U,W),
     --present(U,W),
     --think_believe_consider(U,W),
     --forename(U,X),
     --vincent_forename(U,X),
     --of(U,X,Y),
     --man(U,Y),
     --agent(U,W,Y),
     --state(U,Z),
     --be(U,Z,X1,X1),
     --man(U,X1),
     --of(U,X2,X1),
     --jules_forename(U,X2),
     --forename(U,X2),
     --proposition(U,X3),
     --accessible_world(U,X3),
     --forename(U,X4),
     --vincent_forename(U,X4),
     --of(U,X4,X5),
     --man(U,X5),
     --agent(U,X6,X5),
     --smoke(X3,X7),
     --present(X3,X7),
     --agent(X3,X7,X5),
     --event(X3,X7),
     --forename(U,X8),
     --jules_forename(U,X8),
     --of(U,X8,X5),
     --think_believe_consider(U,X6),
     --present(U,X6),
     --event(U,X6),
     --theme(U,X6,X3),
     --actual_world(U),
     ++ssSkC0,
     ++man(V,skf11(V))]).

input_clause(clause83,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --think_believe_consider(U,W),
     --present(U,W),
     --event(U,W),
     --theme(U,W,V),
     --vincent_forename(U,X),
     --forename(U,X),
     --agent(U,W,Y),
     --man(U,Y),
     --of(U,X,Y),
     --state(U,Z),
     --man(U,X1),
     --be(U,Z,X1,X1),
     --forename(U,X2),
     --jules_forename(U,X2),
     --of(U,X2,X1),
     --accessible_world(U,X3),
     --proposition(U,X3),
     --jules_forename(U,X4),
     --forename(U,X4),
     --smoke(X3,X5),
     --present(X3,X5),
     --agent(X3,X5,X6),
     --event(X3,X5),
     --man(U,X6),
     --of(U,X4,X6),
     --vincent_forename(U,X7),
     --forename(U,X7),
     --agent(U,X8,X9),
     --man(U,X9),
     --of(U,X7,X9),
     --theme(U,X8,X3),
     --event(U,X8),
     --present(U,X8),
     --think_believe_consider(U,X8),
     --actual_world(U),
     --ssSkC0,
     ++man(V,skf7(V))]).

input_clause(clause84,conjecture,
    [--smoke(U,V),
     --present(U,V),
     --agent(U,V,skf11(U)),
     --event(U,V),
     --accessible_world(W,U),
     --proposition(W,U),
     --theme(W,X,U),
     --event(W,X),
     --present(W,X),
     --think_believe_consider(W,X),
     --forename(W,Y),
     --vincent_forename(W,Y),
     --of(W,Y,Z),
     --man(W,Z),
     --agent(W,X,Z),
     --state(W,X1),
     --be(W,X1,X2,X2),
     --man(W,X2),
     --of(W,X3,X2),
     --jules_forename(W,X3),
     --forename(W,X3),
     --proposition(W,X4),
     --accessible_world(W,X4),
     --forename(W,X5),
     --vincent_forename(W,X5),
     --of(W,X5,X6),
     --man(W,X6),
     --agent(W,X7,X6),
     --smoke(X4,X8),
     --present(X4,X8),
     --agent(X4,X8,X6),
     --event(X4,X8),
     --forename(W,X9),
     --jules_forename(W,X9),
     --of(W,X9,X6),
     --think_believe_consider(W,X7),
     --present(W,X7),
     --event(W,X7),
     --theme(W,X7,X4),
     --actual_world(W),
     ++ssSkC0]).

input_clause(clause85,conjecture,
    [--proposition(U,V),
     --accessible_world(U,V),
     --smoke(V,W),
     --present(V,W),
     --agent(V,W,skf7(V)),
     --event(V,W),
     --think_believe_consider(U,X),
     --present(U,X),
     --event(U,X),
     --theme(U,X,V),
     --vincent_forename(U,Y),
     --forename(U,Y),
     --agent(U,X,Z),
     --man(U,Z),
     --of(U,Y,Z),
     --state(U,X1),
     --man(U,X2),
     --be(U,X1,X2,X2),
     --forename(U,X3),
     --jules_forename(U,X3),
     --of(U,X3,X2),
     --accessible_world(U,X4),
     --proposition(U,X4),
     --jules_forename(U,X5),
     --forename(U,X5),
     --smoke(X4,X6),
     --present(X4,X6),
     --agent(X4,X6,X7),
     --event(X4,X6),
     --man(U,X7),
     --of(U,X5,X7),
     --vincent_forename(U,X8),
     --forename(U,X8),
     --agent(U,X9,X10),
     --man(U,X10),
     --of(U,X8,X10),
     --theme(U,X9,X4),
     --event(U,X9),
     --present(U,X9),
     --think_believe_consider(U,X9),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
