%--------------------------------------------------------------------------
% File     : RNG042-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Ring Theory
% Problem  : Ring theory axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [MOW76]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   31 (   0 non-Horn;   7 unit;  20 RR)
%            Number of literals   :   84 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :  115 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Ring theory axioms
include('Axioms/RNG001-0.ax').
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
