%--------------------------------------------------------------------------
% File     : RNG042-2 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Ring Theory
% Problem  : Ring theory (equality) axioms
% Version  : [PS81] (equality) axioms :
%            Reduced & Augmented > Complete.
% English  : 

% Refs     : [PS81]  Peterson & Stickel (1981), Complete Sets of Reductions
% Source   : [ANL]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;  15 unit;   4 RR)
%            Number of literals   :   30 (  30 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   45 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Ring theory (equality) axioms
include('Axioms/RNG002-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
