%--------------------------------------------------------------------------
% File     : RNG042-3 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Ring Theory 
% Problem  : Ring theory (equality) axioms
% Version  : [LW92] (equality) axioms.
% English  : 

% Refs     : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
%          : [LW92]  Lusk & Wos (1992), Benchmark Problems in Which Equalit
% Source   : [LW92]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  10 unit;   3 RR)
%            Number of literals   :   25 (  25 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   1 constant; 0-2 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Ring theory (equality) axioms
include('Axioms/RNG005-0.ax').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
