%--------------------------------------------------------------------------
% File     : SET035-4 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Maps for composition
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Lemma 20 [BL+86]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  269 (  20 non-Horn;  15 unit; 167 RR)
%            Number of literals   :  632 ( 273 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   65 (  12 constant; 0-5 arity)
%            Number of variables  :  732 (  28 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(one_mapping,hypothesis,
    [++maps(function1,a,b)]).

input_clause(another_mapping,hypothesis,
    [++maps(function2,c,d)]).

input_clause(prove_maps_for_composition,conjecture,
    [--maps(compose(function2,function1),a,d)]).
%--------------------------------------------------------------------------
