%--------------------------------------------------------------------------
% File     : SET351+4 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Sum of a singleton is the singleton member
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.78 v2.7.0, 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.25 v2.3.0, 0.00 v2.2.1
% Syntax   : Number of formulae    :   33 (   3 unit)
%            Number of atoms       :   78 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   47 (   2 ~  ;   2  |;  11  &)
%                                         (  10 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   85 (   0 singleton;  84 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI39,conjecture,(
    ! [A] : equal_set(sum(singleton(A)),A)   )).
%--------------------------------------------------------------------------
