%--------------------------------------------------------------------------
% File     : SET704+4 : TPTP v2.7.0. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : If X is a member of A, then product(A) is a subset of X
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.11 v2.7.0, 0.00 v2.6.0, 0.14 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of formulae    :   33 (   2 unit)
%            Number of atoms       :   79 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   48 (   2 ~  ;   2  |;  11  &)
%                                         (  10 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   86 (   0 singleton;  85 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI42,conjecture,(
    ! [A,X] : 
      ( member(X,A)
     => subset(product(A),X) )   )).
%--------------------------------------------------------------------------
