%--------------------------------------------------------------------------
% File     : SET781-2 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Set Theory
% Problem  : Set theory axioms based on Godel set theory
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.5.0
% Syntax   : Number of clauses    :  266 (  20 non-Horn;  12 unit; 164 RR)
%            Number of literals   :  629 ( 273 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   59 (   6 constant; 0-5 arity)
%            Number of variables  :  732 (  28 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Set theory axioms based on Godel set theory
include('Axioms/SET003-0.ax').
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
