%--------------------------------------------------------------------------
% File     : SYN009-3 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate the usefulness of relevancy testing
% Version  : Especial.
% English  : 

% Refs     : [He01a] I-SATCHMO: An Improvement of SATCHMO
%          : [He01b] UNSEARCHMO: Eliminating Redundant Search Space on Back
% Source   : [He01a]
% Names    : Example 5.1 [He01a]
%          : Example 5.2 [He01]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   10 (   2 non-Horn;   5 unit;  10 RR)
%            Number of literals   :   20 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   3 constant; 0-0 arity)
%            Number of variables  :   18 (   3 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p(X,Y,Z),
     --t(X,Y,Z)]).

input_clause(clause_2,conjecture,
    [--q(X,Y,Z),
     --t(X,Y,Z)]).

input_clause(clause_3,conjecture,
    [--r(X,Y,Z),
     --t(X,Y,Z)]).

input_clause(clause_4,conjecture,
    [++s(a)]).

input_clause(clause_5,conjecture,
    [++s(b)]).

input_clause(clause_6,conjecture,
    [++s(c)]).

input_clause(clause_7,conjecture,
    [--v(X,Y,Z)]).

input_clause(clause_8,conjecture,
    [++u(c,c,c)]).

input_clause(clause_9,conjecture,
    [--s(X),
     --s(Y),
     --s(Z),
     ++p(X,Y,Z),
     ++q(X,Y,Z),
     ++r(X,Y,Z)]).

input_clause(clause_10,conjecture,
    [--u(X,Y,Z),
     ++t(X,Y,Z),
     ++v(X,Y,Z)]).
%--------------------------------------------------------------------------
