%--------------------------------------------------------------------------
% File     : SYN057-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 27
% Version  : Especial.
% English  : 

% Refs     : [KM64]  Kalish & Montegue (1964), Logic: Techniques of Formal 
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 27 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   4 unit;   7 RR)
%            Number of literals   :   13 (   0 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    5 (   0 propositional; 1-1 arity)
%            Number of functors   :    2 (   2 constant; 0-0 arity)
%            Number of variables  :    4 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(a)]).

input_clause(clause_2,axiom,
    [--big_g(a)]).

input_clause(clause_3,axiom,
    [--big_f(X),
     ++big_h(X)]).

input_clause(clause_4,axiom,
    [--big_j(X),
     --big_i(X),
     ++big_f(X)]).

input_clause(clause_5,axiom,
    [--big_h(X),
     ++big_g(X),
     --big_i(Y),
     --big_h(Y)]).

input_clause(clause_6,conjecture,
    [++big_j(b)]).

input_clause(clause_7,conjecture,
    [++big_i(b)]).
%--------------------------------------------------------------------------
