%--------------------------------------------------------------------------
% File     : SYN079-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 57
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 57 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :    3 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++big_f(f(a,b),f(b,c))]).

input_clause(clause_2,axiom,
    [++big_f(f(b,c),f(a,c))]).

input_clause(clause_3,axiom,
    [--big_f(X,Y),
     --big_f(Y,Z),
     ++big_f(X,Z)]).

input_clause(prove_this,conjecture,
    [--big_f(f(a,b),f(a,c))]).
%--------------------------------------------------------------------------
