%--------------------------------------------------------------------------
% File     : SYN344-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.16 (3)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch16N3 [Tam94]

% Status   : satisfiable
% Rating   : 0.14 v2.7.0, 0.00 v2.5.0, 0.17 v2.4.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :    5 (   2 non-Horn;   0 unit;   2 RR)
%            Number of literals   :   10 (   0 equality)
%            Maximal clause size  :    2 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-2 arity)
%            Number of variables  :    9 (   6 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(a,z(Y1,Y2)),
     ++f(a,a)]).

input_clause(clause2,conjecture,
    [++f(Y1,z(Y1,Y2)),
     ++f(a,a)]).

input_clause(clause3,conjecture,
    [--f(Y2,a),
     ++f(a,a)]).

input_clause(clause4,conjecture,
    [--f(a,a),
     ++f(Y1,Y2)]).

input_clause(clause5,conjecture,
    [--f(a,a),
     --f(z(Y1,Y2),z(Y1,Y2))]).
%--------------------------------------------------------------------------
