%--------------------------------------------------------------------------
% File     : SYN346-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.17 (2)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch17N2 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    6 (   0 equality)
%            Maximal clause size  :    2 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :    8 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(b,z1(Y1,Y2))]).

input_clause(clause2,conjecture,
    [++f(Y1,z2(Y1,Y2))]).

input_clause(clause3,conjecture,
    [--f(Y1,z1(Y1,Y2)),
     --f(Y2,z1(Y1,Y2))]).

input_clause(clause4,conjecture,
    [--f(b,z2(Y1,Y2)),
     --f(Y2,z2(Y1,Y2))]).
%--------------------------------------------------------------------------
