%--------------------------------------------------------------------------
% File     : SYN354-1 : TPTP v2.7.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.20 (1)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch20N1 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   1 non-Horn;   2 unit;   7 RR)
%            Number of literals   :   17 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   10 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(a,b)]).

input_clause(clause2,conjecture,
    [++g(a,b)]).

input_clause(clause3,conjecture,
    [++g(b,z(Y1,Y2)),
     ++g(Y2,z(Y1,Y2)),
     --f(Y1,Y2),
     ++f(b,Y2)]).

input_clause(clause4,conjecture,
    [--g(b,z(Y1,Y2)),
     --g(Y2,z(Y1,Y2)),
     --f(Y1,Y2),
     ++f(b,Y2)]).

input_clause(clause5,conjecture,
    [++g(b,z(Y1,Y2)),
     --g(Y1,z(Y1,Y2))]).

input_clause(clause6,conjecture,
    [--g(b,z(Y1,Y2)),
     ++g(Y1,z(Y1,Y2))]).

input_clause(clause7,conjecture,
    [--f(a,Y1),
     --f(b,Y1),
     --f(Y1,Y2)]).
%--------------------------------------------------------------------------
