%--------------------------------------------------------------------------
% File     : SYN364+1 : TPTP v2.7.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Peter Andrews Problem X2115
% Version  : Especial.
% English  : 

% Refs     : [And86] Andrews (1986), An Introduction to Mathematical Logic 
%          : [And94] Andrews (1994), Email to G. Sutcliffe
% Source   : [And94]
% Names    : X2115 [And86]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       :    9 (   0 equality)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    9 (   1 ~  ;   1  |;   4  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :    8 (   0 singleton;   5 !;   3 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(x2115,conjecture,(
    ( ( ! [X] : 
          ( ? [Y] : big_p(X,Y)
         => ! [Z] : big_p(Z,Z) )
      & ! [U] : 
        ? [V] : 
          ( big_p(U,V)
          | ( big_m(U)
            & big_q(f(U,V)) ) ) )
    & ! [W] : 
        ( big_q(W)
       => ~ big_m(g(W)) ) )
 => ! [U] : 
    ? [V] : 
      ( big_p(g(U),V)
      & big_p(U,U) )   )).
%--------------------------------------------------------------------------
