%--------------------------------------------------------------------------
% File     : SYN616-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 3901
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.7.0, 0.25 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   32 (   0 non-Horn;  13 unit;  28 RR)
%            Number of literals   :   73 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   17 (   9 constant; 0-3 arity)
%            Number of variables  :   67 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(c28_is_p17_1,conjecture,
    [++p17(c28)]).

input_clause(p10_2,conjecture,
    [++p10(X0,X0)]).

input_clause(p9_3,conjecture,
    [++p9(X60,X60)]).

input_clause(p2_4,conjecture,
    [++p2(X31,X31)]).

input_clause(p18_5,conjecture,
    [++p18(X24,X24)]).

input_clause(p19_6,conjecture,
    [++p19(c26,c27)]).

input_clause(p2_7,conjecture,
    [++p2(c25,c28)]).

input_clause(not_p15_8,conjecture,
    [--p15(c25,c27)]).

input_clause(p13_9,conjecture,
    [++p13(f3(f4(f5(c20))),c21)]).

input_clause(p17_10,conjecture,
    [++p17(X22),
     --p17(X23),
     --p2(X23,X22)]).

input_clause(p2_11,conjecture,
    [++p2(f6(X50),f6(X51)),
     --p2(X50,X51)]).

input_clause(p2_12,conjecture,
    [++p2(f3(X44),f3(X45)),
     --p2(X44,X45)]).

input_clause(p2_13,conjecture,
    [++p2(f4(X46),f4(X47)),
     --p2(X46,X47)]).

input_clause(p2_14,conjecture,
    [++p2(f5(X48),f5(X49)),
     --p2(X48,X49)]).

input_clause(p10_15,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p9_16,conjecture,
    [++p9(X61,X62),
     --p9(X60,X61),
     --p9(X60,X62)]).

input_clause(p2_17,conjecture,
    [++p2(X32,X33),
     --p2(X31,X32),
     --p2(X31,X33)]).

input_clause(p18_18,conjecture,
    [++p18(X25,X26),
     --p18(X24,X25),
     --p18(X24,X26)]).

input_clause(p2_19,conjecture,
    [++p2(f11(c23,c24,f3(f5(c20))),f8(c21,f3(f5(c20))))]).

input_clause(p15_20,conjecture,
    [++p15(X17,c24),
     --p17(X17),
     --p16(X17,f8(c21,f3(f5(c20))))]).

input_clause(p13_21,conjecture,
    [++p13(X3,X4),
     --p2(X5,X3),
     --p2(X6,X4),
     --p13(X5,X6)]).

input_clause(p19_22,conjecture,
    [++p19(X27,X28),
     --p18(X30,X27),
     --p19(X30,X29),
     --p10(X29,X28)]).

input_clause(p16_23,conjecture,
    [++p16(X18,X19),
     --p2(X20,X18),
     --p2(X21,X19),
     --p16(X20,X21)]).

input_clause(p15_24,conjecture,
    [++p15(X13,X14),
     --p15(X16,X15),
     --p2(X16,X13),
     --p10(X15,X14)]).

input_clause(p14_25,conjecture,
    [++p14(f7(c22,f8(c21,f3(f5(c20)))),f3(f5(c20)),f6(c21))]).

input_clause(p2_26,conjecture,
    [++p2(f8(X56,X57),f8(X58,X59)),
     --p2(X56,X58),
     --p2(X57,X59)]).

input_clause(p2_27,conjecture,
    [++p2(f12(X40,X41),f12(X42,X43)),
     --p2(X40,X42),
     --p2(X41,X43)]).

input_clause(p2_28,conjecture,
    [++p2(f7(X52,X53),f7(X54,X55)),
     --p2(X53,X55),
     --p2(X52,X54)]).

input_clause(p14_29,conjecture,
    [++p14(f7(c22,f12(f8(c21,f3(f5(c20))),c25)),f3(f5(c20)),f6(c21))]).

input_clause(not_p14_30,conjecture,
    [--p14(f7(c22,f12(f8(c21,f3(f5(c20))),c28)),f3(f5(c20)),f6(c21))]).

input_clause(p14_31,conjecture,
    [++p14(X7,X8,X9),
     --p2(X12,X9),
     --p2(X11,X8),
     --p2(X10,X7),
     --p14(X10,X11,X12)]).

input_clause(p2_32,conjecture,
    [++p2(f11(X34,X35,X36),f11(X37,X38,X39)),
     --p2(X36,X39),
     --p9(X34,X37),
     --p10(X35,X38)]).
%--------------------------------------------------------------------------
