%--------------------------------------------------------------------------
% File     : SYN626-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4045
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   35 (   1 non-Horn;  10 unit;  29 RR)
%            Number of literals   :   85 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   11 (   0 propositional; 2-2 arity)
%            Number of functors   :   12 (   5 constant; 0-2 arity)
%            Number of variables  :   77 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p11_1,conjecture,
    [++p11(X0,X0)]).

input_clause(p7_2,conjecture,
    [++p7(X54,X54)]).

input_clause(p6_3,conjecture,
    [++p6(X47,X47)]).

input_clause(p3_4,conjecture,
    [++p3(X38,X38)]).

input_clause(p2_5,conjecture,
    [++p2(X33,X33)]).

input_clause(p11_6,conjecture,
    [++p11(f13(f12(X5)),X5)]).

input_clause(p14_7,conjecture,
    [++p14(f4(f5(c20)),f4(c21))]).

input_clause(p16_8,conjecture,
    [++p16(X14,X15),
     --p15(X14,X15)]).

input_clause(p15_9,conjecture,
    [++p15(c22,f8(f5(c20),f9(c23,c24)))]).

input_clause(p16_10,conjecture,
    [++p16(c22,X20),
     --p7(f12(f13(X20)),X20)]).

input_clause(p11_11,conjecture,
    [++p11(f13(X3),f13(X4)),
     --p7(X3,X4)]).

input_clause(p7_12,conjecture,
    [++p7(f12(X57),f12(X58)),
     --p11(X57,X58)]).

input_clause(p3_13,conjecture,
    [++p3(f4(X45),f4(X46)),
     --p2(X45,X46)]).

input_clause(p2_14,conjecture,
    [++p2(f5(X36),f5(X37)),
     --p2(X36,X37)]).

input_clause(p7_15,conjecture,
    [++p7(f12(f13(X20)),X20),
     --p16(c22,X20)]).

input_clause(p11_16,conjecture,
    [++p11(X1,X2),
     --p11(X0,X1),
     --p11(X0,X2)]).

input_clause(p7_17,conjecture,
    [++p7(X55,X56),
     --p7(X54,X55),
     --p7(X54,X56)]).

input_clause(p6_18,conjecture,
    [++p6(X48,X49),
     --p6(X47,X48),
     --p6(X47,X49)]).

input_clause(p3_19,conjecture,
    [++p3(X39,X40),
     --p3(X38,X39),
     --p3(X38,X40)]).

input_clause(p2_20,conjecture,
    [++p2(X34,X35),
     --p2(X33,X34),
     --p2(X33,X35)]).

input_clause(p15_21,conjecture,
    [++p15(X14,X15),
     --p16(X14,X15),
     --p19(X14,X15)]).

input_clause(p15_22,conjecture,
    [++p15(X14,X15),
     --p16(X14,X15),
     --p18(X14,X15)]).

input_clause(p15_23,conjecture,
    [++p15(X14,X15),
     --p16(X14,X15),
     --p17(X14,X15)]).

input_clause(not_p15_24,conjecture,
    [--p15(c22,f12(f13(f8(f5(c20),f9(c23,c24)))))]).

input_clause(p17_25,conjecture,
    [++p17(X14,X15),
     ++p18(X14,X15),
     ++p19(X14,X15),
     --p15(X14,X15)]).

input_clause(p14_26,conjecture,
    [++p14(X6,X7),
     --p3(X8,X6),
     --p3(X9,X7),
     --p14(X8,X9)]).

input_clause(p19_27,conjecture,
    [++p19(X29,X30),
     --p6(X31,X29),
     --p7(X32,X30),
     --p19(X31,X32)]).

input_clause(p18_28,conjecture,
    [++p18(X25,X26),
     --p6(X27,X25),
     --p7(X28,X26),
     --p18(X27,X28)]).

input_clause(p17_29,conjecture,
    [++p17(X21,X22),
     --p6(X23,X21),
     --p7(X24,X22),
     --p17(X23,X24)]).

input_clause(p16_30,conjecture,
    [++p16(X16,X17),
     --p6(X18,X16),
     --p7(X19,X17),
     --p16(X18,X19)]).

input_clause(p15_31,conjecture,
    [++p15(X10,X11),
     --p6(X12,X10),
     --p7(X13,X11),
     --p15(X12,X13)]).

input_clause(p3_32,conjecture,
    [++p3(f10(c22,f12(f13(f8(f5(c20),f9(c23,c24))))),f4(c21))]).

input_clause(p7_33,conjecture,
    [++p7(f8(X59,X60),f8(X61,X62)),
     --p2(X59,X61),
     --p6(X60,X62)]).

input_clause(p3_34,conjecture,
    [++p3(f10(X41,X42),f10(X43,X44)),
     --p6(X41,X43),
     --p7(X42,X44)]).

input_clause(p6_35,conjecture,
    [++p6(f9(X50,X51),f9(X52,X53)),
     --p2(X51,X53),
     --p2(X50,X52)]).
%--------------------------------------------------------------------------
