%--------------------------------------------------------------------------
% File     : SYN627-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4072
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   36 (   1 non-Horn;  10 unit;  29 RR)
%            Number of literals   :   88 (   0 equality)
%            Maximal clause size  :    7 (   2 average)
%            Number of predicates :    8 (   0 propositional; 2-5 arity)
%            Number of functors   :   16 (   9 constant; 0-5 arity)
%            Number of variables  :   97 (   5 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p10_1,conjecture,
    [++p10(X0,X0)]).

input_clause(p8_2,conjecture,
    [++p8(X70,X70)]).

input_clause(p6_3,conjecture,
    [++p6(X67,X67)]).

input_clause(p5_4,conjecture,
    [++p5(X64,X64)]).

input_clause(p3_5,conjecture,
    [++p3(X40,X40)]).

input_clause(p2_6,conjecture,
    [++p2(X33,X33)]).

input_clause(p15_7,conjecture,
    [++p15(c18,c19)]).

input_clause(not_p3_8,conjecture,
    [--p3(c23,c24)]).

input_clause(p3_9,conjecture,
    [++p3(c23,f4(f7(c17,c18),c21))]).

input_clause(p16_10,conjecture,
    [++p16(c17,c20,f9(c19,c18),c21,c22)]).

input_clause(p3_11,conjecture,
    [++p3(f14(X55),f14(X56)),
     --p6(X55,X56)]).

input_clause(p10_12,conjecture,
    [++p10(f12(X7),f12(X8)),
     --p10(X7,X8)]).

input_clause(p3_13,conjecture,
    [++p3(f13(X53),f13(X54)),
     --p6(X53,X54)]).

input_clause(p10_14,conjecture,
    [++p10(X1,X2),
     --p10(X0,X1),
     --p10(X0,X2)]).

input_clause(p8_15,conjecture,
    [++p8(X71,X72),
     --p8(X70,X71),
     --p8(X70,X72)]).

input_clause(p6_16,conjecture,
    [++p6(X68,X69),
     --p6(X67,X68),
     --p6(X67,X69)]).

input_clause(p5_17,conjecture,
    [++p5(X65,X66),
     --p5(X64,X65),
     --p5(X64,X66)]).

input_clause(p3_18,conjecture,
    [++p3(X41,X42),
     --p3(X40,X41),
     --p3(X40,X42)]).

input_clause(p2_19,conjecture,
    [++p2(X34,X35),
     --p2(X33,X34),
     --p2(X33,X35)]).

input_clause(p3_20,conjecture,
    [++p3(c24,f4(f7(c17,X32),f14(X32))),
     --p15(X32,c19)]).

input_clause(p3_21,conjecture,
    [++p3(c23,f4(f7(c17,X31),f13(X31))),
     --p15(X31,c19)]).

input_clause(p16_22,conjecture,
    [++p16(c17,c20,f9(c19,X31),f13(X31),c22),
     --p15(X31,c19)]).

input_clause(p16_23,conjecture,
    [++p16(c17,c20,f9(c19,X32),f14(X32),c25),
     --p15(X32,c19)]).

input_clause(p15_24,conjecture,
    [++p15(X12,X13),
     --p6(X14,X12),
     --p8(X15,X13),
     --p15(X14,X15)]).

input_clause(p8_25,conjecture,
    [++p8(f9(X73,X74),f9(X75,X76)),
     --p6(X74,X76),
     --p8(X73,X75)]).

input_clause(p2_26,conjecture,
    [++p2(f7(X36,X37),f7(X38,X39)),
     --p5(X36,X38),
     --p6(X37,X39)]).

input_clause(p3_27,conjecture,
    [++p3(f4(X57,X58),f4(X59,X60)),
     --p2(X57,X59),
     --p3(X58,X60)]).

input_clause(p3_28,conjecture,
    [++p3(X5,X6),
     --p16(c17,c20,X4,X6,X3),
     --p16(c17,c20,X4,X5,c22)]).

input_clause(p10_29,conjecture,
    [++p10(c22,X3),
     --p16(c17,c20,X4,X6,X3),
     --p16(c17,c20,X4,X5,c22)]).

input_clause(p3_30,conjecture,
    [++p3(X10,X11),
     --p16(c17,c20,X9,X11,c25),
     --p16(c17,c20,X9,X10,f12(c22))]).

input_clause(p10_31,conjecture,
    [++p10(f12(c22),c25),
     --p16(c17,c20,X9,X11,c25),
     --p16(c17,c20,X9,X10,f12(c22))]).

input_clause(p6_32,conjecture,
    [++p6(X61,X62),
     ++p3(f4(f7(c17,X61),f4(f7(c17,X62),X63)),f4(f7(c17,X62),
f4(f7(c17,X61),X63)))]).

input_clause(p3_33,conjecture,
    [++p3(X30,f4(f7(c17,X28),f11(X26,X29,X27,X30,X28))),
     --p15(X28,X27),
     --p16(c17,X26,X27,X30,f12(X29))]).

input_clause(p16_34,conjecture,
    [++p16(c17,X26,f9(X27,X28),f11(X26,X29,X27,X30,X28),X29),
     --p15(X28,X27),
     --p16(c17,X26,X27,X30,f12(X29))]).

input_clause(p16_35,conjecture,
    [++p16(X16,X17,X18,X19,X20),
     --p8(X24,X18),
     --p5(X22,X16),
     --p3(X25,X19),
     --p3(X23,X17),
     --p10(X21,X20),
     --p16(X22,X23,X24,X25,X21)]).

input_clause(p3_36,conjecture,
    [++p3(f11(X43,X44,X45,X46,X47),f11(X48,X49,X50,X51,X52)),
     --p6(X47,X52),
     --p8(X45,X50),
     --p10(X44,X49),
     --p3(X43,X48),
     --p3(X46,X51)]).
%--------------------------------------------------------------------------
