%--------------------------------------------------------------------------
% File     : SYN637-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4261
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.17 v2.5.0
% Syntax   : Number of clauses    :   41 (   0 non-Horn;  14 unit;  34 RR)
%            Number of literals   :   93 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   11 (   0 propositional; 2-2 arity)
%            Number of functors   :   18 (   6 constant; 0-3 arity)
%            Number of variables  :   83 (   0 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p18_1,conjecture,
    [++p18(X0,X0)]).

input_clause(p7_2,conjecture,
    [++p7(X67,X67)]).

input_clause(p6_3,conjecture,
    [++p6(X52,X52)]).

input_clause(p4_4,conjecture,
    [++p4(X36,X36)]).

input_clause(p3_5,conjecture,
    [++p3(X33,X33)]).

input_clause(p2_6,conjecture,
    [++p2(X5,X5)]).

input_clause(p20_7,conjecture,
    [++p20(f12(c25),c28)]).

input_clause(not_p6_8,conjecture,
    [--p6(f10(c25),f13(c30))]).

input_clause(p21_9,conjecture,
    [++p21(f13(f14(f15(c30))),f10(c25))]).

input_clause(p6_10,conjecture,
    [++p6(f15(X65),f15(X66)),
     --p6(X65,X66)]).

input_clause(p18_11,conjecture,
    [++p18(f19(X3),f19(X4)),
     --p2(X3,X4)]).

input_clause(p4_12,conjecture,
    [++p4(f16(X39),f16(X40)),
     --p4(X39,X40)]).

input_clause(p6_13,conjecture,
    [++p6(f10(X55),f10(X56)),
     --p2(X55,X56)]).

input_clause(p6_14,conjecture,
    [++p6(f11(X57),f11(X58)),
     --p2(X57,X58)]).

input_clause(p6_15,conjecture,
    [++p6(f12(X59),f12(X60)),
     --p2(X59,X60)]).

input_clause(p6_16,conjecture,
    [++p6(f13(X61),f13(X62)),
     --p6(X61,X62)]).

input_clause(p6_17,conjecture,
    [++p6(f14(X63),f14(X64)),
     --p6(X63,X64)]).

input_clause(p22_18,conjecture,
    [++p22(f5(c25,c26,c27),f5(c25,c26,c29))]).

input_clause(p18_19,conjecture,
    [++p18(X1,X2),
     --p18(X0,X1),
     --p18(X0,X2)]).

input_clause(p7_20,conjecture,
    [++p7(X68,X69),
     --p7(X67,X68),
     --p7(X67,X69)]).

input_clause(p6_21,conjecture,
    [++p6(X53,X54),
     --p6(X52,X53),
     --p6(X52,X54)]).

input_clause(p4_22,conjecture,
    [++p4(X37,X38),
     --p4(X36,X37),
     --p4(X36,X38)]).

input_clause(p3_23,conjecture,
    [++p3(X34,X35),
     --p3(X33,X34),
     --p3(X33,X35)]).

input_clause(p2_24,conjecture,
    [++p2(X6,X7),
     --p2(X5,X6),
     --p2(X5,X7)]).

input_clause(p24_25,conjecture,
    [++p24(X29,X30),
     --p24(X32,X31),
     --p4(X32,X29),
     --p18(X31,X30)]).

input_clause(p20_26,conjecture,
    [++p20(X12,X13),
     --p6(X14,X12),
     --p6(X15,X13),
     --p20(X14,X15)]).

input_clause(p21_27,conjecture,
    [++p21(X16,X17),
     --p6(X18,X16),
     --p6(X19,X17),
     --p21(X18,X19)]).

input_clause(p22_28,conjecture,
    [++p22(X20,X21),
     --p4(X22,X20),
     --p4(X23,X21),
     --p22(X22,X23)]).

input_clause(p23_29,conjecture,
    [++p23(X24,X25),
     --p4(X26,X24),
     --p4(X27,X25),
     --p23(X26,X27)]).

input_clause(p2_30,conjecture,
    [++p2(f8(X8,X9),f8(X10,X11)),
     --p6(X8,X10),
     --p7(X9,X11)]).

input_clause(p7_31,conjecture,
    [++p7(f9(X70,X71),f9(X72,X73)),
     --p6(X70,X72),
     --p6(X71,X73)]).

input_clause(p4_32,conjecture,
    [++p4(f17(X41,X42),f17(X43,X44)),
     --p4(X41,X43),
     --p4(X42,X44)]).

input_clause(not_p4_33,conjecture,
    [--p4(f5(c25,c26,c27),f5(f8(f11(c25),f9(f10(c25),c28)),c26,c27))]).

input_clause(p23_34,conjecture,
    [++p23(X28,c27),
     --p23(X28,c29),
     --p24(X28,f19(f8(f11(c25),f9(f10(c25),c28))))]).

input_clause(p23_35,conjecture,
    [++p23(X28,c29),
     --p23(X28,c27),
     --p24(X28,f19(f8(f11(c25),f9(f10(c25),c28))))]).

input_clause(p23_36,conjecture,
    [++p23(c27,X28),
     --p23(c29,X28),
     --p24(X28,f19(f8(f11(c25),f9(f10(c25),c28))))]).

input_clause(p23_37,conjecture,
    [++p23(c29,X28),
     --p23(c27,X28),
     --p24(X28,f19(f8(f11(c25),f9(f10(c25),c28))))]).

input_clause(p4_38,conjecture,
    [++p4(f5(X45,X46,X47),f5(X48,X49,X50)),
     --p3(X46,X49),
     --p4(X47,X50),
     --p2(X45,X48)]).

input_clause(p4_39,conjecture,
    [++p4(f5(f8(f11(c25),f9(f10(c25),c28)),X51,c27),f5(f8(f11(c25),f9(f10(c25),
c28)),X51,c29))]).

input_clause(p22_40,conjecture,
    [++p22(f16(f17(c27,f5(f8(f11(c25),f9(f10(c25),c28)),c26,c27))),f16(f17(c27,
f5(c25,c26,c27))))]).

input_clause(not_p22_41,conjecture,
    [--p22(f16(f17(c27,f5(f8(f11(c25),f9(f10(c25),c28)),c26,c29))),f16(f17(c27,
f5(c25,c26,c27))))]).
%--------------------------------------------------------------------------
