%--------------------------------------------------------------------------
% File     : SYN641-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4296
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   42 (   7 non-Horn;  15 unit;  35 RR)
%            Number of literals   :  100 (   0 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   11 (   3 constant; 0-2 arity)
%            Number of variables  :   82 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(f3_is_p15_1,conjecture,
    [++p15(f3(c19))]).

input_clause(f3_is_p15_2,conjecture,
    [++p15(f3(c18))]).

input_clause(p11_3,conjecture,
    [++p11(X0,X0)]).

input_clause(p6_4,conjecture,
    [++p6(X45,X45)]).

input_clause(p4_5,conjecture,
    [++p4(X36,X36)]).

input_clause(p2_6,conjecture,
    [++p2(X27,X27)]).

input_clause(p16_7,conjecture,
    [++p16(X18,X18)]).

input_clause(p12_8,conjecture,
    [++p12(X3,X3)]).

input_clause(p6_9,conjecture,
    [++p6(f8(f3(c19)),f8(c19))]).

input_clause(p4_10,conjecture,
    [++p4(f5(f3(c18)),f5(c18))]).

input_clause(p4_11,conjecture,
    [++p4(f5(f3(c19)),f5(c19))]).

input_clause(p6_12,conjecture,
    [++p6(f7(f3(c18)),f7(c18))]).

input_clause(p6_13,conjecture,
    [++p6(f7(f3(c19)),f7(c19))]).

input_clause(p6_14,conjecture,
    [++p6(f8(f3(c18)),f8(c18))]).

input_clause(p15_15,conjecture,
    [++p15(X16),
     --p15(X17),
     --p2(X17,X16)]).

input_clause(p12_16,conjecture,
    [++p12(f13(X6),f13(X7)),
     --p11(X6,X7)]).

input_clause(p6_17,conjecture,
    [++p6(f8(X50),f8(X51)),
     --p2(X50,X51)]).

input_clause(p6_18,conjecture,
    [++p6(f7(X48),f7(X49)),
     --p2(X48,X49)]).

input_clause(p4_19,conjecture,
    [++p4(f5(X43),f5(X44)),
     --p2(X43,X44)]).

input_clause(p2_20,conjecture,
    [++p2(f3(X34),f3(X35)),
     --p2(X34,X35)]).

input_clause(p15_21,conjecture,
    [++p15(f10(X14,X15)),
     --p15(X14),
     --p15(X15)]).

input_clause(p11_22,conjecture,
    [++p11(X1,X2),
     --p11(X0,X1),
     --p11(X0,X2)]).

input_clause(p6_23,conjecture,
    [++p6(X46,X47),
     --p6(X45,X46),
     --p6(X45,X47)]).

input_clause(p4_24,conjecture,
    [++p4(X37,X38),
     --p4(X36,X37),
     --p4(X36,X38)]).

input_clause(p2_25,conjecture,
    [++p2(X28,X29),
     --p2(X27,X28),
     --p2(X27,X29)]).

input_clause(p16_26,conjecture,
    [++p16(X19,X20),
     --p16(X18,X19),
     --p16(X18,X20)]).

input_clause(p12_27,conjecture,
    [++p12(X4,X5),
     --p12(X3,X4),
     --p12(X3,X5)]).

input_clause(not_p6_28,conjecture,
    [--p6(f7(f10(f3(c19),f3(c18))),f9(f7(c19),f7(c18)))]).

input_clause(p12_29,conjecture,
    [++p12(f13(X8),c20),
     ++p17(X8,X9,c19),
     --p17(X8,X9,f3(c19))]).

input_clause(p12_30,conjecture,
    [++p12(f13(X10),c20),
     ++p17(X10,X11,c18),
     --p17(X10,X11,f3(c18))]).

input_clause(p12_31,conjecture,
    [++p12(f13(X8),c20),
     ++p17(X8,X9,f3(c19)),
     --p17(X8,X9,c19)]).

input_clause(p12_32,conjecture,
    [++p12(f13(X10),c20),
     ++p17(X10,X11,f3(c18)),
     --p17(X10,X11,c18)]).

input_clause(p6_33,conjecture,
    [++p6(f9(X52,X53),f9(X54,X55)),
     --p6(X53,X55),
     --p6(X52,X54)]).

input_clause(p2_34,conjecture,
    [++p2(f10(X30,X31),f10(X32,X33)),
     --p2(X30,X32),
     --p2(X31,X33)]).

input_clause(p4_35,conjecture,
    [++p4(f14(X39,X40),f14(X41,X42)),
     --p4(X39,X41),
     --p4(X40,X42)]).

input_clause(p6_36,conjecture,
    [++p6(f8(f10(X14,X15)),f9(f8(X14),f8(X15))),
     --p15(X14),
     --p15(X15)]).

input_clause(p4_37,conjecture,
    [++p4(f5(f10(X14,X15)),f14(f5(X14),f5(X15))),
     --p15(X14),
     --p15(X15)]).

input_clause(p6_38,conjecture,
    [++p6(f7(f10(X14,X15)),f9(f7(X14),f7(X15))),
     --p15(X14),
     --p15(X15)]).

input_clause(p17_39,conjecture,
    [++p17(X21,X22,X23),
     --p2(X26,X23),
     --p16(X25,X22),
     --p11(X24,X21),
     --p17(X24,X25,X26)]).

input_clause(p12_40,conjecture,
    [++p12(f13(X12),c20),
     ++p17(X12,X13,X14),
     ++p17(X12,X13,f10(X14,X15)),
     --p15(X14),
     --p15(X15)]).

input_clause(p12_41,conjecture,
    [++p12(f13(X12),c20),
     ++p17(X12,X13,f10(X14,X15)),
     --p15(X14),
     --p15(X15),
     --p17(X12,X13,X15)]).

input_clause(p12_42,conjecture,
    [++p12(f13(X12),c20),
     ++p17(X12,X13,X15),
     --p15(X14),
     --p15(X15),
     --p17(X12,X13,X14),
     --p17(X12,X13,f10(X14,X15))]).
%--------------------------------------------------------------------------
