%--------------------------------------------------------------------------
% File     : SYN649-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4403
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.7.0, 0.00 v2.5.0
% Syntax   : Number of clauses    :   44 (   0 non-Horn;  13 unit;  31 RR)
%            Number of literals   :  100 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   13 (   0 propositional; 2-2 arity)
%            Number of functors   :   19 (  10 constant; 0-2 arity)
%            Number of variables  :  115 (   2 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p11_1,conjecture,
    [++p11(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X80,X80)]).

input_clause(p8_3,conjecture,
    [++p8(X77,X77)]).

input_clause(p6_4,conjecture,
    [++p6(X70,X70)]).

input_clause(p4_5,conjecture,
    [++p4(X63,X63)]).

input_clause(p3_6,conjecture,
    [++p3(X56,X56)]).

input_clause(p21_7,conjecture,
    [++p21(X38,X38)]).

input_clause(p2_8,conjecture,
    [++p2(X31,X31)]).

input_clause(p19_9,conjecture,
    [++p19(X28,X28)]).

input_clause(p17_10,conjecture,
    [++p17(X21,X21)]).

input_clause(p15_11,conjecture,
    [++p15(X14,X14)]).

input_clause(p13_12,conjecture,
    [++p13(X3,X3)]).

input_clause(p11_13,conjecture,
    [++p11(X1,X2),
     --p11(X0,X1),
     --p11(X0,X2)]).

input_clause(p9_14,conjecture,
    [++p9(X81,X82),
     --p9(X80,X81),
     --p9(X80,X82)]).

input_clause(p8_15,conjecture,
    [++p8(X78,X79),
     --p8(X77,X78),
     --p8(X77,X79)]).

input_clause(p6_16,conjecture,
    [++p6(X71,X72),
     --p6(X70,X71),
     --p6(X70,X72)]).

input_clause(p4_17,conjecture,
    [++p4(X64,X65),
     --p4(X63,X64),
     --p4(X63,X65)]).

input_clause(p3_18,conjecture,
    [++p3(X57,X58),
     --p3(X56,X57),
     --p3(X56,X58)]).

input_clause(p21_19,conjecture,
    [++p21(X39,X40),
     --p21(X38,X39),
     --p21(X38,X40)]).

input_clause(p2_20,conjecture,
    [++p2(X32,X33),
     --p2(X31,X32),
     --p2(X31,X33)]).

input_clause(p19_21,conjecture,
    [++p19(X29,X30),
     --p19(X28,X29),
     --p19(X28,X30)]).

input_clause(p17_22,conjecture,
    [++p17(X22,X23),
     --p17(X21,X22),
     --p17(X21,X23)]).

input_clause(p15_23,conjecture,
    [++p15(X15,X16),
     --p15(X14,X15),
     --p15(X14,X16)]).

input_clause(p13_24,conjecture,
    [++p13(X4,X5),
     --p13(X3,X4),
     --p13(X3,X5)]).

input_clause(p23_25,conjecture,
    [++p23(X41,X42),
     --p3(X44,X42),
     --p4(X43,X41),
     --p23(X43,X44)]).

input_clause(p23_26,conjecture,
    [++p23(f5(f7(f10(c26,f12(c27,f12(c27,c28))),c24),c25),c29)]).

input_clause(p9_27,conjecture,
    [++p9(f12(X83,X84),f12(X85,X86)),
     --p11(X83,X85),
     --p9(X84,X86)]).

input_clause(p13_28,conjecture,
    [++p13(f16(X6,X7),f16(X8,X9)),
     --p15(X6,X8),
     --p2(X7,X9)]).

input_clause(p13_29,conjecture,
    [++p13(f22(X10,X11),f22(X12,X13)),
     --p21(X10,X12),
     --p3(X11,X13)]).

input_clause(p15_30,conjecture,
    [++p15(f18(X17,X18),f18(X19,X20)),
     --p17(X17,X19),
     --p3(X18,X20)]).

input_clause(p17_31,conjecture,
    [++p17(f20(X24,X25),f20(X26,X27)),
     --p19(X24,X26),
     --p9(X25,X27)]).

input_clause(p2_32,conjecture,
    [++p2(f7(X34,X35),f7(X36,X37)),
     --p2(X35,X37),
     --p6(X34,X36)]).

input_clause(p3_33,conjecture,
    [++p3(f14(X59,X60),f14(X61,X62)),
     --p13(X59,X61),
     --p3(X60,X62)]).

input_clause(p4_34,conjecture,
    [++p4(f5(X66,X67),f5(X68,X69)),
     --p2(X66,X68),
     --p3(X67,X69)]).

input_clause(p6_35,conjecture,
    [++p6(f10(X73,X74),f10(X75,X76)),
     --p8(X73,X75),
     --p9(X74,X76)]).

input_clause(p3_36,conjecture,
    [++p3(X54,X55),
     --p23(f5(f7(f10(c26,f12(c31,c32)),X53),X54),X55)]).

input_clause(p23_37,conjecture,
    [++p23(f5(f7(f10(c26,f12(c31,c32)),X53),X54),X55),
     --p3(X54,X55)]).

input_clause(not_p23_38,conjecture,
    [--p23(f5(c24,c25),X87),
     --p23(f5(f7(f10(c26,f12(c27,c28)),c24),X87),c29)]).

input_clause(p23_39,conjecture,
    [++p23(f5(c24,X49),f14(f22(c33,X50),X49)),
     --p23(f5(f7(f10(c26,f12(c27,c28)),c24),X49),X50)]).

input_clause(p23_40,conjecture,
    [++p23(f5(X45,f14(f16(f18(f20(c30,X46),X47),X45),X48)),X48),
     --p23(f5(f7(f10(c26,f12(c27,X46)),X45),X47),X48)]).

input_clause(p23_41,conjecture,
    [++p23(f5(f7(f10(c26,c28),c24),f14(f22(c33,X50),X49)),X50),
     --p23(f5(f7(f10(c26,f12(c27,c28)),c24),X49),X50)]).

input_clause(p23_42,conjecture,
    [++p23(f5(f7(f10(c26,f12(c27,X46)),X45),X47),X48),
     --p23(f5(X45,X51),X48),
     --p23(f5(f7(f10(c26,X46),X45),X47),X51)]).

input_clause(p23_43,conjecture,
    [++p23(f5(f7(f10(c26,f12(c27,c28)),c24),X49),X50),
     --p23(f5(c24,X49),X52),
     --p23(f5(f7(f10(c26,c28),c24),X52),X50)]).

input_clause(p23_44,conjecture,
    [++p23(f5(f7(f10(c26,X46),X45),X47),
f14(f16(f18(f20(c30,X46),X47),X45),X48)),
     --p23(f5(f7(f10(c26,f12(c27,X46)),X45),X47),X48)]).
%--------------------------------------------------------------------------
