%--------------------------------------------------------------------------
% File     : SYN652-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4447
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   47 (   0 non-Horn;  20 unit;  30 RR)
%            Number of literals   :  101 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   16 (   0 propositional; 2-2 arity)
%            Number of functors   :   21 (  11 constant; 0-2 arity)
%            Number of variables  :  111 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p11_1,conjecture,
    [++p11(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X93,X93)]).

input_clause(p7_3,conjecture,
    [++p7(X86,X86)]).

input_clause(p6_4,conjecture,
    [++p6(X75,X75)]).

input_clause(p4_5,conjecture,
    [++p4(X53,X53)]).

input_clause(p3_6,conjecture,
    [++p3(X50,X50)]).

input_clause(p25_7,conjecture,
    [++p25(X43,X43)]).

input_clause(p23_8,conjecture,
    [++p23(X40,X40)]).

input_clause(p21_9,conjecture,
    [++p21(X33,X33)]).

input_clause(p2_10,conjecture,
    [++p2(X30,X30)]).

input_clause(p19_11,conjecture,
    [++p19(X23,X23)]).

input_clause(p18_12,conjecture,
    [++p18(X16,X16)]).

input_clause(p16_13,conjecture,
    [++p16(X13,X13)]).

input_clause(p14_14,conjecture,
    [++p14(X6,X6)]).

input_clause(p12_15,conjecture,
    [++p12(X3,X3)]).

input_clause(p4_16,conjecture,
    [++p4(c34,f5(c35,c32))]).

input_clause(p27_17,conjecture,
    [++p27(f8(f10(c28,f13(c29,c30)),c32),c33)]).

input_clause(not_p4_18,conjecture,
    [--p4(f5(c31,c33),f15(f17(c36,c31),c34))]).

input_clause(p11_19,conjecture,
    [++p11(X1,X2),
     --p11(X0,X1),
     --p11(X0,X2)]).

input_clause(p9_20,conjecture,
    [++p9(X94,X95),
     --p9(X93,X94),
     --p9(X93,X95)]).

input_clause(p7_21,conjecture,
    [++p7(X87,X88),
     --p7(X86,X87),
     --p7(X86,X88)]).

input_clause(p6_22,conjecture,
    [++p6(X76,X77),
     --p6(X75,X76),
     --p6(X75,X77)]).

input_clause(p4_23,conjecture,
    [++p4(X54,X55),
     --p4(X53,X54),
     --p4(X53,X55)]).

input_clause(p3_24,conjecture,
    [++p3(X51,X52),
     --p3(X50,X51),
     --p3(X50,X52)]).

input_clause(p25_25,conjecture,
    [++p25(X44,X45),
     --p25(X43,X44),
     --p25(X43,X45)]).

input_clause(p23_26,conjecture,
    [++p23(X41,X42),
     --p23(X40,X41),
     --p23(X40,X42)]).

input_clause(p21_27,conjecture,
    [++p21(X34,X35),
     --p21(X33,X34),
     --p21(X33,X35)]).

input_clause(p2_28,conjecture,
    [++p2(X31,X32),
     --p2(X30,X31),
     --p2(X30,X32)]).

input_clause(p19_29,conjecture,
    [++p19(X24,X25),
     --p19(X23,X24),
     --p19(X23,X25)]).

input_clause(p18_30,conjecture,
    [++p18(X17,X18),
     --p18(X16,X17),
     --p18(X16,X18)]).

input_clause(p16_31,conjecture,
    [++p16(X14,X15),
     --p16(X13,X14),
     --p16(X13,X15)]).

input_clause(p14_32,conjecture,
    [++p14(X7,X8),
     --p14(X6,X7),
     --p14(X6,X8)]).

input_clause(p12_33,conjecture,
    [++p12(X4,X5),
     --p12(X3,X4),
     --p12(X3,X5)]).

input_clause(p4_34,conjecture,
    [++p4(f15(f17(c36,X60),f5(c35,X61)),f5(X60,X61))]).

input_clause(p27_35,conjecture,
    [++p27(X46,X47),
     --p3(X49,X47),
     --p7(X48,X46),
     --p27(X48,X49)]).

input_clause(p7_36,conjecture,
    [++p7(f8(X89,X90),f8(X91,X92)),
     --p3(X90,X92),
     --p6(X89,X91)]).

input_clause(p14_37,conjecture,
    [++p14(f17(X9,X10),f17(X11,X12)),
     --p16(X9,X11),
     --p2(X10,X12)]).

input_clause(p18_38,conjecture,
    [++p18(f26(X19,X20),f26(X21,X22)),
     --p25(X19,X21),
     --p3(X20,X22)]).

input_clause(p19_39,conjecture,
    [++p19(f22(X26,X27),f22(X28,X29)),
     --p19(X27,X29),
     --p21(X26,X28)]).

input_clause(p21_40,conjecture,
    [++p21(f24(X36,X37),f24(X38,X39)),
     --p14(X37,X39),
     --p23(X36,X38)]).

input_clause(p4_41,conjecture,
    [++p4(f15(X56,X57),f15(X58,X59)),
     --p14(X56,X58),
     --p4(X57,X59)]).

input_clause(p4_42,conjecture,
    [++p4(f20(X65,X66),f20(X67,X68)),
     --p18(X65,X67),
     --p19(X66,X68)]).

input_clause(p4_43,conjecture,
    [++p4(f5(X69,X70),f5(X71,X72)),
     --p2(X69,X71),
     --p3(X70,X72)]).

input_clause(p6_44,conjecture,
    [++p6(f10(X78,X79),f10(X80,X81)),
     --p6(X79,X81),
     --p9(X78,X80)]).

input_clause(p6_45,conjecture,
    [++p6(f13(X82,X83),f13(X84,X85)),
     --p11(X82,X84),
     --p12(X83,X85)]).

input_clause(p4_46,conjecture,
    [++p4(f5(c31,X73),f5(c31,X74)),
     --p27(f8(f10(c28,f13(c29,c30)),X73),X74)]).

input_clause(p4_47,conjecture,
    [++p4(f15(f17(c36,X62),f20(f26(c37,X63),X64)),f20(f26(c37,X63),f22(f24(c38,
f17(c36,X62)),X64)))]).
%--------------------------------------------------------------------------
