%--------------------------------------------------------------------------
% File     : SYN656-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic
% Problem  : Harrison problem 4483
% Version  : Especial.
% English  : 

% Refs     : [Har01] Email to G. Sutcliffe
% Source   : [Har01]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   49 (   3 non-Horn;  18 unit;  33 RR)
%            Number of literals   :  109 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   15 (   0 propositional; 2-2 arity)
%            Number of functors   :   20 (  11 constant; 0-2 arity)
%            Number of variables  :  118 (   2 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments :
%--------------------------------------------------------------------------
input_clause(p11_1,conjecture,
    [++p11(X0,X0)]).

input_clause(p9_2,conjecture,
    [++p9(X88,X88)]).

input_clause(p8_3,conjecture,
    [++p8(X85,X85)]).

input_clause(p6_4,conjecture,
    [++p6(X82,X82)]).

input_clause(p4_5,conjecture,
    [++p4(X75,X75)]).

input_clause(p3_6,conjecture,
    [++p3(X64,X64)]).

input_clause(p22_7,conjecture,
    [++p22(X41,X41)]).

input_clause(p20_8,conjecture,
    [++p20(X34,X34)]).

input_clause(p2_9,conjecture,
    [++p2(X27,X27)]).

input_clause(p18_10,conjecture,
    [++p18(X20,X20)]).

input_clause(p16_11,conjecture,
    [++p16(X17,X17)]).

input_clause(p14_12,conjecture,
    [++p14(X10,X10)]).

input_clause(p12_13,conjecture,
    [++p12(X3,X3)]).

input_clause(p24_14,conjecture,
    [++p24(c26,c27)]).

input_clause(p24_15,conjecture,
    [++p24(f10(c30,f13(c31,X50)),c27)]).

input_clause(not_p25_16,conjecture,
    [--p25(f5(f7(c28,c29),X95),X95)]).

input_clause(p11_17,conjecture,
    [++p11(X1,X2),
     --p11(X0,X1),
     --p11(X0,X2)]).

input_clause(p9_18,conjecture,
    [++p9(X89,X90),
     --p9(X88,X89),
     --p9(X88,X90)]).

input_clause(p8_19,conjecture,
    [++p8(X86,X87),
     --p8(X85,X86),
     --p8(X85,X87)]).

input_clause(p6_20,conjecture,
    [++p6(X83,X84),
     --p6(X82,X83),
     --p6(X82,X84)]).

input_clause(p4_21,conjecture,
    [++p4(X76,X77),
     --p4(X75,X76),
     --p4(X75,X77)]).

input_clause(p3_22,conjecture,
    [++p3(X65,X66),
     --p3(X64,X65),
     --p3(X64,X66)]).

input_clause(p22_23,conjecture,
    [++p22(X42,X43),
     --p22(X41,X42),
     --p22(X41,X43)]).

input_clause(p20_24,conjecture,
    [++p20(X35,X36),
     --p20(X34,X35),
     --p20(X34,X36)]).

input_clause(p2_25,conjecture,
    [++p2(X28,X29),
     --p2(X27,X28),
     --p2(X27,X29)]).

input_clause(p18_26,conjecture,
    [++p18(X21,X22),
     --p18(X20,X21),
     --p18(X20,X22)]).

input_clause(p16_27,conjecture,
    [++p16(X18,X19),
     --p16(X17,X18),
     --p16(X17,X19)]).

input_clause(p14_28,conjecture,
    [++p14(X11,X12),
     --p14(X10,X11),
     --p14(X10,X12)]).

input_clause(p12_29,conjecture,
    [++p12(X4,X5),
     --p12(X3,X4),
     --p12(X3,X5)]).

input_clause(p24_30,conjecture,
    [++p24(f10(c30,X48),c27),
     --p25(f5(c29,X49),X48)]).

input_clause(p25_31,conjecture,
    [++p25(f5(c29,f13(c31,f15(c32,X58))),f13(c31,X58))]).

input_clause(p25_32,conjecture,
    [++p25(f5(f7(c28,X55),X56),X57),
     --p25(f5(X55,X56),X57)]).

input_clause(p25_33,conjecture,
    [++p25(f5(f7(c28,X59),X60),X61),
     --p25(f5(X59,X60),X61)]).

input_clause(p24_34,conjecture,
    [++p24(X44,X45),
     --p4(X47,X45),
     --p9(X46,X44),
     --p24(X46,X47)]).

input_clause(p25_35,conjecture,
    [++p25(X51,X52),
     --p3(X54,X52),
     --p4(X53,X51),
     --p25(X53,X54)]).

input_clause(p9_36,conjecture,
    [++p9(f10(X91,X92),f10(X93,X94)),
     --p3(X92,X94),
     --p8(X91,X93)]).

input_clause(p12_37,conjecture,
    [++p12(f15(X6,X7),f15(X8,X9)),
     --p12(X7,X9),
     --p14(X6,X8)]).

input_clause(p14_38,conjecture,
    [++p14(f17(X13,X14),f17(X15,X16)),
     --p12(X14,X16),
     --p16(X13,X15)]).

input_clause(p18_39,conjecture,
    [++p18(f21(X23,X24),f21(X25,X26)),
     --p20(X23,X25),
     --p3(X24,X26)]).

input_clause(p2_40,conjecture,
    [++p2(f7(X30,X31),f7(X32,X33)),
     --p2(X31,X33),
     --p6(X30,X32)]).

input_clause(p20_41,conjecture,
    [++p20(f23(X37,X38),f23(X39,X40)),
     --p2(X38,X40),
     --p22(X37,X39)]).

input_clause(p3_42,conjecture,
    [++p3(f13(X67,X68),f13(X69,X70)),
     --p11(X67,X69),
     --p12(X68,X70)]).

input_clause(p3_43,conjecture,
    [++p3(f19(X71,X72),f19(X73,X74)),
     --p18(X71,X73),
     --p3(X72,X74)]).

input_clause(p4_44,conjecture,
    [++p4(f5(X78,X79),f5(X80,X81)),
     --p2(X78,X80),
     --p3(X79,X81)]).

input_clause(not_p25_45,conjecture,
    [--p25(f5(f7(c28,c29),f13(c31,f15(c32,f15(f17(c33,c34),c35)))),f13(c31,
c34))]).

input_clause(p25_46,conjecture,
    [++p25(f5(f7(c28,X55),X56),X57),
     --p25(f5(X55,X56),X62),
     --p25(f5(f7(c28,X55),X62),X57)]).

input_clause(p25_47,conjecture,
    [++p25(f5(X55,X56),X57),
     ++p25(f5(X55,X56),f19(f21(f23(c36,X55),X56),X57)),
     --p25(f5(f7(c28,X55),X56),X57)]).

input_clause(p25_48,conjecture,
    [++p25(f5(X55,X56),X57),
     ++p25(f5(f7(c28,X55),f19(f21(f23(c36,X55),X56),X57)),X57),
     --p25(f5(f7(c28,X55),X56),X57)]).

input_clause(p3_49,conjecture,
    [++p3(f13(c31,c34),f13(c31,f15(f17(c33,c34),X63))),
     ++p25(f5(f7(c28,c29),f13(c31,f15(f17(c33,c34),X63))),f13(c31,c34))]).
%--------------------------------------------------------------------------
