%--------------------------------------------------------------------------
% File     : SYN903-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF converse PDL, SSS - K=4 C=10 V=4 D=6.4
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cpdl-cnfSSS-K4-C10-V4-D6.4 [Sch01]

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.60 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :  455 (  28 non-Horn;  11 unit; 455 RR)
%            Number of literals   : 1675 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :  400 (  11 propositional; 0-2 arity)
%            Number of functors   :   55 (  11 constant; 0-1 arity)
%            Number of variables  : 1201 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Relational translation with renaming on the *-free converse
%            PDL formula.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC10]).

input_clause(clause2,conjecture,
    [--ssSkC9]).

input_clause(clause3,conjecture,
    [--ssSkC8]).

input_clause(clause4,conjecture,
    [--ssSkC7]).

input_clause(clause5,conjecture,
    [--ssSkC6]).

input_clause(clause6,conjecture,
    [--ssSkC5]).

input_clause(clause7,conjecture,
    [--ssSkC4]).

input_clause(clause8,conjecture,
    [--ssSkC3]).

input_clause(clause9,conjecture,
    [--ssSkC2]).

input_clause(clause10,conjecture,
    [--ssSkC1]).

input_clause(clause11,conjecture,
    [--ssSkC0]).

input_clause(clause12,conjecture,
    [++ssSkP370(skc21),
     ++ssSkC10]).

input_clause(clause13,conjecture,
    [++ssSkP279(skc20),
     ++ssSkC9]).

input_clause(clause14,conjecture,
    [++ssSkP249(skc19),
     ++ssSkC8]).

input_clause(clause15,conjecture,
    [++ssSkP217(skc18),
     ++ssSkC7]).

input_clause(clause16,conjecture,
    [++ssSkP187(skc17),
     ++ssSkC6]).

input_clause(clause17,conjecture,
    [++ssSkP160(skc16),
     ++ssSkC5]).

input_clause(clause18,conjecture,
    [++ssSkP128(skc15),
     ++ssSkC4]).

input_clause(clause19,conjecture,
    [++ssSkP109(skc14),
     ++ssSkC3]).

input_clause(clause20,conjecture,
    [++ssSkP81(skc13),
     ++ssSkC2]).

input_clause(clause21,conjecture,
    [++ssSkP60(skc12),
     ++ssSkC1]).

input_clause(clause22,conjecture,
    [++ssSkP28(skc11),
     ++ssSkC0]).

input_clause(clause23,conjecture,
    [--ssSkP301(U),
     ++ssSkP292(U)]).

input_clause(clause24,conjecture,
    [--ssSkP301(U),
     ++ssPv23(U)]).

input_clause(clause25,conjecture,
    [--ssSkP302(U),
     ++ssSkP294(U)]).

input_clause(clause26,conjecture,
    [--ssSkP302(U),
     ++ssPv13(U)]).

input_clause(clause27,conjecture,
    [--ssSkP303(U),
     ++ssSkP295(U)]).

input_clause(clause28,conjecture,
    [--ssSkP303(U),
     ++ssPv22(U)]).

input_clause(clause29,conjecture,
    [--ssSkP305(U),
     ++ssSkP298(U)]).

input_clause(clause30,conjecture,
    [--ssSkP305(U),
     ++ssPv21(U)]).

input_clause(clause31,conjecture,
    [--ssSkP306(U),
     ++ssSkP300(U)]).

input_clause(clause32,conjecture,
    [--ssSkP306(U),
     ++ssPv7(U)]).

input_clause(clause33,conjecture,
    [--ssSkP307(U),
     ++ssSkP293(U)]).

input_clause(clause34,conjecture,
    [--ssSkP307(U),
     ++ssPv16(U)]).

input_clause(clause35,conjecture,
    [--ssSkP308(U),
     ++ssSkP299(U)]).

input_clause(clause36,conjecture,
    [--ssSkP308(U),
     ++ssPv5(U)]).

input_clause(clause37,conjecture,
    [--ssSkP309(U),
     ++ssSkP297(U)]).

input_clause(clause38,conjecture,
    [--ssSkP309(U),
     ++ssPv15(U)]).

input_clause(clause39,conjecture,
    [--ssSkP310(U),
     ++ssSkP296(U)]).

input_clause(clause40,conjecture,
    [--ssSkP310(U),
     ++ssPv6(U)]).

input_clause(clause41,conjecture,
    [--ssSkP311(U),
     ++ssSkP280(U)]).

input_clause(clause42,conjecture,
    [--ssSkP311(U),
     ++ssSkP304(U)]).

input_clause(clause43,conjecture,
    [--ssSkP322(U),
     ++ssSkP321(U)]).

input_clause(clause44,conjecture,
    [--ssSkP324(U),
     ++ssSkP320(U)]).

input_clause(clause45,conjecture,
    [--ssSkP324(U),
     ++ssSkP323(U)]).

input_clause(clause46,conjecture,
    [--ssSkP326(U),
     ++ssSkP319(U)]).

input_clause(clause47,conjecture,
    [--ssSkP326(U),
     ++ssSkP325(U)]).

input_clause(clause48,conjecture,
    [--ssSkP328(U),
     ++ssSkP318(U)]).

input_clause(clause49,conjecture,
    [--ssSkP328(U),
     ++ssSkP327(U)]).

input_clause(clause50,conjecture,
    [--ssSkP330(U),
     ++ssSkP329(U)]).

input_clause(clause51,conjecture,
    [--ssSkP332(U),
     ++ssSkP331(U)]).

input_clause(clause52,conjecture,
    [--ssSkP334(U),
     ++ssSkP333(U)]).

input_clause(clause53,conjecture,
    [--ssSkP336(U),
     ++ssSkP335(U)]).

input_clause(clause54,conjecture,
    [--ssSkP338(U),
     ++ssSkP337(U)]).

input_clause(clause55,conjecture,
    [--ssSkP340(U),
     ++ssSkP317(U)]).

input_clause(clause56,conjecture,
    [--ssSkP340(U),
     ++ssSkP339(U)]).

input_clause(clause57,conjecture,
    [--ssSkP342(U),
     ++ssSkP341(U)]).

input_clause(clause58,conjecture,
    [--ssSkP344(U),
     ++ssSkP316(U)]).

input_clause(clause59,conjecture,
    [--ssSkP344(U),
     ++ssSkP343(U)]).

input_clause(clause60,conjecture,
    [--ssSkP346(U),
     ++ssSkP315(U)]).

input_clause(clause61,conjecture,
    [--ssSkP346(U),
     ++ssSkP345(U)]).

input_clause(clause62,conjecture,
    [--ssSkP348(U),
     ++ssSkP347(U)]).

input_clause(clause63,conjecture,
    [--ssSkP350(U),
     ++ssSkP349(U)]).

input_clause(clause64,conjecture,
    [--ssSkP352(U),
     ++ssSkP351(U)]).

input_clause(clause65,conjecture,
    [--ssSkP354(U),
     ++ssSkP353(U)]).

input_clause(clause66,conjecture,
    [--ssSkP356(U),
     ++ssSkP314(U)]).

input_clause(clause67,conjecture,
    [--ssSkP356(U),
     ++ssSkP355(U)]).

input_clause(clause68,conjecture,
    [--ssSkP358(U),
     ++ssSkP313(U)]).

input_clause(clause69,conjecture,
    [--ssSkP358(U),
     ++ssSkP357(U)]).

input_clause(clause70,conjecture,
    [--ssSkP360(U),
     ++ssSkP312(U)]).

input_clause(clause71,conjecture,
    [--ssSkP360(U),
     ++ssSkP359(U)]).

input_clause(clause72,conjecture,
    [--ssSkP362(U),
     ++ssSkP361(U)]).

input_clause(clause73,conjecture,
    [--ssSkP364(U),
     ++ssSkP363(U)]).

input_clause(clause74,conjecture,
    [--ssSkP366(U),
     ++ssSkP365(U)]).

input_clause(clause75,conjecture,
    [--ssSkP368(U),
     ++ssSkP367(U)]).

input_clause(clause76,conjecture,
    [--ssSkP370(U),
     ++ssSkP369(U)]).

input_clause(clause77,conjecture,
    [--ssSkP292(U),
     ++ssSkP282(skf54(U))]).

input_clause(clause78,conjecture,
    [--ssSkP293(U),
     ++ssSkP287(skf55(U))]).

input_clause(clause79,conjecture,
    [--ssSkP294(U),
     ++ssSkP283(skf56(U))]).

input_clause(clause80,conjecture,
    [--ssSkP295(U),
     ++ssSkP286(skf57(U))]).

input_clause(clause81,conjecture,
    [--ssSkP296(U),
     ++ssSkP289(skf58(U))]).

input_clause(clause82,conjecture,
    [--ssSkP297(U),
     ++ssSkP284(skf59(U))]).

input_clause(clause83,conjecture,
    [--ssSkP298(U),
     ++ssSkP290(skf60(U))]).

input_clause(clause84,conjecture,
    [--ssSkP299(U),
     ++ssSkP288(skf61(U))]).

input_clause(clause85,conjecture,
    [--ssSkP300(U),
     ++ssSkP285(skf62(U))]).

input_clause(clause86,conjecture,
    [--ssSkP312(U),
     ++ssSkP301(skf63(U))]).

input_clause(clause87,conjecture,
    [--ssSkP313(U),
     ++ssSkP303(skf64(U))]).

input_clause(clause88,conjecture,
    [--ssSkP314(U),
     ++ssSkP305(skf65(U))]).

input_clause(clause89,conjecture,
    [--ssSkP315(U),
     ++ssSkP307(skf66(U))]).

input_clause(clause90,conjecture,
    [--ssSkP316(U),
     ++ssSkP309(skf67(U))]).

input_clause(clause91,conjecture,
    [--ssSkP317(U),
     ++ssSkP302(skf68(U))]).

input_clause(clause92,conjecture,
    [--ssSkP318(U),
     ++ssSkP306(skf69(U))]).

input_clause(clause93,conjecture,
    [--ssSkP319(U),
     ++ssSkP310(skf70(U))]).

input_clause(clause94,conjecture,
    [--ssSkP320(U),
     ++ssSkP308(skf71(U))]).

input_clause(clause95,conjecture,
    [--ssSkP280(U),
     ++ssRr(U,skf44(U))]).

input_clause(clause96,conjecture,
    [--ssPv23(skf45(U)),
     --ssSkP282(U)]).

input_clause(clause97,conjecture,
    [--ssSkP282(U),
     ++ssRr(U,skf45(U))]).

input_clause(clause98,conjecture,
    [--ssPv13(skf46(U)),
     --ssSkP283(U)]).

input_clause(clause99,conjecture,
    [--ssSkP283(U),
     ++ssRr(U,skf46(U))]).

input_clause(clause100,conjecture,
    [--ssPv15(skf47(U)),
     --ssSkP284(U)]).

input_clause(clause101,conjecture,
    [--ssSkP284(U),
     ++ssRr(U,skf47(U))]).

input_clause(clause102,conjecture,
    [--ssPv7(skf48(U)),
     --ssSkP285(U)]).

input_clause(clause103,conjecture,
    [--ssSkP285(U),
     ++ssRr(U,skf48(U))]).

input_clause(clause104,conjecture,
    [--ssPv22(skf49(U)),
     --ssSkP286(U)]).

input_clause(clause105,conjecture,
    [--ssSkP286(U),
     ++ssRr(U,skf49(U))]).

input_clause(clause106,conjecture,
    [--ssPv16(skf50(U)),
     --ssSkP287(U)]).

input_clause(clause107,conjecture,
    [--ssSkP287(U),
     ++ssRr(U,skf50(U))]).

input_clause(clause108,conjecture,
    [--ssPv5(skf51(U)),
     --ssSkP288(U)]).

input_clause(clause109,conjecture,
    [--ssSkP288(U),
     ++ssRr(U,skf51(U))]).

input_clause(clause110,conjecture,
    [--ssPv6(skf52(U)),
     --ssSkP289(U)]).

input_clause(clause111,conjecture,
    [--ssSkP289(U),
     ++ssRr(U,skf52(U))]).

input_clause(clause112,conjecture,
    [--ssPv21(skf53(U)),
     --ssSkP290(U)]).

input_clause(clause113,conjecture,
    [--ssSkP290(U),
     ++ssRr(U,skf53(U))]).

input_clause(clause114,conjecture,
    [--ssSkP292(U),
     ++ssRr(skf54(U),U)]).

input_clause(clause115,conjecture,
    [--ssSkP293(U),
     ++ssRr(skf55(U),U)]).

input_clause(clause116,conjecture,
    [--ssSkP294(U),
     ++ssRr(skf56(U),U)]).

input_clause(clause117,conjecture,
    [--ssSkP295(U),
     ++ssRr(skf57(U),U)]).

input_clause(clause118,conjecture,
    [--ssSkP296(U),
     ++ssRr(skf58(U),U)]).

input_clause(clause119,conjecture,
    [--ssSkP297(U),
     ++ssRr(skf59(U),U)]).

input_clause(clause120,conjecture,
    [--ssSkP298(U),
     ++ssRr(skf60(U),U)]).

input_clause(clause121,conjecture,
    [--ssSkP299(U),
     ++ssRr(skf61(U),U)]).

input_clause(clause122,conjecture,
    [--ssSkP300(U),
     ++ssRr(skf62(U),U)]).

input_clause(clause123,conjecture,
    [--ssSkP312(U),
     ++ssRr(U,skf63(U))]).

input_clause(clause124,conjecture,
    [--ssSkP313(U),
     ++ssRr(U,skf64(U))]).

input_clause(clause125,conjecture,
    [--ssSkP314(U),
     ++ssRr(U,skf65(U))]).

input_clause(clause126,conjecture,
    [--ssSkP315(U),
     ++ssRr(U,skf66(U))]).

input_clause(clause127,conjecture,
    [--ssSkP316(U),
     ++ssRr(U,skf67(U))]).

input_clause(clause128,conjecture,
    [--ssSkP317(U),
     ++ssRr(U,skf68(U))]).

input_clause(clause129,conjecture,
    [--ssSkP318(U),
     ++ssRr(U,skf69(U))]).

input_clause(clause130,conjecture,
    [--ssSkP319(U),
     ++ssRr(U,skf70(U))]).

input_clause(clause131,conjecture,
    [--ssSkP320(U),
     ++ssRr(U,skf71(U))]).

input_clause(clause132,conjecture,
    [--ssSkP322(U),
     ++ssRr(U,skf72(U))]).

input_clause(clause133,conjecture,
    [--ssSkP330(U),
     ++ssRr(U,skf73(U))]).

input_clause(clause134,conjecture,
    [--ssSkP332(U),
     ++ssRr(U,skf74(U))]).

input_clause(clause135,conjecture,
    [--ssSkP334(U),
     ++ssRr(U,skf75(U))]).

input_clause(clause136,conjecture,
    [--ssSkP336(U),
     ++ssRr(U,skf76(U))]).

input_clause(clause137,conjecture,
    [--ssSkP338(U),
     ++ssRr(U,skf77(U))]).

input_clause(clause138,conjecture,
    [--ssSkP342(U),
     ++ssRr(U,skf78(U))]).

input_clause(clause139,conjecture,
    [--ssSkP348(U),
     ++ssRr(U,skf79(U))]).

input_clause(clause140,conjecture,
    [--ssSkP350(U),
     ++ssRr(U,skf80(U))]).

input_clause(clause141,conjecture,
    [--ssSkP352(U),
     ++ssRr(U,skf81(U))]).

input_clause(clause142,conjecture,
    [--ssSkP354(U),
     ++ssRr(U,skf82(U))]).

input_clause(clause143,conjecture,
    [--ssSkP362(U),
     ++ssRr(U,skf83(U))]).

input_clause(clause144,conjecture,
    [--ssSkP364(U),
     ++ssRr(U,skf84(U))]).

input_clause(clause145,conjecture,
    [--ssSkP366(U),
     ++ssRr(U,skf85(U))]).

input_clause(clause146,conjecture,
    [--ssSkP368(U),
     ++ssRr(U,skf86(U))]).

input_clause(clause147,conjecture,
    [--ssSkP370(U),
     ++ssRr(U,skf87(U))]).

input_clause(clause148,conjecture,
    [--ssSkP246(U),
     ++ssPv26(U),
     ++ssSkP245(U)]).

input_clause(clause149,conjecture,
    [--ssSkP209(U),
     ++ssPv22(U),
     ++ssSkP208(U)]).

input_clause(clause150,conjecture,
    [--ssSkP167(U),
     ++ssPv11(U),
     ++ssSkP166(U)]).

input_clause(clause151,conjecture,
    [--ssSkP158(U),
     ++ssPv27(U),
     ++ssSkP157(U)]).

input_clause(clause152,conjecture,
    [--ssSkP134(U),
     ++ssPv5(U),
     ++ssSkP133(U)]).

input_clause(clause153,conjecture,
    [--ssSkP126(U),
     ++ssPv27(U),
     ++ssSkP125(U)]).

input_clause(clause154,conjecture,
    [--ssSkP123(U),
     ++ssPv25(U),
     ++ssSkP122(U)]).

input_clause(clause155,conjecture,
    [--ssSkP113(U),
     ++ssPv16(U),
     ++ssSkP112(U)]).

input_clause(clause156,conjecture,
    [--ssSkP107(U),
     ++ssPv27(U),
     ++ssSkP106(U)]).

input_clause(clause157,conjecture,
    [--ssSkP85(U),
     ++ssPv7(U),
     ++ssSkP84(U)]).

input_clause(clause158,conjecture,
    [--ssSkP80(U),
     ++ssPv28(U),
     ++ssSkP79(U)]).

input_clause(clause159,conjecture,
    [--ssSkP66(U),
     ++ssPv16(U),
     ++ssSkP65(U)]).

input_clause(clause160,conjecture,
    [--ssSkP59(U),
     ++ssPv28(U),
     ++ssSkP58(U)]).

input_clause(clause161,conjecture,
    [--ssSkP53(U),
     ++ssPv23(U),
     ++ssSkP52(U)]).

input_clause(clause162,conjecture,
    [--ssSkP45(U),
     ++ssPv16(U),
     ++ssSkP44(U)]).

input_clause(clause163,conjecture,
    [--ssSkP27(U),
     ++ssPv28(U),
     ++ssSkP26(U)]).

input_clause(clause164,conjecture,
    [--ssSkP25(U),
     ++ssPv27(U),
     ++ssSkP24(U)]).

input_clause(clause165,conjecture,
    [--ssSkP276(U),
     --ssPv26(U),
     ++ssSkP275(U)]).

input_clause(clause166,conjecture,
    [--ssSkP270(U),
     --ssPv21(U),
     ++ssSkP269(U)]).

input_clause(clause167,conjecture,
    [--ssSkP263(U),
     --ssPv15(U),
     ++ssSkP262(U)]).

input_clause(clause168,conjecture,
    [--ssSkP241(U),
     --ssPv22(U),
     ++ssSkP240(U)]).

input_clause(clause169,conjecture,
    [--ssSkP224(U),
     --ssPv6(U),
     ++ssSkP223(U)]).

input_clause(clause170,conjecture,
    [--ssSkP215(U),
     --ssPv27(U),
     ++ssSkP214(U)]).

input_clause(clause171,conjecture,
    [--ssSkP193(U),
     --ssPv7(U),
     ++ssSkP192(U)]).

input_clause(clause172,conjecture,
    [--ssSkP185(U),
     --ssPv27(U),
     ++ssSkP184(U)]).

input_clause(clause173,conjecture,
    [--ssSkP180(U),
     --ssPv23(U),
     ++ssSkP179(U)]).

input_clause(clause174,conjecture,
    [--ssSkP146(U),
     --ssPv16(U),
     ++ssSkP145(U)]).

input_clause(clause175,conjecture,
    [--ssSkP105(U),
     --ssPv26(U),
     ++ssSkP104(U)]).

input_clause(clause176,conjecture,
    [--ssSkP70(U),
     --ssPv19(U),
     ++ssSkP69(U)]).

input_clause(clause177,conjecture,
    [--ssSkP12(U),
     --ssPv15(U),
     ++ssSkP11(U)]).

input_clause(clause178,conjecture,
    [--ssSkP291(U,V),
     --ssSkP369(V),
     ++ssSkP368(U)]).

input_clause(clause179,conjecture,
    [--ssSkP291(U,V),
     --ssSkP367(V),
     ++ssSkP366(U)]).

input_clause(clause180,conjecture,
    [--ssSkP251(U,V),
     --ssSkP279(V),
     ++ssSkP278(U)]).

input_clause(clause181,conjecture,
    [--ssSkP251(U,V),
     --ssSkP278(V),
     ++ssSkP277(U)]).

input_clause(clause182,conjecture,
    [--ssSkP219(U,V),
     --ssSkP249(V),
     ++ssSkP248(U)]).

input_clause(clause183,conjecture,
    [--ssSkP219(U,V),
     --ssSkP248(V),
     ++ssSkP247(U)]).

input_clause(clause184,conjecture,
    [--ssSkP189(U,V),
     --ssSkP217(V),
     ++ssSkP216(U)]).

input_clause(clause185,conjecture,
    [--ssSkP189(U,V),
     --ssSkP216(V),
     ++ssSkP215(U)]).

input_clause(clause186,conjecture,
    [--ssSkP162(U,V),
     --ssSkP187(V),
     ++ssSkP186(U)]).

input_clause(clause187,conjecture,
    [--ssSkP162(U,V),
     --ssSkP186(V),
     ++ssSkP185(U)]).

input_clause(clause188,conjecture,
    [--ssSkP130(U,V),
     --ssSkP160(V),
     ++ssSkP159(U)]).

input_clause(clause189,conjecture,
    [--ssSkP130(U,V),
     --ssSkP159(V),
     ++ssSkP158(U)]).

input_clause(clause190,conjecture,
    [--ssSkP111(U,V),
     --ssSkP128(V),
     ++ssSkP127(U)]).

input_clause(clause191,conjecture,
    [--ssSkP111(U,V),
     --ssSkP127(V),
     ++ssSkP126(U)]).

input_clause(clause192,conjecture,
    [--ssSkP83(U,V),
     --ssSkP109(V),
     ++ssSkP108(U)]).

input_clause(clause193,conjecture,
    [--ssSkP83(U,V),
     --ssSkP108(V),
     ++ssSkP107(U)]).

input_clause(clause194,conjecture,
    [--ssSkP62(U,V),
     --ssSkP81(V),
     ++ssSkP80(U)]).

input_clause(clause195,conjecture,
    [--ssSkP62(U,V),
     --ssSkP79(V),
     ++ssSkP78(U)]).

input_clause(clause196,conjecture,
    [--ssSkP30(U,V),
     --ssSkP60(V),
     ++ssSkP59(U)]).

input_clause(clause197,conjecture,
    [--ssSkP30(U,V),
     --ssSkP58(V),
     ++ssSkP57(U)]).

input_clause(clause198,conjecture,
    [--ssSkP1(U,V),
     --ssSkP28(V),
     ++ssSkP27(U)]).

input_clause(clause199,conjecture,
    [--ssSkP1(U,V),
     --ssSkP26(V),
     ++ssSkP25(U)]).

input_clause(clause200,conjecture,
    [--ssRr(U,V),
     --ssSkP281(W,V),
     ++ssSkP291(W,U)]).

input_clause(clause201,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP281(W,V)]).

input_clause(clause202,conjecture,
    [--ssRr(U,V),
     --ssSkP250(W,V),
     ++ssSkP251(W,U)]).

input_clause(clause203,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP250(W,V)]).

input_clause(clause204,conjecture,
    [--ssRr(U,V),
     --ssSkP218(W,V),
     ++ssSkP219(W,U)]).

input_clause(clause205,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP218(W,V)]).

input_clause(clause206,conjecture,
    [--ssRr(U,V),
     --ssSkP188(W,V),
     ++ssSkP189(W,U)]).

input_clause(clause207,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP188(W,V)]).

input_clause(clause208,conjecture,
    [--ssRr(U,V),
     --ssSkP161(W,V),
     ++ssSkP162(W,U)]).

input_clause(clause209,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP161(W,V)]).

input_clause(clause210,conjecture,
    [--ssRr(U,V),
     --ssSkP129(W,V),
     ++ssSkP130(W,U)]).

input_clause(clause211,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP129(W,V)]).

input_clause(clause212,conjecture,
    [--ssRr(U,V),
     --ssSkP110(W,V),
     ++ssSkP111(W,U)]).

input_clause(clause213,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP110(W,V)]).

input_clause(clause214,conjecture,
    [--ssRr(U,V),
     --ssSkP82(W,V),
     ++ssSkP83(W,U)]).

input_clause(clause215,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP82(W,V)]).

input_clause(clause216,conjecture,
    [--ssRr(U,V),
     --ssSkP61(W,V),
     ++ssSkP62(W,U)]).

input_clause(clause217,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP61(W,V)]).

input_clause(clause218,conjecture,
    [--ssRr(U,V),
     --ssSkP29(W,V),
     ++ssSkP30(W,U)]).

input_clause(clause219,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP29(W,V)]).

input_clause(clause220,conjecture,
    [--ssRr(U,V),
     --ssSkP0(W,V),
     ++ssSkP1(W,U)]).

input_clause(clause221,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP0(W,V)]).

input_clause(clause222,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP365(X),
     ++ssSkP364(W)]).

input_clause(clause223,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP363(X),
     ++ssSkP362(W)]).

input_clause(clause224,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP361(X),
     ++ssSkP360(W)]).

input_clause(clause225,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP359(X),
     ++ssSkP358(W)]).

input_clause(clause226,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP357(X),
     ++ssSkP356(W)]).

input_clause(clause227,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP355(X),
     ++ssSkP354(W)]).

input_clause(clause228,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP353(X),
     ++ssSkP352(W)]).

input_clause(clause229,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP351(X),
     ++ssSkP350(W)]).

input_clause(clause230,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP349(X),
     ++ssSkP348(W)]).

input_clause(clause231,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP347(X),
     ++ssSkP346(W)]).

input_clause(clause232,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP345(X),
     ++ssSkP344(W)]).

input_clause(clause233,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP343(X),
     ++ssSkP342(W)]).

input_clause(clause234,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP341(X),
     ++ssSkP340(W)]).

input_clause(clause235,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP339(X),
     ++ssSkP338(W)]).

input_clause(clause236,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP337(X),
     ++ssSkP336(W)]).

input_clause(clause237,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP335(X),
     ++ssSkP334(W)]).

input_clause(clause238,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP333(X),
     ++ssSkP332(W)]).

input_clause(clause239,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP331(X),
     ++ssSkP330(W)]).

input_clause(clause240,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP329(X),
     ++ssSkP328(W)]).

input_clause(clause241,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP327(X),
     ++ssSkP326(W)]).

input_clause(clause242,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP325(X),
     ++ssSkP324(W)]).

input_clause(clause243,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP323(X),
     ++ssSkP322(W)]).

input_clause(clause244,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP321(X),
     ++ssSkP311(W)]).

input_clause(clause245,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP304(X),
     ++ssSkP280(W)]).

input_clause(clause246,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP277(X),
     ++ssSkP276(W)]).

input_clause(clause247,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP275(X),
     ++ssSkP274(W)]).

input_clause(clause248,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP274(X),
     ++ssSkP273(W)]).

input_clause(clause249,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP273(X),
     ++ssSkP272(W)]).

input_clause(clause250,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP272(X),
     ++ssSkP271(W)]).

input_clause(clause251,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP271(X),
     ++ssSkP270(W)]).

input_clause(clause252,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP269(X),
     ++ssSkP268(W)]).

input_clause(clause253,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP268(X),
     ++ssSkP267(W)]).

input_clause(clause254,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP267(X),
     ++ssSkP266(W)]).

input_clause(clause255,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP266(X),
     ++ssSkP265(W)]).

input_clause(clause256,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP265(X),
     ++ssSkP264(W)]).

input_clause(clause257,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP264(X),
     ++ssSkP263(W)]).

input_clause(clause258,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP262(X),
     ++ssSkP261(W)]).

input_clause(clause259,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP261(X),
     ++ssSkP260(W)]).

input_clause(clause260,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP260(X),
     ++ssSkP259(W)]).

input_clause(clause261,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP259(X),
     ++ssSkP258(W)]).

input_clause(clause262,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP258(X),
     ++ssSkP257(W)]).

input_clause(clause263,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP257(X),
     ++ssSkP256(W)]).

input_clause(clause264,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP256(X),
     ++ssSkP255(W)]).

input_clause(clause265,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP255(X),
     ++ssSkP254(W)]).

input_clause(clause266,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP254(X),
     ++ssSkP253(W)]).

input_clause(clause267,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP253(X),
     ++ssSkP252(W)]).

input_clause(clause268,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP247(X),
     ++ssSkP246(W)]).

input_clause(clause269,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP245(X),
     ++ssSkP244(W)]).

input_clause(clause270,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP244(X),
     ++ssSkP243(W)]).

input_clause(clause271,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP243(X),
     ++ssSkP242(W)]).

input_clause(clause272,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP242(X),
     ++ssSkP241(W)]).

input_clause(clause273,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP240(X),
     ++ssSkP239(W)]).

input_clause(clause274,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP239(X),
     ++ssSkP238(W)]).

input_clause(clause275,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP238(X),
     ++ssSkP237(W)]).

input_clause(clause276,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP237(X),
     ++ssSkP236(W)]).

input_clause(clause277,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP236(X),
     ++ssSkP235(W)]).

input_clause(clause278,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP235(X),
     ++ssSkP234(W)]).

input_clause(clause279,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP234(X),
     ++ssSkP233(W)]).

input_clause(clause280,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP233(X),
     ++ssSkP232(W)]).

input_clause(clause281,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP232(X),
     ++ssSkP231(W)]).

input_clause(clause282,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP231(X),
     ++ssSkP230(W)]).

input_clause(clause283,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP230(X),
     ++ssSkP229(W)]).

input_clause(clause284,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP229(X),
     ++ssSkP228(W)]).

input_clause(clause285,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP228(X),
     ++ssSkP227(W)]).

input_clause(clause286,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP227(X),
     ++ssSkP226(W)]).

input_clause(clause287,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP226(X),
     ++ssSkP225(W)]).

input_clause(clause288,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP225(X),
     ++ssSkP224(W)]).

input_clause(clause289,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP223(X),
     ++ssSkP222(W)]).

input_clause(clause290,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP222(X),
     ++ssSkP221(W)]).

input_clause(clause291,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP221(X),
     ++ssSkP220(W)]).

input_clause(clause292,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP220(X),
     ++ssPv2(W)]).

input_clause(clause293,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP214(X),
     ++ssSkP213(W)]).

input_clause(clause294,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP213(X),
     ++ssSkP212(W)]).

input_clause(clause295,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP212(X),
     ++ssSkP211(W)]).

input_clause(clause296,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP211(X),
     ++ssSkP210(W)]).

input_clause(clause297,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP210(X),
     ++ssSkP209(W)]).

input_clause(clause298,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP208(X),
     ++ssSkP207(W)]).

input_clause(clause299,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP207(X),
     ++ssSkP206(W)]).

input_clause(clause300,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP206(X),
     ++ssSkP205(W)]).

input_clause(clause301,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP205(X),
     ++ssSkP204(W)]).

input_clause(clause302,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP204(X),
     ++ssSkP203(W)]).

input_clause(clause303,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP203(X),
     ++ssSkP202(W)]).

input_clause(clause304,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP202(X),
     ++ssSkP201(W)]).

input_clause(clause305,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP201(X),
     ++ssSkP200(W)]).

input_clause(clause306,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP200(X),
     ++ssSkP199(W)]).

input_clause(clause307,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP199(X),
     ++ssSkP198(W)]).

input_clause(clause308,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP198(X),
     ++ssSkP197(W)]).

input_clause(clause309,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP197(X),
     ++ssSkP196(W)]).

input_clause(clause310,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP196(X),
     ++ssSkP195(W)]).

input_clause(clause311,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP195(X),
     ++ssSkP194(W)]).

input_clause(clause312,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP194(X),
     ++ssSkP193(W)]).

input_clause(clause313,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP192(X),
     ++ssSkP191(W)]).

input_clause(clause314,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP191(X),
     ++ssSkP190(W)]).

input_clause(clause315,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP184(X),
     ++ssSkP183(W)]).

input_clause(clause316,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP183(X),
     ++ssSkP182(W)]).

input_clause(clause317,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP182(X),
     ++ssSkP181(W)]).

input_clause(clause318,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP181(X),
     ++ssSkP180(W)]).

input_clause(clause319,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP179(X),
     ++ssSkP178(W)]).

input_clause(clause320,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP178(X),
     ++ssSkP177(W)]).

input_clause(clause321,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP177(X),
     ++ssSkP176(W)]).

input_clause(clause322,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP176(X),
     ++ssSkP175(W)]).

input_clause(clause323,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP175(X),
     ++ssSkP174(W)]).

input_clause(clause324,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP174(X),
     ++ssSkP173(W)]).

input_clause(clause325,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP173(X),
     ++ssSkP172(W)]).

input_clause(clause326,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP172(X),
     ++ssSkP171(W)]).

input_clause(clause327,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP171(X),
     ++ssSkP170(W)]).

input_clause(clause328,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP170(X),
     ++ssSkP169(W)]).

input_clause(clause329,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP169(X),
     ++ssSkP168(W)]).

input_clause(clause330,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP168(X),
     ++ssSkP167(W)]).

input_clause(clause331,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP166(X),
     ++ssSkP165(W)]).

input_clause(clause332,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP165(X),
     ++ssSkP164(W)]).

input_clause(clause333,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP164(X),
     ++ssSkP163(W)]).

input_clause(clause334,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP157(X),
     ++ssSkP156(W)]).

input_clause(clause335,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP156(X),
     ++ssSkP155(W)]).

input_clause(clause336,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP155(X),
     ++ssSkP154(W)]).

input_clause(clause337,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP154(X),
     ++ssSkP153(W)]).

input_clause(clause338,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP153(X),
     ++ssSkP152(W)]).

input_clause(clause339,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP152(X),
     ++ssSkP151(W)]).

input_clause(clause340,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP151(X),
     ++ssSkP150(W)]).

input_clause(clause341,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP150(X),
     ++ssSkP149(W)]).

input_clause(clause342,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP149(X),
     ++ssSkP148(W)]).

input_clause(clause343,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP148(X),
     ++ssSkP147(W)]).

input_clause(clause344,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP147(X),
     ++ssSkP146(W)]).

input_clause(clause345,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP145(X),
     ++ssSkP144(W)]).

input_clause(clause346,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP144(X),
     ++ssSkP143(W)]).

input_clause(clause347,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP143(X),
     ++ssSkP142(W)]).

input_clause(clause348,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP142(X),
     ++ssSkP141(W)]).

input_clause(clause349,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP141(X),
     ++ssSkP140(W)]).

input_clause(clause350,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP140(X),
     ++ssSkP139(W)]).

input_clause(clause351,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP139(X),
     ++ssSkP138(W)]).

input_clause(clause352,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP138(X),
     ++ssSkP137(W)]).

input_clause(clause353,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP137(X),
     ++ssSkP136(W)]).

input_clause(clause354,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP136(X),
     ++ssSkP135(W)]).

input_clause(clause355,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP135(X),
     ++ssSkP134(W)]).

input_clause(clause356,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP133(X),
     ++ssSkP132(W)]).

input_clause(clause357,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP132(X),
     ++ssSkP131(W)]).

input_clause(clause358,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP131(X),
     ++ssPv2(W)]).

input_clause(clause359,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP125(X),
     ++ssSkP124(W)]).

input_clause(clause360,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP124(X),
     ++ssSkP123(W)]).

input_clause(clause361,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP122(X),
     ++ssSkP121(W)]).

input_clause(clause362,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP121(X),
     ++ssSkP120(W)]).

input_clause(clause363,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP120(X),
     ++ssSkP119(W)]).

input_clause(clause364,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP119(X),
     ++ssSkP118(W)]).

input_clause(clause365,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP118(X),
     ++ssSkP117(W)]).

input_clause(clause366,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP117(X),
     ++ssSkP116(W)]).

input_clause(clause367,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP116(X),
     ++ssSkP115(W)]).

input_clause(clause368,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP115(X),
     ++ssSkP114(W)]).

input_clause(clause369,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP114(X),
     ++ssSkP113(W)]).

input_clause(clause370,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP112(X),
     ++ssPv15(W)]).

input_clause(clause371,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP106(X),
     ++ssSkP105(W)]).

input_clause(clause372,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP104(X),
     ++ssSkP103(W)]).

input_clause(clause373,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP103(X),
     ++ssSkP102(W)]).

input_clause(clause374,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP102(X),
     ++ssSkP101(W)]).

input_clause(clause375,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP101(X),
     ++ssSkP100(W)]).

input_clause(clause376,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP100(X),
     ++ssSkP99(W)]).

input_clause(clause377,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP99(X),
     ++ssSkP98(W)]).

input_clause(clause378,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP98(X),
     ++ssSkP97(W)]).

input_clause(clause379,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP97(X),
     ++ssSkP96(W)]).

input_clause(clause380,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP96(X),
     ++ssSkP95(W)]).

input_clause(clause381,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP95(X),
     ++ssSkP94(W)]).

input_clause(clause382,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP94(X),
     ++ssSkP93(W)]).

input_clause(clause383,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP93(X),
     ++ssSkP92(W)]).

input_clause(clause384,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP92(X),
     ++ssSkP91(W)]).

input_clause(clause385,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP91(X),
     ++ssSkP90(W)]).

input_clause(clause386,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP90(X),
     ++ssSkP89(W)]).

input_clause(clause387,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP89(X),
     ++ssSkP88(W)]).

input_clause(clause388,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP88(X),
     ++ssSkP87(W)]).

input_clause(clause389,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP87(X),
     ++ssSkP86(W)]).

input_clause(clause390,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP86(X),
     ++ssSkP85(W)]).

input_clause(clause391,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP78(X),
     ++ssSkP77(W)]).

input_clause(clause392,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP77(X),
     ++ssSkP76(W)]).

input_clause(clause393,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP76(X),
     ++ssSkP75(W)]).

input_clause(clause394,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP75(X),
     ++ssSkP74(W)]).

input_clause(clause395,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP74(X),
     ++ssSkP73(W)]).

input_clause(clause396,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP73(X),
     ++ssSkP72(W)]).

input_clause(clause397,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP72(X),
     ++ssSkP71(W)]).

input_clause(clause398,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP71(X),
     ++ssSkP70(W)]).

input_clause(clause399,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP69(X),
     ++ssSkP68(W)]).

input_clause(clause400,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP68(X),
     ++ssSkP67(W)]).

input_clause(clause401,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP67(X),
     ++ssSkP66(W)]).

input_clause(clause402,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP65(X),
     ++ssSkP64(W)]).

input_clause(clause403,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP64(X),
     ++ssSkP63(W)]).

input_clause(clause404,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP57(X),
     ++ssSkP56(W)]).

input_clause(clause405,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP56(X),
     ++ssSkP55(W)]).

input_clause(clause406,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP55(X),
     ++ssSkP54(W)]).

input_clause(clause407,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP54(X),
     ++ssSkP53(W)]).

input_clause(clause408,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP52(X),
     ++ssSkP51(W)]).

input_clause(clause409,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP51(X),
     ++ssSkP50(W)]).

input_clause(clause410,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP50(X),
     ++ssSkP49(W)]).

input_clause(clause411,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP49(X),
     ++ssSkP48(W)]).

input_clause(clause412,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP48(X),
     ++ssSkP47(W)]).

input_clause(clause413,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP47(X),
     ++ssSkP46(W)]).

input_clause(clause414,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP46(X),
     ++ssSkP45(W)]).

input_clause(clause415,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP44(X),
     ++ssSkP43(W)]).

input_clause(clause416,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP43(X),
     ++ssSkP42(W)]).

input_clause(clause417,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP42(X),
     ++ssSkP41(W)]).

input_clause(clause418,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP41(X),
     ++ssSkP40(W)]).

input_clause(clause419,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP40(X),
     ++ssSkP39(W)]).

input_clause(clause420,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP39(X),
     ++ssSkP38(W)]).

input_clause(clause421,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP38(X),
     ++ssSkP37(W)]).

input_clause(clause422,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP37(X),
     ++ssSkP36(W)]).

input_clause(clause423,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP36(X),
     ++ssSkP35(W)]).

input_clause(clause424,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP35(X),
     ++ssSkP34(W)]).

input_clause(clause425,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP34(X),
     ++ssSkP33(W)]).

input_clause(clause426,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP33(X),
     ++ssSkP32(W)]).

input_clause(clause427,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP32(X),
     ++ssSkP31(W)]).

input_clause(clause428,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP31(X),
     ++ssPv2(W)]).

input_clause(clause429,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP24(X),
     ++ssSkP23(W)]).

input_clause(clause430,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP23(X),
     ++ssSkP22(W)]).

input_clause(clause431,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP22(X),
     ++ssSkP21(W)]).

input_clause(clause432,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP21(X),
     ++ssSkP20(W)]).

input_clause(clause433,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP20(X),
     ++ssSkP19(W)]).

input_clause(clause434,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP19(X),
     ++ssSkP18(W)]).

input_clause(clause435,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP18(X),
     ++ssSkP17(W)]).

input_clause(clause436,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP17(X),
     ++ssSkP16(W)]).

input_clause(clause437,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP16(X),
     ++ssSkP15(W)]).

input_clause(clause438,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP15(X),
     ++ssSkP14(W)]).

input_clause(clause439,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP14(X),
     ++ssSkP13(W)]).

input_clause(clause440,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP13(X),
     ++ssSkP12(W)]).

input_clause(clause441,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP11(X),
     ++ssSkP10(W)]).

input_clause(clause442,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP10(X),
     ++ssSkP9(W)]).

input_clause(clause443,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP9(X),
     ++ssSkP8(W)]).

input_clause(clause444,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP8(X),
     ++ssSkP7(W)]).

input_clause(clause445,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP7(X),
     ++ssSkP6(W)]).

input_clause(clause446,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP6(X),
     ++ssSkP5(W)]).

input_clause(clause447,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP5(X),
     ++ssSkP4(W)]).

input_clause(clause448,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP4(X),
     ++ssSkP3(W)]).

input_clause(clause449,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP3(X),
     ++ssSkP2(W)]).

input_clause(clause450,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv4(W),
     --ssSkP252(X)]).

input_clause(clause451,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv4(W),
     --ssSkP190(X)]).

input_clause(clause452,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv7(W),
     --ssSkP163(X)]).

input_clause(clause453,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP84(X)]).

input_clause(clause454,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv13(W),
     --ssSkP63(X)]).

input_clause(clause455,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv5(W),
     --ssSkP2(X)]).
%--------------------------------------------------------------------------
