%--------------------------------------------------------------------------
% File     : SYN907-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF converse PDL, SSS - K=4 C=20 V=4 D=6.4
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cpdl-cnfSSS-K4-C20-V4-D6.4 [Sch01]

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.60 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :  791 (  54 non-Horn;  21 unit; 791 RR)
%            Number of literals   : 3091 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :  727 (  21 propositional; 0-2 arity)
%            Number of functors   :   70 (  21 constant; 0-1 arity)
%            Number of variables  : 2261 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Relational translation with renaming on the *-free converse
%            PDL formula.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC20]).

input_clause(clause2,conjecture,
    [--ssSkC19]).

input_clause(clause3,conjecture,
    [--ssSkC18]).

input_clause(clause4,conjecture,
    [--ssSkC17]).

input_clause(clause5,conjecture,
    [--ssSkC16]).

input_clause(clause6,conjecture,
    [--ssSkC15]).

input_clause(clause7,conjecture,
    [--ssSkC14]).

input_clause(clause8,conjecture,
    [--ssSkC13]).

input_clause(clause9,conjecture,
    [--ssSkC12]).

input_clause(clause10,conjecture,
    [--ssSkC11]).

input_clause(clause11,conjecture,
    [--ssSkC10]).

input_clause(clause12,conjecture,
    [--ssSkC9]).

input_clause(clause13,conjecture,
    [--ssSkC8]).

input_clause(clause14,conjecture,
    [--ssSkC7]).

input_clause(clause15,conjecture,
    [--ssSkC6]).

input_clause(clause16,conjecture,
    [--ssSkC5]).

input_clause(clause17,conjecture,
    [--ssSkC4]).

input_clause(clause18,conjecture,
    [--ssSkC3]).

input_clause(clause19,conjecture,
    [--ssSkC2]).

input_clause(clause20,conjecture,
    [--ssSkC1]).

input_clause(clause21,conjecture,
    [--ssSkC0]).

input_clause(clause22,conjecture,
    [++ssSkP677(skc41),
     ++ssSkC20]).

input_clause(clause23,conjecture,
    [++ssSkP576(skc40),
     ++ssSkC19]).

input_clause(clause24,conjecture,
    [++ssSkP543(skc39),
     ++ssSkC18]).

input_clause(clause25,conjecture,
    [++ssSkP515(skc38),
     ++ssSkC17]).

input_clause(clause26,conjecture,
    [++ssSkP487(skc37),
     ++ssSkC16]).

input_clause(clause27,conjecture,
    [++ssSkP463(skc36),
     ++ssSkC15]).

input_clause(clause28,conjecture,
    [++ssSkP430(skc35),
     ++ssSkC14]).

input_clause(clause29,conjecture,
    [++ssSkP400(skc34),
     ++ssSkC13]).

input_clause(clause30,conjecture,
    [++ssSkP367(skc33),
     ++ssSkC12]).

input_clause(clause31,conjecture,
    [++ssSkP336(skc32),
     ++ssSkC11]).

input_clause(clause32,conjecture,
    [++ssSkP309(skc31),
     ++ssSkC10]).

input_clause(clause33,conjecture,
    [++ssSkP279(skc30),
     ++ssSkC9]).

input_clause(clause34,conjecture,
    [++ssSkP246(skc29),
     ++ssSkC8]).

input_clause(clause35,conjecture,
    [++ssSkP218(skc28),
     ++ssSkC7]).

input_clause(clause36,conjecture,
    [++ssSkP185(skc27),
     ++ssSkC6]).

input_clause(clause37,conjecture,
    [++ssSkP156(skc26),
     ++ssSkC5]).

input_clause(clause38,conjecture,
    [++ssSkP128(skc25),
     ++ssSkC4]).

input_clause(clause39,conjecture,
    [++ssSkP95(skc24),
     ++ssSkC3]).

input_clause(clause40,conjecture,
    [++ssSkP63(skc23),
     ++ssSkC2]).

input_clause(clause41,conjecture,
    [++ssSkP38(skc22),
     ++ssSkC1]).

input_clause(clause42,conjecture,
    [++ssSkP12(skc21),
     ++ssSkC0]).

input_clause(clause43,conjecture,
    [--ssSkP602(U),
     ++ssSkP591(U)]).

input_clause(clause44,conjecture,
    [--ssSkP602(U),
     ++ssPv24(U)]).

input_clause(clause45,conjecture,
    [--ssSkP603(U),
     ++ssSkP592(U)]).

input_clause(clause46,conjecture,
    [--ssSkP603(U),
     ++ssPv14(U)]).

input_clause(clause47,conjecture,
    [--ssSkP604(U),
     ++ssSkP594(U)]).

input_clause(clause48,conjecture,
    [--ssSkP604(U),
     ++ssPv23(U)]).

input_clause(clause49,conjecture,
    [--ssSkP605(U),
     ++ssSkP601(U)]).

input_clause(clause50,conjecture,
    [--ssSkP605(U),
     ++ssPv6(U)]).

input_clause(clause51,conjecture,
    [--ssSkP606(U),
     ++ssSkP597(U)]).

input_clause(clause52,conjecture,
    [--ssSkP606(U),
     ++ssPv22(U)]).

input_clause(clause53,conjecture,
    [--ssSkP607(U),
     ++ssSkP599(U)]).

input_clause(clause54,conjecture,
    [--ssSkP607(U),
     ++ssPv8(U)]).

input_clause(clause55,conjecture,
    [--ssSkP608(U),
     ++ssSkP600(U)]).

input_clause(clause56,conjecture,
    [--ssSkP608(U),
     ++ssPv21(U)]).

input_clause(clause57,conjecture,
    [--ssSkP610(U),
     ++ssSkP593(U)]).

input_clause(clause58,conjecture,
    [--ssSkP610(U),
     ++ssPv16(U)]).

input_clause(clause59,conjecture,
    [--ssSkP611(U),
     ++ssSkP596(U)]).

input_clause(clause60,conjecture,
    [--ssSkP611(U),
     ++ssPv7(U)]).

input_clause(clause61,conjecture,
    [--ssSkP612(U),
     ++ssSkP598(U)]).

input_clause(clause62,conjecture,
    [--ssSkP612(U),
     ++ssPv15(U)]).

input_clause(clause63,conjecture,
    [--ssSkP613(U),
     ++ssSkP595(U)]).

input_clause(clause64,conjecture,
    [--ssSkP613(U),
     ++ssPv5(U)]).

input_clause(clause65,conjecture,
    [--ssSkP614(U),
     ++ssSkP577(U)]).

input_clause(clause66,conjecture,
    [--ssSkP614(U),
     ++ssSkP609(U)]).

input_clause(clause67,conjecture,
    [--ssSkP627(U),
     ++ssSkP626(U)]).

input_clause(clause68,conjecture,
    [--ssSkP629(U),
     ++ssSkP628(U)]).

input_clause(clause69,conjecture,
    [--ssSkP631(U),
     ++ssSkP625(U)]).

input_clause(clause70,conjecture,
    [--ssSkP631(U),
     ++ssSkP630(U)]).

input_clause(clause71,conjecture,
    [--ssSkP633(U),
     ++ssSkP624(U)]).

input_clause(clause72,conjecture,
    [--ssSkP633(U),
     ++ssSkP632(U)]).

input_clause(clause73,conjecture,
    [--ssSkP635(U),
     ++ssSkP623(U)]).

input_clause(clause74,conjecture,
    [--ssSkP635(U),
     ++ssSkP634(U)]).

input_clause(clause75,conjecture,
    [--ssSkP637(U),
     ++ssSkP622(U)]).

input_clause(clause76,conjecture,
    [--ssSkP637(U),
     ++ssSkP636(U)]).

input_clause(clause77,conjecture,
    [--ssSkP639(U),
     ++ssSkP638(U)]).

input_clause(clause78,conjecture,
    [--ssSkP641(U),
     ++ssSkP640(U)]).

input_clause(clause79,conjecture,
    [--ssSkP643(U),
     ++ssSkP642(U)]).

input_clause(clause80,conjecture,
    [--ssSkP645(U),
     ++ssSkP644(U)]).

input_clause(clause81,conjecture,
    [--ssSkP647(U),
     ++ssSkP646(U)]).

input_clause(clause82,conjecture,
    [--ssSkP649(U),
     ++ssSkP621(U)]).

input_clause(clause83,conjecture,
    [--ssSkP649(U),
     ++ssSkP648(U)]).

input_clause(clause84,conjecture,
    [--ssSkP651(U),
     ++ssSkP620(U)]).

input_clause(clause85,conjecture,
    [--ssSkP651(U),
     ++ssSkP650(U)]).

input_clause(clause86,conjecture,
    [--ssSkP653(U),
     ++ssSkP619(U)]).

input_clause(clause87,conjecture,
    [--ssSkP653(U),
     ++ssSkP652(U)]).

input_clause(clause88,conjecture,
    [--ssSkP655(U),
     ++ssSkP654(U)]).

input_clause(clause89,conjecture,
    [--ssSkP657(U),
     ++ssSkP656(U)]).

input_clause(clause90,conjecture,
    [--ssSkP659(U),
     ++ssSkP658(U)]).

input_clause(clause91,conjecture,
    [--ssSkP661(U),
     ++ssSkP660(U)]).

input_clause(clause92,conjecture,
    [--ssSkP663(U),
     ++ssSkP618(U)]).

input_clause(clause93,conjecture,
    [--ssSkP663(U),
     ++ssSkP662(U)]).

input_clause(clause94,conjecture,
    [--ssSkP665(U),
     ++ssSkP617(U)]).

input_clause(clause95,conjecture,
    [--ssSkP665(U),
     ++ssSkP664(U)]).

input_clause(clause96,conjecture,
    [--ssSkP667(U),
     ++ssSkP616(U)]).

input_clause(clause97,conjecture,
    [--ssSkP667(U),
     ++ssSkP666(U)]).

input_clause(clause98,conjecture,
    [--ssSkP669(U),
     ++ssSkP615(U)]).

input_clause(clause99,conjecture,
    [--ssSkP669(U),
     ++ssSkP668(U)]).

input_clause(clause100,conjecture,
    [--ssSkP671(U),
     ++ssSkP670(U)]).

input_clause(clause101,conjecture,
    [--ssSkP673(U),
     ++ssSkP672(U)]).

input_clause(clause102,conjecture,
    [--ssSkP675(U),
     ++ssSkP674(U)]).

input_clause(clause103,conjecture,
    [--ssSkP677(U),
     ++ssSkP676(U)]).

input_clause(clause104,conjecture,
    [--ssSkP591(U),
     ++ssSkP579(skf61(U))]).

input_clause(clause105,conjecture,
    [--ssSkP592(U),
     ++ssSkP589(skf62(U))]).

input_clause(clause106,conjecture,
    [--ssSkP593(U),
     ++ssSkP586(skf63(U))]).

input_clause(clause107,conjecture,
    [--ssSkP594(U),
     ++ssSkP583(skf64(U))]).

input_clause(clause108,conjecture,
    [--ssSkP595(U),
     ++ssSkP584(skf65(U))]).

input_clause(clause109,conjecture,
    [--ssSkP596(U),
     ++ssSkP580(skf66(U))]).

input_clause(clause110,conjecture,
    [--ssSkP597(U),
     ++ssSkP587(skf67(U))]).

input_clause(clause111,conjecture,
    [--ssSkP598(U),
     ++ssSkP582(skf68(U))]).

input_clause(clause112,conjecture,
    [--ssSkP599(U),
     ++ssSkP588(skf69(U))]).

input_clause(clause113,conjecture,
    [--ssSkP600(U),
     ++ssSkP581(skf70(U))]).

input_clause(clause114,conjecture,
    [--ssSkP601(U),
     ++ssSkP585(skf71(U))]).

input_clause(clause115,conjecture,
    [--ssSkP615(U),
     ++ssSkP602(skf72(U))]).

input_clause(clause116,conjecture,
    [--ssSkP616(U),
     ++ssSkP604(skf73(U))]).

input_clause(clause117,conjecture,
    [--ssSkP617(U),
     ++ssSkP606(skf74(U))]).

input_clause(clause118,conjecture,
    [--ssSkP618(U),
     ++ssSkP608(skf75(U))]).

input_clause(clause119,conjecture,
    [--ssSkP619(U),
     ++ssSkP610(skf76(U))]).

input_clause(clause120,conjecture,
    [--ssSkP620(U),
     ++ssSkP612(skf77(U))]).

input_clause(clause121,conjecture,
    [--ssSkP621(U),
     ++ssSkP603(skf78(U))]).

input_clause(clause122,conjecture,
    [--ssSkP622(U),
     ++ssSkP607(skf79(U))]).

input_clause(clause123,conjecture,
    [--ssSkP623(U),
     ++ssSkP611(skf80(U))]).

input_clause(clause124,conjecture,
    [--ssSkP624(U),
     ++ssSkP605(skf81(U))]).

input_clause(clause125,conjecture,
    [--ssSkP625(U),
     ++ssSkP613(skf82(U))]).

input_clause(clause126,conjecture,
    [--ssSkP577(U),
     ++ssRr(U,skf49(U))]).

input_clause(clause127,conjecture,
    [--ssPv24(skf50(U)),
     --ssSkP579(U)]).

input_clause(clause128,conjecture,
    [--ssSkP579(U),
     ++ssRr(U,skf50(U))]).

input_clause(clause129,conjecture,
    [--ssPv7(skf51(U)),
     --ssSkP580(U)]).

input_clause(clause130,conjecture,
    [--ssSkP580(U),
     ++ssRr(U,skf51(U))]).

input_clause(clause131,conjecture,
    [--ssPv21(skf52(U)),
     --ssSkP581(U)]).

input_clause(clause132,conjecture,
    [--ssSkP581(U),
     ++ssRr(U,skf52(U))]).

input_clause(clause133,conjecture,
    [--ssPv15(skf53(U)),
     --ssSkP582(U)]).

input_clause(clause134,conjecture,
    [--ssSkP582(U),
     ++ssRr(U,skf53(U))]).

input_clause(clause135,conjecture,
    [--ssPv23(skf54(U)),
     --ssSkP583(U)]).

input_clause(clause136,conjecture,
    [--ssSkP583(U),
     ++ssRr(U,skf54(U))]).

input_clause(clause137,conjecture,
    [--ssPv5(skf55(U)),
     --ssSkP584(U)]).

input_clause(clause138,conjecture,
    [--ssSkP584(U),
     ++ssRr(U,skf55(U))]).

input_clause(clause139,conjecture,
    [--ssPv6(skf56(U)),
     --ssSkP585(U)]).

input_clause(clause140,conjecture,
    [--ssSkP585(U),
     ++ssRr(U,skf56(U))]).

input_clause(clause141,conjecture,
    [--ssPv16(skf57(U)),
     --ssSkP586(U)]).

input_clause(clause142,conjecture,
    [--ssSkP586(U),
     ++ssRr(U,skf57(U))]).

input_clause(clause143,conjecture,
    [--ssPv22(skf58(U)),
     --ssSkP587(U)]).

input_clause(clause144,conjecture,
    [--ssSkP587(U),
     ++ssRr(U,skf58(U))]).

input_clause(clause145,conjecture,
    [--ssPv8(skf59(U)),
     --ssSkP588(U)]).

input_clause(clause146,conjecture,
    [--ssSkP588(U),
     ++ssRr(U,skf59(U))]).

input_clause(clause147,conjecture,
    [--ssPv14(skf60(U)),
     --ssSkP589(U)]).

input_clause(clause148,conjecture,
    [--ssSkP589(U),
     ++ssRr(U,skf60(U))]).

input_clause(clause149,conjecture,
    [--ssSkP591(U),
     ++ssRr(skf61(U),U)]).

input_clause(clause150,conjecture,
    [--ssSkP592(U),
     ++ssRr(skf62(U),U)]).

input_clause(clause151,conjecture,
    [--ssSkP593(U),
     ++ssRr(skf63(U),U)]).

input_clause(clause152,conjecture,
    [--ssSkP594(U),
     ++ssRr(skf64(U),U)]).

input_clause(clause153,conjecture,
    [--ssSkP595(U),
     ++ssRr(skf65(U),U)]).

input_clause(clause154,conjecture,
    [--ssSkP596(U),
     ++ssRr(skf66(U),U)]).

input_clause(clause155,conjecture,
    [--ssSkP597(U),
     ++ssRr(skf67(U),U)]).

input_clause(clause156,conjecture,
    [--ssSkP598(U),
     ++ssRr(skf68(U),U)]).

input_clause(clause157,conjecture,
    [--ssSkP599(U),
     ++ssRr(skf69(U),U)]).

input_clause(clause158,conjecture,
    [--ssSkP600(U),
     ++ssRr(skf70(U),U)]).

input_clause(clause159,conjecture,
    [--ssSkP601(U),
     ++ssRr(skf71(U),U)]).

input_clause(clause160,conjecture,
    [--ssSkP615(U),
     ++ssRr(U,skf72(U))]).

input_clause(clause161,conjecture,
    [--ssSkP616(U),
     ++ssRr(U,skf73(U))]).

input_clause(clause162,conjecture,
    [--ssSkP617(U),
     ++ssRr(U,skf74(U))]).

input_clause(clause163,conjecture,
    [--ssSkP618(U),
     ++ssRr(U,skf75(U))]).

input_clause(clause164,conjecture,
    [--ssSkP619(U),
     ++ssRr(U,skf76(U))]).

input_clause(clause165,conjecture,
    [--ssSkP620(U),
     ++ssRr(U,skf77(U))]).

input_clause(clause166,conjecture,
    [--ssSkP621(U),
     ++ssRr(U,skf78(U))]).

input_clause(clause167,conjecture,
    [--ssSkP622(U),
     ++ssRr(U,skf79(U))]).

input_clause(clause168,conjecture,
    [--ssSkP623(U),
     ++ssRr(U,skf80(U))]).

input_clause(clause169,conjecture,
    [--ssSkP624(U),
     ++ssRr(U,skf81(U))]).

input_clause(clause170,conjecture,
    [--ssSkP625(U),
     ++ssRr(U,skf82(U))]).

input_clause(clause171,conjecture,
    [--ssSkP627(U),
     ++ssRr(U,skf83(U))]).

input_clause(clause172,conjecture,
    [--ssSkP629(U),
     ++ssRr(U,skf84(U))]).

input_clause(clause173,conjecture,
    [--ssSkP639(U),
     ++ssRr(U,skf85(U))]).

input_clause(clause174,conjecture,
    [--ssSkP641(U),
     ++ssRr(U,skf86(U))]).

input_clause(clause175,conjecture,
    [--ssSkP643(U),
     ++ssRr(U,skf87(U))]).

input_clause(clause176,conjecture,
    [--ssSkP645(U),
     ++ssRr(U,skf88(U))]).

input_clause(clause177,conjecture,
    [--ssSkP647(U),
     ++ssRr(U,skf89(U))]).

input_clause(clause178,conjecture,
    [--ssSkP655(U),
     ++ssRr(U,skf90(U))]).

input_clause(clause179,conjecture,
    [--ssSkP657(U),
     ++ssRr(U,skf91(U))]).

input_clause(clause180,conjecture,
    [--ssSkP659(U),
     ++ssRr(U,skf92(U))]).

input_clause(clause181,conjecture,
    [--ssSkP661(U),
     ++ssRr(U,skf93(U))]).

input_clause(clause182,conjecture,
    [--ssSkP671(U),
     ++ssRr(U,skf94(U))]).

input_clause(clause183,conjecture,
    [--ssSkP673(U),
     ++ssRr(U,skf95(U))]).

input_clause(clause184,conjecture,
    [--ssSkP675(U),
     ++ssRr(U,skf96(U))]).

input_clause(clause185,conjecture,
    [--ssSkP677(U),
     ++ssRr(U,skf97(U))]).

input_clause(clause186,conjecture,
    [--ssSkP561(U),
     ++ssPv14(U),
     ++ssSkP560(U)]).

input_clause(clause187,conjecture,
    [--ssSkP556(U),
     ++ssPv10(U),
     ++ssSkP555(U)]).

input_clause(clause188,conjecture,
    [--ssSkP551(U),
     ++ssPv6(U),
     ++ssSkP550(U)]).

input_clause(clause189,conjecture,
    [--ssSkP531(U),
     ++ssPv17(U),
     ++ssSkP530(U)]).

input_clause(clause190,conjecture,
    [--ssSkP527(U),
     ++ssPv14(U),
     ++ssSkP526(U)]).

input_clause(clause191,conjecture,
    [--ssSkP521(U),
     ++ssPv9(U),
     ++ssSkP520(U)]).

input_clause(clause192,conjecture,
    [--ssSkP502(U),
     ++ssPv17(U),
     ++ssSkP501(U)]).

input_clause(clause193,conjecture,
    [--ssSkP492(U),
     ++ssPv8(U),
     ++ssSkP491(U)]).

input_clause(clause194,conjecture,
    [--ssSkP472(U),
     ++ssPv15(U),
     ++ssSkP471(U)]).

input_clause(clause195,conjecture,
    [--ssSkP470(U),
     ++ssPv14(U),
     ++ssSkP469(U)]).

input_clause(clause196,conjecture,
    [--ssSkP422(U),
     ++ssPv21(U),
     ++ssSkP421(U)]).

input_clause(clause197,conjecture,
    [--ssSkP409(U),
     ++ssPv10(U),
     ++ssSkP408(U)]).

input_clause(clause198,conjecture,
    [--ssSkP376(U),
     ++ssPv6(U),
     ++ssSkP375(U)]).

input_clause(clause199,conjecture,
    [--ssSkP372(U),
     ++ssPv3(U),
     ++ssSkP371(U)]).

input_clause(clause200,conjecture,
    [--ssSkP355(U),
     ++ssPv18(U),
     ++ssSkP354(U)]).

input_clause(clause201,conjecture,
    [--ssSkP352(U),
     ++ssPv16(U),
     ++ssSkP351(U)]).

input_clause(clause202,conjecture,
    [--ssSkP326(U),
     ++ssPv20(U),
     ++ssSkP325(U)]).

input_clause(clause203,conjecture,
    [--ssSkP314(U),
     ++ssPv9(U),
     ++ssSkP313(U)]).

input_clause(clause204,conjecture,
    [--ssSkP302(U),
     ++ssPv22(U),
     ++ssSkP301(U)]).

input_clause(clause205,conjecture,
    [--ssSkP284(U),
     ++ssPv6(U),
     ++ssSkP283(U)]).

input_clause(clause206,conjecture,
    [--ssSkP257(U),
     ++ssPv9(U),
     ++ssSkP256(U)]).

input_clause(clause207,conjecture,
    [--ssSkP232(U),
     ++ssPv17(U),
     ++ssSkP231(U)]).

input_clause(clause208,conjecture,
    [--ssSkP167(U),
     ++ssPv12(U),
     ++ssSkP166(U)]).

input_clause(clause209,conjecture,
    [--ssSkP161(U),
     ++ssPv7(U),
     ++ssSkP160(U)]).

input_clause(clause210,conjecture,
    [--ssSkP142(U),
     ++ssPv16(U),
     ++ssSkP141(U)]).

input_clause(clause211,conjecture,
    [--ssSkP134(U),
     ++ssPv9(U),
     ++ssSkP133(U)]).

input_clause(clause212,conjecture,
    [--ssSkP124(U),
     ++ssPv25(U),
     ++ssSkP123(U)]).

input_clause(clause213,conjecture,
    [--ssSkP114(U),
     ++ssPv16(U),
     ++ssSkP113(U)]).

input_clause(clause214,conjecture,
    [--ssSkP104(U),
     ++ssPv7(U),
     ++ssSkP103(U)]).

input_clause(clause215,conjecture,
    [--ssSkP72(U),
     ++ssPv8(U),
     ++ssSkP71(U)]).

input_clause(clause216,conjecture,
    [--ssSkP57(U),
     ++ssPv24(U),
     ++ssSkP56(U)]).

input_clause(clause217,conjecture,
    [--ssSkP16(U),
     ++ssPv9(U),
     ++ssSkP15(U)]).

input_clause(clause218,conjecture,
    [--ssSkP7(U),
     ++ssPv25(U),
     ++ssSkP6(U)]).

input_clause(clause219,conjecture,
    [--ssSkP505(U),
     --ssPv19(U),
     ++ssSkP504(U)]).

input_clause(clause220,conjecture,
    [--ssSkP478(U),
     --ssPv20(U),
     ++ssSkP477(U)]).

input_clause(clause221,conjecture,
    [--ssSkP455(U),
     --ssPv21(U),
     ++ssSkP454(U)]).

input_clause(clause222,conjecture,
    [--ssSkP447(U),
     --ssPv14(U),
     ++ssSkP446(U)]).

input_clause(clause223,conjecture,
    [--ssSkP443(U),
     --ssPv11(U),
     ++ssSkP442(U)]).

input_clause(clause224,conjecture,
    [--ssSkP416(U),
     --ssPv16(U),
     ++ssSkP415(U)]).

input_clause(clause225,conjecture,
    [--ssSkP393(U),
     --ssPv22(U),
     ++ssSkP392(U)]).

input_clause(clause226,conjecture,
    [--ssSkP360(U),
     --ssPv22(U),
     ++ssSkP359(U)]).

input_clause(clause227,conjecture,
    [--ssSkP329(U),
     --ssPv22(U),
     ++ssSkP328(U)]).

input_clause(clause228,conjecture,
    [--ssSkP288(U),
     --ssPv9(U),
     ++ssSkP287(U)]).

input_clause(clause229,conjecture,
    [--ssSkP273(U),
     --ssPv23(U),
     ++ssSkP272(U)]).

input_clause(clause230,conjecture,
    [--ssSkP264(U),
     --ssPv15(U),
     ++ssSkP263(U)]).

input_clause(clause231,conjecture,
    [--ssSkP240(U),
     --ssPv23(U),
     ++ssSkP239(U)]).

input_clause(clause232,conjecture,
    [--ssSkP235(U),
     --ssPv19(U),
     ++ssSkP234(U)]).

input_clause(clause233,conjecture,
    [--ssSkP212(U),
     --ssPv23(U),
     ++ssSkP211(U)]).

input_clause(clause234,conjecture,
    [--ssSkP209(U),
     --ssPv21(U),
     ++ssSkP208(U)]).

input_clause(clause235,conjecture,
    [--ssSkP207(U),
     --ssPv20(U),
     ++ssSkP206(U)]).

input_clause(clause236,conjecture,
    [--ssSkP181(U),
     --ssPv25(U),
     ++ssSkP180(U)]).

input_clause(clause237,conjecture,
    [--ssSkP152(U),
     --ssPv25(U),
     ++ssSkP151(U)]).

input_clause(clause238,conjecture,
    [--ssSkP92(U),
     --ssPv26(U),
     ++ssSkP91(U)]).

input_clause(clause239,conjecture,
    [--ssSkP80(U),
     --ssPv15(U),
     ++ssSkP79(U)]).

input_clause(clause240,conjecture,
    [--ssSkP61(U),
     --ssPv27(U),
     ++ssSkP60(U)]).

input_clause(clause241,conjecture,
    [--ssSkP54(U),
     --ssPv22(U),
     ++ssSkP53(U)]).

input_clause(clause242,conjecture,
    [--ssSkP37(U),
     --ssPv28(U),
     ++ssSkP36(U)]).

input_clause(clause243,conjecture,
    [--ssSkP22(U),
     --ssPv14(U),
     ++ssSkP21(U)]).

input_clause(clause244,conjecture,
    [--ssSkP11(U),
     --ssPv28(U),
     ++ssSkP10(U)]).

input_clause(clause245,conjecture,
    [--ssSkP4(U),
     --ssPv23(U),
     ++ssSkP3(U)]).

input_clause(clause246,conjecture,
    [--ssSkP590(U,V),
     --ssSkP676(V),
     ++ssSkP675(U)]).

input_clause(clause247,conjecture,
    [--ssSkP590(U,V),
     --ssSkP674(V),
     ++ssSkP673(U)]).

input_clause(clause248,conjecture,
    [--ssSkP545(U,V),
     --ssSkP576(V),
     ++ssSkP575(U)]).

input_clause(clause249,conjecture,
    [--ssSkP545(U,V),
     --ssSkP575(V),
     ++ssSkP574(U)]).

input_clause(clause250,conjecture,
    [--ssSkP517(U,V),
     --ssSkP543(V),
     ++ssSkP542(U)]).

input_clause(clause251,conjecture,
    [--ssSkP517(U,V),
     --ssSkP542(V),
     ++ssSkP541(U)]).

input_clause(clause252,conjecture,
    [--ssSkP489(U,V),
     --ssSkP515(V),
     ++ssSkP514(U)]).

input_clause(clause253,conjecture,
    [--ssSkP489(U,V),
     --ssSkP514(V),
     ++ssSkP513(U)]).

input_clause(clause254,conjecture,
    [--ssSkP465(U,V),
     --ssSkP487(V),
     ++ssSkP486(U)]).

input_clause(clause255,conjecture,
    [--ssSkP465(U,V),
     --ssSkP486(V),
     ++ssSkP485(U)]).

input_clause(clause256,conjecture,
    [--ssSkP432(U,V),
     --ssSkP463(V),
     ++ssSkP462(U)]).

input_clause(clause257,conjecture,
    [--ssSkP432(U,V),
     --ssSkP462(V),
     ++ssSkP461(U)]).

input_clause(clause258,conjecture,
    [--ssSkP402(U,V),
     --ssSkP430(V),
     ++ssSkP429(U)]).

input_clause(clause259,conjecture,
    [--ssSkP402(U,V),
     --ssSkP429(V),
     ++ssSkP428(U)]).

input_clause(clause260,conjecture,
    [--ssSkP369(U,V),
     --ssSkP400(V),
     ++ssSkP399(U)]).

input_clause(clause261,conjecture,
    [--ssSkP369(U,V),
     --ssSkP399(V),
     ++ssSkP398(U)]).

input_clause(clause262,conjecture,
    [--ssSkP338(U,V),
     --ssSkP367(V),
     ++ssSkP366(U)]).

input_clause(clause263,conjecture,
    [--ssSkP338(U,V),
     --ssSkP366(V),
     ++ssSkP365(U)]).

input_clause(clause264,conjecture,
    [--ssSkP311(U,V),
     --ssSkP336(V),
     ++ssSkP335(U)]).

input_clause(clause265,conjecture,
    [--ssSkP311(U,V),
     --ssSkP335(V),
     ++ssSkP334(U)]).

input_clause(clause266,conjecture,
    [--ssSkP281(U,V),
     --ssSkP309(V),
     ++ssSkP308(U)]).

input_clause(clause267,conjecture,
    [--ssSkP281(U,V),
     --ssSkP308(V),
     ++ssSkP307(U)]).

input_clause(clause268,conjecture,
    [--ssSkP248(U,V),
     --ssSkP279(V),
     ++ssSkP278(U)]).

input_clause(clause269,conjecture,
    [--ssSkP248(U,V),
     --ssSkP278(V),
     ++ssSkP277(U)]).

input_clause(clause270,conjecture,
    [--ssSkP220(U,V),
     --ssSkP246(V),
     ++ssSkP245(U)]).

input_clause(clause271,conjecture,
    [--ssSkP220(U,V),
     --ssSkP245(V),
     ++ssSkP244(U)]).

input_clause(clause272,conjecture,
    [--ssSkP187(U,V),
     --ssSkP218(V),
     ++ssSkP217(U)]).

input_clause(clause273,conjecture,
    [--ssSkP187(U,V),
     --ssSkP217(V),
     ++ssSkP216(U)]).

input_clause(clause274,conjecture,
    [--ssSkP158(U,V),
     --ssSkP185(V),
     ++ssSkP184(U)]).

input_clause(clause275,conjecture,
    [--ssSkP158(U,V),
     --ssSkP184(V),
     ++ssSkP183(U)]).

input_clause(clause276,conjecture,
    [--ssSkP130(U,V),
     --ssSkP156(V),
     ++ssSkP155(U)]).

input_clause(clause277,conjecture,
    [--ssSkP130(U,V),
     --ssSkP155(V),
     ++ssSkP154(U)]).

input_clause(clause278,conjecture,
    [--ssSkP97(U,V),
     --ssSkP128(V),
     ++ssSkP127(U)]).

input_clause(clause279,conjecture,
    [--ssSkP97(U,V),
     --ssSkP127(V),
     ++ssSkP126(U)]).

input_clause(clause280,conjecture,
    [--ssSkP65(U,V),
     --ssSkP95(V),
     ++ssSkP94(U)]).

input_clause(clause281,conjecture,
    [--ssSkP65(U,V),
     --ssSkP94(V),
     ++ssSkP93(U)]).

input_clause(clause282,conjecture,
    [--ssSkP40(U,V),
     --ssSkP63(V),
     ++ssSkP62(U)]).

input_clause(clause283,conjecture,
    [--ssSkP40(U,V),
     --ssSkP62(V),
     ++ssSkP61(U)]).

input_clause(clause284,conjecture,
    [--ssSkP14(U,V),
     --ssSkP38(V),
     ++ssSkP37(U)]).

input_clause(clause285,conjecture,
    [--ssSkP14(U,V),
     --ssSkP36(V),
     ++ssSkP35(U)]).

input_clause(clause286,conjecture,
    [--ssSkP1(U,V),
     --ssSkP12(V),
     ++ssSkP11(U)]).

input_clause(clause287,conjecture,
    [--ssSkP1(U,V),
     --ssSkP10(V),
     ++ssSkP9(U)]).

input_clause(clause288,conjecture,
    [--ssRr(U,V),
     --ssSkP578(W,V),
     ++ssSkP590(W,U)]).

input_clause(clause289,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP578(W,V)]).

input_clause(clause290,conjecture,
    [--ssRr(U,V),
     --ssSkP544(W,V),
     ++ssSkP545(W,U)]).

input_clause(clause291,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP544(W,V)]).

input_clause(clause292,conjecture,
    [--ssRr(U,V),
     --ssSkP516(W,V),
     ++ssSkP517(W,U)]).

input_clause(clause293,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP516(W,V)]).

input_clause(clause294,conjecture,
    [--ssRr(U,V),
     --ssSkP488(W,V),
     ++ssSkP489(W,U)]).

input_clause(clause295,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP488(W,V)]).

input_clause(clause296,conjecture,
    [--ssRr(U,V),
     --ssSkP464(W,V),
     ++ssSkP465(W,U)]).

input_clause(clause297,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP464(W,V)]).

input_clause(clause298,conjecture,
    [--ssRr(U,V),
     --ssSkP431(W,V),
     ++ssSkP432(W,U)]).

input_clause(clause299,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP431(W,V)]).

input_clause(clause300,conjecture,
    [--ssRr(U,V),
     --ssSkP401(W,V),
     ++ssSkP402(W,U)]).

input_clause(clause301,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP401(W,V)]).

input_clause(clause302,conjecture,
    [--ssRr(U,V),
     --ssSkP368(W,V),
     ++ssSkP369(W,U)]).

input_clause(clause303,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP368(W,V)]).

input_clause(clause304,conjecture,
    [--ssRr(U,V),
     --ssSkP337(W,V),
     ++ssSkP338(W,U)]).

input_clause(clause305,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP337(W,V)]).

input_clause(clause306,conjecture,
    [--ssRr(U,V),
     --ssSkP310(W,V),
     ++ssSkP311(W,U)]).

input_clause(clause307,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP310(W,V)]).

input_clause(clause308,conjecture,
    [--ssRr(U,V),
     --ssSkP280(W,V),
     ++ssSkP281(W,U)]).

input_clause(clause309,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP280(W,V)]).

input_clause(clause310,conjecture,
    [--ssRr(U,V),
     --ssSkP247(W,V),
     ++ssSkP248(W,U)]).

input_clause(clause311,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP247(W,V)]).

input_clause(clause312,conjecture,
    [--ssRr(U,V),
     --ssSkP219(W,V),
     ++ssSkP220(W,U)]).

input_clause(clause313,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP219(W,V)]).

input_clause(clause314,conjecture,
    [--ssRr(U,V),
     --ssSkP186(W,V),
     ++ssSkP187(W,U)]).

input_clause(clause315,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP186(W,V)]).

input_clause(clause316,conjecture,
    [--ssRr(U,V),
     --ssSkP157(W,V),
     ++ssSkP158(W,U)]).

input_clause(clause317,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP157(W,V)]).

input_clause(clause318,conjecture,
    [--ssRr(U,V),
     --ssSkP129(W,V),
     ++ssSkP130(W,U)]).

input_clause(clause319,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP129(W,V)]).

input_clause(clause320,conjecture,
    [--ssRr(U,V),
     --ssSkP96(W,V),
     ++ssSkP97(W,U)]).

input_clause(clause321,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP96(W,V)]).

input_clause(clause322,conjecture,
    [--ssRr(U,V),
     --ssSkP64(W,V),
     ++ssSkP65(W,U)]).

input_clause(clause323,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP64(W,V)]).

input_clause(clause324,conjecture,
    [--ssRr(U,V),
     --ssSkP39(W,V),
     ++ssSkP40(W,U)]).

input_clause(clause325,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP39(W,V)]).

input_clause(clause326,conjecture,
    [--ssRr(U,V),
     --ssSkP13(W,V),
     ++ssSkP14(W,U)]).

input_clause(clause327,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP13(W,V)]).

input_clause(clause328,conjecture,
    [--ssRr(U,V),
     --ssSkP0(W,V),
     ++ssSkP1(W,U)]).

input_clause(clause329,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP0(W,V)]).

input_clause(clause330,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP672(X),
     ++ssSkP671(W)]).

input_clause(clause331,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP670(X),
     ++ssSkP669(W)]).

input_clause(clause332,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP668(X),
     ++ssSkP667(W)]).

input_clause(clause333,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP666(X),
     ++ssSkP665(W)]).

input_clause(clause334,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP664(X),
     ++ssSkP663(W)]).

input_clause(clause335,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP662(X),
     ++ssSkP661(W)]).

input_clause(clause336,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP660(X),
     ++ssSkP659(W)]).

input_clause(clause337,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP658(X),
     ++ssSkP657(W)]).

input_clause(clause338,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP656(X),
     ++ssSkP655(W)]).

input_clause(clause339,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP654(X),
     ++ssSkP653(W)]).

input_clause(clause340,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP652(X),
     ++ssSkP651(W)]).

input_clause(clause341,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP650(X),
     ++ssSkP649(W)]).

input_clause(clause342,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP648(X),
     ++ssSkP647(W)]).

input_clause(clause343,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP646(X),
     ++ssSkP645(W)]).

input_clause(clause344,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP644(X),
     ++ssSkP643(W)]).

input_clause(clause345,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP642(X),
     ++ssSkP641(W)]).

input_clause(clause346,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP640(X),
     ++ssSkP639(W)]).

input_clause(clause347,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP638(X),
     ++ssSkP637(W)]).

input_clause(clause348,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP636(X),
     ++ssSkP635(W)]).

input_clause(clause349,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP634(X),
     ++ssSkP633(W)]).

input_clause(clause350,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP632(X),
     ++ssSkP631(W)]).

input_clause(clause351,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP630(X),
     ++ssSkP629(W)]).

input_clause(clause352,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP628(X),
     ++ssSkP627(W)]).

input_clause(clause353,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP626(X),
     ++ssSkP614(W)]).

input_clause(clause354,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP609(X),
     ++ssSkP577(W)]).

input_clause(clause355,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP574(X),
     ++ssSkP573(W)]).

input_clause(clause356,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP573(X),
     ++ssSkP572(W)]).

input_clause(clause357,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP572(X),
     ++ssSkP571(W)]).

input_clause(clause358,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP571(X),
     ++ssSkP570(W)]).

input_clause(clause359,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP570(X),
     ++ssSkP569(W)]).

input_clause(clause360,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP569(X),
     ++ssSkP568(W)]).

input_clause(clause361,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP568(X),
     ++ssSkP567(W)]).

input_clause(clause362,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP567(X),
     ++ssSkP566(W)]).

input_clause(clause363,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP566(X),
     ++ssSkP565(W)]).

input_clause(clause364,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP565(X),
     ++ssSkP564(W)]).

input_clause(clause365,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP564(X),
     ++ssSkP563(W)]).

input_clause(clause366,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP563(X),
     ++ssSkP562(W)]).

input_clause(clause367,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP562(X),
     ++ssSkP561(W)]).

input_clause(clause368,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP560(X),
     ++ssSkP559(W)]).

input_clause(clause369,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP559(X),
     ++ssSkP558(W)]).

input_clause(clause370,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP558(X),
     ++ssSkP557(W)]).

input_clause(clause371,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP557(X),
     ++ssSkP556(W)]).

input_clause(clause372,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP555(X),
     ++ssSkP554(W)]).

input_clause(clause373,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP554(X),
     ++ssSkP553(W)]).

input_clause(clause374,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP553(X),
     ++ssSkP552(W)]).

input_clause(clause375,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP552(X),
     ++ssSkP551(W)]).

input_clause(clause376,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP550(X),
     ++ssSkP549(W)]).

input_clause(clause377,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP549(X),
     ++ssSkP548(W)]).

input_clause(clause378,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP548(X),
     ++ssSkP547(W)]).

input_clause(clause379,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP547(X),
     ++ssSkP546(W)]).

input_clause(clause380,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP541(X),
     ++ssSkP540(W)]).

input_clause(clause381,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP540(X),
     ++ssSkP539(W)]).

input_clause(clause382,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP539(X),
     ++ssSkP538(W)]).

input_clause(clause383,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP538(X),
     ++ssSkP537(W)]).

input_clause(clause384,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP537(X),
     ++ssSkP536(W)]).

input_clause(clause385,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP536(X),
     ++ssSkP535(W)]).

input_clause(clause386,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP535(X),
     ++ssSkP534(W)]).

input_clause(clause387,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP534(X),
     ++ssSkP533(W)]).

input_clause(clause388,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP533(X),
     ++ssSkP532(W)]).

input_clause(clause389,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP532(X),
     ++ssSkP531(W)]).

input_clause(clause390,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP530(X),
     ++ssSkP529(W)]).

input_clause(clause391,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP529(X),
     ++ssSkP528(W)]).

input_clause(clause392,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP528(X),
     ++ssSkP527(W)]).

input_clause(clause393,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP526(X),
     ++ssSkP525(W)]).

input_clause(clause394,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP525(X),
     ++ssSkP524(W)]).

input_clause(clause395,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP524(X),
     ++ssSkP523(W)]).

input_clause(clause396,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP523(X),
     ++ssSkP522(W)]).

input_clause(clause397,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP522(X),
     ++ssSkP521(W)]).

input_clause(clause398,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP520(X),
     ++ssSkP519(W)]).

input_clause(clause399,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP519(X),
     ++ssSkP518(W)]).

input_clause(clause400,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP513(X),
     ++ssSkP512(W)]).

input_clause(clause401,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP512(X),
     ++ssSkP511(W)]).

input_clause(clause402,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP511(X),
     ++ssSkP510(W)]).

input_clause(clause403,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP510(X),
     ++ssSkP509(W)]).

input_clause(clause404,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP509(X),
     ++ssSkP508(W)]).

input_clause(clause405,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP508(X),
     ++ssSkP507(W)]).

input_clause(clause406,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP507(X),
     ++ssSkP506(W)]).

input_clause(clause407,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP506(X),
     ++ssSkP505(W)]).

input_clause(clause408,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP504(X),
     ++ssSkP503(W)]).

input_clause(clause409,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP503(X),
     ++ssSkP502(W)]).

input_clause(clause410,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP501(X),
     ++ssSkP500(W)]).

input_clause(clause411,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP500(X),
     ++ssSkP499(W)]).

input_clause(clause412,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP499(X),
     ++ssSkP498(W)]).

input_clause(clause413,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP498(X),
     ++ssSkP497(W)]).

input_clause(clause414,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP497(X),
     ++ssSkP496(W)]).

input_clause(clause415,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP496(X),
     ++ssSkP495(W)]).

input_clause(clause416,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP495(X),
     ++ssSkP494(W)]).

input_clause(clause417,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP494(X),
     ++ssSkP493(W)]).

input_clause(clause418,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP493(X),
     ++ssSkP492(W)]).

input_clause(clause419,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP491(X),
     ++ssSkP490(W)]).

input_clause(clause420,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP490(X),
     ++ssPv6(W)]).

input_clause(clause421,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP485(X),
     ++ssSkP484(W)]).

input_clause(clause422,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP484(X),
     ++ssSkP483(W)]).

input_clause(clause423,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP483(X),
     ++ssSkP482(W)]).

input_clause(clause424,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP482(X),
     ++ssSkP481(W)]).

input_clause(clause425,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP481(X),
     ++ssSkP480(W)]).

input_clause(clause426,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP480(X),
     ++ssSkP479(W)]).

input_clause(clause427,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP479(X),
     ++ssSkP478(W)]).

input_clause(clause428,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP477(X),
     ++ssSkP476(W)]).

input_clause(clause429,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP476(X),
     ++ssSkP475(W)]).

input_clause(clause430,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP475(X),
     ++ssSkP474(W)]).

input_clause(clause431,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP474(X),
     ++ssSkP473(W)]).

input_clause(clause432,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP473(X),
     ++ssSkP472(W)]).

input_clause(clause433,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP471(X),
     ++ssSkP470(W)]).

input_clause(clause434,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP469(X),
     ++ssSkP468(W)]).

input_clause(clause435,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP468(X),
     ++ssSkP467(W)]).

input_clause(clause436,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP467(X),
     ++ssSkP466(W)]).

input_clause(clause437,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP461(X),
     ++ssSkP460(W)]).

input_clause(clause438,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP460(X),
     ++ssSkP459(W)]).

input_clause(clause439,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP459(X),
     ++ssSkP458(W)]).

input_clause(clause440,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP458(X),
     ++ssSkP457(W)]).

input_clause(clause441,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP457(X),
     ++ssSkP456(W)]).

input_clause(clause442,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP456(X),
     ++ssSkP455(W)]).

input_clause(clause443,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP454(X),
     ++ssSkP453(W)]).

input_clause(clause444,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP453(X),
     ++ssSkP452(W)]).

input_clause(clause445,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP452(X),
     ++ssSkP451(W)]).

input_clause(clause446,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP451(X),
     ++ssSkP450(W)]).

input_clause(clause447,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP450(X),
     ++ssSkP449(W)]).

input_clause(clause448,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP449(X),
     ++ssSkP448(W)]).

input_clause(clause449,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP448(X),
     ++ssSkP447(W)]).

input_clause(clause450,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP446(X),
     ++ssSkP445(W)]).

input_clause(clause451,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP445(X),
     ++ssSkP444(W)]).

input_clause(clause452,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP444(X),
     ++ssSkP443(W)]).

input_clause(clause453,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP442(X),
     ++ssSkP441(W)]).

input_clause(clause454,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP441(X),
     ++ssSkP440(W)]).

input_clause(clause455,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP440(X),
     ++ssSkP439(W)]).

input_clause(clause456,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP439(X),
     ++ssSkP438(W)]).

input_clause(clause457,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP438(X),
     ++ssSkP437(W)]).

input_clause(clause458,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP437(X),
     ++ssSkP436(W)]).

input_clause(clause459,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP436(X),
     ++ssSkP435(W)]).

input_clause(clause460,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP435(X),
     ++ssSkP434(W)]).

input_clause(clause461,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP434(X),
     ++ssSkP433(W)]).

input_clause(clause462,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP428(X),
     ++ssSkP427(W)]).

input_clause(clause463,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP427(X),
     ++ssSkP426(W)]).

input_clause(clause464,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP426(X),
     ++ssSkP425(W)]).

input_clause(clause465,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP425(X),
     ++ssSkP424(W)]).

input_clause(clause466,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP424(X),
     ++ssSkP423(W)]).

input_clause(clause467,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP423(X),
     ++ssSkP422(W)]).

input_clause(clause468,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP421(X),
     ++ssSkP420(W)]).

input_clause(clause469,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP420(X),
     ++ssSkP419(W)]).

input_clause(clause470,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP419(X),
     ++ssSkP418(W)]).

input_clause(clause471,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP418(X),
     ++ssSkP417(W)]).

input_clause(clause472,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP417(X),
     ++ssSkP416(W)]).

input_clause(clause473,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP415(X),
     ++ssSkP414(W)]).

input_clause(clause474,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP414(X),
     ++ssSkP413(W)]).

input_clause(clause475,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP413(X),
     ++ssSkP412(W)]).

input_clause(clause476,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP412(X),
     ++ssSkP411(W)]).

input_clause(clause477,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP411(X),
     ++ssSkP410(W)]).

input_clause(clause478,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP410(X),
     ++ssSkP409(W)]).

input_clause(clause479,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP408(X),
     ++ssSkP407(W)]).

input_clause(clause480,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP407(X),
     ++ssSkP406(W)]).

input_clause(clause481,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP406(X),
     ++ssSkP405(W)]).

input_clause(clause482,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP405(X),
     ++ssSkP404(W)]).

input_clause(clause483,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP404(X),
     ++ssSkP403(W)]).

input_clause(clause484,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP398(X),
     ++ssSkP397(W)]).

input_clause(clause485,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP397(X),
     ++ssSkP396(W)]).

input_clause(clause486,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP396(X),
     ++ssSkP395(W)]).

input_clause(clause487,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP395(X),
     ++ssSkP394(W)]).

input_clause(clause488,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP394(X),
     ++ssSkP393(W)]).

input_clause(clause489,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP392(X),
     ++ssSkP391(W)]).

input_clause(clause490,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP391(X),
     ++ssSkP390(W)]).

input_clause(clause491,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP390(X),
     ++ssSkP389(W)]).

input_clause(clause492,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP389(X),
     ++ssSkP388(W)]).

input_clause(clause493,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP388(X),
     ++ssSkP387(W)]).

input_clause(clause494,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP387(X),
     ++ssSkP386(W)]).

input_clause(clause495,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP386(X),
     ++ssSkP385(W)]).

input_clause(clause496,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP385(X),
     ++ssSkP384(W)]).

input_clause(clause497,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP384(X),
     ++ssSkP383(W)]).

input_clause(clause498,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP383(X),
     ++ssSkP382(W)]).

input_clause(clause499,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP382(X),
     ++ssSkP381(W)]).

input_clause(clause500,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP381(X),
     ++ssSkP380(W)]).

input_clause(clause501,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP380(X),
     ++ssSkP379(W)]).

input_clause(clause502,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP379(X),
     ++ssSkP378(W)]).

input_clause(clause503,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP378(X),
     ++ssSkP377(W)]).

input_clause(clause504,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP377(X),
     ++ssSkP376(W)]).

input_clause(clause505,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP375(X),
     ++ssSkP374(W)]).

input_clause(clause506,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP374(X),
     ++ssSkP373(W)]).

input_clause(clause507,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP373(X),
     ++ssSkP372(W)]).

input_clause(clause508,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP371(X),
     ++ssSkP370(W)]).

input_clause(clause509,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP365(X),
     ++ssSkP364(W)]).

input_clause(clause510,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP364(X),
     ++ssSkP363(W)]).

input_clause(clause511,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP363(X),
     ++ssSkP362(W)]).

input_clause(clause512,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP362(X),
     ++ssSkP361(W)]).

input_clause(clause513,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP361(X),
     ++ssSkP360(W)]).

input_clause(clause514,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP359(X),
     ++ssSkP358(W)]).

input_clause(clause515,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP358(X),
     ++ssSkP357(W)]).

input_clause(clause516,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP357(X),
     ++ssSkP356(W)]).

input_clause(clause517,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP356(X),
     ++ssSkP355(W)]).

input_clause(clause518,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP354(X),
     ++ssSkP353(W)]).

input_clause(clause519,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP353(X),
     ++ssSkP352(W)]).

input_clause(clause520,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP351(X),
     ++ssSkP350(W)]).

input_clause(clause521,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP350(X),
     ++ssSkP349(W)]).

input_clause(clause522,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP349(X),
     ++ssSkP348(W)]).

input_clause(clause523,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP348(X),
     ++ssSkP347(W)]).

input_clause(clause524,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP347(X),
     ++ssSkP346(W)]).

input_clause(clause525,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP346(X),
     ++ssSkP345(W)]).

input_clause(clause526,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP345(X),
     ++ssSkP344(W)]).

input_clause(clause527,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP344(X),
     ++ssSkP343(W)]).

input_clause(clause528,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP343(X),
     ++ssSkP342(W)]).

input_clause(clause529,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP342(X),
     ++ssSkP341(W)]).

input_clause(clause530,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP341(X),
     ++ssSkP340(W)]).

input_clause(clause531,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP340(X),
     ++ssSkP339(W)]).

input_clause(clause532,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP334(X),
     ++ssSkP333(W)]).

input_clause(clause533,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP333(X),
     ++ssSkP332(W)]).

input_clause(clause534,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP332(X),
     ++ssSkP331(W)]).

input_clause(clause535,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP331(X),
     ++ssSkP330(W)]).

input_clause(clause536,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP330(X),
     ++ssSkP329(W)]).

input_clause(clause537,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP328(X),
     ++ssSkP327(W)]).

input_clause(clause538,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP327(X),
     ++ssSkP326(W)]).

input_clause(clause539,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP325(X),
     ++ssSkP324(W)]).

input_clause(clause540,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP324(X),
     ++ssSkP323(W)]).

input_clause(clause541,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP323(X),
     ++ssSkP322(W)]).

input_clause(clause542,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP322(X),
     ++ssSkP321(W)]).

input_clause(clause543,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP321(X),
     ++ssSkP320(W)]).

input_clause(clause544,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP320(X),
     ++ssSkP319(W)]).

input_clause(clause545,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP319(X),
     ++ssSkP318(W)]).

input_clause(clause546,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP318(X),
     ++ssSkP317(W)]).

input_clause(clause547,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP317(X),
     ++ssSkP316(W)]).

input_clause(clause548,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP316(X),
     ++ssSkP315(W)]).

input_clause(clause549,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP315(X),
     ++ssSkP314(W)]).

input_clause(clause550,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP313(X),
     ++ssSkP312(W)]).

input_clause(clause551,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP312(X),
     ++ssPv7(W)]).

input_clause(clause552,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP307(X),
     ++ssSkP306(W)]).

input_clause(clause553,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP306(X),
     ++ssSkP305(W)]).

input_clause(clause554,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP305(X),
     ++ssSkP304(W)]).

input_clause(clause555,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP304(X),
     ++ssSkP303(W)]).

input_clause(clause556,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP303(X),
     ++ssSkP302(W)]).

input_clause(clause557,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP301(X),
     ++ssSkP300(W)]).

input_clause(clause558,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP300(X),
     ++ssSkP299(W)]).

input_clause(clause559,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP299(X),
     ++ssSkP298(W)]).

input_clause(clause560,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP298(X),
     ++ssSkP297(W)]).

input_clause(clause561,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP297(X),
     ++ssSkP296(W)]).

input_clause(clause562,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP296(X),
     ++ssSkP295(W)]).

input_clause(clause563,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP295(X),
     ++ssSkP294(W)]).

input_clause(clause564,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP294(X),
     ++ssSkP293(W)]).

input_clause(clause565,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP293(X),
     ++ssSkP292(W)]).

input_clause(clause566,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP292(X),
     ++ssSkP291(W)]).

input_clause(clause567,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP291(X),
     ++ssSkP290(W)]).

input_clause(clause568,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP290(X),
     ++ssSkP289(W)]).

input_clause(clause569,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP289(X),
     ++ssSkP288(W)]).

input_clause(clause570,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP287(X),
     ++ssSkP286(W)]).

input_clause(clause571,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP286(X),
     ++ssSkP285(W)]).

input_clause(clause572,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP285(X),
     ++ssSkP284(W)]).

input_clause(clause573,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP283(X),
     ++ssSkP282(W)]).

input_clause(clause574,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP277(X),
     ++ssSkP276(W)]).

input_clause(clause575,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP276(X),
     ++ssSkP275(W)]).

input_clause(clause576,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP275(X),
     ++ssSkP274(W)]).

input_clause(clause577,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP274(X),
     ++ssSkP273(W)]).

input_clause(clause578,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP272(X),
     ++ssSkP271(W)]).

input_clause(clause579,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP271(X),
     ++ssSkP270(W)]).

input_clause(clause580,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP270(X),
     ++ssSkP269(W)]).

input_clause(clause581,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP269(X),
     ++ssSkP268(W)]).

input_clause(clause582,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP268(X),
     ++ssSkP267(W)]).

input_clause(clause583,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP267(X),
     ++ssSkP266(W)]).

input_clause(clause584,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP266(X),
     ++ssSkP265(W)]).

input_clause(clause585,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP265(X),
     ++ssSkP264(W)]).

input_clause(clause586,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP263(X),
     ++ssSkP262(W)]).

input_clause(clause587,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP262(X),
     ++ssSkP261(W)]).

input_clause(clause588,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP261(X),
     ++ssSkP260(W)]).

input_clause(clause589,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP260(X),
     ++ssSkP259(W)]).

input_clause(clause590,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP259(X),
     ++ssSkP258(W)]).

input_clause(clause591,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP258(X),
     ++ssSkP257(W)]).

input_clause(clause592,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP256(X),
     ++ssSkP255(W)]).

input_clause(clause593,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP255(X),
     ++ssSkP254(W)]).

input_clause(clause594,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP254(X),
     ++ssSkP253(W)]).

input_clause(clause595,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP253(X),
     ++ssSkP252(W)]).

input_clause(clause596,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP252(X),
     ++ssSkP251(W)]).

input_clause(clause597,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP251(X),
     ++ssSkP250(W)]).

input_clause(clause598,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP250(X),
     ++ssSkP249(W)]).

input_clause(clause599,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP249(X),
     ++ssPv1(W)]).

input_clause(clause600,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP244(X),
     ++ssSkP243(W)]).

input_clause(clause601,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP243(X),
     ++ssSkP242(W)]).

input_clause(clause602,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP242(X),
     ++ssSkP241(W)]).

input_clause(clause603,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP241(X),
     ++ssSkP240(W)]).

input_clause(clause604,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP239(X),
     ++ssSkP238(W)]).

input_clause(clause605,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP238(X),
     ++ssSkP237(W)]).

input_clause(clause606,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP237(X),
     ++ssSkP236(W)]).

input_clause(clause607,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP236(X),
     ++ssSkP235(W)]).

input_clause(clause608,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP234(X),
     ++ssSkP233(W)]).

input_clause(clause609,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP233(X),
     ++ssSkP232(W)]).

input_clause(clause610,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP231(X),
     ++ssSkP230(W)]).

input_clause(clause611,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP230(X),
     ++ssSkP229(W)]).

input_clause(clause612,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP229(X),
     ++ssSkP228(W)]).

input_clause(clause613,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP228(X),
     ++ssSkP227(W)]).

input_clause(clause614,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP227(X),
     ++ssSkP226(W)]).

input_clause(clause615,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP226(X),
     ++ssSkP225(W)]).

input_clause(clause616,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP225(X),
     ++ssSkP224(W)]).

input_clause(clause617,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP224(X),
     ++ssSkP223(W)]).

input_clause(clause618,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP223(X),
     ++ssSkP222(W)]).

input_clause(clause619,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP222(X),
     ++ssSkP221(W)]).

input_clause(clause620,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP216(X),
     ++ssSkP215(W)]).

input_clause(clause621,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP215(X),
     ++ssSkP214(W)]).

input_clause(clause622,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP214(X),
     ++ssSkP213(W)]).

input_clause(clause623,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP213(X),
     ++ssSkP212(W)]).

input_clause(clause624,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP211(X),
     ++ssSkP210(W)]).

input_clause(clause625,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP210(X),
     ++ssSkP209(W)]).

input_clause(clause626,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP208(X),
     ++ssSkP207(W)]).

input_clause(clause627,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP206(X),
     ++ssSkP205(W)]).

input_clause(clause628,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP205(X),
     ++ssSkP204(W)]).

input_clause(clause629,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP204(X),
     ++ssSkP203(W)]).

input_clause(clause630,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP203(X),
     ++ssSkP202(W)]).

input_clause(clause631,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP202(X),
     ++ssSkP201(W)]).

input_clause(clause632,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP201(X),
     ++ssSkP200(W)]).

input_clause(clause633,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP200(X),
     ++ssSkP199(W)]).

input_clause(clause634,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP199(X),
     ++ssSkP198(W)]).

input_clause(clause635,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP198(X),
     ++ssSkP197(W)]).

input_clause(clause636,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP197(X),
     ++ssSkP196(W)]).

input_clause(clause637,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP196(X),
     ++ssSkP195(W)]).

input_clause(clause638,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP195(X),
     ++ssSkP194(W)]).

input_clause(clause639,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP194(X),
     ++ssSkP193(W)]).

input_clause(clause640,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP193(X),
     ++ssSkP192(W)]).

input_clause(clause641,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP192(X),
     ++ssSkP191(W)]).

input_clause(clause642,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP191(X),
     ++ssSkP190(W)]).

input_clause(clause643,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP190(X),
     ++ssSkP189(W)]).

input_clause(clause644,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP189(X),
     ++ssSkP188(W)]).

input_clause(clause645,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP183(X),
     ++ssSkP182(W)]).

input_clause(clause646,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP182(X),
     ++ssSkP181(W)]).

input_clause(clause647,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP180(X),
     ++ssSkP179(W)]).

input_clause(clause648,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP179(X),
     ++ssSkP178(W)]).

input_clause(clause649,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP178(X),
     ++ssSkP177(W)]).

input_clause(clause650,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP177(X),
     ++ssSkP176(W)]).

input_clause(clause651,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP176(X),
     ++ssSkP175(W)]).

input_clause(clause652,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP175(X),
     ++ssSkP174(W)]).

input_clause(clause653,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP174(X),
     ++ssSkP173(W)]).

input_clause(clause654,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP173(X),
     ++ssSkP172(W)]).

input_clause(clause655,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP172(X),
     ++ssSkP171(W)]).

input_clause(clause656,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP171(X),
     ++ssSkP170(W)]).

input_clause(clause657,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP170(X),
     ++ssSkP169(W)]).

input_clause(clause658,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP169(X),
     ++ssSkP168(W)]).

input_clause(clause659,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP168(X),
     ++ssSkP167(W)]).

input_clause(clause660,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP166(X),
     ++ssSkP165(W)]).

input_clause(clause661,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP165(X),
     ++ssSkP164(W)]).

input_clause(clause662,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP164(X),
     ++ssSkP163(W)]).

input_clause(clause663,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP163(X),
     ++ssSkP162(W)]).

input_clause(clause664,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP162(X),
     ++ssSkP161(W)]).

input_clause(clause665,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP160(X),
     ++ssSkP159(W)]).

input_clause(clause666,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP159(X),
     ++ssPv5(W)]).

input_clause(clause667,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP154(X),
     ++ssSkP153(W)]).

input_clause(clause668,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP153(X),
     ++ssSkP152(W)]).

input_clause(clause669,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP151(X),
     ++ssSkP150(W)]).

input_clause(clause670,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP150(X),
     ++ssSkP149(W)]).

input_clause(clause671,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP149(X),
     ++ssSkP148(W)]).

input_clause(clause672,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP148(X),
     ++ssSkP147(W)]).

input_clause(clause673,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP147(X),
     ++ssSkP146(W)]).

input_clause(clause674,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP146(X),
     ++ssSkP145(W)]).

input_clause(clause675,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP145(X),
     ++ssSkP144(W)]).

input_clause(clause676,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP144(X),
     ++ssSkP143(W)]).

input_clause(clause677,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP143(X),
     ++ssSkP142(W)]).

input_clause(clause678,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP141(X),
     ++ssSkP140(W)]).

input_clause(clause679,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP140(X),
     ++ssSkP139(W)]).

input_clause(clause680,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP139(X),
     ++ssSkP138(W)]).

input_clause(clause681,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP138(X),
     ++ssSkP137(W)]).

input_clause(clause682,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP137(X),
     ++ssSkP136(W)]).

input_clause(clause683,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP136(X),
     ++ssSkP135(W)]).

input_clause(clause684,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP135(X),
     ++ssSkP134(W)]).

input_clause(clause685,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP133(X),
     ++ssSkP132(W)]).

input_clause(clause686,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP132(X),
     ++ssSkP131(W)]).

input_clause(clause687,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP126(X),
     ++ssSkP125(W)]).

input_clause(clause688,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP125(X),
     ++ssSkP124(W)]).

input_clause(clause689,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP123(X),
     ++ssSkP122(W)]).

input_clause(clause690,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP122(X),
     ++ssSkP121(W)]).

input_clause(clause691,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP121(X),
     ++ssSkP120(W)]).

input_clause(clause692,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP120(X),
     ++ssSkP119(W)]).

input_clause(clause693,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP119(X),
     ++ssSkP118(W)]).

input_clause(clause694,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP118(X),
     ++ssSkP117(W)]).

input_clause(clause695,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP117(X),
     ++ssSkP116(W)]).

input_clause(clause696,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP116(X),
     ++ssSkP115(W)]).

input_clause(clause697,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP115(X),
     ++ssSkP114(W)]).

input_clause(clause698,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP113(X),
     ++ssSkP112(W)]).

input_clause(clause699,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP112(X),
     ++ssSkP111(W)]).

input_clause(clause700,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP111(X),
     ++ssSkP110(W)]).

input_clause(clause701,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP110(X),
     ++ssSkP109(W)]).

input_clause(clause702,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP109(X),
     ++ssSkP108(W)]).

input_clause(clause703,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP108(X),
     ++ssSkP107(W)]).

input_clause(clause704,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP107(X),
     ++ssSkP106(W)]).

input_clause(clause705,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP106(X),
     ++ssSkP105(W)]).

input_clause(clause706,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP105(X),
     ++ssSkP104(W)]).

input_clause(clause707,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP103(X),
     ++ssSkP102(W)]).

input_clause(clause708,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP102(X),
     ++ssSkP101(W)]).

input_clause(clause709,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP101(X),
     ++ssSkP100(W)]).

input_clause(clause710,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP100(X),
     ++ssSkP99(W)]).

input_clause(clause711,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP99(X),
     ++ssSkP98(W)]).

input_clause(clause712,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP93(X),
     ++ssSkP92(W)]).

input_clause(clause713,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP91(X),
     ++ssSkP90(W)]).

input_clause(clause714,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP90(X),
     ++ssSkP89(W)]).

input_clause(clause715,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP89(X),
     ++ssSkP88(W)]).

input_clause(clause716,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP88(X),
     ++ssSkP87(W)]).

input_clause(clause717,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP87(X),
     ++ssSkP86(W)]).

input_clause(clause718,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP86(X),
     ++ssSkP85(W)]).

input_clause(clause719,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP85(X),
     ++ssSkP84(W)]).

input_clause(clause720,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP84(X),
     ++ssSkP83(W)]).

input_clause(clause721,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP83(X),
     ++ssSkP82(W)]).

input_clause(clause722,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP82(X),
     ++ssSkP81(W)]).

input_clause(clause723,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP81(X),
     ++ssSkP80(W)]).

input_clause(clause724,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP79(X),
     ++ssSkP78(W)]).

input_clause(clause725,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP78(X),
     ++ssSkP77(W)]).

input_clause(clause726,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP77(X),
     ++ssSkP76(W)]).

input_clause(clause727,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP76(X),
     ++ssSkP75(W)]).

input_clause(clause728,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP75(X),
     ++ssSkP74(W)]).

input_clause(clause729,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP74(X),
     ++ssSkP73(W)]).

input_clause(clause730,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP73(X),
     ++ssSkP72(W)]).

input_clause(clause731,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP71(X),
     ++ssSkP70(W)]).

input_clause(clause732,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP70(X),
     ++ssSkP69(W)]).

input_clause(clause733,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP69(X),
     ++ssSkP68(W)]).

input_clause(clause734,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP68(X),
     ++ssSkP67(W)]).

input_clause(clause735,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP67(X),
     ++ssSkP66(W)]).

input_clause(clause736,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP60(X),
     ++ssSkP59(W)]).

input_clause(clause737,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP59(X),
     ++ssSkP58(W)]).

input_clause(clause738,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP58(X),
     ++ssSkP57(W)]).

input_clause(clause739,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP56(X),
     ++ssSkP55(W)]).

input_clause(clause740,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP55(X),
     ++ssSkP54(W)]).

input_clause(clause741,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP53(X),
     ++ssSkP52(W)]).

input_clause(clause742,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP52(X),
     ++ssSkP51(W)]).

input_clause(clause743,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP51(X),
     ++ssSkP50(W)]).

input_clause(clause744,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP50(X),
     ++ssSkP49(W)]).

input_clause(clause745,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP49(X),
     ++ssSkP48(W)]).

input_clause(clause746,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP48(X),
     ++ssSkP47(W)]).

input_clause(clause747,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP47(X),
     ++ssSkP46(W)]).

input_clause(clause748,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP46(X),
     ++ssSkP45(W)]).

input_clause(clause749,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP45(X),
     ++ssSkP44(W)]).

input_clause(clause750,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP44(X),
     ++ssSkP43(W)]).

input_clause(clause751,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP43(X),
     ++ssSkP42(W)]).

input_clause(clause752,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP42(X),
     ++ssSkP41(W)]).

input_clause(clause753,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP35(X),
     ++ssSkP34(W)]).

input_clause(clause754,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP34(X),
     ++ssSkP33(W)]).

input_clause(clause755,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP33(X),
     ++ssSkP32(W)]).

input_clause(clause756,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP32(X),
     ++ssSkP31(W)]).

input_clause(clause757,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP31(X),
     ++ssSkP30(W)]).

input_clause(clause758,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP30(X),
     ++ssSkP29(W)]).

input_clause(clause759,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP29(X),
     ++ssSkP28(W)]).

input_clause(clause760,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP28(X),
     ++ssSkP27(W)]).

input_clause(clause761,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP27(X),
     ++ssSkP26(W)]).

input_clause(clause762,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP26(X),
     ++ssSkP25(W)]).

input_clause(clause763,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP25(X),
     ++ssSkP24(W)]).

input_clause(clause764,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP24(X),
     ++ssSkP23(W)]).

input_clause(clause765,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP23(X),
     ++ssSkP22(W)]).

input_clause(clause766,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP21(X),
     ++ssSkP20(W)]).

input_clause(clause767,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP20(X),
     ++ssSkP19(W)]).

input_clause(clause768,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP19(X),
     ++ssSkP18(W)]).

input_clause(clause769,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP18(X),
     ++ssSkP17(W)]).

input_clause(clause770,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP17(X),
     ++ssSkP16(W)]).

input_clause(clause771,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP9(X),
     ++ssSkP8(W)]).

input_clause(clause772,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP8(X),
     ++ssSkP7(W)]).

input_clause(clause773,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP6(X),
     ++ssSkP5(W)]).

input_clause(clause774,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP5(X),
     ++ssSkP4(W)]).

input_clause(clause775,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP3(X),
     ++ssSkP2(W)]).

input_clause(clause776,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP546(X)]).

input_clause(clause777,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP518(X)]).

input_clause(clause778,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv10(W),
     --ssSkP466(X)]).

input_clause(clause779,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP433(X)]).

input_clause(clause780,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv4(W),
     --ssSkP403(X)]).

input_clause(clause781,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP370(X)]).

input_clause(clause782,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv3(W),
     --ssSkP339(X)]).

input_clause(clause783,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv4(W),
     --ssSkP282(X)]).

input_clause(clause784,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP221(X)]).

input_clause(clause785,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP188(X)]).

input_clause(clause786,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv6(W),
     --ssSkP131(X)]).

input_clause(clause787,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP98(X)]).

input_clause(clause788,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv2(W),
     --ssSkP66(X)]).

input_clause(clause789,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv9(W),
     --ssSkP41(X)]).

input_clause(clause790,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv8(W),
     --ssSkP15(X)]).

input_clause(clause791,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv21(W),
     --ssSkP2(X)]).
%--------------------------------------------------------------------------
