%--------------------------------------------------------------------------
% File     : SYN909-1 : TPTP v2.7.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF converse PDL, SSS - K=4 C=30 V=4 D=6.2
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cpdl-cnfSSS-K4-C30-V4-D6.2 [Sch01]

% Status   : satisfiable
% Rating   : 0.57 v2.7.0, 0.60 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    : 1051 (  73 non-Horn;  31 unit; 1051 RR)
%            Number of literals   : 4157 (   0 equality)
%            Maximal clause size  :    5 (   3 average)
%            Number of predicates :  974 (  31 propositional; 0-2 arity)
%            Number of functors   :   82 (  31 constant; 0-1 arity)
%            Number of variables  : 3047 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Relational translation with renaming on the *-free converse
%            PDL formula.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC30]).

input_clause(clause2,conjecture,
    [--ssSkC29]).

input_clause(clause3,conjecture,
    [--ssSkC28]).

input_clause(clause4,conjecture,
    [--ssSkC27]).

input_clause(clause5,conjecture,
    [--ssSkC26]).

input_clause(clause6,conjecture,
    [--ssSkC25]).

input_clause(clause7,conjecture,
    [--ssSkC24]).

input_clause(clause8,conjecture,
    [--ssSkC23]).

input_clause(clause9,conjecture,
    [--ssSkC22]).

input_clause(clause10,conjecture,
    [--ssSkC21]).

input_clause(clause11,conjecture,
    [--ssSkC20]).

input_clause(clause12,conjecture,
    [--ssSkC19]).

input_clause(clause13,conjecture,
    [--ssSkC18]).

input_clause(clause14,conjecture,
    [--ssSkC17]).

input_clause(clause15,conjecture,
    [--ssSkC16]).

input_clause(clause16,conjecture,
    [--ssSkC15]).

input_clause(clause17,conjecture,
    [--ssSkC14]).

input_clause(clause18,conjecture,
    [--ssSkC13]).

input_clause(clause19,conjecture,
    [--ssSkC12]).

input_clause(clause20,conjecture,
    [--ssSkC11]).

input_clause(clause21,conjecture,
    [--ssSkC10]).

input_clause(clause22,conjecture,
    [--ssSkC9]).

input_clause(clause23,conjecture,
    [--ssSkC8]).

input_clause(clause24,conjecture,
    [--ssSkC7]).

input_clause(clause25,conjecture,
    [--ssSkC6]).

input_clause(clause26,conjecture,
    [--ssSkC5]).

input_clause(clause27,conjecture,
    [--ssSkC4]).

input_clause(clause28,conjecture,
    [--ssSkC3]).

input_clause(clause29,conjecture,
    [--ssSkC2]).

input_clause(clause30,conjecture,
    [--ssSkC1]).

input_clause(clause31,conjecture,
    [--ssSkC0]).

input_clause(clause32,conjecture,
    [++ssSkP913(skc61),
     ++ssSkC30]).

input_clause(clause33,conjecture,
    [++ssSkP808(skc60),
     ++ssSkC29]).

input_clause(clause34,conjecture,
    [++ssSkP777(skc59),
     ++ssSkC28]).

input_clause(clause35,conjecture,
    [++ssSkP746(skc58),
     ++ssSkC27]).

input_clause(clause36,conjecture,
    [++ssSkP716(skc57),
     ++ssSkC26]).

input_clause(clause37,conjecture,
    [++ssSkP694(skc56),
     ++ssSkC25]).

input_clause(clause38,conjecture,
    [++ssSkP661(skc55),
     ++ssSkC24]).

input_clause(clause39,conjecture,
    [++ssSkP630(skc54),
     ++ssSkC23]).

input_clause(clause40,conjecture,
    [++ssSkP603(skc53),
     ++ssSkC22]).

input_clause(clause41,conjecture,
    [++ssSkP571(skc52),
     ++ssSkC21]).

input_clause(clause42,conjecture,
    [++ssSkP540(skc51),
     ++ssSkC20]).

input_clause(clause43,conjecture,
    [++ssSkP521(skc50),
     ++ssSkC19]).

input_clause(clause44,conjecture,
    [++ssSkP502(skc49),
     ++ssSkC18]).

input_clause(clause45,conjecture,
    [++ssSkP477(skc48),
     ++ssSkC17]).

input_clause(clause46,conjecture,
    [++ssSkP447(skc47),
     ++ssSkC16]).

input_clause(clause47,conjecture,
    [++ssSkP414(skc46),
     ++ssSkC15]).

input_clause(clause48,conjecture,
    [++ssSkP383(skc45),
     ++ssSkC14]).

input_clause(clause49,conjecture,
    [++ssSkP354(skc44),
     ++ssSkC13]).

input_clause(clause50,conjecture,
    [++ssSkP327(skc43),
     ++ssSkC12]).

input_clause(clause51,conjecture,
    [++ssSkP307(skc42),
     ++ssSkC11]).

input_clause(clause52,conjecture,
    [++ssSkP287(skc41),
     ++ssSkC10]).

input_clause(clause53,conjecture,
    [++ssSkP261(skc40),
     ++ssSkC9]).

input_clause(clause54,conjecture,
    [++ssSkP241(skc39),
     ++ssSkC8]).

input_clause(clause55,conjecture,
    [++ssSkP208(skc38),
     ++ssSkC7]).

input_clause(clause56,conjecture,
    [++ssSkP188(skc37),
     ++ssSkC6]).

input_clause(clause57,conjecture,
    [++ssSkP157(skc36),
     ++ssSkC5]).

input_clause(clause58,conjecture,
    [++ssSkP130(skc35),
     ++ssSkC4]).

input_clause(clause59,conjecture,
    [++ssSkP100(skc34),
     ++ssSkC3]).

input_clause(clause60,conjecture,
    [++ssSkP71(skc33),
     ++ssSkC2]).

input_clause(clause61,conjecture,
    [++ssSkP54(skc32),
     ++ssSkC1]).

input_clause(clause62,conjecture,
    [++ssSkP28(skc31),
     ++ssSkC0]).

input_clause(clause63,conjecture,
    [--ssSkP836(U),
     ++ssSkP824(U)]).

input_clause(clause64,conjecture,
    [--ssSkP836(U),
     ++ssPv24(U)]).

input_clause(clause65,conjecture,
    [--ssSkP837(U),
     ++ssSkP831(U)]).

input_clause(clause66,conjecture,
    [--ssSkP837(U),
     ++ssPv5(U)]).

input_clause(clause67,conjecture,
    [--ssSkP838(U),
     ++ssSkP827(U)]).

input_clause(clause68,conjecture,
    [--ssSkP838(U),
     ++ssPv23(U)]).

input_clause(clause69,conjecture,
    [--ssSkP839(U),
     ++ssSkP828(U)]).

input_clause(clause70,conjecture,
    [--ssSkP839(U),
     ++ssPv13(U)]).

input_clause(clause71,conjecture,
    [--ssSkP840(U),
     ++ssSkP830(U)]).

input_clause(clause72,conjecture,
    [--ssSkP840(U),
     ++ssPv22(U)]).

input_clause(clause73,conjecture,
    [--ssSkP841(U),
     ++ssSkP826(U)]).

input_clause(clause74,conjecture,
    [--ssSkP841(U),
     ++ssPv6(U)]).

input_clause(clause75,conjecture,
    [--ssSkP842(U),
     ++ssSkP833(U)]).

input_clause(clause76,conjecture,
    [--ssSkP842(U),
     ++ssPv21(U)]).

input_clause(clause77,conjecture,
    [--ssSkP843(U),
     ++ssSkP835(U)]).

input_clause(clause78,conjecture,
    [--ssSkP843(U),
     ++ssPv8(U)]).

input_clause(clause79,conjecture,
    [--ssSkP844(U),
     ++ssSkP825(U)]).

input_clause(clause80,conjecture,
    [--ssSkP844(U),
     ++ssPv16(U)]).

input_clause(clause81,conjecture,
    [--ssSkP846(U),
     ++ssSkP829(U)]).

input_clause(clause82,conjecture,
    [--ssSkP846(U),
     ++ssPv15(U)]).

input_clause(clause83,conjecture,
    [--ssSkP847(U),
     ++ssSkP832(U)]).

input_clause(clause84,conjecture,
    [--ssSkP847(U),
     ++ssPv7(U)]).

input_clause(clause85,conjecture,
    [--ssSkP848(U),
     ++ssSkP834(U)]).

input_clause(clause86,conjecture,
    [--ssSkP848(U),
     ++ssPv14(U)]).

input_clause(clause87,conjecture,
    [--ssSkP849(U),
     ++ssSkP809(U)]).

input_clause(clause88,conjecture,
    [--ssSkP849(U),
     ++ssSkP845(U)]).

input_clause(clause89,conjecture,
    [--ssSkP863(U),
     ++ssSkP862(U)]).

input_clause(clause90,conjecture,
    [--ssSkP865(U),
     ++ssSkP864(U)]).

input_clause(clause91,conjecture,
    [--ssSkP867(U),
     ++ssSkP861(U)]).

input_clause(clause92,conjecture,
    [--ssSkP867(U),
     ++ssSkP866(U)]).

input_clause(clause93,conjecture,
    [--ssSkP869(U),
     ++ssSkP860(U)]).

input_clause(clause94,conjecture,
    [--ssSkP869(U),
     ++ssSkP868(U)]).

input_clause(clause95,conjecture,
    [--ssSkP871(U),
     ++ssSkP859(U)]).

input_clause(clause96,conjecture,
    [--ssSkP871(U),
     ++ssSkP870(U)]).

input_clause(clause97,conjecture,
    [--ssSkP873(U),
     ++ssSkP858(U)]).

input_clause(clause98,conjecture,
    [--ssSkP873(U),
     ++ssSkP872(U)]).

input_clause(clause99,conjecture,
    [--ssSkP875(U),
     ++ssSkP874(U)]).

input_clause(clause100,conjecture,
    [--ssSkP877(U),
     ++ssSkP876(U)]).

input_clause(clause101,conjecture,
    [--ssSkP879(U),
     ++ssSkP878(U)]).

input_clause(clause102,conjecture,
    [--ssSkP881(U),
     ++ssSkP880(U)]).

input_clause(clause103,conjecture,
    [--ssSkP883(U),
     ++ssSkP857(U)]).

input_clause(clause104,conjecture,
    [--ssSkP883(U),
     ++ssSkP882(U)]).

input_clause(clause105,conjecture,
    [--ssSkP885(U),
     ++ssSkP856(U)]).

input_clause(clause106,conjecture,
    [--ssSkP885(U),
     ++ssSkP884(U)]).

input_clause(clause107,conjecture,
    [--ssSkP887(U),
     ++ssSkP855(U)]).

input_clause(clause108,conjecture,
    [--ssSkP887(U),
     ++ssSkP886(U)]).

input_clause(clause109,conjecture,
    [--ssSkP889(U),
     ++ssSkP854(U)]).

input_clause(clause110,conjecture,
    [--ssSkP889(U),
     ++ssSkP888(U)]).

input_clause(clause111,conjecture,
    [--ssSkP891(U),
     ++ssSkP890(U)]).

input_clause(clause112,conjecture,
    [--ssSkP893(U),
     ++ssSkP892(U)]).

input_clause(clause113,conjecture,
    [--ssSkP895(U),
     ++ssSkP894(U)]).

input_clause(clause114,conjecture,
    [--ssSkP897(U),
     ++ssSkP896(U)]).

input_clause(clause115,conjecture,
    [--ssSkP899(U),
     ++ssSkP853(U)]).

input_clause(clause116,conjecture,
    [--ssSkP899(U),
     ++ssSkP898(U)]).

input_clause(clause117,conjecture,
    [--ssSkP901(U),
     ++ssSkP852(U)]).

input_clause(clause118,conjecture,
    [--ssSkP901(U),
     ++ssSkP900(U)]).

input_clause(clause119,conjecture,
    [--ssSkP903(U),
     ++ssSkP851(U)]).

input_clause(clause120,conjecture,
    [--ssSkP903(U),
     ++ssSkP902(U)]).

input_clause(clause121,conjecture,
    [--ssSkP905(U),
     ++ssSkP850(U)]).

input_clause(clause122,conjecture,
    [--ssSkP905(U),
     ++ssSkP904(U)]).

input_clause(clause123,conjecture,
    [--ssSkP907(U),
     ++ssSkP906(U)]).

input_clause(clause124,conjecture,
    [--ssSkP909(U),
     ++ssSkP908(U)]).

input_clause(clause125,conjecture,
    [--ssSkP911(U),
     ++ssSkP910(U)]).

input_clause(clause126,conjecture,
    [--ssSkP913(U),
     ++ssSkP912(U)]).

input_clause(clause127,conjecture,
    [--ssSkP824(U),
     ++ssSkP811(skf64(U))]).

input_clause(clause128,conjecture,
    [--ssSkP825(U),
     ++ssSkP817(skf65(U))]).

input_clause(clause129,conjecture,
    [--ssSkP826(U),
     ++ssSkP821(skf66(U))]).

input_clause(clause130,conjecture,
    [--ssSkP827(U),
     ++ssSkP815(skf67(U))]).

input_clause(clause131,conjecture,
    [--ssSkP828(U),
     ++ssSkP814(skf68(U))]).

input_clause(clause132,conjecture,
    [--ssSkP829(U),
     ++ssSkP822(skf69(U))]).

input_clause(clause133,conjecture,
    [--ssSkP830(U),
     ++ssSkP819(skf70(U))]).

input_clause(clause134,conjecture,
    [--ssSkP831(U),
     ++ssSkP820(skf71(U))]).

input_clause(clause135,conjecture,
    [--ssSkP832(U),
     ++ssSkP816(skf72(U))]).

input_clause(clause136,conjecture,
    [--ssSkP833(U),
     ++ssSkP812(skf73(U))]).

input_clause(clause137,conjecture,
    [--ssSkP834(U),
     ++ssSkP818(skf74(U))]).

input_clause(clause138,conjecture,
    [--ssSkP835(U),
     ++ssSkP813(skf75(U))]).

input_clause(clause139,conjecture,
    [--ssSkP850(U),
     ++ssSkP836(skf76(U))]).

input_clause(clause140,conjecture,
    [--ssSkP851(U),
     ++ssSkP838(skf77(U))]).

input_clause(clause141,conjecture,
    [--ssSkP852(U),
     ++ssSkP840(skf78(U))]).

input_clause(clause142,conjecture,
    [--ssSkP853(U),
     ++ssSkP842(skf79(U))]).

input_clause(clause143,conjecture,
    [--ssSkP854(U),
     ++ssSkP844(skf80(U))]).

input_clause(clause144,conjecture,
    [--ssSkP855(U),
     ++ssSkP846(skf81(U))]).

input_clause(clause145,conjecture,
    [--ssSkP856(U),
     ++ssSkP848(skf82(U))]).

input_clause(clause146,conjecture,
    [--ssSkP857(U),
     ++ssSkP839(skf83(U))]).

input_clause(clause147,conjecture,
    [--ssSkP858(U),
     ++ssSkP843(skf84(U))]).

input_clause(clause148,conjecture,
    [--ssSkP859(U),
     ++ssSkP847(skf85(U))]).

input_clause(clause149,conjecture,
    [--ssSkP860(U),
     ++ssSkP841(skf86(U))]).

input_clause(clause150,conjecture,
    [--ssSkP861(U),
     ++ssSkP837(skf87(U))]).

input_clause(clause151,conjecture,
    [--ssSkP809(U),
     ++ssRr(U,skf51(U))]).

input_clause(clause152,conjecture,
    [--ssPv24(skf52(U)),
     --ssSkP811(U)]).

input_clause(clause153,conjecture,
    [--ssSkP811(U),
     ++ssRr(U,skf52(U))]).

input_clause(clause154,conjecture,
    [--ssPv21(skf53(U)),
     --ssSkP812(U)]).

input_clause(clause155,conjecture,
    [--ssSkP812(U),
     ++ssRr(U,skf53(U))]).

input_clause(clause156,conjecture,
    [--ssPv8(skf54(U)),
     --ssSkP813(U)]).

input_clause(clause157,conjecture,
    [--ssSkP813(U),
     ++ssRr(U,skf54(U))]).

input_clause(clause158,conjecture,
    [--ssPv13(skf55(U)),
     --ssSkP814(U)]).

input_clause(clause159,conjecture,
    [--ssSkP814(U),
     ++ssRr(U,skf55(U))]).

input_clause(clause160,conjecture,
    [--ssPv23(skf56(U)),
     --ssSkP815(U)]).

input_clause(clause161,conjecture,
    [--ssSkP815(U),
     ++ssRr(U,skf56(U))]).

input_clause(clause162,conjecture,
    [--ssPv7(skf57(U)),
     --ssSkP816(U)]).

input_clause(clause163,conjecture,
    [--ssSkP816(U),
     ++ssRr(U,skf57(U))]).

input_clause(clause164,conjecture,
    [--ssPv16(skf58(U)),
     --ssSkP817(U)]).

input_clause(clause165,conjecture,
    [--ssSkP817(U),
     ++ssRr(U,skf58(U))]).

input_clause(clause166,conjecture,
    [--ssPv14(skf59(U)),
     --ssSkP818(U)]).

input_clause(clause167,conjecture,
    [--ssSkP818(U),
     ++ssRr(U,skf59(U))]).

input_clause(clause168,conjecture,
    [--ssPv22(skf60(U)),
     --ssSkP819(U)]).

input_clause(clause169,conjecture,
    [--ssSkP819(U),
     ++ssRr(U,skf60(U))]).

input_clause(clause170,conjecture,
    [--ssPv5(skf61(U)),
     --ssSkP820(U)]).

input_clause(clause171,conjecture,
    [--ssSkP820(U),
     ++ssRr(U,skf61(U))]).

input_clause(clause172,conjecture,
    [--ssPv6(skf62(U)),
     --ssSkP821(U)]).

input_clause(clause173,conjecture,
    [--ssSkP821(U),
     ++ssRr(U,skf62(U))]).

input_clause(clause174,conjecture,
    [--ssPv15(skf63(U)),
     --ssSkP822(U)]).

input_clause(clause175,conjecture,
    [--ssSkP822(U),
     ++ssRr(U,skf63(U))]).

input_clause(clause176,conjecture,
    [--ssSkP824(U),
     ++ssRr(skf64(U),U)]).

input_clause(clause177,conjecture,
    [--ssSkP825(U),
     ++ssRr(skf65(U),U)]).

input_clause(clause178,conjecture,
    [--ssSkP826(U),
     ++ssRr(skf66(U),U)]).

input_clause(clause179,conjecture,
    [--ssSkP827(U),
     ++ssRr(skf67(U),U)]).

input_clause(clause180,conjecture,
    [--ssSkP828(U),
     ++ssRr(skf68(U),U)]).

input_clause(clause181,conjecture,
    [--ssSkP829(U),
     ++ssRr(skf69(U),U)]).

input_clause(clause182,conjecture,
    [--ssSkP830(U),
     ++ssRr(skf70(U),U)]).

input_clause(clause183,conjecture,
    [--ssSkP831(U),
     ++ssRr(skf71(U),U)]).

input_clause(clause184,conjecture,
    [--ssSkP832(U),
     ++ssRr(skf72(U),U)]).

input_clause(clause185,conjecture,
    [--ssSkP833(U),
     ++ssRr(skf73(U),U)]).

input_clause(clause186,conjecture,
    [--ssSkP834(U),
     ++ssRr(skf74(U),U)]).

input_clause(clause187,conjecture,
    [--ssSkP835(U),
     ++ssRr(skf75(U),U)]).

input_clause(clause188,conjecture,
    [--ssSkP850(U),
     ++ssRr(U,skf76(U))]).

input_clause(clause189,conjecture,
    [--ssSkP851(U),
     ++ssRr(U,skf77(U))]).

input_clause(clause190,conjecture,
    [--ssSkP852(U),
     ++ssRr(U,skf78(U))]).

input_clause(clause191,conjecture,
    [--ssSkP853(U),
     ++ssRr(U,skf79(U))]).

input_clause(clause192,conjecture,
    [--ssSkP854(U),
     ++ssRr(U,skf80(U))]).

input_clause(clause193,conjecture,
    [--ssSkP855(U),
     ++ssRr(U,skf81(U))]).

input_clause(clause194,conjecture,
    [--ssSkP856(U),
     ++ssRr(U,skf82(U))]).

input_clause(clause195,conjecture,
    [--ssSkP857(U),
     ++ssRr(U,skf83(U))]).

input_clause(clause196,conjecture,
    [--ssSkP858(U),
     ++ssRr(U,skf84(U))]).

input_clause(clause197,conjecture,
    [--ssSkP859(U),
     ++ssRr(U,skf85(U))]).

input_clause(clause198,conjecture,
    [--ssSkP860(U),
     ++ssRr(U,skf86(U))]).

input_clause(clause199,conjecture,
    [--ssSkP861(U),
     ++ssRr(U,skf87(U))]).

input_clause(clause200,conjecture,
    [--ssSkP863(U),
     ++ssRr(U,skf88(U))]).

input_clause(clause201,conjecture,
    [--ssSkP865(U),
     ++ssRr(U,skf89(U))]).

input_clause(clause202,conjecture,
    [--ssSkP875(U),
     ++ssRr(U,skf90(U))]).

input_clause(clause203,conjecture,
    [--ssSkP877(U),
     ++ssRr(U,skf91(U))]).

input_clause(clause204,conjecture,
    [--ssSkP879(U),
     ++ssRr(U,skf92(U))]).

input_clause(clause205,conjecture,
    [--ssSkP881(U),
     ++ssRr(U,skf93(U))]).

input_clause(clause206,conjecture,
    [--ssSkP891(U),
     ++ssRr(U,skf94(U))]).

input_clause(clause207,conjecture,
    [--ssSkP893(U),
     ++ssRr(U,skf95(U))]).

input_clause(clause208,conjecture,
    [--ssSkP895(U),
     ++ssRr(U,skf96(U))]).

input_clause(clause209,conjecture,
    [--ssSkP897(U),
     ++ssRr(U,skf97(U))]).

input_clause(clause210,conjecture,
    [--ssSkP907(U),
     ++ssRr(U,skf98(U))]).

input_clause(clause211,conjecture,
    [--ssSkP909(U),
     ++ssRr(U,skf99(U))]).

input_clause(clause212,conjecture,
    [--ssSkP911(U),
     ++ssRr(U,skf100(U))]).

input_clause(clause213,conjecture,
    [--ssSkP913(U),
     ++ssRr(U,skf101(U))]).

input_clause(clause214,conjecture,
    [--ssSkP794(U),
     ++ssPv15(U),
     ++ssSkP793(U)]).

input_clause(clause215,conjecture,
    [--ssSkP784(U),
     ++ssPv7(U),
     ++ssSkP783(U)]).

input_clause(clause216,conjecture,
    [--ssSkP764(U),
     ++ssPv16(U),
     ++ssSkP763(U)]).

input_clause(clause217,conjecture,
    [--ssSkP756(U),
     ++ssPv10(U),
     ++ssSkP755(U)]).

input_clause(clause218,conjecture,
    [--ssSkP702(U),
     ++ssPv16(U),
     ++ssSkP701(U)]).

input_clause(clause219,conjecture,
    [--ssSkP679(U),
     ++ssPv15(U),
     ++ssSkP678(U)]).

input_clause(clause220,conjecture,
    [--ssSkP652(U),
     ++ssPv20(U),
     ++ssSkP651(U)]).

input_clause(clause221,conjecture,
    [--ssSkP643(U),
     ++ssPv13(U),
     ++ssSkP642(U)]).

input_clause(clause222,conjecture,
    [--ssSkP612(U),
     ++ssPv12(U),
     ++ssSkP611(U)]).

input_clause(clause223,conjecture,
    [--ssSkP587(U),
     ++ssPv14(U),
     ++ssSkP586(U)]).

input_clause(clause224,conjecture,
    [--ssSkP564(U),
     ++ssPv22(U),
     ++ssSkP563(U)]).

input_clause(clause225,conjecture,
    [--ssSkP530(U),
     ++ssPv20(U),
     ++ssSkP529(U)]).

input_clause(clause226,conjecture,
    [--ssSkP526(U),
     ++ssPv17(U),
     ++ssSkP525(U)]).

input_clause(clause227,conjecture,
    [--ssSkP515(U),
     ++ssPv23(U),
     ++ssSkP514(U)]).

input_clause(clause228,conjecture,
    [--ssSkP511(U),
     ++ssPv20(U),
     ++ssSkP510(U)]).

input_clause(clause229,conjecture,
    [--ssSkP508(U),
     ++ssPv18(U),
     ++ssSkP507(U)]).

input_clause(clause230,conjecture,
    [--ssSkP496(U),
     ++ssPv23(U),
     ++ssSkP495(U)]).

input_clause(clause231,conjecture,
    [--ssSkP465(U),
     ++ssPv18(U),
     ++ssSkP464(U)]).

input_clause(clause232,conjecture,
    [--ssSkP460(U),
     ++ssPv14(U),
     ++ssSkP459(U)]).

input_clause(clause233,conjecture,
    [--ssSkP437(U),
     ++ssPv20(U),
     ++ssSkP436(U)]).

input_clause(clause234,conjecture,
    [--ssSkP401(U),
     ++ssPv18(U),
     ++ssSkP400(U)]).

input_clause(clause235,conjecture,
    [--ssSkP363(U),
     ++ssPv10(U),
     ++ssSkP362(U)]).

input_clause(clause236,conjecture,
    [--ssSkP360(U),
     ++ssPv8(U),
     ++ssSkP359(U)]).

input_clause(clause237,conjecture,
    [--ssSkP350(U),
     ++ssPv25(U),
     ++ssSkP349(U)]).

input_clause(clause238,conjecture,
    [--ssSkP333(U),
     ++ssPv10(U),
     ++ssSkP332(U)]).

input_clause(clause239,conjecture,
    [--ssSkP323(U),
     ++ssPv25(U),
     ++ssSkP322(U)]).

input_clause(clause240,conjecture,
    [--ssSkP316(U),
     ++ssPv19(U),
     ++ssSkP315(U)]).

input_clause(clause241,conjecture,
    [--ssSkP303(U),
     ++ssPv25(U),
     ++ssSkP302(U)]).

input_clause(clause242,conjecture,
    [--ssSkP283(U),
     ++ssPv25(U),
     ++ssSkP282(U)]).

input_clause(clause243,conjecture,
    [--ssSkP248(U),
     ++ssPv17(U),
     ++ssSkP247(U)]).

input_clause(clause244,conjecture,
    [--ssSkP203(U),
     ++ssPv25(U),
     ++ssSkP202(U)]).

input_clause(clause245,conjecture,
    [--ssSkP185(U),
     ++ssPv26(U),
     ++ssSkP184(U)]).

input_clause(clause246,conjecture,
    [--ssSkP147(U),
     ++ssPv20(U),
     ++ssSkP146(U)]).

input_clause(clause247,conjecture,
    [--ssSkP139(U),
     ++ssPv13(U),
     ++ssSkP138(U)]).

input_clause(clause248,conjecture,
    [--ssSkP128(U),
     ++ssPv27(U),
     ++ssSkP127(U)]).

input_clause(clause249,conjecture,
    [--ssSkP105(U),
     ++ssPv6(U),
     ++ssSkP104(U)]).

input_clause(clause250,conjecture,
    [--ssSkP98(U),
     ++ssPv27(U),
     ++ssSkP97(U)]).

input_clause(clause251,conjecture,
    [--ssSkP63(U),
     ++ssPv22(U),
     ++ssSkP62(U)]).

input_clause(clause252,conjecture,
    [--ssSkP53(U),
     ++ssPv28(U),
     ++ssSkP52(U)]).

input_clause(clause253,conjecture,
    [--ssSkP38(U),
     ++ssPv15(U),
     ++ssSkP37(U)]).

input_clause(clause254,conjecture,
    [--ssSkP27(U),
     ++ssPv28(U),
     ++ssSkP26(U)]).

input_clause(clause255,conjecture,
    [--ssSkP20(U),
     ++ssPv22(U),
     ++ssSkP19(U)]).

input_clause(clause256,conjecture,
    [--ssSkP790(U),
     --ssPv12(U),
     ++ssSkP789(U)]).

input_clause(clause257,conjecture,
    [--ssSkP761(U),
     --ssPv14(U),
     ++ssSkP760(U)]).

input_clause(clause258,conjecture,
    [--ssSkP734(U),
     --ssPv17(U),
     ++ssSkP733(U)]).

input_clause(clause259,conjecture,
    [--ssSkP724(U),
     --ssPv8(U),
     ++ssSkP723(U)]).

input_clause(clause260,conjecture,
    [--ssSkP720(U),
     --ssPv5(U),
     ++ssSkP719(U)]).

input_clause(clause261,conjecture,
    [--ssSkP705(U),
     --ssPv18(U),
     ++ssSkP704(U)]).

input_clause(clause262,conjecture,
    [--ssSkP699(U),
     --ssPv14(U),
     ++ssSkP698(U)]).

input_clause(clause263,conjecture,
    [--ssSkP684(U),
     --ssPv19(U),
     ++ssSkP683(U)]).

input_clause(clause264,conjecture,
    [--ssSkP676(U),
     --ssPv13(U),
     ++ssSkP675(U)]).

input_clause(clause265,conjecture,
    [--ssSkP646(U),
     --ssPv15(U),
     ++ssSkP645(U)]).

input_clause(clause266,conjecture,
    [--ssSkP622(U),
     --ssPv21(U),
     ++ssSkP621(U)]).

input_clause(clause267,conjecture,
    [--ssSkP610(U),
     --ssPv11(U),
     ++ssSkP609(U)]).

input_clause(clause268,conjecture,
    [--ssSkP595(U),
     --ssPv21(U),
     ++ssSkP594(U)]).

input_clause(clause269,conjecture,
    [--ssSkP582(U),
     --ssPv10(U),
     ++ssSkP581(U)]).

input_clause(clause270,conjecture,
    [--ssSkP560(U),
     --ssPv19(U),
     ++ssSkP559(U)]).

input_clause(clause271,conjecture,
    [--ssSkP554(U),
     --ssPv14(U),
     ++ssSkP553(U)]).

input_clause(clause272,conjecture,
    [--ssSkP534(U),
     --ssPv23(U),
     ++ssSkP533(U)]).

input_clause(clause273,conjecture,
    [--ssSkP493(U),
     --ssPv21(U),
     ++ssSkP492(U)]).

input_clause(clause274,conjecture,
    [--ssSkP483(U),
     --ssPv12(U),
     ++ssSkP482(U)]).

input_clause(clause275,conjecture,
    [--ssSkP472(U),
     --ssPv24(U),
     ++ssSkP471(U)]).

input_clause(clause276,conjecture,
    [--ssSkP442(U),
     --ssPv24(U),
     ++ssSkP441(U)]).

input_clause(clause277,conjecture,
    [--ssSkP421(U),
     --ssPv5(U),
     ++ssSkP420(U)]).

input_clause(clause278,conjecture,
    [--ssSkP409(U),
     --ssPv24(U),
     ++ssSkP408(U)]).

input_clause(clause279,conjecture,
    [--ssSkP406(U),
     --ssPv22(U),
     ++ssSkP405(U)]).

input_clause(clause280,conjecture,
    [--ssSkP379(U),
     --ssPv25(U),
     ++ssSkP378(U)]).

input_clause(clause281,conjecture,
    [--ssSkP339(U),
     --ssPv15(U),
     ++ssSkP338(U)]).

input_clause(clause282,conjecture,
    [--ssSkP311(U),
     --ssPv15(U),
     ++ssSkP310(U)]).

input_clause(clause283,conjecture,
    [--ssSkP298(U),
     --ssPv21(U),
     ++ssSkP297(U)]).

input_clause(clause284,conjecture,
    [--ssSkP293(U),
     --ssPv17(U),
     ++ssSkP292(U)]).

input_clause(clause285,conjecture,
    [--ssSkP279(U),
     --ssPv22(U),
     ++ssSkP278(U)]).

input_clause(clause286,conjecture,
    [--ssSkP274(U),
     --ssPv18(U),
     ++ssSkP273(U)]).

input_clause(clause287,conjecture,
    [--ssSkP258(U),
     --ssPv26(U),
     ++ssSkP257(U)]).

input_clause(clause288,conjecture,
    [--ssSkP245(U),
     --ssPv15(U),
     ++ssSkP244(U)]).

input_clause(clause289,conjecture,
    [--ssSkP238(U),
     --ssPv26(U),
     ++ssSkP237(U)]).

input_clause(clause290,conjecture,
    [--ssSkP232(U),
     --ssPv21(U),
     ++ssSkP231(U)]).

input_clause(clause291,conjecture,
    [--ssSkP224(U),
     --ssPv14(U),
     ++ssSkP223(U)]).

input_clause(clause292,conjecture,
    [--ssSkP205(U),
     --ssPv26(U),
     ++ssSkP204(U)]).

input_clause(clause293,conjecture,
    [--ssSkP192(U),
     --ssPv15(U),
     ++ssSkP191(U)]).

input_clause(clause294,conjecture,
    [--ssSkP180(U),
     --ssPv22(U),
     ++ssSkP179(U)]).

input_clause(clause295,conjecture,
    [--ssSkP162(U),
     --ssPv5(U),
     ++ssSkP161(U)]).

input_clause(clause296,conjecture,
    [--ssSkP155(U),
     --ssPv27(U),
     ++ssSkP154(U)]).

input_clause(clause297,conjecture,
    [--ssSkP108(U),
     --ssPv8(U),
     ++ssSkP107(U)]).

input_clause(clause298,conjecture,
    [--ssSkP80(U),
     --ssPv10(U),
     ++ssSkP79(U)]).

input_clause(clause299,conjecture,
    [--ssSkP76(U),
     --ssPv7(U),
     ++ssSkP75(U)]).

input_clause(clause300,conjecture,
    [--ssSkP70(U),
     --ssPv28(U),
     ++ssSkP69(U)]).

input_clause(clause301,conjecture,
    [--ssSkP61(U),
     --ssPv21(U),
     ++ssSkP60(U)]).

input_clause(clause302,conjecture,
    [--ssSkP41(U),
     --ssPv17(U),
     ++ssSkP40(U)]).

input_clause(clause303,conjecture,
    [--ssSkP8(U),
     --ssPv11(U),
     ++ssSkP7(U)]).

input_clause(clause304,conjecture,
    [--ssSkP823(U,V),
     --ssSkP912(V),
     ++ssSkP911(U)]).

input_clause(clause305,conjecture,
    [--ssSkP823(U,V),
     --ssSkP910(V),
     ++ssSkP909(U)]).

input_clause(clause306,conjecture,
    [--ssSkP779(U,V),
     --ssSkP808(V),
     ++ssSkP807(U)]).

input_clause(clause307,conjecture,
    [--ssSkP779(U,V),
     --ssSkP807(V),
     ++ssSkP806(U)]).

input_clause(clause308,conjecture,
    [--ssSkP748(U,V),
     --ssSkP777(V),
     ++ssSkP776(U)]).

input_clause(clause309,conjecture,
    [--ssSkP748(U,V),
     --ssSkP776(V),
     ++ssSkP775(U)]).

input_clause(clause310,conjecture,
    [--ssSkP718(U,V),
     --ssSkP746(V),
     ++ssSkP745(U)]).

input_clause(clause311,conjecture,
    [--ssSkP718(U,V),
     --ssSkP745(V),
     ++ssSkP744(U)]).

input_clause(clause312,conjecture,
    [--ssSkP696(U,V),
     --ssSkP716(V),
     ++ssSkP715(U)]).

input_clause(clause313,conjecture,
    [--ssSkP696(U,V),
     --ssSkP715(V),
     ++ssSkP714(U)]).

input_clause(clause314,conjecture,
    [--ssSkP663(U,V),
     --ssSkP694(V),
     ++ssSkP693(U)]).

input_clause(clause315,conjecture,
    [--ssSkP663(U,V),
     --ssSkP693(V),
     ++ssSkP692(U)]).

input_clause(clause316,conjecture,
    [--ssSkP632(U,V),
     --ssSkP661(V),
     ++ssSkP660(U)]).

input_clause(clause317,conjecture,
    [--ssSkP632(U,V),
     --ssSkP660(V),
     ++ssSkP659(U)]).

input_clause(clause318,conjecture,
    [--ssSkP605(U,V),
     --ssSkP630(V),
     ++ssSkP629(U)]).

input_clause(clause319,conjecture,
    [--ssSkP605(U,V),
     --ssSkP629(V),
     ++ssSkP628(U)]).

input_clause(clause320,conjecture,
    [--ssSkP573(U,V),
     --ssSkP603(V),
     ++ssSkP602(U)]).

input_clause(clause321,conjecture,
    [--ssSkP573(U,V),
     --ssSkP602(V),
     ++ssSkP601(U)]).

input_clause(clause322,conjecture,
    [--ssSkP542(U,V),
     --ssSkP571(V),
     ++ssSkP570(U)]).

input_clause(clause323,conjecture,
    [--ssSkP542(U,V),
     --ssSkP570(V),
     ++ssSkP569(U)]).

input_clause(clause324,conjecture,
    [--ssSkP523(U,V),
     --ssSkP540(V),
     ++ssSkP539(U)]).

input_clause(clause325,conjecture,
    [--ssSkP523(U,V),
     --ssSkP539(V),
     ++ssSkP538(U)]).

input_clause(clause326,conjecture,
    [--ssSkP504(U,V),
     --ssSkP521(V),
     ++ssSkP520(U)]).

input_clause(clause327,conjecture,
    [--ssSkP504(U,V),
     --ssSkP520(V),
     ++ssSkP519(U)]).

input_clause(clause328,conjecture,
    [--ssSkP479(U,V),
     --ssSkP502(V),
     ++ssSkP501(U)]).

input_clause(clause329,conjecture,
    [--ssSkP479(U,V),
     --ssSkP501(V),
     ++ssSkP500(U)]).

input_clause(clause330,conjecture,
    [--ssSkP449(U,V),
     --ssSkP477(V),
     ++ssSkP476(U)]).

input_clause(clause331,conjecture,
    [--ssSkP449(U,V),
     --ssSkP476(V),
     ++ssSkP475(U)]).

input_clause(clause332,conjecture,
    [--ssSkP416(U,V),
     --ssSkP447(V),
     ++ssSkP446(U)]).

input_clause(clause333,conjecture,
    [--ssSkP416(U,V),
     --ssSkP446(V),
     ++ssSkP445(U)]).

input_clause(clause334,conjecture,
    [--ssSkP385(U,V),
     --ssSkP414(V),
     ++ssSkP413(U)]).

input_clause(clause335,conjecture,
    [--ssSkP385(U,V),
     --ssSkP413(V),
     ++ssSkP412(U)]).

input_clause(clause336,conjecture,
    [--ssSkP356(U,V),
     --ssSkP383(V),
     ++ssSkP382(U)]).

input_clause(clause337,conjecture,
    [--ssSkP356(U,V),
     --ssSkP382(V),
     ++ssSkP381(U)]).

input_clause(clause338,conjecture,
    [--ssSkP329(U,V),
     --ssSkP354(V),
     ++ssSkP353(U)]).

input_clause(clause339,conjecture,
    [--ssSkP329(U,V),
     --ssSkP353(V),
     ++ssSkP352(U)]).

input_clause(clause340,conjecture,
    [--ssSkP309(U,V),
     --ssSkP327(V),
     ++ssSkP326(U)]).

input_clause(clause341,conjecture,
    [--ssSkP309(U,V),
     --ssSkP326(V),
     ++ssSkP325(U)]).

input_clause(clause342,conjecture,
    [--ssSkP289(U,V),
     --ssSkP307(V),
     ++ssSkP306(U)]).

input_clause(clause343,conjecture,
    [--ssSkP289(U,V),
     --ssSkP306(V),
     ++ssSkP305(U)]).

input_clause(clause344,conjecture,
    [--ssSkP263(U,V),
     --ssSkP287(V),
     ++ssSkP286(U)]).

input_clause(clause345,conjecture,
    [--ssSkP263(U,V),
     --ssSkP286(V),
     ++ssSkP285(U)]).

input_clause(clause346,conjecture,
    [--ssSkP243(U,V),
     --ssSkP261(V),
     ++ssSkP260(U)]).

input_clause(clause347,conjecture,
    [--ssSkP243(U,V),
     --ssSkP260(V),
     ++ssSkP259(U)]).

input_clause(clause348,conjecture,
    [--ssSkP210(U,V),
     --ssSkP241(V),
     ++ssSkP240(U)]).

input_clause(clause349,conjecture,
    [--ssSkP210(U,V),
     --ssSkP240(V),
     ++ssSkP239(U)]).

input_clause(clause350,conjecture,
    [--ssSkP190(U,V),
     --ssSkP208(V),
     ++ssSkP207(U)]).

input_clause(clause351,conjecture,
    [--ssSkP190(U,V),
     --ssSkP207(V),
     ++ssSkP206(U)]).

input_clause(clause352,conjecture,
    [--ssSkP159(U,V),
     --ssSkP188(V),
     ++ssSkP187(U)]).

input_clause(clause353,conjecture,
    [--ssSkP159(U,V),
     --ssSkP187(V),
     ++ssSkP186(U)]).

input_clause(clause354,conjecture,
    [--ssSkP132(U,V),
     --ssSkP157(V),
     ++ssSkP156(U)]).

input_clause(clause355,conjecture,
    [--ssSkP132(U,V),
     --ssSkP156(V),
     ++ssSkP155(U)]).

input_clause(clause356,conjecture,
    [--ssSkP102(U,V),
     --ssSkP130(V),
     ++ssSkP129(U)]).

input_clause(clause357,conjecture,
    [--ssSkP102(U,V),
     --ssSkP129(V),
     ++ssSkP128(U)]).

input_clause(clause358,conjecture,
    [--ssSkP73(U,V),
     --ssSkP100(V),
     ++ssSkP99(U)]).

input_clause(clause359,conjecture,
    [--ssSkP73(U,V),
     --ssSkP99(V),
     ++ssSkP98(U)]).

input_clause(clause360,conjecture,
    [--ssSkP56(U,V),
     --ssSkP71(V),
     ++ssSkP70(U)]).

input_clause(clause361,conjecture,
    [--ssSkP56(U,V),
     --ssSkP69(V),
     ++ssSkP68(U)]).

input_clause(clause362,conjecture,
    [--ssSkP30(U,V),
     --ssSkP54(V),
     ++ssSkP53(U)]).

input_clause(clause363,conjecture,
    [--ssSkP30(U,V),
     --ssSkP52(V),
     ++ssSkP51(U)]).

input_clause(clause364,conjecture,
    [--ssSkP1(U,V),
     --ssSkP28(V),
     ++ssSkP27(U)]).

input_clause(clause365,conjecture,
    [--ssSkP1(U,V),
     --ssSkP26(V),
     ++ssSkP25(U)]).

input_clause(clause366,conjecture,
    [--ssRr(U,V),
     --ssSkP810(W,V),
     ++ssSkP823(W,U)]).

input_clause(clause367,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP810(W,V)]).

input_clause(clause368,conjecture,
    [--ssRr(U,V),
     --ssSkP778(W,V),
     ++ssSkP779(W,U)]).

input_clause(clause369,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP778(W,V)]).

input_clause(clause370,conjecture,
    [--ssRr(U,V),
     --ssSkP747(W,V),
     ++ssSkP748(W,U)]).

input_clause(clause371,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP747(W,V)]).

input_clause(clause372,conjecture,
    [--ssRr(U,V),
     --ssSkP717(W,V),
     ++ssSkP718(W,U)]).

input_clause(clause373,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP717(W,V)]).

input_clause(clause374,conjecture,
    [--ssRr(U,V),
     --ssSkP695(W,V),
     ++ssSkP696(W,U)]).

input_clause(clause375,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP695(W,V)]).

input_clause(clause376,conjecture,
    [--ssRr(U,V),
     --ssSkP662(W,V),
     ++ssSkP663(W,U)]).

input_clause(clause377,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP662(W,V)]).

input_clause(clause378,conjecture,
    [--ssRr(U,V),
     --ssSkP631(W,V),
     ++ssSkP632(W,U)]).

input_clause(clause379,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP631(W,V)]).

input_clause(clause380,conjecture,
    [--ssRr(U,V),
     --ssSkP604(W,V),
     ++ssSkP605(W,U)]).

input_clause(clause381,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP604(W,V)]).

input_clause(clause382,conjecture,
    [--ssRr(U,V),
     --ssSkP572(W,V),
     ++ssSkP573(W,U)]).

input_clause(clause383,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP572(W,V)]).

input_clause(clause384,conjecture,
    [--ssRr(U,V),
     --ssSkP541(W,V),
     ++ssSkP542(W,U)]).

input_clause(clause385,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP541(W,V)]).

input_clause(clause386,conjecture,
    [--ssRr(U,V),
     --ssSkP522(W,V),
     ++ssSkP523(W,U)]).

input_clause(clause387,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP522(W,V)]).

input_clause(clause388,conjecture,
    [--ssRr(U,V),
     --ssSkP503(W,V),
     ++ssSkP504(W,U)]).

input_clause(clause389,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP503(W,V)]).

input_clause(clause390,conjecture,
    [--ssRr(U,V),
     --ssSkP478(W,V),
     ++ssSkP479(W,U)]).

input_clause(clause391,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP478(W,V)]).

input_clause(clause392,conjecture,
    [--ssRr(U,V),
     --ssSkP448(W,V),
     ++ssSkP449(W,U)]).

input_clause(clause393,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP448(W,V)]).

input_clause(clause394,conjecture,
    [--ssRr(U,V),
     --ssSkP415(W,V),
     ++ssSkP416(W,U)]).

input_clause(clause395,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP415(W,V)]).

input_clause(clause396,conjecture,
    [--ssRr(U,V),
     --ssSkP384(W,V),
     ++ssSkP385(W,U)]).

input_clause(clause397,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP384(W,V)]).

input_clause(clause398,conjecture,
    [--ssRr(U,V),
     --ssSkP355(W,V),
     ++ssSkP356(W,U)]).

input_clause(clause399,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP355(W,V)]).

input_clause(clause400,conjecture,
    [--ssRr(U,V),
     --ssSkP328(W,V),
     ++ssSkP329(W,U)]).

input_clause(clause401,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP328(W,V)]).

input_clause(clause402,conjecture,
    [--ssRr(U,V),
     --ssSkP308(W,V),
     ++ssSkP309(W,U)]).

input_clause(clause403,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP308(W,V)]).

input_clause(clause404,conjecture,
    [--ssRr(U,V),
     --ssSkP288(W,V),
     ++ssSkP289(W,U)]).

input_clause(clause405,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP288(W,V)]).

input_clause(clause406,conjecture,
    [--ssRr(U,V),
     --ssSkP262(W,V),
     ++ssSkP263(W,U)]).

input_clause(clause407,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP262(W,V)]).

input_clause(clause408,conjecture,
    [--ssRr(U,V),
     --ssSkP242(W,V),
     ++ssSkP243(W,U)]).

input_clause(clause409,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP242(W,V)]).

input_clause(clause410,conjecture,
    [--ssRr(U,V),
     --ssSkP209(W,V),
     ++ssSkP210(W,U)]).

input_clause(clause411,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP209(W,V)]).

input_clause(clause412,conjecture,
    [--ssRr(U,V),
     --ssSkP189(W,V),
     ++ssSkP190(W,U)]).

input_clause(clause413,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP189(W,V)]).

input_clause(clause414,conjecture,
    [--ssRr(U,V),
     --ssSkP158(W,V),
     ++ssSkP159(W,U)]).

input_clause(clause415,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP158(W,V)]).

input_clause(clause416,conjecture,
    [--ssRr(U,V),
     --ssSkP131(W,V),
     ++ssSkP132(W,U)]).

input_clause(clause417,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP131(W,V)]).

input_clause(clause418,conjecture,
    [--ssRr(U,V),
     --ssSkP101(W,V),
     ++ssSkP102(W,U)]).

input_clause(clause419,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP101(W,V)]).

input_clause(clause420,conjecture,
    [--ssRr(U,V),
     --ssSkP72(W,V),
     ++ssSkP73(W,U)]).

input_clause(clause421,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP72(W,V)]).

input_clause(clause422,conjecture,
    [--ssRr(U,V),
     --ssSkP55(W,V),
     ++ssSkP56(W,U)]).

input_clause(clause423,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP55(W,V)]).

input_clause(clause424,conjecture,
    [--ssRr(U,V),
     --ssSkP29(W,V),
     ++ssSkP30(W,U)]).

input_clause(clause425,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP29(W,V)]).

input_clause(clause426,conjecture,
    [--ssRr(U,V),
     --ssSkP0(W,V),
     ++ssSkP1(W,U)]).

input_clause(clause427,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssSkP0(W,V)]).

input_clause(clause428,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP908(X),
     ++ssSkP907(W)]).

input_clause(clause429,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP906(X),
     ++ssSkP905(W)]).

input_clause(clause430,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP904(X),
     ++ssSkP903(W)]).

input_clause(clause431,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP902(X),
     ++ssSkP901(W)]).

input_clause(clause432,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP900(X),
     ++ssSkP899(W)]).

input_clause(clause433,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP898(X),
     ++ssSkP897(W)]).

input_clause(clause434,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP896(X),
     ++ssSkP895(W)]).

input_clause(clause435,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP894(X),
     ++ssSkP893(W)]).

input_clause(clause436,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP892(X),
     ++ssSkP891(W)]).

input_clause(clause437,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP890(X),
     ++ssSkP889(W)]).

input_clause(clause438,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP888(X),
     ++ssSkP887(W)]).

input_clause(clause439,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP886(X),
     ++ssSkP885(W)]).

input_clause(clause440,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP884(X),
     ++ssSkP883(W)]).

input_clause(clause441,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP882(X),
     ++ssSkP881(W)]).

input_clause(clause442,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP880(X),
     ++ssSkP879(W)]).

input_clause(clause443,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP878(X),
     ++ssSkP877(W)]).

input_clause(clause444,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP876(X),
     ++ssSkP875(W)]).

input_clause(clause445,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP874(X),
     ++ssSkP873(W)]).

input_clause(clause446,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP872(X),
     ++ssSkP871(W)]).

input_clause(clause447,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP870(X),
     ++ssSkP869(W)]).

input_clause(clause448,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP868(X),
     ++ssSkP867(W)]).

input_clause(clause449,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP866(X),
     ++ssSkP865(W)]).

input_clause(clause450,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP864(X),
     ++ssSkP863(W)]).

input_clause(clause451,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP862(X),
     ++ssSkP849(W)]).

input_clause(clause452,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP845(X),
     ++ssSkP809(W)]).

input_clause(clause453,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP806(X),
     ++ssSkP805(W)]).

input_clause(clause454,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP805(X),
     ++ssSkP804(W)]).

input_clause(clause455,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP804(X),
     ++ssSkP803(W)]).

input_clause(clause456,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP803(X),
     ++ssSkP802(W)]).

input_clause(clause457,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP802(X),
     ++ssSkP801(W)]).

input_clause(clause458,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP801(X),
     ++ssSkP800(W)]).

input_clause(clause459,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP800(X),
     ++ssSkP799(W)]).

input_clause(clause460,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP799(X),
     ++ssSkP798(W)]).

input_clause(clause461,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP798(X),
     ++ssSkP797(W)]).

input_clause(clause462,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP797(X),
     ++ssSkP796(W)]).

input_clause(clause463,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP796(X),
     ++ssSkP795(W)]).

input_clause(clause464,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP795(X),
     ++ssSkP794(W)]).

input_clause(clause465,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP793(X),
     ++ssSkP792(W)]).

input_clause(clause466,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP792(X),
     ++ssSkP791(W)]).

input_clause(clause467,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP791(X),
     ++ssSkP790(W)]).

input_clause(clause468,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP789(X),
     ++ssSkP788(W)]).

input_clause(clause469,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP788(X),
     ++ssSkP787(W)]).

input_clause(clause470,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP787(X),
     ++ssSkP786(W)]).

input_clause(clause471,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP786(X),
     ++ssSkP785(W)]).

input_clause(clause472,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP785(X),
     ++ssSkP784(W)]).

input_clause(clause473,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP783(X),
     ++ssSkP782(W)]).

input_clause(clause474,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP782(X),
     ++ssSkP781(W)]).

input_clause(clause475,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP781(X),
     ++ssSkP780(W)]).

input_clause(clause476,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP780(X),
     ++ssPv3(W)]).

input_clause(clause477,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP775(X),
     ++ssSkP774(W)]).

input_clause(clause478,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP774(X),
     ++ssSkP773(W)]).

input_clause(clause479,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP773(X),
     ++ssSkP772(W)]).

input_clause(clause480,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP772(X),
     ++ssSkP771(W)]).

input_clause(clause481,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP771(X),
     ++ssSkP770(W)]).

input_clause(clause482,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP770(X),
     ++ssSkP769(W)]).

input_clause(clause483,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP769(X),
     ++ssSkP768(W)]).

input_clause(clause484,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP768(X),
     ++ssSkP767(W)]).

input_clause(clause485,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP767(X),
     ++ssSkP766(W)]).

input_clause(clause486,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP766(X),
     ++ssSkP765(W)]).

input_clause(clause487,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP765(X),
     ++ssSkP764(W)]).

input_clause(clause488,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP763(X),
     ++ssSkP762(W)]).

input_clause(clause489,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP762(X),
     ++ssSkP761(W)]).

input_clause(clause490,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP760(X),
     ++ssSkP759(W)]).

input_clause(clause491,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP759(X),
     ++ssSkP758(W)]).

input_clause(clause492,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP758(X),
     ++ssSkP757(W)]).

input_clause(clause493,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP757(X),
     ++ssSkP756(W)]).

input_clause(clause494,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP755(X),
     ++ssSkP754(W)]).

input_clause(clause495,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP754(X),
     ++ssSkP753(W)]).

input_clause(clause496,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP753(X),
     ++ssSkP752(W)]).

input_clause(clause497,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP752(X),
     ++ssSkP751(W)]).

input_clause(clause498,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP751(X),
     ++ssSkP750(W)]).

input_clause(clause499,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP750(X),
     ++ssSkP749(W)]).

input_clause(clause500,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP749(X),
     ++ssPv3(W)]).

input_clause(clause501,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP744(X),
     ++ssSkP743(W)]).

input_clause(clause502,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP743(X),
     ++ssSkP742(W)]).

input_clause(clause503,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP742(X),
     ++ssSkP741(W)]).

input_clause(clause504,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP741(X),
     ++ssSkP740(W)]).

input_clause(clause505,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP740(X),
     ++ssSkP739(W)]).

input_clause(clause506,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP739(X),
     ++ssSkP738(W)]).

input_clause(clause507,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP738(X),
     ++ssSkP737(W)]).

input_clause(clause508,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP737(X),
     ++ssSkP736(W)]).

input_clause(clause509,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP736(X),
     ++ssSkP735(W)]).

input_clause(clause510,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP735(X),
     ++ssSkP734(W)]).

input_clause(clause511,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP733(X),
     ++ssSkP732(W)]).

input_clause(clause512,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP732(X),
     ++ssSkP731(W)]).

input_clause(clause513,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP731(X),
     ++ssSkP730(W)]).

input_clause(clause514,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP730(X),
     ++ssSkP729(W)]).

input_clause(clause515,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP729(X),
     ++ssSkP728(W)]).

input_clause(clause516,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP728(X),
     ++ssSkP727(W)]).

input_clause(clause517,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP727(X),
     ++ssSkP726(W)]).

input_clause(clause518,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP726(X),
     ++ssSkP725(W)]).

input_clause(clause519,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP725(X),
     ++ssSkP724(W)]).

input_clause(clause520,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP723(X),
     ++ssSkP722(W)]).

input_clause(clause521,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP722(X),
     ++ssSkP721(W)]).

input_clause(clause522,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP721(X),
     ++ssSkP720(W)]).

input_clause(clause523,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP714(X),
     ++ssSkP713(W)]).

input_clause(clause524,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP713(X),
     ++ssSkP712(W)]).

input_clause(clause525,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP712(X),
     ++ssSkP711(W)]).

input_clause(clause526,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP711(X),
     ++ssSkP710(W)]).

input_clause(clause527,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP710(X),
     ++ssSkP709(W)]).

input_clause(clause528,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP709(X),
     ++ssSkP708(W)]).

input_clause(clause529,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP708(X),
     ++ssSkP707(W)]).

input_clause(clause530,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP707(X),
     ++ssSkP706(W)]).

input_clause(clause531,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP706(X),
     ++ssSkP705(W)]).

input_clause(clause532,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP704(X),
     ++ssSkP703(W)]).

input_clause(clause533,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP703(X),
     ++ssSkP702(W)]).

input_clause(clause534,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP701(X),
     ++ssSkP700(W)]).

input_clause(clause535,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP700(X),
     ++ssSkP699(W)]).

input_clause(clause536,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP698(X),
     ++ssSkP697(W)]).

input_clause(clause537,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP692(X),
     ++ssSkP691(W)]).

input_clause(clause538,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP691(X),
     ++ssSkP690(W)]).

input_clause(clause539,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP690(X),
     ++ssSkP689(W)]).

input_clause(clause540,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP689(X),
     ++ssSkP688(W)]).

input_clause(clause541,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP688(X),
     ++ssSkP687(W)]).

input_clause(clause542,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP687(X),
     ++ssSkP686(W)]).

input_clause(clause543,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP686(X),
     ++ssSkP685(W)]).

input_clause(clause544,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP685(X),
     ++ssSkP684(W)]).

input_clause(clause545,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP683(X),
     ++ssSkP682(W)]).

input_clause(clause546,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP682(X),
     ++ssSkP681(W)]).

input_clause(clause547,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP681(X),
     ++ssSkP680(W)]).

input_clause(clause548,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP680(X),
     ++ssSkP679(W)]).

input_clause(clause549,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP678(X),
     ++ssSkP677(W)]).

input_clause(clause550,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP677(X),
     ++ssSkP676(W)]).

input_clause(clause551,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP675(X),
     ++ssSkP674(W)]).

input_clause(clause552,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP674(X),
     ++ssSkP673(W)]).

input_clause(clause553,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP673(X),
     ++ssSkP672(W)]).

input_clause(clause554,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP672(X),
     ++ssSkP671(W)]).

input_clause(clause555,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP671(X),
     ++ssSkP670(W)]).

input_clause(clause556,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP670(X),
     ++ssSkP669(W)]).

input_clause(clause557,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP669(X),
     ++ssSkP668(W)]).

input_clause(clause558,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP668(X),
     ++ssSkP667(W)]).

input_clause(clause559,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP667(X),
     ++ssSkP666(W)]).

input_clause(clause560,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP666(X),
     ++ssSkP665(W)]).

input_clause(clause561,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP665(X),
     ++ssSkP664(W)]).

input_clause(clause562,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP664(X),
     ++ssPv1(W)]).

input_clause(clause563,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP659(X),
     ++ssSkP658(W)]).

input_clause(clause564,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP658(X),
     ++ssSkP657(W)]).

input_clause(clause565,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP657(X),
     ++ssSkP656(W)]).

input_clause(clause566,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP656(X),
     ++ssSkP655(W)]).

input_clause(clause567,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP655(X),
     ++ssSkP654(W)]).

input_clause(clause568,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP654(X),
     ++ssSkP653(W)]).

input_clause(clause569,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP653(X),
     ++ssSkP652(W)]).

input_clause(clause570,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP651(X),
     ++ssSkP650(W)]).

input_clause(clause571,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP650(X),
     ++ssSkP649(W)]).

input_clause(clause572,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP649(X),
     ++ssSkP648(W)]).

input_clause(clause573,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP648(X),
     ++ssSkP647(W)]).

input_clause(clause574,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP647(X),
     ++ssSkP646(W)]).

input_clause(clause575,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP645(X),
     ++ssSkP644(W)]).

input_clause(clause576,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP644(X),
     ++ssSkP643(W)]).

input_clause(clause577,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP642(X),
     ++ssSkP641(W)]).

input_clause(clause578,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP641(X),
     ++ssSkP640(W)]).

input_clause(clause579,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP640(X),
     ++ssSkP639(W)]).

input_clause(clause580,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP639(X),
     ++ssSkP638(W)]).

input_clause(clause581,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP638(X),
     ++ssSkP637(W)]).

input_clause(clause582,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP637(X),
     ++ssSkP636(W)]).

input_clause(clause583,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP636(X),
     ++ssSkP635(W)]).

input_clause(clause584,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP635(X),
     ++ssSkP634(W)]).

input_clause(clause585,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP634(X),
     ++ssSkP633(W)]).

input_clause(clause586,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP628(X),
     ++ssSkP627(W)]).

input_clause(clause587,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP627(X),
     ++ssSkP626(W)]).

input_clause(clause588,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP626(X),
     ++ssSkP625(W)]).

input_clause(clause589,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP625(X),
     ++ssSkP624(W)]).

input_clause(clause590,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP624(X),
     ++ssSkP623(W)]).

input_clause(clause591,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP623(X),
     ++ssSkP622(W)]).

input_clause(clause592,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP621(X),
     ++ssSkP620(W)]).

input_clause(clause593,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP620(X),
     ++ssSkP619(W)]).

input_clause(clause594,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP619(X),
     ++ssSkP618(W)]).

input_clause(clause595,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP618(X),
     ++ssSkP617(W)]).

input_clause(clause596,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP617(X),
     ++ssSkP616(W)]).

input_clause(clause597,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP616(X),
     ++ssSkP615(W)]).

input_clause(clause598,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP615(X),
     ++ssSkP614(W)]).

input_clause(clause599,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP614(X),
     ++ssSkP613(W)]).

input_clause(clause600,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP613(X),
     ++ssSkP612(W)]).

input_clause(clause601,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP611(X),
     ++ssSkP610(W)]).

input_clause(clause602,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP609(X),
     ++ssSkP608(W)]).

input_clause(clause603,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP608(X),
     ++ssSkP607(W)]).

input_clause(clause604,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP607(X),
     ++ssSkP606(W)]).

input_clause(clause605,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP606(X),
     ++ssPv7(W)]).

input_clause(clause606,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP601(X),
     ++ssSkP600(W)]).

input_clause(clause607,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP600(X),
     ++ssSkP599(W)]).

input_clause(clause608,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP599(X),
     ++ssSkP598(W)]).

input_clause(clause609,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP598(X),
     ++ssSkP597(W)]).

input_clause(clause610,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP597(X),
     ++ssSkP596(W)]).

input_clause(clause611,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP596(X),
     ++ssSkP595(W)]).

input_clause(clause612,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP594(X),
     ++ssSkP593(W)]).

input_clause(clause613,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP593(X),
     ++ssSkP592(W)]).

input_clause(clause614,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP592(X),
     ++ssSkP591(W)]).

input_clause(clause615,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP591(X),
     ++ssSkP590(W)]).

input_clause(clause616,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP590(X),
     ++ssSkP589(W)]).

input_clause(clause617,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP589(X),
     ++ssSkP588(W)]).

input_clause(clause618,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP588(X),
     ++ssSkP587(W)]).

input_clause(clause619,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP586(X),
     ++ssSkP585(W)]).

input_clause(clause620,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP585(X),
     ++ssSkP584(W)]).

input_clause(clause621,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP584(X),
     ++ssSkP583(W)]).

input_clause(clause622,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP583(X),
     ++ssSkP582(W)]).

input_clause(clause623,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP581(X),
     ++ssSkP580(W)]).

input_clause(clause624,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP580(X),
     ++ssSkP579(W)]).

input_clause(clause625,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP579(X),
     ++ssSkP578(W)]).

input_clause(clause626,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP578(X),
     ++ssSkP577(W)]).

input_clause(clause627,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP577(X),
     ++ssSkP576(W)]).

input_clause(clause628,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP576(X),
     ++ssSkP575(W)]).

input_clause(clause629,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP575(X),
     ++ssSkP574(W)]).

input_clause(clause630,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP574(X),
     ++ssPv2(W)]).

input_clause(clause631,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP569(X),
     ++ssSkP568(W)]).

input_clause(clause632,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP568(X),
     ++ssSkP567(W)]).

input_clause(clause633,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP567(X),
     ++ssSkP566(W)]).

input_clause(clause634,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP566(X),
     ++ssSkP565(W)]).

input_clause(clause635,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP565(X),
     ++ssSkP564(W)]).

input_clause(clause636,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP563(X),
     ++ssSkP562(W)]).

input_clause(clause637,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP562(X),
     ++ssSkP561(W)]).

input_clause(clause638,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP561(X),
     ++ssSkP560(W)]).

input_clause(clause639,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP559(X),
     ++ssSkP558(W)]).

input_clause(clause640,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP558(X),
     ++ssSkP557(W)]).

input_clause(clause641,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP557(X),
     ++ssSkP556(W)]).

input_clause(clause642,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP556(X),
     ++ssSkP555(W)]).

input_clause(clause643,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP555(X),
     ++ssSkP554(W)]).

input_clause(clause644,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP553(X),
     ++ssSkP552(W)]).

input_clause(clause645,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP552(X),
     ++ssSkP551(W)]).

input_clause(clause646,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP551(X),
     ++ssSkP550(W)]).

input_clause(clause647,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP550(X),
     ++ssSkP549(W)]).

input_clause(clause648,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP549(X),
     ++ssSkP548(W)]).

input_clause(clause649,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP548(X),
     ++ssSkP547(W)]).

input_clause(clause650,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP547(X),
     ++ssSkP546(W)]).

input_clause(clause651,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP546(X),
     ++ssSkP545(W)]).

input_clause(clause652,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP545(X),
     ++ssSkP544(W)]).

input_clause(clause653,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP544(X),
     ++ssSkP543(W)]).

input_clause(clause654,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP543(X),
     ++ssPv3(W)]).

input_clause(clause655,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP538(X),
     ++ssSkP537(W)]).

input_clause(clause656,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP537(X),
     ++ssSkP536(W)]).

input_clause(clause657,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP536(X),
     ++ssSkP535(W)]).

input_clause(clause658,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP535(X),
     ++ssSkP534(W)]).

input_clause(clause659,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP533(X),
     ++ssSkP532(W)]).

input_clause(clause660,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP532(X),
     ++ssSkP531(W)]).

input_clause(clause661,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP531(X),
     ++ssSkP530(W)]).

input_clause(clause662,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP529(X),
     ++ssSkP528(W)]).

input_clause(clause663,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP528(X),
     ++ssSkP527(W)]).

input_clause(clause664,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP527(X),
     ++ssSkP526(W)]).

input_clause(clause665,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP525(X),
     ++ssSkP524(W)]).

input_clause(clause666,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP524(X),
     ++ssPv15(W)]).

input_clause(clause667,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP519(X),
     ++ssSkP518(W)]).

input_clause(clause668,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP518(X),
     ++ssSkP517(W)]).

input_clause(clause669,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP517(X),
     ++ssSkP516(W)]).

input_clause(clause670,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP516(X),
     ++ssSkP515(W)]).

input_clause(clause671,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP514(X),
     ++ssSkP513(W)]).

input_clause(clause672,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP513(X),
     ++ssSkP512(W)]).

input_clause(clause673,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP512(X),
     ++ssSkP511(W)]).

input_clause(clause674,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP510(X),
     ++ssSkP509(W)]).

input_clause(clause675,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP509(X),
     ++ssSkP508(W)]).

input_clause(clause676,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP507(X),
     ++ssSkP506(W)]).

input_clause(clause677,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP506(X),
     ++ssSkP505(W)]).

input_clause(clause678,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP505(X),
     ++ssPv15(W)]).

input_clause(clause679,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP500(X),
     ++ssSkP499(W)]).

input_clause(clause680,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP499(X),
     ++ssSkP498(W)]).

input_clause(clause681,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP498(X),
     ++ssSkP497(W)]).

input_clause(clause682,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP497(X),
     ++ssSkP496(W)]).

input_clause(clause683,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP495(X),
     ++ssSkP494(W)]).

input_clause(clause684,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP494(X),
     ++ssSkP493(W)]).

input_clause(clause685,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP492(X),
     ++ssSkP491(W)]).

input_clause(clause686,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP491(X),
     ++ssSkP490(W)]).

input_clause(clause687,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP490(X),
     ++ssSkP489(W)]).

input_clause(clause688,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP489(X),
     ++ssSkP488(W)]).

input_clause(clause689,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP488(X),
     ++ssSkP487(W)]).

input_clause(clause690,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP487(X),
     ++ssSkP486(W)]).

input_clause(clause691,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP486(X),
     ++ssSkP485(W)]).

input_clause(clause692,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP485(X),
     ++ssSkP484(W)]).

input_clause(clause693,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP484(X),
     ++ssSkP483(W)]).

input_clause(clause694,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP482(X),
     ++ssSkP481(W)]).

input_clause(clause695,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP481(X),
     ++ssSkP480(W)]).

input_clause(clause696,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP480(X),
     ++ssPv9(W)]).

input_clause(clause697,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP475(X),
     ++ssSkP474(W)]).

input_clause(clause698,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP474(X),
     ++ssSkP473(W)]).

input_clause(clause699,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP473(X),
     ++ssSkP472(W)]).

input_clause(clause700,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP471(X),
     ++ssSkP470(W)]).

input_clause(clause701,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP470(X),
     ++ssSkP469(W)]).

input_clause(clause702,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP469(X),
     ++ssSkP468(W)]).

input_clause(clause703,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP468(X),
     ++ssSkP467(W)]).

input_clause(clause704,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP467(X),
     ++ssSkP466(W)]).

input_clause(clause705,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP466(X),
     ++ssSkP465(W)]).

input_clause(clause706,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP464(X),
     ++ssSkP463(W)]).

input_clause(clause707,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP463(X),
     ++ssSkP462(W)]).

input_clause(clause708,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP462(X),
     ++ssSkP461(W)]).

input_clause(clause709,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP461(X),
     ++ssSkP460(W)]).

input_clause(clause710,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP459(X),
     ++ssSkP458(W)]).

input_clause(clause711,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP458(X),
     ++ssSkP457(W)]).

input_clause(clause712,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP457(X),
     ++ssSkP456(W)]).

input_clause(clause713,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP456(X),
     ++ssSkP455(W)]).

input_clause(clause714,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP455(X),
     ++ssSkP454(W)]).

input_clause(clause715,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP454(X),
     ++ssSkP453(W)]).

input_clause(clause716,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP453(X),
     ++ssSkP452(W)]).

input_clause(clause717,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP452(X),
     ++ssSkP451(W)]).

input_clause(clause718,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP451(X),
     ++ssSkP450(W)]).

input_clause(clause719,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP445(X),
     ++ssSkP444(W)]).

input_clause(clause720,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP444(X),
     ++ssSkP443(W)]).

input_clause(clause721,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP443(X),
     ++ssSkP442(W)]).

input_clause(clause722,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP441(X),
     ++ssSkP440(W)]).

input_clause(clause723,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP440(X),
     ++ssSkP439(W)]).

input_clause(clause724,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP439(X),
     ++ssSkP438(W)]).

input_clause(clause725,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP438(X),
     ++ssSkP437(W)]).

input_clause(clause726,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP436(X),
     ++ssSkP435(W)]).

input_clause(clause727,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP435(X),
     ++ssSkP434(W)]).

input_clause(clause728,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP434(X),
     ++ssSkP433(W)]).

input_clause(clause729,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP433(X),
     ++ssSkP432(W)]).

input_clause(clause730,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP432(X),
     ++ssSkP431(W)]).

input_clause(clause731,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP431(X),
     ++ssSkP430(W)]).

input_clause(clause732,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP430(X),
     ++ssSkP429(W)]).

input_clause(clause733,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP429(X),
     ++ssSkP428(W)]).

input_clause(clause734,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP428(X),
     ++ssSkP427(W)]).

input_clause(clause735,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP427(X),
     ++ssSkP426(W)]).

input_clause(clause736,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP426(X),
     ++ssSkP425(W)]).

input_clause(clause737,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP425(X),
     ++ssSkP424(W)]).

input_clause(clause738,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP424(X),
     ++ssSkP423(W)]).

input_clause(clause739,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP423(X),
     ++ssSkP422(W)]).

input_clause(clause740,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP422(X),
     ++ssSkP421(W)]).

input_clause(clause741,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP420(X),
     ++ssSkP419(W)]).

input_clause(clause742,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP419(X),
     ++ssSkP418(W)]).

input_clause(clause743,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP418(X),
     ++ssSkP417(W)]).

input_clause(clause744,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP412(X),
     ++ssSkP411(W)]).

input_clause(clause745,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP411(X),
     ++ssSkP410(W)]).

input_clause(clause746,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP410(X),
     ++ssSkP409(W)]).

input_clause(clause747,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP408(X),
     ++ssSkP407(W)]).

input_clause(clause748,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP407(X),
     ++ssSkP406(W)]).

input_clause(clause749,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP405(X),
     ++ssSkP404(W)]).

input_clause(clause750,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP404(X),
     ++ssSkP403(W)]).

input_clause(clause751,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP403(X),
     ++ssSkP402(W)]).

input_clause(clause752,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP402(X),
     ++ssSkP401(W)]).

input_clause(clause753,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP400(X),
     ++ssSkP399(W)]).

input_clause(clause754,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP399(X),
     ++ssSkP398(W)]).

input_clause(clause755,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP398(X),
     ++ssSkP397(W)]).

input_clause(clause756,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP397(X),
     ++ssSkP396(W)]).

input_clause(clause757,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP396(X),
     ++ssSkP395(W)]).

input_clause(clause758,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP395(X),
     ++ssSkP394(W)]).

input_clause(clause759,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP394(X),
     ++ssSkP393(W)]).

input_clause(clause760,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP393(X),
     ++ssSkP392(W)]).

input_clause(clause761,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP392(X),
     ++ssSkP391(W)]).

input_clause(clause762,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP391(X),
     ++ssSkP390(W)]).

input_clause(clause763,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP390(X),
     ++ssSkP389(W)]).

input_clause(clause764,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP389(X),
     ++ssSkP388(W)]).

input_clause(clause765,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP388(X),
     ++ssSkP387(W)]).

input_clause(clause766,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP387(X),
     ++ssSkP386(W)]).

input_clause(clause767,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP386(X),
     ++ssPv3(W)]).

input_clause(clause768,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP381(X),
     ++ssSkP380(W)]).

input_clause(clause769,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP380(X),
     ++ssSkP379(W)]).

input_clause(clause770,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP378(X),
     ++ssSkP377(W)]).

input_clause(clause771,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP377(X),
     ++ssSkP376(W)]).

input_clause(clause772,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP376(X),
     ++ssSkP375(W)]).

input_clause(clause773,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP375(X),
     ++ssSkP374(W)]).

input_clause(clause774,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP374(X),
     ++ssSkP373(W)]).

input_clause(clause775,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP373(X),
     ++ssSkP372(W)]).

input_clause(clause776,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP372(X),
     ++ssSkP371(W)]).

input_clause(clause777,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP371(X),
     ++ssSkP370(W)]).

input_clause(clause778,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP370(X),
     ++ssSkP369(W)]).

input_clause(clause779,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP369(X),
     ++ssSkP368(W)]).

input_clause(clause780,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP368(X),
     ++ssSkP367(W)]).

input_clause(clause781,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP367(X),
     ++ssSkP366(W)]).

input_clause(clause782,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP366(X),
     ++ssSkP365(W)]).

input_clause(clause783,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP365(X),
     ++ssSkP364(W)]).

input_clause(clause784,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP364(X),
     ++ssSkP363(W)]).

input_clause(clause785,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP362(X),
     ++ssSkP361(W)]).

input_clause(clause786,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP361(X),
     ++ssSkP360(W)]).

input_clause(clause787,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP359(X),
     ++ssSkP358(W)]).

input_clause(clause788,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP358(X),
     ++ssSkP357(W)]).

input_clause(clause789,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP352(X),
     ++ssSkP351(W)]).

input_clause(clause790,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP351(X),
     ++ssSkP350(W)]).

input_clause(clause791,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP349(X),
     ++ssSkP348(W)]).

input_clause(clause792,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP348(X),
     ++ssSkP347(W)]).

input_clause(clause793,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP347(X),
     ++ssSkP346(W)]).

input_clause(clause794,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP346(X),
     ++ssSkP345(W)]).

input_clause(clause795,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP345(X),
     ++ssSkP344(W)]).

input_clause(clause796,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP344(X),
     ++ssSkP343(W)]).

input_clause(clause797,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP343(X),
     ++ssSkP342(W)]).

input_clause(clause798,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP342(X),
     ++ssSkP341(W)]).

input_clause(clause799,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP341(X),
     ++ssSkP340(W)]).

input_clause(clause800,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP340(X),
     ++ssSkP339(W)]).

input_clause(clause801,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP338(X),
     ++ssSkP337(W)]).

input_clause(clause802,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP337(X),
     ++ssSkP336(W)]).

input_clause(clause803,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP336(X),
     ++ssSkP335(W)]).

input_clause(clause804,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP335(X),
     ++ssSkP334(W)]).

input_clause(clause805,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP334(X),
     ++ssSkP333(W)]).

input_clause(clause806,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP332(X),
     ++ssSkP331(W)]).

input_clause(clause807,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP331(X),
     ++ssSkP330(W)]).

input_clause(clause808,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP325(X),
     ++ssSkP324(W)]).

input_clause(clause809,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP324(X),
     ++ssSkP323(W)]).

input_clause(clause810,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP322(X),
     ++ssSkP321(W)]).

input_clause(clause811,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP321(X),
     ++ssSkP320(W)]).

input_clause(clause812,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP320(X),
     ++ssSkP319(W)]).

input_clause(clause813,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP319(X),
     ++ssSkP318(W)]).

input_clause(clause814,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP318(X),
     ++ssSkP317(W)]).

input_clause(clause815,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP317(X),
     ++ssSkP316(W)]).

input_clause(clause816,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP315(X),
     ++ssSkP314(W)]).

input_clause(clause817,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP314(X),
     ++ssSkP313(W)]).

input_clause(clause818,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP313(X),
     ++ssSkP312(W)]).

input_clause(clause819,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP312(X),
     ++ssSkP311(W)]).

input_clause(clause820,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP310(X),
     ++ssPv14(W)]).

input_clause(clause821,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP305(X),
     ++ssSkP304(W)]).

input_clause(clause822,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP304(X),
     ++ssSkP303(W)]).

input_clause(clause823,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP302(X),
     ++ssSkP301(W)]).

input_clause(clause824,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP301(X),
     ++ssSkP300(W)]).

input_clause(clause825,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP300(X),
     ++ssSkP299(W)]).

input_clause(clause826,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP299(X),
     ++ssSkP298(W)]).

input_clause(clause827,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP297(X),
     ++ssSkP296(W)]).

input_clause(clause828,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP296(X),
     ++ssSkP295(W)]).

input_clause(clause829,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP295(X),
     ++ssSkP294(W)]).

input_clause(clause830,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP294(X),
     ++ssSkP293(W)]).

input_clause(clause831,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP292(X),
     ++ssSkP291(W)]).

input_clause(clause832,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP291(X),
     ++ssSkP290(W)]).

input_clause(clause833,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP290(X),
     ++ssPv14(W)]).

input_clause(clause834,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP285(X),
     ++ssSkP284(W)]).

input_clause(clause835,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP284(X),
     ++ssSkP283(W)]).

input_clause(clause836,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP282(X),
     ++ssSkP281(W)]).

input_clause(clause837,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP281(X),
     ++ssSkP280(W)]).

input_clause(clause838,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP280(X),
     ++ssSkP279(W)]).

input_clause(clause839,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP278(X),
     ++ssSkP277(W)]).

input_clause(clause840,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP277(X),
     ++ssSkP276(W)]).

input_clause(clause841,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP276(X),
     ++ssSkP275(W)]).

input_clause(clause842,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP275(X),
     ++ssSkP274(W)]).

input_clause(clause843,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP273(X),
     ++ssSkP272(W)]).

input_clause(clause844,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP272(X),
     ++ssSkP271(W)]).

input_clause(clause845,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP271(X),
     ++ssSkP270(W)]).

input_clause(clause846,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP270(X),
     ++ssSkP269(W)]).

input_clause(clause847,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP269(X),
     ++ssSkP268(W)]).

input_clause(clause848,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP268(X),
     ++ssSkP267(W)]).

input_clause(clause849,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP267(X),
     ++ssSkP266(W)]).

input_clause(clause850,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP266(X),
     ++ssSkP265(W)]).

input_clause(clause851,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP265(X),
     ++ssSkP264(W)]).

input_clause(clause852,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP264(X),
     ++ssPv8(W)]).

input_clause(clause853,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP259(X),
     ++ssSkP258(W)]).

input_clause(clause854,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP257(X),
     ++ssSkP256(W)]).

input_clause(clause855,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP256(X),
     ++ssSkP255(W)]).

input_clause(clause856,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP255(X),
     ++ssSkP254(W)]).

input_clause(clause857,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP254(X),
     ++ssSkP253(W)]).

input_clause(clause858,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP253(X),
     ++ssSkP252(W)]).

input_clause(clause859,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP252(X),
     ++ssSkP251(W)]).

input_clause(clause860,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP251(X),
     ++ssSkP250(W)]).

input_clause(clause861,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP250(X),
     ++ssSkP249(W)]).

input_clause(clause862,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP249(X),
     ++ssSkP248(W)]).

input_clause(clause863,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP247(X),
     ++ssSkP246(W)]).

input_clause(clause864,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP246(X),
     ++ssSkP245(W)]).

input_clause(clause865,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP244(X),
     ++ssPv14(W)]).

input_clause(clause866,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP239(X),
     ++ssSkP238(W)]).

input_clause(clause867,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP237(X),
     ++ssSkP236(W)]).

input_clause(clause868,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP236(X),
     ++ssSkP235(W)]).

input_clause(clause869,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP235(X),
     ++ssSkP234(W)]).

input_clause(clause870,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP234(X),
     ++ssSkP233(W)]).

input_clause(clause871,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP233(X),
     ++ssSkP232(W)]).

input_clause(clause872,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP231(X),
     ++ssSkP230(W)]).

input_clause(clause873,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP230(X),
     ++ssSkP229(W)]).

input_clause(clause874,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP229(X),
     ++ssSkP228(W)]).

input_clause(clause875,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP228(X),
     ++ssSkP227(W)]).

input_clause(clause876,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP227(X),
     ++ssSkP226(W)]).

input_clause(clause877,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP226(X),
     ++ssSkP225(W)]).

input_clause(clause878,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP225(X),
     ++ssSkP224(W)]).

input_clause(clause879,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP223(X),
     ++ssSkP222(W)]).

input_clause(clause880,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP222(X),
     ++ssSkP221(W)]).

input_clause(clause881,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP221(X),
     ++ssSkP220(W)]).

input_clause(clause882,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP220(X),
     ++ssSkP219(W)]).

input_clause(clause883,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP219(X),
     ++ssSkP218(W)]).

input_clause(clause884,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP218(X),
     ++ssSkP217(W)]).

input_clause(clause885,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP217(X),
     ++ssSkP216(W)]).

input_clause(clause886,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP216(X),
     ++ssSkP215(W)]).

input_clause(clause887,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP215(X),
     ++ssSkP214(W)]).

input_clause(clause888,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP214(X),
     ++ssSkP213(W)]).

input_clause(clause889,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP213(X),
     ++ssSkP212(W)]).

input_clause(clause890,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP212(X),
     ++ssSkP211(W)]).

input_clause(clause891,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP206(X),
     ++ssSkP205(W)]).

input_clause(clause892,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP204(X),
     ++ssSkP203(W)]).

input_clause(clause893,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP202(X),
     ++ssSkP201(W)]).

input_clause(clause894,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP201(X),
     ++ssSkP200(W)]).

input_clause(clause895,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP200(X),
     ++ssSkP199(W)]).

input_clause(clause896,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP199(X),
     ++ssSkP198(W)]).

input_clause(clause897,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP198(X),
     ++ssSkP197(W)]).

input_clause(clause898,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP197(X),
     ++ssSkP196(W)]).

input_clause(clause899,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP196(X),
     ++ssSkP195(W)]).

input_clause(clause900,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP195(X),
     ++ssSkP194(W)]).

input_clause(clause901,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP194(X),
     ++ssSkP193(W)]).

input_clause(clause902,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP193(X),
     ++ssSkP192(W)]).

input_clause(clause903,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP186(X),
     ++ssSkP185(W)]).

input_clause(clause904,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP184(X),
     ++ssSkP183(W)]).

input_clause(clause905,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP183(X),
     ++ssSkP182(W)]).

input_clause(clause906,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP182(X),
     ++ssSkP181(W)]).

input_clause(clause907,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP181(X),
     ++ssSkP180(W)]).

input_clause(clause908,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP179(X),
     ++ssSkP178(W)]).

input_clause(clause909,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP178(X),
     ++ssSkP177(W)]).

input_clause(clause910,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP177(X),
     ++ssSkP176(W)]).

input_clause(clause911,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP176(X),
     ++ssSkP175(W)]).

input_clause(clause912,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP175(X),
     ++ssSkP174(W)]).

input_clause(clause913,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP174(X),
     ++ssSkP173(W)]).

input_clause(clause914,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP173(X),
     ++ssSkP172(W)]).

input_clause(clause915,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP172(X),
     ++ssSkP171(W)]).

input_clause(clause916,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP171(X),
     ++ssSkP170(W)]).

input_clause(clause917,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP170(X),
     ++ssSkP169(W)]).

input_clause(clause918,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP169(X),
     ++ssSkP168(W)]).

input_clause(clause919,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP168(X),
     ++ssSkP167(W)]).

input_clause(clause920,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP167(X),
     ++ssSkP166(W)]).

input_clause(clause921,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP166(X),
     ++ssSkP165(W)]).

input_clause(clause922,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP165(X),
     ++ssSkP164(W)]).

input_clause(clause923,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP164(X),
     ++ssSkP163(W)]).

input_clause(clause924,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP163(X),
     ++ssSkP162(W)]).

input_clause(clause925,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP161(X),
     ++ssSkP160(W)]).

input_clause(clause926,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP160(X),
     ++ssPv3(W)]).

input_clause(clause927,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP154(X),
     ++ssSkP153(W)]).

input_clause(clause928,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP153(X),
     ++ssSkP152(W)]).

input_clause(clause929,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP152(X),
     ++ssSkP151(W)]).

input_clause(clause930,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP151(X),
     ++ssSkP150(W)]).

input_clause(clause931,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP150(X),
     ++ssSkP149(W)]).

input_clause(clause932,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP149(X),
     ++ssSkP148(W)]).

input_clause(clause933,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP148(X),
     ++ssSkP147(W)]).

input_clause(clause934,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP146(X),
     ++ssSkP145(W)]).

input_clause(clause935,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP145(X),
     ++ssSkP144(W)]).

input_clause(clause936,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP144(X),
     ++ssSkP143(W)]).

input_clause(clause937,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP143(X),
     ++ssSkP142(W)]).

input_clause(clause938,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP142(X),
     ++ssSkP141(W)]).

input_clause(clause939,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP141(X),
     ++ssSkP140(W)]).

input_clause(clause940,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP140(X),
     ++ssSkP139(W)]).

input_clause(clause941,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP138(X),
     ++ssSkP137(W)]).

input_clause(clause942,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP137(X),
     ++ssSkP136(W)]).

input_clause(clause943,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP136(X),
     ++ssSkP135(W)]).

input_clause(clause944,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP135(X),
     ++ssSkP134(W)]).

input_clause(clause945,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP134(X),
     ++ssSkP133(W)]).

input_clause(clause946,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP133(X),
     ++ssPv7(W)]).

input_clause(clause947,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP127(X),
     ++ssSkP126(W)]).

input_clause(clause948,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP126(X),
     ++ssSkP125(W)]).

input_clause(clause949,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP125(X),
     ++ssSkP124(W)]).

input_clause(clause950,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP124(X),
     ++ssSkP123(W)]).

input_clause(clause951,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP123(X),
     ++ssSkP122(W)]).

input_clause(clause952,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP122(X),
     ++ssSkP121(W)]).

input_clause(clause953,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP121(X),
     ++ssSkP120(W)]).

input_clause(clause954,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP120(X),
     ++ssSkP119(W)]).

input_clause(clause955,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP119(X),
     ++ssSkP118(W)]).

input_clause(clause956,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP118(X),
     ++ssSkP117(W)]).

input_clause(clause957,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP117(X),
     ++ssSkP116(W)]).

input_clause(clause958,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP116(X),
     ++ssSkP115(W)]).

input_clause(clause959,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP115(X),
     ++ssSkP114(W)]).

input_clause(clause960,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP114(X),
     ++ssSkP113(W)]).

input_clause(clause961,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP113(X),
     ++ssSkP112(W)]).

input_clause(clause962,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP112(X),
     ++ssSkP111(W)]).

input_clause(clause963,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP111(X),
     ++ssSkP110(W)]).

input_clause(clause964,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP110(X),
     ++ssSkP109(W)]).

input_clause(clause965,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP109(X),
     ++ssSkP108(W)]).

input_clause(clause966,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP107(X),
     ++ssSkP106(W)]).

input_clause(clause967,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP106(X),
     ++ssSkP105(W)]).

input_clause(clause968,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP104(X),
     ++ssSkP103(W)]).

input_clause(clause969,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP103(X),
     ++ssPv4(W)]).

input_clause(clause970,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP97(X),
     ++ssSkP96(W)]).

input_clause(clause971,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP96(X),
     ++ssSkP95(W)]).

input_clause(clause972,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP95(X),
     ++ssSkP94(W)]).

input_clause(clause973,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP94(X),
     ++ssSkP93(W)]).

input_clause(clause974,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP93(X),
     ++ssSkP92(W)]).

input_clause(clause975,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP92(X),
     ++ssSkP91(W)]).

input_clause(clause976,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP91(X),
     ++ssSkP90(W)]).

input_clause(clause977,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP90(X),
     ++ssSkP89(W)]).

input_clause(clause978,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP89(X),
     ++ssSkP88(W)]).

input_clause(clause979,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP88(X),
     ++ssSkP87(W)]).

input_clause(clause980,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP87(X),
     ++ssSkP86(W)]).

input_clause(clause981,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP86(X),
     ++ssSkP85(W)]).

input_clause(clause982,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP85(X),
     ++ssSkP84(W)]).

input_clause(clause983,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP84(X),
     ++ssSkP83(W)]).

input_clause(clause984,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP83(X),
     ++ssSkP82(W)]).

input_clause(clause985,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP82(X),
     ++ssSkP81(W)]).

input_clause(clause986,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP81(X),
     ++ssSkP80(W)]).

input_clause(clause987,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP79(X),
     ++ssSkP78(W)]).

input_clause(clause988,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP78(X),
     ++ssSkP77(W)]).

input_clause(clause989,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP77(X),
     ++ssSkP76(W)]).

input_clause(clause990,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP75(X),
     ++ssSkP74(W)]).

input_clause(clause991,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP68(X),
     ++ssSkP67(W)]).

input_clause(clause992,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP67(X),
     ++ssSkP66(W)]).

input_clause(clause993,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP66(X),
     ++ssSkP65(W)]).

input_clause(clause994,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP65(X),
     ++ssSkP64(W)]).

input_clause(clause995,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP64(X),
     ++ssSkP63(W)]).

input_clause(clause996,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP62(X),
     ++ssSkP61(W)]).

input_clause(clause997,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP60(X),
     ++ssSkP59(W)]).

input_clause(clause998,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP59(X),
     ++ssSkP58(W)]).

input_clause(clause999,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP58(X),
     ++ssSkP57(W)]).

input_clause(clause1000,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP51(X),
     ++ssSkP50(W)]).

input_clause(clause1001,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP50(X),
     ++ssSkP49(W)]).

input_clause(clause1002,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP49(X),
     ++ssSkP48(W)]).

input_clause(clause1003,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP48(X),
     ++ssSkP47(W)]).

input_clause(clause1004,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP47(X),
     ++ssSkP46(W)]).

input_clause(clause1005,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP46(X),
     ++ssSkP45(W)]).

input_clause(clause1006,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP45(X),
     ++ssSkP44(W)]).

input_clause(clause1007,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP44(X),
     ++ssSkP43(W)]).

input_clause(clause1008,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP43(X),
     ++ssSkP42(W)]).

input_clause(clause1009,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP42(X),
     ++ssSkP41(W)]).

input_clause(clause1010,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP40(X),
     ++ssSkP39(W)]).

input_clause(clause1011,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP39(X),
     ++ssSkP38(W)]).

input_clause(clause1012,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP37(X),
     ++ssSkP36(W)]).

input_clause(clause1013,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP36(X),
     ++ssSkP35(W)]).

input_clause(clause1014,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP35(X),
     ++ssSkP34(W)]).

input_clause(clause1015,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP34(X),
     ++ssSkP33(W)]).

input_clause(clause1016,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP33(X),
     ++ssSkP32(W)]).

input_clause(clause1017,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP32(X),
     ++ssSkP31(W)]).

input_clause(clause1018,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP25(X),
     ++ssSkP24(W)]).

input_clause(clause1019,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP24(X),
     ++ssSkP23(W)]).

input_clause(clause1020,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP23(X),
     ++ssSkP22(W)]).

input_clause(clause1021,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP22(X),
     ++ssSkP21(W)]).

input_clause(clause1022,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP21(X),
     ++ssSkP20(W)]).

input_clause(clause1023,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP19(X),
     ++ssSkP18(W)]).

input_clause(clause1024,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP18(X),
     ++ssSkP17(W)]).

input_clause(clause1025,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP17(X),
     ++ssSkP16(W)]).

input_clause(clause1026,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP16(X),
     ++ssSkP15(W)]).

input_clause(clause1027,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP15(X),
     ++ssSkP14(W)]).

input_clause(clause1028,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP14(X),
     ++ssSkP13(W)]).

input_clause(clause1029,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP13(X),
     ++ssSkP12(W)]).

input_clause(clause1030,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP12(X),
     ++ssSkP11(W)]).

input_clause(clause1031,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP11(X),
     ++ssSkP10(W)]).

input_clause(clause1032,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP10(X),
     ++ssSkP9(W)]).

input_clause(clause1033,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP9(X),
     ++ssSkP8(W)]).

input_clause(clause1034,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP7(X),
     ++ssSkP6(W)]).

input_clause(clause1035,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP6(X),
     ++ssSkP5(W)]).

input_clause(clause1036,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP5(X),
     ++ssSkP4(W)]).

input_clause(clause1037,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP4(X),
     ++ssSkP3(W)]).

input_clause(clause1038,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssSkP3(X),
     ++ssSkP2(W)]).

input_clause(clause1039,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv4(W),
     --ssSkP719(X)]).

input_clause(clause1040,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv12(W),
     --ssSkP697(X)]).

input_clause(clause1041,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv3(W),
     --ssSkP633(X)]).

input_clause(clause1042,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv4(W),
     --ssSkP450(X)]).

input_clause(clause1043,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP417(X)]).

input_clause(clause1044,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv5(W),
     --ssSkP357(X)]).

input_clause(clause1045,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv7(W),
     --ssSkP330(X)]).

input_clause(clause1046,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv1(W),
     --ssSkP211(X)]).

input_clause(clause1047,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv14(W),
     --ssSkP191(X)]).

input_clause(clause1048,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv5(W),
     --ssSkP74(X)]).

input_clause(clause1049,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv17(W),
     --ssSkP57(X)]).

input_clause(clause1050,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv8(W),
     --ssSkP31(X)]).

input_clause(clause1051,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssRr(X,V),
     --ssPv5(W),
     --ssSkP2(X)]).
%--------------------------------------------------------------------------
