%--------------------------------------------------------------------------
% File     : TOP008-1 : TPTP v2.7.0. Released v1.0.0.
% Domain   : Topology
% Problem  : The subspace topology gives rise to a topological space
% Version  : [WM89] axioms : Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 3 [WM89]

% Status   : satisfiable
% Rating   : 0.86 v2.7.0, 0.80 v2.6.0, 0.75 v2.5.0, 0.83 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :  112 (  23 non-Horn;   3 unit; 107 RR)
%            Number of literals   :  339 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   22 (   0 propositional; 1-4 arity)
%            Number of functors   :   38 (   4 constant; 0-5 arity)
%            Number of variables  :  357 (  56 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_3_117,conjecture,
    [++topological_space(cx,ct)]).

input_clause(problem_3_118,conjecture,
    [++subset_sets(cy,cx)]).

input_clause(problem_3_119,conjecture,
    [--topological_space(cy,subspace_topology(cx,ct,cy))]).
%--------------------------------------------------------------------------
